!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-04-03 14:56             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl3()
      coupl(nGC_2214) = cima*coupl(nGC_7)**3d0*sq2**3d0*(coupl(nGC_84) + coupl(&
                        nGC_85) + coupl(nGC_87) + coupl(nGC_88))/(128d0*pi**2d0&
                        )
      coupl(nGC_2740) = coupl(nGC_42)*dZG0/2d0
      coupl(nGC_2747) = coupl(nGC_2318) + coupl(nGC_62)*dZHMinus_QED2 + coupl( &
                        nGC_62)*dZWMinus_QED2
      coupl(nGC_2745) = coupl(nGC_184)*dZHl_QED2/2d0 + coupl(nGC_184)*         &
                        dZtauMinusL_QED2/2d0 + coupl(nGC_184)*dZtauMinusR_QED2/&
                        2d0 + coupl(nGC_188)*dZHhHl_QED2/2d0 + coupl(nGC_2428)
      coupl(nGC_2212) = cima*coupl(nGC_7)**3d0*sq2**3d0*(coupl(nGC_84) + coupl(&
                        nGC_85) + coupl(nGC_87) + coupl(nGC_88))/(32d0*pi**2d0*&
                        Nc**2d0)
      coupl(nGC_2748) = coupl(nGC_20)*dZZA_QED2/2d0 + coupl(nGC_2306) + coupl( &
                        nGC_74)*dZA_QED2/2d0 + coupl(nGC_74)*dZHMinus_QED2/2d0 &
                         + coupl(nGC_74)*dZHa_QED2/2d0 + coupl(nGC_74)*        &
                        dZWMinus_QED2/2d0
      coupl(nGC_1780) = coupl(nGC_196)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1781) = (-coupl(nGC_153)*coupl(nGC_63)*coupl(nGC_80) - coupl(  &
                        nGC_157)*coupl(nGC_68)*coupl(nGC_80) - coupl(nGC_158)* &
                        coupl(nGC_4)*coupl(nGC_641) - coupl(nGC_158)*coupl(    &
                        nGC_651)*coupl(nGC_86) + 8d0*coupl(nGC_158)*coupl(     &
                        nGC_86)*coupl(nGC_90) - coupl(nGC_158)*coupl(nGC_90)*  &
                        coupl(nGC_96) - coupl(nGC_160)*coupl(nGC_627)*coupl(   &
                        nGC_80))/(32d0*pi**2d0)
      coupl(nGC_2628) = dZGMinusHMinus_QED2*(coupl(nGC_48) + coupl(nGC_49))/2d0
      coupl(nGC_2629) = coupl(nGC_22)*dZHhHl_QED2 + coupl(nGC_2250) + coupl(   &
                        nGC_24)*dZGMinusHMinus_QED2 + coupl(nGC_30)*           &
                        dZHMinus_QED2 + coupl(nGC_30)*dZHl_QED2
      coupl(nGC_2198) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_130)*coupl( &
                        nGC_133) + coupl(nGC_137)*coupl(nGC_141) + coupl(      &
                        nGC_145)*coupl(nGC_149) + coupl(nGC_169)*coupl(nGC_173 &
                        ) + coupl(nGC_177)*coupl(nGC_180) + coupl(nGC_192)*    &
                        coupl(nGC_195))/(16d0*pi**2d0*Nc)
      coupl(nGC_2199) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_130)*coupl(&
                        nGC_133) - coupl(nGC_137)*coupl(nGC_141) - coupl(      &
                        nGC_145)*coupl(nGC_149) - coupl(nGC_169)*coupl(nGC_173 &
                        ) - coupl(nGC_177)*coupl(nGC_180) - coupl(nGC_192)*    &
                        coupl(nGC_195))/(16d0*pi**2d0)
      coupl(nGC_2196) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_133)**2d0  &
                         - coupl(nGC_137)**2d0 - coupl(nGC_149)**2d0 - coupl(  &
                        nGC_173)**2d0 - coupl(nGC_180)**2d0 - coupl(nGC_195)** &
                        2d0)/(16d0*pi**2d0)
      coupl(nGC_2620) = coupl(nGC_16)*dZGMinus/2d0
      coupl(nGC_1798) = (coupl(nGC_1)*coupl(nGC_150)*coupl(nGC_17) + 8d0*coupl(&
                        nGC_1)*coupl(nGC_150)*coupl(nGC_2) - coupl(nGC_145)*   &
                        coupl(nGC_192)*coupl(nGC_196) + coupl(nGC_145)*coupl(  &
                        nGC_64)*coupl(nGC_80) - coupl(nGC_147)*coupl(nGC_194)* &
                        coupl(nGC_196) - coupl(nGC_149)*coupl(nGC_195)*coupl(  &
                        nGC_196) + coupl(nGC_149)*coupl(nGC_69)*coupl(nGC_80   &
                        ) + coupl(nGC_150)*coupl(nGC_2)*coupl(nGC_641) + coupl(&
                        nGC_150)*coupl(nGC_651)*coupl(nGC_88) + 8d0*coupl(     &
                        nGC_150)*coupl(nGC_84)*coupl(nGC_88) + coupl(nGC_150)* &
                        coupl(nGC_84)*coupl(nGC_96) - coupl(nGC_151)*coupl(    &
                        nGC_196)*coupl(nGC_198) + coupl(nGC_151)*coupl(nGC_627 &
                        )*coupl(nGC_80))/(32d0*pi**2d0)
      coupl(nGC_1805) = (4d0*Nc*cMB*coupl(nGC_139)**2d0*coupl(nGC_141) + 16d0* &
                        Nc*cMB*coupl(nGC_139)*coupl(nGC_140)*coupl(nGC_141) +  &
                        4d0*Nc*cMB*coupl(nGC_140)**2d0*coupl(nGC_141) + 4d0*Nc*&
                        cMC*coupl(nGC_130)*coupl(nGC_135)**2d0 + 16d0*Nc*cMC*  &
                        coupl(nGC_130)*coupl(nGC_135)*coupl(nGC_136) + 4d0*Nc* &
                        cMC*coupl(nGC_130)*coupl(nGC_136)**2d0 + 4d0*Nc*cMD*   &
                        coupl(nGC_145)*coupl(nGC_151)**2d0 + 16d0*Nc*cMD*coupl(&
                        nGC_145)*coupl(nGC_151)*coupl(nGC_152) + 4d0*Nc*cMD*   &
                        coupl(nGC_145)*coupl(nGC_152)**2d0 + 4d0*Nc*cMS*coupl( &
                        nGC_169)*coupl(nGC_175)**2d0 + 16d0*Nc*cMS*coupl(      &
                        nGC_169)*coupl(nGC_175)*coupl(nGC_176) + 4d0*Nc*cMS*   &
                        coupl(nGC_169)*coupl(nGC_176)**2d0 + 4d0*Nc*cMT*coupl( &
                        nGC_177)*coupl(nGC_182)**2d0 + 16d0*Nc*cMT*coupl(      &
                        nGC_177)*coupl(nGC_182)*coupl(nGC_183) + 4d0*Nc*cMT*   &
                        coupl(nGC_177)*coupl(nGC_183)**2d0 + 4d0*Nc*cMU*coupl( &
                        nGC_192)*coupl(nGC_197)**2d0 + 16d0*Nc*cMU*coupl(      &
                        nGC_192)*coupl(nGC_197)*coupl(nGC_198) + 4d0*Nc*cMU*   &
                        coupl(nGC_192)*coupl(nGC_198)**2d0 + 4d0*cME*coupl(    &
                        nGC_153)*coupl(nGC_159)**2d0 + 16d0*cME*coupl(nGC_153)*&
                        coupl(nGC_159)*coupl(nGC_160) + 4d0*cME*coupl(nGC_153)*&
                        coupl(nGC_160)**2d0 + 4d0*cMM*coupl(nGC_161)*coupl(    &
                        nGC_167)**2d0 + 16d0*cMM*coupl(nGC_161)*coupl(nGC_167)*&
                        coupl(nGC_168) + 4d0*cMM*coupl(nGC_161)*coupl(nGC_168  &
                        )**2d0 + 4d0*cMTA*coupl(nGC_184)*coupl(nGC_190)**2d0 + &
                        16d0*cMTA*coupl(nGC_184)*coupl(nGC_190)*coupl(nGC_191  &
                        ) + 4d0*cMTA*coupl(nGC_184)*coupl(nGC_191)**2d0 + 2d0* &
                        cima*coupl(nGC_101)*coupl(nGC_128) + 4d0*cima*coupl(   &
                        nGC_124)*coupl(nGC_62) + coupl(nGC_103)*coupl(nGC_629)*&
                        coupl(nGC_94) + coupl(nGC_104)*coupl(nGC_619)*coupl(   &
                        nGC_91) + coupl(nGC_106)*coupl(nGC_619)*coupl(nGC_94   &
                        ) + coupl(nGC_106)*coupl(nGC_629)*coupl(nGC_91) + 2d0* &
                        coupl(nGC_108)*coupl(nGC_627)*coupl(nGC_72) + coupl(   &
                        nGC_109)*coupl(nGC_619)**2d0 + coupl(nGC_109)*coupl(   &
                        nGC_91)**2d0 + coupl(nGC_112)*coupl(nGC_629)**2d0 +    &
                        coupl(nGC_112)*coupl(nGC_94)**2d0 + coupl(nGC_114)*    &
                        coupl(nGC_627)*coupl(nGC_68) + coupl(nGC_114)*coupl(   &
                        nGC_647)*coupl(nGC_72) + coupl(nGC_115)*coupl(nGC_625)*&
                        coupl(nGC_72) + coupl(nGC_115)*coupl(nGC_627)*coupl(   &
                        nGC_69) + coupl(nGC_117)*coupl(nGC_619)*coupl(nGC_629  &
                        ) + coupl(nGC_117)*coupl(nGC_91)*coupl(nGC_94) + coupl(&
                        nGC_120)*coupl(nGC_619)*coupl(nGC_629) + coupl(nGC_120 &
                        )*coupl(nGC_91)*coupl(nGC_94) - 2d0*coupl(nGC_124)*    &
                        coupl(nGC_627)*coupl(nGC_72) - coupl(nGC_128)*coupl(   &
                        nGC_619)*coupl(nGC_91) - coupl(nGC_128)*coupl(nGC_629)*&
                        coupl(nGC_94))/(32d0*pi**2d0)
      coupl(nGC_2380) = coupl(nGC_1563)*dyd12x2_QED1_QCD2 + coupl(nGC_1564)*   &
                        dys2_QED1_QCD2
      coupl(nGC_TS_GC_118_Hh) = -coupl(nGC_118)*dtHh_QED1/cMHH**2d0
      coupl(nGC_795) = coupl(nGC_I)*dZG0
      coupl(nGC_3174) = -coupl(nGC_2315) + coupl(nGC_64)*dZGMinusHMinus_QED2/  &
                        2d0 - coupl(nGC_64)*dZHhHl_QED2/2d0 - coupl(nGC_68)*   &
                        dZHMinus_QED2/2d0 - coupl(nGC_68)*dZHl_QED2/2d0 - coupl&
                        (nGC_68)*dZWMinus_QED2/2d0
      coupl(nGC_2996) = coupl(nGC_117)*dZG0
      coupl(nGC_2994) = coupl(nGC_153)*dZHlHh_QED2/2d0 + coupl(nGC_157)*       &
                        dZHh_QED2/2d0 + coupl(nGC_157)*dZeMinusL_QED2/2d0 +    &
                        coupl(nGC_157)*dZeMinusR_QED2/2d0 + coupl(nGC_2423)
      coupl(nGC_2993) = coupl(nGC_85)*dZuR_QCD2
      coupl(nGC_2991) = coupl(nGC_88)*dZuL_QCD2
      coupl(nGC_TS_GC_69_Hh) = -coupl(nGC_69)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_69_Hl) = -coupl(nGC_69)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2999) = coupl(nGC_7)*dZdL_QED2
      coupl(nGC_2361) = coupl(nGC_1544)*db_QED2 + coupl(nGC_1545)*dyd13x3_QED3 &
                         + coupl(nGC_1546)*dyb2_QED3
      coupl(nGC_2449) = coupl(nGC_1523)*dyc1_QED3 + coupl(nGC_1524)*dyc2_QED3  &
                         + coupl(nGC_1525)*da_QED2
      coupl(nGC_1710) = cMS*cima*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                        32d0*pi**2d0*Nc)
      coupl(nGC_2362) = coupl(nGC_1545)*dyd13x3_QED1_QCD2 + coupl(nGC_1546)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_TS_GC_11_Hl) = -coupl(nGC_11)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2763) = coupl(nGC_2350) + coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_86)*dZZ_QED2/2d0 + coupl(nGC_86)*dZmuMinusR_QED2
      coupl(nGC_2367) = coupl(nGC_1512)*db_QED2 + coupl(nGC_1513)*dyc1_QED3 +  &
                        coupl(nGC_1514)*dyc2_QED3
      coupl(nGC_2366) = coupl(nGC_1372)*dyup1_QED1_QCD2 + coupl(nGC_1373)*     &
                        dyup2_QED1_QCD2
      coupl(nGC_2440) = coupl(nGC_1539)*dyc1_QED1_QCD2 + coupl(nGC_1540)*      &
                        dyc2_QED1_QCD2
      coupl(nGC_2368) = coupl(nGC_1513)*dyc1_QED1_QCD2 + coupl(nGC_1514)*      &
                        dyc2_QED1_QCD2
      coupl(nGC_TS_GC_10_Hl) = -coupl(nGC_10)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2443) = coupl(nGC_415)*db_QED2 + coupl(nGC_417)*dyt1_QED3 +    &
                        coupl(nGC_419)*dyt2_QED3
      coupl(nGC_2444) = coupl(nGC_417)*dyt1_QED1_QCD2 + coupl(nGC_419)*        &
                        dyt2_QED1_QCD2
      coupl(nGC_2445) = coupl(nGC_423)*db_QED2 + coupl(nGC_425)*dyt1_QED3 +    &
                        coupl(nGC_427)*dyt2_QED3
      coupl(nGC_2446) = coupl(nGC_425)*dyt1_QED1_QCD2 + coupl(nGC_427)*        &
                        dyt2_QED1_QCD2
      coupl(nGC_2691) = coupl(nGC_101)*dZHa_QED2 + coupl(nGC_101)*dZZ_QED2 +   &
                        coupl(nGC_2334)
      coupl(nGC_3263) = -coupl(nGC_1790)
      coupl(nGC_3182) = coupl(nGC_180)*dZtL_QCD2/2d0 + coupl(nGC_180)*dZtR_QCD2&
                        /2d0 + coupl(nGC_2452)
      coupl(nGC_3183) = coupl(nGC_2314) + coupl(nGC_64)*dZHl_QED2/2d0 + coupl( &
                        nGC_64)*dZWMinus_QED2/2d0 - coupl(nGC_68)*             &
                        dZHMinusGMinus_QED2/2d0 + coupl(nGC_69)*dZHhHl_QED2/2d0
      coupl(nGC_3187) = -coupl(nGC_2603) - coupl(nGC_MMW_GF)*dZWMinus_QED2/2d0 &
                         + coupl(nGC_TS_GC_64_Hl) + coupl(nGC_TS_GC_69_Hh)
      coupl(nGC_1712) = cMT*cima*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                        32d0*pi**2d0*Nc)
      coupl(nGC_3165) = coupl(nGC_2315) - coupl(nGC_64)*dZGMinusHMinus_QED2/2d0&
                         + coupl(nGC_64)*dZHhHl_QED2/2d0 + coupl(nGC_68)*      &
                        dZHMinus_QED2/2d0 + coupl(nGC_68)*dZHl_QED2/2d0 + coupl&
                        (nGC_68)*dZWMinus_QED2/2d0
      coupl(nGC_3009) = -coupl(nGC_2312) - coupl(nGC_72)*dZWMinus_QED2/2d0
      coupl(nGC_3001) = coupl(nGC_7)*dZdR_QED2
      coupl(nGC_3000) = coupl(nGC_2342) + coupl(nGC_7)*dZdR_QCD2 + coupl(nGC_7 &
                        )*dZg_QCD2/2d0
      coupl(nGC_3007) = coupl(nGC_91)*dZG0/2d0
      coupl(nGC_3006) = coupl(nGC_2324) + coupl(nGC_91)*dZHl_QED2/2d0 + coupl( &
                        nGC_91)*dZZ_QED2/2d0 + coupl(nGC_94)*dZHaG0_QED2/2d0 + &
                        coupl(nGC_94)*dZHhHl_QED2/2d0
      coupl(nGC_3005) = coupl(nGC_2319) + coupl(nGC_61)*dZHh_QED2 + coupl(     &
                        nGC_61)*dZWMinus_QED2
      coupl(nGC_3004) = -coupl(nGC_94)*dZZA_QED2/2d0
      coupl(nGC_2844) = coupl(nGC_2342) + coupl(nGC_7)*dZg_QCD2/2d0 + coupl(   &
                        nGC_7)*dZuR_QCD2
      coupl(nGC_2845) = coupl(nGC_7)*dZuR_QED2
      coupl(nGC_2846) = coupl(nGC_100)*dZHMinus_QED2 + coupl(nGC_100)*dZZ_QED2 &
                         + coupl(nGC_2335) + coupl(nGC_97)*dZAZ_QED2
      coupl(nGC_2847) = coupl(nGC_37)*dZG0/2d0
      coupl(nGC_2840) = coupl(nGC_130)*dZHl_QED2/2d0 + coupl(nGC_130)*dZcL_QED2&
                        /2d0 + coupl(nGC_130)*dZcR_QED2/2d0 + coupl(nGC_133)*  &
                        dZHhHl_QED2/2d0 + coupl(nGC_2455)
      coupl(nGC_2841) = coupl(nGC_130)*dZcL_QCD2/2d0 + coupl(nGC_130)*dZcR_QCD2&
                        /2d0 + coupl(nGC_2456)
      coupl(nGC_2842) = coupl(nGC_2342) + coupl(nGC_7)*dZg_QCD2/2d0 + coupl(   &
                        nGC_7)*dZuL_QCD2
      coupl(nGC_2843) = coupl(nGC_7)*dZuL_QED2
      coupl(nGC_3168) = coupl(nGC_192)*dZuL_QCD2/2d0 + coupl(nGC_192)*dZuR_QCD2&
                        /2d0 + coupl(nGC_2454)
      coupl(nGC_2849) = coupl(nGC_2343) + coupl(nGC_80)*dZWMinus_QED2/2d0 +    &
                        coupl(nGC_80)*dZcL_QED2/2d0 + coupl(nGC_80)*dZsL_QED2/ &
                        2d0
      coupl(nGC_2969) = coupl(nGC_122)*dZGMinus/2d0
      coupl(nGC_2652) = coupl(nGC_100)*dZZA_QED2/2d0 + coupl(nGC_18)*dZAZ_QED2/&
                        2d0 + coupl(nGC_2322) + coupl(nGC_97)*dZA_QED2/2d0 +   &
                        coupl(nGC_97)*dZZ_QED2/2d0
      coupl(nGC_2404) = coupl(nGC_1389)*dyd12x2_QED1_QCD2 + coupl(nGC_1390)*   &
                        dys2_QED1_QCD2
      coupl(nGC_2405) = coupl(nGC_1349)*db_QED2 + coupl(nGC_1350)*dyd12x2_QED3 &
                         + coupl(nGC_1351)*dys2_QED3
      coupl(nGC_2406) = coupl(nGC_1350)*dyd12x2_QED1_QCD2 + coupl(nGC_1351)*   &
                        dys2_QED1_QCD2
      coupl(nGC_2313) = coupl(nGC_1497)*dZee_QED2 + coupl(nGC_1498)*da_QED2 +  &
                        coupl(nGC_1499)*dsw_QED2 + coupl(nGC_1500)*db_QED2
      coupl(nGC_TS_GC_117_Hh) = -coupl(nGC_117)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2389) = coupl(nGC_1439)*dyd12x2_QED3 + coupl(nGC_1440)*da_QED2 &
                         + coupl(nGC_1441)*dys2_QED3
      coupl(nGC_1746) = (coupl(nGC_162)**2d0*coupl(nGC_4) + coupl(nGC_166)**2d0&
                        *coupl(nGC_4) + 4d0*coupl(nGC_3)*coupl(nGC_80)**2d0 +  &
                        4d0*coupl(nGC_4)*coupl(nGC_80)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1747) = (coupl(nGC_185)**2d0*coupl(nGC_4) + coupl(nGC_189)**2d0&
                        *coupl(nGC_4) + 4d0*coupl(nGC_3)*coupl(nGC_80)**2d0 +  &
                        4d0*coupl(nGC_4)*coupl(nGC_80)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1744) = (coupl(nGC_161)**2d0*coupl(nGC_4) + coupl(nGC_163)*    &
                        coupl(nGC_164)*coupl(nGC_4) + coupl(nGC_165)**2d0*coupl&
                        (nGC_4) + coupl(nGC_167)*coupl(nGC_168)*coupl(nGC_4) - &
                        4d0*coupl(nGC_3)*coupl(nGC_80)**2d0 + 4d0*coupl(nGC_4  &
                        )**3d0 + 4d0*coupl(nGC_4)*coupl(nGC_89)**2d0)/(32d0*pi &
                        **2d0)
      coupl(nGC_1745) = (coupl(nGC_154)**2d0*coupl(nGC_4) + coupl(nGC_158)**2d0&
                        *coupl(nGC_4) + 4d0*coupl(nGC_3)*coupl(nGC_80)**2d0 +  &
                        4d0*coupl(nGC_4)*coupl(nGC_80)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1742) = (coupl(nGC_153)**2d0*coupl(nGC_4) + coupl(nGC_155)*    &
                        coupl(nGC_156)*coupl(nGC_4) + coupl(nGC_157)**2d0*coupl&
                        (nGC_4) + coupl(nGC_159)*coupl(nGC_160)*coupl(nGC_4) - &
                        4d0*coupl(nGC_3)*coupl(nGC_80)**2d0 + 4d0*coupl(nGC_4  &
                        )**3d0 + 4d0*coupl(nGC_4)*coupl(nGC_89)**2d0)/(32d0*pi &
                        **2d0)
      coupl(nGC_1743) = coupl(nGC_4)*(coupl(nGC_161)**2d0 + coupl(nGC_163)*    &
                        coupl(nGC_164) + coupl(nGC_165)**2d0 + coupl(nGC_167)* &
                        coupl(nGC_168) + 4d0*coupl(nGC_4)**2d0 + 4d0*coupl(    &
                        nGC_86)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1740) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_145)** &
                        2d0 + coupl(nGC_1)*coupl(nGC_147)*coupl(nGC_148) +     &
                        coupl(nGC_1)*coupl(nGC_149)**2d0 + coupl(nGC_1)*coupl( &
                        nGC_151)*coupl(nGC_152) + 4d0*coupl(nGC_1)*coupl(nGC_84&
                        )**2d0 + coupl(nGC_146)**2d0*coupl(nGC_2) + coupl(     &
                        nGC_150)**2d0*coupl(nGC_2))/(32d0*pi**2d0)
      coupl(nGC_1741) = coupl(nGC_4)*(coupl(nGC_153)**2d0 + coupl(nGC_155)*    &
                        coupl(nGC_156) + coupl(nGC_157)**2d0 + coupl(nGC_159)* &
                        coupl(nGC_160) + 4d0*coupl(nGC_4)**2d0 + 4d0*coupl(    &
                        nGC_86)**2d0)/(32d0*pi**2d0)
      coupl(nGC_2333) = coupl(nGC_1160)*dZee_QED2 + coupl(nGC_1161)*dcw_QED2
      coupl(nGC_2669) = coupl(nGC_101)*dZZA_QED2/2d0
      coupl(nGC_2403) = coupl(nGC_1388)*db_QED2 + coupl(nGC_1389)*dyd12x2_QED3 &
                         + coupl(nGC_1390)*dys2_QED3
      coupl(nGC_1749) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_169)** &
                        2d0 + coupl(nGC_1)*coupl(nGC_171)*coupl(nGC_172) +     &
                        coupl(nGC_1)*coupl(nGC_173)**2d0 + coupl(nGC_1)*coupl( &
                        nGC_175)*coupl(nGC_176) + 4d0*coupl(nGC_1)*coupl(nGC_84&
                        )**2d0 + coupl(nGC_170)**2d0*coupl(nGC_2) + coupl(     &
                        nGC_174)**2d0*coupl(nGC_2))/(32d0*pi**2d0)
      coupl(nGC_1711) = cMT*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_85)*coupl(    &
                        nGC_88))/(8d0*pi**2d0)
      coupl(nGC_1830) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_175) - coupl(nGC_131)*&
                        coupl(nGC_135)*coupl(nGC_170) - coupl(nGC_134)*coupl(  &
                        nGC_135)*coupl(nGC_174) - coupl(nGC_169)**2d0*coupl(   &
                        nGC_176) - coupl(nGC_169)*coupl(nGC_619)*coupl(nGC_87  &
                        ) - coupl(nGC_169)*coupl(nGC_84)*coupl(nGC_91) - coupl(&
                        nGC_171)**2d0*coupl(nGC_176) - coupl(nGC_173)**2d0*    &
                        coupl(nGC_176) - coupl(nGC_173)*coupl(nGC_629)*coupl(  &
                        nGC_87) - coupl(nGC_173)*coupl(nGC_84)*coupl(nGC_94) - &
                        coupl(nGC_174)*coupl(nGC_627)*coupl(nGC_80) - coupl(   &
                        nGC_175)**2d0*coupl(nGC_176) + 8d0*coupl(nGC_175)*coupl&
                        (nGC_84)*coupl(nGC_87))/(32d0*pi**2d0)
      coupl(nGC_2099) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_134)**2d0 + &
                        coupl(nGC_138)**2d0 + coupl(nGC_150)**2d0 + coupl(     &
                        nGC_174)**2d0 + coupl(nGC_181)**2d0 + coupl(nGC_196)** &
                        2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_2098) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_134)**2d0  &
                         - coupl(nGC_138)**2d0 - coupl(nGC_150)**2d0 - coupl(  &
                        nGC_174)**2d0 - coupl(nGC_181)**2d0 - coupl(nGC_196)** &
                        2d0)/(32d0*pi**2d0)
      coupl(nGC_TS_GC_49_Hl) = -coupl(nGC_49)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_49_Hh) = -coupl(nGC_49)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2716) = coupl(nGC_25)*dZG0
      coupl(nGC_TS_GC_116_Hh) = -coupl(nGC_116)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1969) = (-coupl(nGC_145)*coupl(nGC_146)*coupl(nGC_193) - coupl(&
                        nGC_145)*coupl(nGC_150)*coupl(nGC_196) - coupl(nGC_192 &
                        )**3d0 - coupl(nGC_192)*coupl(nGC_194)**2d0 - coupl(   &
                        nGC_192)*coupl(nGC_195)**2d0 - coupl(nGC_192)*coupl(   &
                        nGC_198)**2d0 + 8d0*coupl(nGC_192)*coupl(nGC_2)**2d0 + &
                        8d0*coupl(nGC_192)*coupl(nGC_85)*coupl(nGC_88) - coupl(&
                        nGC_193)*coupl(nGC_647)*coupl(nGC_80) - coupl(nGC_194)*&
                        coupl(nGC_629)*coupl(nGC_85) - coupl(nGC_194)*coupl(   &
                        nGC_88)*coupl(nGC_94) - coupl(nGC_196)*coupl(nGC_64)*  &
                        coupl(nGC_80) - coupl(nGC_198)*coupl(nGC_619)*coupl(   &
                        nGC_85) - coupl(nGC_198)*coupl(nGC_88)*coupl(nGC_91))/(&
                        32d0*pi**2d0)
      coupl(nGC_1702) = -Nc*cima*coupl(nGC_6)**2d0*sq2**2d0/(96d0*pi**2d0)
      coupl(nGC_2062) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_1)**2d0 -  &
                        coupl(nGC_2)**2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2063) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_1)**2d0 +   &
                        coupl(nGC_2)**2d0)/(16d0*pi**2d0)
      coupl(nGC_1875) = (coupl(nGC_161)*coupl(nGC_647)*coupl(nGC_80) + coupl(  &
                        nGC_162)*coupl(nGC_17)*coupl(nGC_4) + coupl(nGC_162)*  &
                        coupl(nGC_651)*coupl(nGC_90) + 8d0*coupl(nGC_162)*coupl&
                        (nGC_86)*coupl(nGC_90) + coupl(nGC_162)*coupl(nGC_86)* &
                        coupl(nGC_96) + coupl(nGC_163)*coupl(nGC_627)*coupl(   &
                        nGC_80) + coupl(nGC_165)*coupl(nGC_645)*coupl(nGC_80   &
                        ))/(32d0*pi**2d0)
      coupl(nGC_1829) = coupl(nGC_176)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1828) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_176) - coupl(nGC_131)*&
                        coupl(nGC_136)*coupl(nGC_170) - coupl(nGC_134)*coupl(  &
                        nGC_136)*coupl(nGC_174) - coupl(nGC_169)**2d0*coupl(   &
                        nGC_175) - coupl(nGC_169)*coupl(nGC_619)*coupl(nGC_84  &
                        ) - coupl(nGC_169)*coupl(nGC_87)*coupl(nGC_91) - coupl(&
                        nGC_172)**2d0*coupl(nGC_175) - coupl(nGC_173)**2d0*    &
                        coupl(nGC_175) - coupl(nGC_173)*coupl(nGC_629)*coupl(  &
                        nGC_84) - coupl(nGC_173)*coupl(nGC_87)*coupl(nGC_94) - &
                        coupl(nGC_174)*coupl(nGC_72)*coupl(nGC_80) - coupl(    &
                        nGC_175)*coupl(nGC_176)**2d0 + 8d0*coupl(nGC_176)*coupl&
                        (nGC_84)*coupl(nGC_87))/(32d0*pi**2d0)
      coupl(nGC_1876) = (-coupl(nGC_184)*coupl(nGC_68)*coupl(nGC_80) - coupl(  &
                        nGC_185)*coupl(nGC_4)*coupl(nGC_641) - coupl(nGC_185)* &
                        coupl(nGC_651)*coupl(nGC_86) + 8d0*coupl(nGC_185)*coupl&
                        (nGC_86)*coupl(nGC_90) - coupl(nGC_185)*coupl(nGC_90)* &
                        coupl(nGC_96) - coupl(nGC_186)*coupl(nGC_72)*coupl(    &
                        nGC_80) - coupl(nGC_188)*coupl(nGC_64)*coupl(nGC_80))/(&
                        32d0*pi**2d0)
      coupl(nGC_2327) = coupl(nGC_1175)*dZee_QED2 + coupl(nGC_1176)*dcw_QED2
      coupl(nGC_1701) = cima*sq2**2d0*(Nc*coupl(nGC_6)**2d0 - 4d0*coupl(nGC_7  &
                        )**2d0)/(64d0*pi**2d0)
      coupl(nGC_2321) = coupl(nGC_1482)*dsw_QED2 + coupl(nGC_1483)*da_QED2 +   &
                        coupl(nGC_1484)*dvev1_QED1 + coupl(nGC_1485)*dvev2_QED1&
                         + coupl(nGC_1486)*dZee_QED2
      coupl(nGC_2320) = coupl(nGC_1487)*dsw_QED2 + coupl(nGC_1488)*da_QED2 +   &
                        coupl(nGC_1489)*dvev1_QED1 + coupl(nGC_1490)*dvev2_QED1&
                         + coupl(nGC_1491)*dZee_QED2
      coupl(nGC_2895) = coupl(nGC_161)*dZHl_QED2/2d0 + coupl(nGC_161)*         &
                        dZmuMinusL_QED2/2d0 + coupl(nGC_161)*dZmuMinusR_QED2/  &
                        2d0 + coupl(nGC_165)*dZHhHl_QED2/2d0 + coupl(nGC_2427)
      coupl(nGC_1953) = coupl(nGC_145)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1951) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_145) - coupl(nGC_145  &
                        )**3d0 - coupl(nGC_145)*coupl(nGC_148)**2d0 - coupl(   &
                        nGC_145)*coupl(nGC_149)**2d0 - coupl(nGC_145)*coupl(   &
                        nGC_152)**2d0 + 8d0*coupl(nGC_145)*coupl(nGC_84)*coupl(&
                        nGC_87) - coupl(nGC_146)*coupl(nGC_192)*coupl(nGC_193  &
                        ) - coupl(nGC_146)*coupl(nGC_68)*coupl(nGC_80) - coupl(&
                        nGC_148)*coupl(nGC_629)*coupl(nGC_87) - coupl(nGC_148)*&
                        coupl(nGC_84)*coupl(nGC_94) - coupl(nGC_150)*coupl(    &
                        nGC_192)*coupl(nGC_196) - coupl(nGC_150)*coupl(nGC_645 &
                        )*coupl(nGC_80) - coupl(nGC_152)*coupl(nGC_619)*coupl( &
                        nGC_87) - coupl(nGC_152)*coupl(nGC_84)*coupl(nGC_91))/(&
                        32d0*pi**2d0)
      coupl(nGC_1957) = coupl(nGC_7)**2d0*sq2**2d0*(-cMB*coupl(nGC_141) - cMC* &
                        coupl(nGC_130) - cMD*coupl(nGC_145) - cMS*coupl(nGC_169&
                        ) - cMT*coupl(nGC_177) - cMU*coupl(nGC_192))/(16d0*pi**&
                        2d0)
      coupl(nGC_1956) = coupl(nGC_7)**2d0*sq2**2d0*(cMB*coupl(nGC_141) + cMC*  &
                        coupl(nGC_130) + cMD*coupl(nGC_145) + cMS*coupl(nGC_169&
                        ) + cMT*coupl(nGC_177) + cMU*coupl(nGC_192))/(16d0*pi**&
                        2d0*Nc)
      coupl(nGC_1874) = (coupl(nGC_153)*coupl(nGC_647)*coupl(nGC_80) + coupl(  &
                        nGC_154)*coupl(nGC_17)*coupl(nGC_4) + coupl(nGC_154)*  &
                        coupl(nGC_651)*coupl(nGC_90) + 8d0*coupl(nGC_154)*coupl&
                        (nGC_86)*coupl(nGC_90) + coupl(nGC_154)*coupl(nGC_86)* &
                        coupl(nGC_96) + coupl(nGC_155)*coupl(nGC_627)*coupl(   &
                        nGC_80) + coupl(nGC_157)*coupl(nGC_645)*coupl(nGC_80   &
                        ))/(32d0*pi**2d0)
      coupl(nGC_1707) = cMM*cima*(-coupl(nGC_4)**2d0 - coupl(nGC_86)*coupl(    &
                        nGC_89))/(8d0*pi**2d0)
      coupl(nGC_2718) = coupl(nGC_18)*(dZGMinusHMinus_QED2 +                   &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_1872) = (coupl(nGC_1)*coupl(nGC_146)*coupl(nGC_17) + 8d0*coupl(&
                        nGC_1)*coupl(nGC_146)*coupl(nGC_2) - coupl(nGC_145)*   &
                        coupl(nGC_192)*coupl(nGC_193) + coupl(nGC_145)*coupl(  &
                        nGC_647)*coupl(nGC_80) + coupl(nGC_146)*coupl(nGC_2)*  &
                        coupl(nGC_641) + coupl(nGC_146)*coupl(nGC_651)*coupl(  &
                        nGC_88) + 8d0*coupl(nGC_146)*coupl(nGC_84)*coupl(nGC_88&
                        ) + coupl(nGC_146)*coupl(nGC_84)*coupl(nGC_96) - coupl(&
                        nGC_147)*coupl(nGC_193)*coupl(nGC_194) + coupl(nGC_147 &
                        )*coupl(nGC_627)*coupl(nGC_80) - coupl(nGC_149)*coupl( &
                        nGC_193)*coupl(nGC_195) + coupl(nGC_149)*coupl(nGC_645 &
                        )*coupl(nGC_80) - coupl(nGC_151)*coupl(nGC_193)*coupl( &
                        nGC_198))/(32d0*pi**2d0)
      coupl(nGC_2248) = coupl(nGC_1129)*dl3_QED4 + coupl(nGC_1130)*dl2_QED4 +  &
                        coupl(nGC_1131)*dl1_QED4 + coupl(nGC_1132)*dl4_QED4 +  &
                        coupl(nGC_1133)*dl5_QED4 + coupl(nGC_1134)*da_QED2
      coupl(nGC_2249) = coupl(nGC_978)*db_QED2 + coupl(nGC_979)*dl3_QED4 +     &
                        coupl(nGC_980)*dl2_QED4 + coupl(nGC_981)*dl1_QED4 +    &
                        coupl(nGC_982)*dl4_QED4 + coupl(nGC_983)*dl5_QED4
      coupl(nGC_2246) = coupl(nGC_1001)*db_QED2 + coupl(nGC_1002)*dl3_QED4 +   &
                        coupl(nGC_1003)*dl2_QED4 + coupl(nGC_1004)*dl1_QED4 +  &
                        coupl(nGC_1005)*dl4_QED4 + coupl(nGC_1006)*dl5_QED4
      coupl(nGC_2247) = coupl(nGC_1264)*db_QED2 + coupl(nGC_1265)*dl3_QED4 +   &
                        coupl(nGC_1266)*dl2_QED4 + coupl(nGC_1267)*dl1_QED4 +  &
                        coupl(nGC_1268)*dl4_QED4 + coupl(nGC_1269)*dl5_QED4 +  &
                        coupl(nGC_1270)*da_QED2
      coupl(nGC_2244) = coupl(nGC_1257)*db_QED2 + coupl(nGC_1258)*dl3_QED4 +   &
                        coupl(nGC_1259)*dl2_QED4 + coupl(nGC_1260)*dl1_QED4 +  &
                        coupl(nGC_1261)*dl4_QED4 + coupl(nGC_1262)*dl5_QED4 +  &
                        coupl(nGC_1263)*da_QED2
      coupl(nGC_2242) = coupl(nGC_1017)*db_QED2 + coupl(nGC_1018)*dl3_QED4 +   &
                        coupl(nGC_1019)*dl2_QED4 + coupl(nGC_1020)*dl1_QED4 +  &
                        coupl(nGC_1021)*dl4_QED4 + coupl(nGC_1022)*dl5_QED4
      coupl(nGC_2243) = coupl(nGC_936)*db_QED2 + coupl(nGC_937)*dl3_QED4 +     &
                        coupl(nGC_938)*dl2_QED4 + coupl(nGC_939)*dl1_QED4 +    &
                        coupl(nGC_940)*dl4_QED4 + coupl(nGC_941)*dl5_QED4 +    &
                        coupl(nGC_942)*da_QED2
      coupl(nGC_2240) = coupl(nGC_1023)*db_QED2 + coupl(nGC_1024)*dl3_QED4 +   &
                        coupl(nGC_1025)*dl2_QED4 + coupl(nGC_1026)*dl1_QED4 +  &
                        coupl(nGC_1027)*dl4_QED4 + coupl(nGC_1028)*dl5_QED4
      coupl(nGC_2241) = coupl(nGC_1007)*db_QED2 + coupl(nGC_1008)*dl3_QED4 +   &
                        coupl(nGC_1009)*dl2_QED4 + coupl(nGC_1010)*dl1_QED4 +  &
                        coupl(nGC_1011)*dl4_QED4 + coupl(nGC_1012)*dl5_QED4
      coupl(nGC_2744) = coupl(nGC_I)*dZHMinus_QED2
      coupl(nGC_2390) = coupl(nGC_1439)*dyd12x2_QED1_QCD2 + coupl(nGC_1441)*   &
                        dys2_QED1_QCD2
      coupl(nGC_2391) = coupl(nGC_1541)*dyd13x3_QED3 + coupl(nGC_1542)*        &
                        dyb2_QED3 + coupl(nGC_1543)*da_QED2
      coupl(nGC_2392) = coupl(nGC_1541)*dyd13x3_QED1_QCD2 + coupl(nGC_1542)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_2393) = coupl(nGC_1579)*dydo2_QED3 + coupl(nGC_1580)*dydo1_QED3&
                         + coupl(nGC_1581)*da_QED2
      coupl(nGC_2394) = coupl(nGC_1579)*dydo2_QED1_QCD2 + coupl(nGC_1580)*     &
                        dydo1_QED1_QCD2
      coupl(nGC_2397) = coupl(nGC_1559)*dyd13x3_QED3 + coupl(nGC_1560)*        &
                        dyb2_QED3 + coupl(nGC_1561)*da_QED2
      coupl(nGC_2398) = coupl(nGC_1559)*dyd13x3_QED1_QCD2 + coupl(nGC_1560)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_2399) = coupl(nGC_1593)*db_QED2 + coupl(nGC_1594)*dydo1_QED3 + &
                        coupl(nGC_1595)*dydo2_QED3
      coupl(nGC_1931) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_173) - coupl(nGC_131)*&
                        coupl(nGC_133)*coupl(nGC_170) - coupl(nGC_133)*coupl(  &
                        nGC_134)*coupl(nGC_174) - coupl(nGC_169)**2d0*coupl(   &
                        nGC_173) - coupl(nGC_170)*coupl(nGC_64)*coupl(nGC_80   &
                        ) - coupl(nGC_172)**2d0*coupl(nGC_173) - coupl(nGC_172 &
                        )*coupl(nGC_617)*coupl(nGC_87) - coupl(nGC_172)*coupl( &
                        nGC_84)*coupl(nGC_92) - coupl(nGC_173)**3d0 - coupl(   &
                        nGC_173)*coupl(nGC_176)**2d0 + 8d0*coupl(nGC_173)*coupl&
                        (nGC_84)*coupl(nGC_87) - coupl(nGC_174)*coupl(nGC_625)*&
                        coupl(nGC_80) - coupl(nGC_176)*coupl(nGC_629)*coupl(   &
                        nGC_87) - coupl(nGC_176)*coupl(nGC_84)*coupl(nGC_94))/(&
                        32d0*pi**2d0)
      coupl(nGC_2170) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_131)**2d0  &
                         - coupl(nGC_142)**2d0 - coupl(nGC_146)**2d0 - coupl(  &
                        nGC_170)**2d0 - coupl(nGC_178)**2d0 - coupl(nGC_193)** &
                        2d0)/(32d0*pi**2d0)
      coupl(nGC_1930) = (-coupl(nGC_161)**2d0*coupl(nGC_165) + coupl(nGC_162)* &
                        coupl(nGC_645)*coupl(nGC_80) - coupl(nGC_164)**2d0*    &
                        coupl(nGC_165) + coupl(nGC_164)*coupl(nGC_617)*coupl(  &
                        nGC_86) + coupl(nGC_164)*coupl(nGC_89)*coupl(nGC_92) - &
                        coupl(nGC_165)**3d0 - coupl(nGC_165)*coupl(nGC_168)**  &
                        2d0 + 8d0*coupl(nGC_165)*coupl(nGC_4)**2d0 + 8d0*coupl(&
                        nGC_165)*coupl(nGC_86)*coupl(nGC_89) + coupl(nGC_166)* &
                        coupl(nGC_69)*coupl(nGC_80) + coupl(nGC_168)*coupl(    &
                        nGC_629)*coupl(nGC_86) + coupl(nGC_168)*coupl(nGC_89)* &
                        coupl(nGC_94))/(32d0*pi**2d0)
      coupl(nGC_2353) = coupl(nGC_1599)*db_QED2 + coupl(nGC_1600)*dydo1_QED3 + &
                        coupl(nGC_1601)*dydo2_QED3
      coupl(nGC_1933) = coupl(nGC_173)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3285) = -coupl(nGC_2031)
      coupl(nGC_3284) = -coupl(nGC_2030)
      coupl(nGC_3122) = -coupl(nGC_2323) - coupl(nGC_91)*dZG0Ha_QED2/2d0 -     &
                        coupl(nGC_92)*dZHhHl_QED2/2d0 - coupl(nGC_94)*dZHa_QED2&
                        /2d0 - coupl(nGC_94)*dZHl_QED2/2d0 - coupl(nGC_94)*    &
                        dZZ_QED2/2d0
      coupl(nGC_1934) = (-coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_181) - coupl(&
                        nGC_137)*coupl(nGC_142)*coupl(nGC_178) - coupl(nGC_177 &
                        )**2d0*coupl(nGC_180) - coupl(nGC_178)*coupl(nGC_63)*  &
                        coupl(nGC_80) - coupl(nGC_180)**3d0 - coupl(nGC_180)*  &
                        coupl(nGC_182)**2d0 + 8d0*coupl(nGC_180)*coupl(nGC_2)**&
                        2d0 - coupl(nGC_180)*coupl(nGC_639)**2d0 + 8d0*coupl(  &
                        nGC_180)*coupl(nGC_85)*coupl(nGC_88) - coupl(nGC_181)* &
                        coupl(nGC_647)*coupl(nGC_80) - coupl(nGC_182)*coupl(   &
                        nGC_629)*coupl(nGC_88) - coupl(nGC_182)*coupl(nGC_85)* &
                        coupl(nGC_94) - coupl(nGC_617)*coupl(nGC_639)*coupl(   &
                        nGC_88) - coupl(nGC_639)*coupl(nGC_85)*coupl(nGC_92))/(&
                        32d0*pi**2d0)
      coupl(nGC_2808) = coupl(nGC_1)*dZsR_QCD2
      coupl(nGC_2809) = coupl(nGC_33)*dZG0
      coupl(nGC_1937) = (-coupl(nGC_184)**2d0*coupl(nGC_188) + coupl(nGC_185)* &
                        coupl(nGC_63)*coupl(nGC_80) - coupl(nGC_186)**2d0*coupl&
                        (nGC_188) + coupl(nGC_186)*coupl(nGC_617)*coupl(nGC_89 &
                        ) + coupl(nGC_186)*coupl(nGC_86)*coupl(nGC_92) - coupl(&
                        nGC_188)**3d0 - coupl(nGC_188)*coupl(nGC_190)**2d0 +   &
                        8d0*coupl(nGC_188)*coupl(nGC_4)**2d0 + 8d0*coupl(      &
                        nGC_188)*coupl(nGC_86)*coupl(nGC_89) + coupl(nGC_189)* &
                        coupl(nGC_647)*coupl(nGC_80) + coupl(nGC_190)*coupl(   &
                        nGC_629)*coupl(nGC_89) + coupl(nGC_190)*coupl(nGC_86)* &
                        coupl(nGC_94))/(32d0*pi**2d0)
      coupl(nGC_1831) = coupl(nGC_175)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2800) = -coupl(nGC_17)*dZA_QED2/2d0 - coupl(nGC_17)*           &
                        dZHMinus_QED2 - coupl(nGC_2305) - coupl(nGC_96)*       &
                        dZZA_QED2/2d0
      coupl(nGC_2801) = -coupl(nGC_2234) - coupl(nGC_3)*dZA_QED2/2d0 - coupl(  &
                        nGC_3)*dZWMinus_QED2 - coupl(nGC_82)*dZZA_QED2/2d0
      coupl(nGC_2802) = coupl(nGC_154)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_158 &
                        )*dZeMinusR_QED2/2d0 + coupl(nGC_158)*dZnu_eL_QED2/2d0 &
                         + coupl(nGC_2411)
      coupl(nGC_1936) = coupl(nGC_180)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2806) = coupl(nGC_1)*dZsL_QCD2
      coupl(nGC_1833) = coupl(nGC_182)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2357) = coupl(nGC_1501)*db_QED2 + coupl(nGC_1502)*dyd12x2_QED3 &
                         + coupl(nGC_1503)*dys2_QED3
      coupl(nGC_1834) = (-coupl(nGC_138)*coupl(nGC_140)*coupl(nGC_181) - coupl(&
                        nGC_140)*coupl(nGC_142)*coupl(nGC_178) - coupl(nGC_177 &
                        )**2d0*coupl(nGC_182) - coupl(nGC_177)*coupl(nGC_619)* &
                        coupl(nGC_88) - coupl(nGC_177)*coupl(nGC_85)*coupl(    &
                        nGC_91) - coupl(nGC_179)**2d0*coupl(nGC_182) - coupl(  &
                        nGC_180)**2d0*coupl(nGC_182) - coupl(nGC_180)*coupl(   &
                        nGC_629)*coupl(nGC_88) - coupl(nGC_180)*coupl(nGC_85)* &
                        coupl(nGC_94) - coupl(nGC_181)*coupl(nGC_627)*coupl(   &
                        nGC_80) - coupl(nGC_182)*coupl(nGC_183)**2d0 + 8d0*    &
                        coupl(nGC_183)*coupl(nGC_2)**2d0 + 8d0*coupl(nGC_183)* &
                        coupl(nGC_85)*coupl(nGC_88))/(32d0*pi**2d0)
      coupl(nGC_1835) = coupl(nGC_183)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_119_Hl) = -coupl(nGC_119)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1836) = (-coupl(nGC_184)**2d0*coupl(nGC_191) + coupl(nGC_184)* &
                        coupl(nGC_619)*coupl(nGC_86) + coupl(nGC_184)*coupl(   &
                        nGC_89)*coupl(nGC_91) - coupl(nGC_186)**2d0*coupl(     &
                        nGC_191) - coupl(nGC_188)**2d0*coupl(nGC_191) + coupl( &
                        nGC_188)*coupl(nGC_629)*coupl(nGC_86) + coupl(nGC_188)*&
                        coupl(nGC_89)*coupl(nGC_94) + coupl(nGC_189)*coupl(    &
                        nGC_72)*coupl(nGC_80) - coupl(nGC_190)**2d0*coupl(     &
                        nGC_191) + 8d0*coupl(nGC_190)*coupl(nGC_4)**2d0 + 8d0* &
                        coupl(nGC_190)*coupl(nGC_86)*coupl(nGC_89))/(32d0*pi** &
                        2d0)
      coupl(nGC_1837) = (-coupl(nGC_184)**2d0*coupl(nGC_190) + coupl(nGC_184)* &
                        coupl(nGC_619)*coupl(nGC_89) + coupl(nGC_184)*coupl(   &
                        nGC_86)*coupl(nGC_91) - coupl(nGC_187)**2d0*coupl(     &
                        nGC_190) - coupl(nGC_188)**2d0*coupl(nGC_190) + coupl( &
                        nGC_188)*coupl(nGC_629)*coupl(nGC_89) + coupl(nGC_188)*&
                        coupl(nGC_86)*coupl(nGC_94) + coupl(nGC_189)*coupl(    &
                        nGC_627)*coupl(nGC_80) - coupl(nGC_190)*coupl(nGC_191  &
                        )**2d0 + 8d0*coupl(nGC_191)*coupl(nGC_4)**2d0 + 8d0*   &
                        coupl(nGC_191)*coupl(nGC_86)*coupl(nGC_89))/(32d0*pi** &
                        2d0)
      coupl(nGC_3051) = coupl(nGC_2255) + coupl(nGC_25)*dZHhHl_QED2 + coupl(   &
                        nGC_28)*dZHaG0_QED2 + coupl(nGC_39)*dZHl_QED2
      coupl(nGC_3059) = coupl(nGC_114)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_2934) = coupl(nGC_2592) + coupl(nGC_MT)*dZtL_QED2/2d0 + coupl( &
                        nGC_MT)*dZtR_QED2/2d0 + coupl(nGC_TS_GC_177_Hl) + coupl&
                        (nGC_TS_GC_180_Hh)
      coupl(nGC_TS_GC_108_Hl) = -coupl(nGC_108)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2930) = coupl(nGC_130)*dZHlHh_QED2/2d0 + coupl(nGC_133)*       &
                        dZHh_QED2/2d0 + coupl(nGC_133)*dZcL_QED2/2d0 + coupl(  &
                        nGC_133)*dZcR_QED2/2d0 + coupl(nGC_2449)
      coupl(nGC_2931) = coupl(nGC_133)*dZcL_QCD2/2d0 + coupl(nGC_133)*dZcR_QCD2&
                        /2d0 + coupl(nGC_2450)
      coupl(nGC_2938) = dZGMinusHMinus_QED2*(coupl(nGC_114) + coupl(nGC_115))/ &
                        2d0
      coupl(nGC_TS_GC_41_Hl) = -coupl(nGC_41)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1709) = cMS*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_84)*coupl(    &
                        nGC_87))/(8d0*pi**2d0)
      coupl(nGC_TS_GC_41_Hh) = -coupl(nGC_41)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2331) = coupl(nGC_1336)*db_QED2 + coupl(nGC_1337)*dvev1_QED1 + &
                        coupl(nGC_1338)*dcw_QED2 + coupl(nGC_1339)*dZee_QED2 + &
                        coupl(nGC_1340)*dvev2_QED1
      coupl(nGC_1979) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_84) + coupl(nGC_137)**&
                        2d0*coupl(nGC_87) + coupl(nGC_138)**2d0*coupl(nGC_88   &
                        ) + coupl(nGC_139)*coupl(nGC_140)*coupl(nGC_87) + coupl&
                        (nGC_141)**2d0*coupl(nGC_87) + coupl(nGC_142)**2d0*    &
                        coupl(nGC_88) + coupl(nGC_143)*coupl(nGC_144)*coupl(   &
                        nGC_87) + 4d0*coupl(nGC_84)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1812) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_140) - coupl(nGC_137  &
                        )**2d0*coupl(nGC_139) - coupl(nGC_137)*coupl(nGC_629)* &
                        coupl(nGC_84) - coupl(nGC_137)*coupl(nGC_87)*coupl(    &
                        nGC_94) - coupl(nGC_138)*coupl(nGC_181)*coupl(nGC_183  &
                        ) - coupl(nGC_138)*coupl(nGC_72)*coupl(nGC_80) - coupl(&
                        nGC_139)*coupl(nGC_140)**2d0 - coupl(nGC_139)*coupl(   &
                        nGC_141)**2d0 - coupl(nGC_139)*coupl(nGC_143)**2d0 +   &
                        8d0*coupl(nGC_140)*coupl(nGC_84)*coupl(nGC_87) - coupl(&
                        nGC_141)*coupl(nGC_619)*coupl(nGC_84) - coupl(nGC_141)*&
                        coupl(nGC_87)*coupl(nGC_91) - coupl(nGC_142)*coupl(    &
                        nGC_178)*coupl(nGC_183))/(32d0*pi**2d0)
      coupl(nGC_2998) = coupl(nGC_2342) + coupl(nGC_7)*dZdL_QCD2 + coupl(nGC_7 &
                        )*dZg_QCD2/2d0
      coupl(nGC_TS_GC_104_Hl) = -coupl(nGC_104)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1941) = coupl(nGC_195)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2022) = coupl(nGC_7)*sq2*(-coupl(nGC_138)**2d0 - coupl(nGC_142 &
                        )**2d0 - coupl(nGC_177)**2d0 - coupl(nGC_179)*coupl(   &
                        nGC_639) - coupl(nGC_180)**2d0 - coupl(nGC_182)*coupl( &
                        nGC_183) - 4d0*coupl(nGC_2)**2d0 - 4d0*coupl(nGC_80)** &
                        2d0 - 4d0*coupl(nGC_88)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_2023) = coupl(nGC_7)*sq2*(-coupl(nGC_177)**2d0 - coupl(nGC_178 &
                        )**2d0 - coupl(nGC_179)*coupl(nGC_639) - coupl(nGC_180 &
                        )**2d0 - coupl(nGC_181)**2d0 - coupl(nGC_182)*coupl(   &
                        nGC_183) - 4d0*coupl(nGC_2)**2d0 - 4d0*coupl(nGC_85)** &
                        2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_2020) = coupl(nGC_7)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(nGC_169&
                        )**2d0 + coupl(nGC_170)**2d0 + coupl(nGC_171)*coupl(   &
                        nGC_172) + coupl(nGC_173)**2d0 + coupl(nGC_174)**2d0 + &
                        coupl(nGC_175)*coupl(nGC_176) + 4d0*coupl(nGC_84)**2d0 &
                        )/(64d0*pi**2d0)
      coupl(nGC_2021) = coupl(nGC_7)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(nGC_6  &
                        ) - coupl(nGC_7))/(64d0*pi**2d0*Nc)
      coupl(nGC_2024) = coupl(nGC_7)*sq2*(coupl(nGC_138)**2d0 + coupl(nGC_142  &
                        )**2d0 + coupl(nGC_177)**2d0 + coupl(nGC_179)*coupl(   &
                        nGC_639) + coupl(nGC_180)**2d0 + coupl(nGC_182)*coupl( &
                        nGC_183) + 4d0*coupl(nGC_2)**2d0 + 4d0*coupl(nGC_80)** &
                        2d0 + 4d0*coupl(nGC_88)**2d0)/(64d0*pi**2d0)
      coupl(nGC_2025) = coupl(nGC_7)*sq2*(coupl(nGC_177)**2d0 + coupl(nGC_178  &
                        )**2d0 + coupl(nGC_179)*coupl(nGC_639) + coupl(nGC_180 &
                        )**2d0 + coupl(nGC_181)**2d0 + coupl(nGC_182)*coupl(   &
                        nGC_183) + 4d0*coupl(nGC_2)**2d0 + 4d0*coupl(nGC_85)** &
                        2d0)/(64d0*pi**2d0)
      coupl(nGC_1672) = (-8d0*Nc*cMB**2d0*cima*coupl(nGC_139)*coupl(nGC_140) - &
                        8d0*Nc*cMC**2d0*cima*coupl(nGC_135)*coupl(nGC_136) -   &
                        8d0*Nc*cMD**2d0*cima*coupl(nGC_151)*coupl(nGC_152) -   &
                        8d0*Nc*cMS**2d0*cima*coupl(nGC_175)*coupl(nGC_176) -   &
                        8d0*Nc*cMT**2d0*cima*coupl(nGC_182)*coupl(nGC_183) -   &
                        8d0*Nc*cMU**2d0*cima*coupl(nGC_197)*coupl(nGC_198) -   &
                        8d0*cME**2d0*cima*coupl(nGC_159)*coupl(nGC_160) - cMHH &
                        **2d0*cima*coupl(nGC_629)*coupl(nGC_94) - cMHL**2d0*   &
                        cima*coupl(nGC_619)*coupl(nGC_91) - 8d0*cMM**2d0*cima* &
                        coupl(nGC_167)*coupl(nGC_168) - 8d0*cMTA**2d0*cima*    &
                        coupl(nGC_190)*coupl(nGC_191) - 4d0*cMW**2d0*cima*coupl&
                        (nGC_627)*coupl(nGC_72) - 4d0*cMW**2d0*coupl(nGC_62) - &
                        cMZ**2d0*cima*coupl(nGC_619)*coupl(nGC_91) - cMZ**2d0* &
                        cima*coupl(nGC_629)*coupl(nGC_94) - 2d0*cMZ**2d0*coupl(&
                        nGC_101))/(32d0*pi**2d0)
      coupl(nGC_TS_GC_149_Hh) = -coupl(nGC_149)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2208) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_130)**2d0  &
                         - coupl(nGC_141)**2d0 - coupl(nGC_145)**2d0 - coupl(  &
                        nGC_169)**2d0 - coupl(nGC_177)**2d0 - coupl(nGC_192)** &
                        2d0)/(16d0*pi**2d0)
      coupl(nGC_2209) = (3d0*Nc*cima*coupl(nGC_84)**4d0 + 3d0*Nc*cima*coupl(   &
                        nGC_85)**4d0 + 3d0*Nc*cima*coupl(nGC_87)**4d0 + 3d0*Nc*&
                        cima*coupl(nGC_88)**4d0 - 10d0*cima*coupl(nGC_609)**4d0&
                         + 3d0*cima*coupl(nGC_649)**2d0 - 10d0*cima*coupl(     &
                        nGC_82)**4d0 + 3d0*cima*coupl(nGC_86)**4d0 + 3d0*cima* &
                        coupl(nGC_89)**4d0 + 3d0*cima*coupl(nGC_90)**4d0 + 9d0*&
                        coupl(nGC_609)**2d0*coupl(nGC_649) + 3d0*coupl(nGC_609 &
                        )**2d0*coupl(nGC_79) + 9d0*coupl(nGC_649)*coupl(nGC_82 &
                        )**2d0 + 3d0*coupl(nGC_79)*coupl(nGC_82)**2d0)/(24d0*pi&
                        **2d0)
      coupl(nGC_2719) = coupl(nGC_170)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_174 &
                        )*dZcL_QED2/2d0 + coupl(nGC_174)*dZsR_QED2/2d0 + coupl(&
                        nGC_2357)
      coupl(nGC_1679) = cima*(4d0*Nc*coupl(nGC_130)**2d0 + 4d0*Nc*coupl(nGC_141&
                        )**2d0 + 4d0*Nc*coupl(nGC_145)**2d0 + 4d0*Nc*coupl(    &
                        nGC_169)**2d0 + 4d0*Nc*coupl(nGC_177)**2d0 + 4d0*Nc*   &
                        coupl(nGC_192)**2d0 + 4d0*coupl(nGC_153)**2d0 + 4d0*   &
                        coupl(nGC_161)**2d0 + 4d0*coupl(nGC_184)**2d0 + coupl( &
                        nGC_619)*coupl(nGC_91) + coupl(nGC_625)*coupl(nGC_68   &
                        ) + coupl(nGC_629)*coupl(nGC_94) + coupl(nGC_63)*coupl(&
                        nGC_645) + coupl(nGC_631)*coupl(nGC_64) + coupl(nGC_647&
                        )*coupl(nGC_69))/(96d0*pi**2d0)
      coupl(nGC_2619) = -coupl(nGC_96)*dZGMinus
      coupl(nGC_2618) = -coupl(nGC_17)*dZAZ_QED2/2d0 - coupl(nGC_2325) - coupl(&
                        nGC_96)*dZZ_QED2/2d0
      coupl(nGC_1779) = (8d0*coupl(nGC_1)*coupl(nGC_196)*coupl(nGC_2) - coupl( &
                        nGC_1)*coupl(nGC_196)*coupl(nGC_641) - coupl(nGC_145)* &
                        coupl(nGC_150)*coupl(nGC_192) - coupl(nGC_147)*coupl(  &
                        nGC_150)*coupl(nGC_194) - coupl(nGC_149)*coupl(nGC_150 &
                        )*coupl(nGC_195) - coupl(nGC_150)*coupl(nGC_151)*coupl(&
                        nGC_198) - coupl(nGC_17)*coupl(nGC_196)*coupl(nGC_2) - &
                        coupl(nGC_192)*coupl(nGC_631)*coupl(nGC_80) - coupl(   &
                        nGC_195)*coupl(nGC_647)*coupl(nGC_80) - coupl(nGC_196)*&
                        coupl(nGC_651)*coupl(nGC_87) + 8d0*coupl(nGC_196)*coupl&
                        (nGC_85)*coupl(nGC_87) - coupl(nGC_196)*coupl(nGC_85)* &
                        coupl(nGC_96) - coupl(nGC_198)*coupl(nGC_72)*coupl(    &
                        nGC_80))/(32d0*pi**2d0)
      coupl(nGC_2611) = coupl(nGC_2581) + coupl(nGC_MHL)*dZHl_QED2 + coupl(    &
                        nGC_TS_GC_104_Hl) + coupl(nGC_TS_GC_106_Hh)
      coupl(nGC_1776) = coupl(nGC_174)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2613) = coupl(nGC_36)*dZGMinus/2d0
      coupl(nGC_2612) = coupl(nGC_I)*dZHl_QED2
      coupl(nGC_2615) = coupl(nGC_15)*dZHMinus_QED2/2d0 + coupl(nGC_15)*       &
                        dZHh_QED2/2d0 + coupl(nGC_15)*dZWMinus_QED2/2d0 + coupl&
                        (nGC_15)*dZZ_QED2/2d0 + coupl(nGC_16)*                 &
                        dZGMinusHMinus_QED2/2d0 + coupl(nGC_16)*dZHlHh_QED2/2d0&
                         + coupl(nGC_2330) + coupl(nGC_66)*dZAZ_QED2/2d0
      coupl(nGC_1770) = coupl(nGC_138)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1784) = (2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_139)*coupl(nGC_142&
                        ) + 2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_140)*coupl(    &
                        nGC_142) + 2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_178)*   &
                        coupl(nGC_182) + 2d0*Nc*cMB*coupl(nGC_139)*coupl(      &
                        nGC_178)*coupl(nGC_181) + 2d0*Nc*cMB*coupl(nGC_140)*   &
                        coupl(nGC_178)*coupl(nGC_181) + 2d0*Nc*cMB*coupl(      &
                        nGC_142)*coupl(nGC_181)*coupl(nGC_183) + 2d0*Nc*cMC*   &
                        coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_135) + 2d0*Nc* &
                        cMC*coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_136) + 2d0*&
                        Nc*cMC*coupl(nGC_131)*coupl(nGC_174)*coupl(nGC_176) +  &
                        2d0*Nc*cMC*coupl(nGC_134)*coupl(nGC_170)*coupl(nGC_175 &
                        ) + 2d0*Nc*cMC*coupl(nGC_135)*coupl(nGC_170)*coupl(    &
                        nGC_174) + 2d0*Nc*cMC*coupl(nGC_136)*coupl(nGC_170)*   &
                        coupl(nGC_174) + 2d0*Nc*cMD*coupl(nGC_146)*coupl(      &
                        nGC_150)*coupl(nGC_151) + 2d0*Nc*cMD*coupl(nGC_146)*   &
                        coupl(nGC_150)*coupl(nGC_152) + 2d0*Nc*cMD*coupl(      &
                        nGC_146)*coupl(nGC_196)*coupl(nGC_198) + 2d0*Nc*cMD*   &
                        coupl(nGC_150)*coupl(nGC_193)*coupl(nGC_197) + 2d0*Nc* &
                        cMD*coupl(nGC_151)*coupl(nGC_193)*coupl(nGC_196) + 2d0*&
                        Nc*cMD*coupl(nGC_152)*coupl(nGC_193)*coupl(nGC_196) +  &
                        2d0*Nc*cMS*coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_175 &
                        ) + 2d0*Nc*cMS*coupl(nGC_131)*coupl(nGC_134)*coupl(    &
                        nGC_176) + 2d0*Nc*cMS*coupl(nGC_131)*coupl(nGC_135)*   &
                        coupl(nGC_174) + 2d0*Nc*cMS*coupl(nGC_134)*coupl(      &
                        nGC_136)*coupl(nGC_170) + 2d0*Nc*cMS*coupl(nGC_170)*   &
                        coupl(nGC_174)*coupl(nGC_175) + 2d0*Nc*cMS*coupl(      &
                        nGC_170)*coupl(nGC_174)*coupl(nGC_176) + 2d0*Nc*cMT*   &
                        coupl(nGC_138)*coupl(nGC_140)*coupl(nGC_178) + 2d0*Nc* &
                        cMT*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_182) + 2d0*&
                        Nc*cMT*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_183) +  &
                        2d0*Nc*cMT*coupl(nGC_139)*coupl(nGC_142)*coupl(nGC_181 &
                        ) + 2d0*Nc*cMT*coupl(nGC_178)*coupl(nGC_181)*coupl(    &
                        nGC_182) + 2d0*Nc*cMT*coupl(nGC_178)*coupl(nGC_181)*   &
                        coupl(nGC_183) + 2d0*Nc*cMU*coupl(nGC_146)*coupl(      &
                        nGC_150)*coupl(nGC_197) + 2d0*Nc*cMU*coupl(nGC_146)*   &
                        coupl(nGC_150)*coupl(nGC_198) + 2d0*Nc*cMU*coupl(      &
                        nGC_146)*coupl(nGC_151)*coupl(nGC_196) + 2d0*Nc*cMU*   &
                        coupl(nGC_150)*coupl(nGC_152)*coupl(nGC_193) + 2d0*Nc* &
                        cMU*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_197) + 2d0*&
                        Nc*cMU*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_198) +  &
                        2d0*cME*coupl(nGC_154)*coupl(nGC_158)*coupl(nGC_159) + &
                        2d0*cME*coupl(nGC_154)*coupl(nGC_158)*coupl(nGC_160) + &
                        2d0*cMM*coupl(nGC_162)*coupl(nGC_166)*coupl(nGC_167) + &
                        2d0*cMM*coupl(nGC_162)*coupl(nGC_166)*coupl(nGC_168) + &
                        2d0*cMTA*coupl(nGC_185)*coupl(nGC_189)*coupl(nGC_190   &
                        ) + 2d0*cMTA*coupl(nGC_185)*coupl(nGC_189)*coupl(      &
                        nGC_191) + 4d0*cima*coupl(nGC_102)*coupl(nGC_20) + 4d0*&
                        cima*coupl(nGC_126)*coupl(nGC_74) - coupl(nGC_102)*    &
                        coupl(nGC_619)*coupl(nGC_64) - coupl(nGC_102)*coupl(   &
                        nGC_627)*coupl(nGC_651) - coupl(nGC_102)*coupl(nGC_629 &
                        )*coupl(nGC_69) - coupl(nGC_107)*coupl(nGC_63)*coupl(  &
                        nGC_94) - coupl(nGC_107)*coupl(nGC_69)*coupl(nGC_91) + &
                        coupl(nGC_108)*coupl(nGC_625)*coupl(nGC_627) + coupl(  &
                        nGC_109)*coupl(nGC_627)*coupl(nGC_69) + coupl(nGC_111)*&
                        coupl(nGC_625)*coupl(nGC_72) + coupl(nGC_111)*coupl(   &
                        nGC_629)*coupl(nGC_96) + coupl(nGC_111)*coupl(nGC_94)* &
                        coupl(nGC_96) + coupl(nGC_112)*coupl(nGC_69)*coupl(    &
                        nGC_72) + coupl(nGC_114)*coupl(nGC_641)**2d0 + coupl(  &
                        nGC_114)*coupl(nGC_651)**2d0 + coupl(nGC_114)*coupl(   &
                        nGC_72)**2d0 + coupl(nGC_116)*coupl(nGC_627)*coupl(    &
                        nGC_631) + coupl(nGC_117)*coupl(nGC_627)*coupl(nGC_63  &
                        ) + coupl(nGC_119)*coupl(nGC_619)*coupl(nGC_96) + coupl&
                        (nGC_119)*coupl(nGC_645)*coupl(nGC_72) + coupl(nGC_119 &
                        )*coupl(nGC_91)*coupl(nGC_96) + coupl(nGC_120)*coupl(  &
                        nGC_64)*coupl(nGC_72) - coupl(nGC_126)*coupl(nGC_627)* &
                        coupl(nGC_641))/(32d0*pi**2d0)
      coupl(nGC_1935) = (-coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_181) - coupl(&
                        nGC_137)*coupl(nGC_142)*coupl(nGC_178) - coupl(nGC_177 &
                        )**2d0*coupl(nGC_180) - coupl(nGC_178)*coupl(nGC_645)* &
                        coupl(nGC_80) - coupl(nGC_179)**2d0*coupl(nGC_180) -   &
                        coupl(nGC_179)*coupl(nGC_617)*coupl(nGC_85) - coupl(   &
                        nGC_179)*coupl(nGC_88)*coupl(nGC_92) - coupl(nGC_180)**&
                        3d0 - coupl(nGC_180)*coupl(nGC_183)**2d0 + 8d0*coupl(  &
                        nGC_180)*coupl(nGC_2)**2d0 + 8d0*coupl(nGC_180)*coupl( &
                        nGC_85)*coupl(nGC_88) - coupl(nGC_181)*coupl(nGC_69)*  &
                        coupl(nGC_80) - coupl(nGC_183)*coupl(nGC_629)*coupl(   &
                        nGC_85) - coupl(nGC_183)*coupl(nGC_88)*coupl(nGC_94))/(&
                        32d0*pi**2d0)
      coupl(nGC_3190) = coupl(nGC_2254) + coupl(nGC_26)*dZHlHh_QED2 + coupl(   &
                        nGC_29)*dZG0Ha_QED2 + coupl(nGC_38)*dZHa_QED2 + coupl( &
                        nGC_38)*dZHh_QED2
      coupl(nGC_2117) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_131)*coupl(&
                        nGC_134) - coupl(nGC_138)*coupl(nGC_142) - coupl(      &
                        nGC_146)*coupl(nGC_150) - coupl(nGC_170)*coupl(nGC_174 &
                        ) - coupl(nGC_178)*coupl(nGC_181) - coupl(nGC_193)*    &
                        coupl(nGC_196))/(32d0*pi**2d0)
      coupl(nGC_2114) = (-16d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*coupl(    &
                        nGC_85)**2d0 + 20d0*Nc*cima*coupl(nGC_131)*coupl(      &
                        nGC_134)*coupl(nGC_85)*coupl(nGC_87) - 16d0*Nc*cima*   &
                        coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_87)**2d0 - 16d0&
                        *Nc*cima*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_84)** &
                        2d0 + 20d0*Nc*cima*coupl(nGC_138)*coupl(nGC_142)*coupl(&
                        nGC_84)*coupl(nGC_88) - 16d0*Nc*cima*coupl(nGC_138)*   &
                        coupl(nGC_142)*coupl(nGC_88)**2d0 - 16d0*Nc*cima*coupl(&
                        nGC_146)*coupl(nGC_150)*coupl(nGC_84)**2d0 + 20d0*Nc*  &
                        cima*coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_84)*coupl(&
                        nGC_88) - 16d0*Nc*cima*coupl(nGC_146)*coupl(nGC_150)*  &
                        coupl(nGC_88)**2d0 - 16d0*Nc*cima*coupl(nGC_170)*coupl(&
                        nGC_174)*coupl(nGC_84)**2d0 + 20d0*Nc*cima*coupl(      &
                        nGC_170)*coupl(nGC_174)*coupl(nGC_84)*coupl(nGC_88) -  &
                        16d0*Nc*cima*coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_88&
                        )**2d0 - 16d0*Nc*cima*coupl(nGC_178)*coupl(nGC_181)*   &
                        coupl(nGC_85)**2d0 + 20d0*Nc*cima*coupl(nGC_178)*coupl(&
                        nGC_181)*coupl(nGC_85)*coupl(nGC_87) - 16d0*Nc*cima*   &
                        coupl(nGC_178)*coupl(nGC_181)*coupl(nGC_87)**2d0 - 16d0&
                        *Nc*cima*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_85)** &
                        2d0 + 20d0*Nc*cima*coupl(nGC_193)*coupl(nGC_196)*coupl(&
                        nGC_85)*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_193)*   &
                        coupl(nGC_196)*coupl(nGC_87)**2d0 - 16d0*cima*coupl(   &
                        nGC_154)*coupl(nGC_158)*coupl(nGC_86)**2d0 + 20d0*cima*&
                        coupl(nGC_154)*coupl(nGC_158)*coupl(nGC_86)*coupl(     &
                        nGC_90) - 16d0*cima*coupl(nGC_154)*coupl(nGC_158)*coupl&
                        (nGC_90)**2d0 - 16d0*cima*coupl(nGC_162)*coupl(nGC_166 &
                        )*coupl(nGC_86)**2d0 + 20d0*cima*coupl(nGC_162)*coupl( &
                        nGC_166)*coupl(nGC_86)*coupl(nGC_90) - 16d0*cima*coupl(&
                        nGC_162)*coupl(nGC_166)*coupl(nGC_90)**2d0 - 16d0*cima*&
                        coupl(nGC_185)*coupl(nGC_189)*coupl(nGC_86)**2d0 + 20d0&
                        *cima*coupl(nGC_185)*coupl(nGC_189)*coupl(nGC_86)*coupl&
                        (nGC_90) - 16d0*cima*coupl(nGC_185)*coupl(nGC_189)*    &
                        coupl(nGC_90)**2d0 + 4d0*cima*coupl(nGC_617)*coupl(    &
                        nGC_627)*coupl(nGC_72)*coupl(nGC_94) + 4d0*cima*coupl( &
                        nGC_617)*coupl(nGC_645)*coupl(nGC_647)*coupl(nGC_92) + &
                        4d0*cima*coupl(nGC_617)*coupl(nGC_647)**2d0*coupl(     &
                        nGC_94) + 4d0*cima*coupl(nGC_619)*coupl(nGC_631)*coupl(&
                        nGC_645)*coupl(nGC_94) + 4d0*cima*coupl(nGC_619)*coupl(&
                        nGC_631)*coupl(nGC_647)*coupl(nGC_91) + 4d0*cima*coupl(&
                        nGC_627)*coupl(nGC_629)*coupl(nGC_72)*coupl(nGC_91) +  &
                        4d0*cima*coupl(nGC_629)*coupl(nGC_631)*coupl(nGC_645)* &
                        coupl(nGC_92) + 4d0*cima*coupl(nGC_629)*coupl(nGC_631)*&
                        coupl(nGC_647)*coupl(nGC_94) + 4d0*cima*coupl(nGC_629)*&
                        coupl(nGC_645)*coupl(nGC_647)*coupl(nGC_94) + 4d0*cima*&
                        coupl(nGC_629)*coupl(nGC_647)**2d0*coupl(nGC_91) + 9d0*&
                        cima*coupl(nGC_63)*coupl(nGC_68)*coupl(nGC_82)**2d0 +  &
                        9d0*cima*coupl(nGC_64)*coupl(nGC_68)*coupl(nGC_82)**2d0&
                         - 6d0*coupl(nGC_14)*coupl(nGC_68)*coupl(nGC_82) - 6d0*&
                        coupl(nGC_15)*coupl(nGC_68)*coupl(nGC_82) - 6d0*coupl( &
                        nGC_16)*coupl(nGC_63)*coupl(nGC_82) - 6d0*coupl(nGC_16 &
                        )*coupl(nGC_64)*coupl(nGC_82) - 3d0*coupl(nGC_63)*coupl&
                        (nGC_649)*coupl(nGC_68) + 3d0*coupl(nGC_631)*coupl(    &
                        nGC_647)*coupl(nGC_99) - 3d0*coupl(nGC_64)*coupl(      &
                        nGC_649)*coupl(nGC_68) + 3d0*coupl(nGC_645)*coupl(     &
                        nGC_647)*coupl(nGC_99))/(96d0*pi**2d0)
      coupl(nGC_2299) = coupl(nGC_343)*db_QED2 + coupl(nGC_345)*dvev2_QED1 +   &
                        coupl(nGC_347)*da_QED2 + coupl(nGC_349)*dl2_QED4 +     &
                        coupl(nGC_351)*dl1_QED4 + coupl(nGC_353)*dl4_QED4 +    &
                        coupl(nGC_355)*dl3_QED4 + coupl(nGC_357)*dvev1_QED1 +  &
                        coupl(nGC_359)*dl5_QED4
      coupl(nGC_2298) = coupl(nGC_1309)*dvev2_QED1 + coupl(nGC_1310)*dvev1_QED1&
                         + coupl(nGC_1311)*dl2_QED4 + coupl(nGC_1312)*dl1_QED4 &
                         + coupl(nGC_1313)*dl4_QED4 + coupl(nGC_1314)*dl3_QED4 &
                         + coupl(nGC_1315)*da_QED2 + coupl(nGC_1316)*dl5_QED4
      coupl(nGC_2110) = (20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_133)**2d0*coupl(&
                        nGC_134) + 20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_133)* &
                        coupl(nGC_173)*coupl(nGC_174) + 20d0*Nc*cima*coupl(    &
                        nGC_131)*coupl(nGC_134)*coupl(nGC_173)**2d0 + 20d0*Nc* &
                        cima*coupl(nGC_133)**2d0*coupl(nGC_170)*coupl(nGC_174  &
                        ) + 20d0*Nc*cima*coupl(nGC_133)*coupl(nGC_134)*coupl(  &
                        nGC_170)*coupl(nGC_173) + 20d0*Nc*cima*coupl(nGC_137)**&
                        2d0*coupl(nGC_138)*coupl(nGC_142) + 20d0*Nc*cima*coupl(&
                        nGC_137)**2d0*coupl(nGC_178)*coupl(nGC_181) + 20d0*Nc* &
                        cima*coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_178)*coupl&
                        (nGC_180) + 20d0*Nc*cima*coupl(nGC_137)*coupl(nGC_142)*&
                        coupl(nGC_180)*coupl(nGC_181) + 20d0*Nc*cima*coupl(    &
                        nGC_138)*coupl(nGC_142)*coupl(nGC_180)**2d0 + 20d0*Nc* &
                        cima*coupl(nGC_146)*coupl(nGC_149)**2d0*coupl(nGC_150  &
                        ) + 20d0*Nc*cima*coupl(nGC_146)*coupl(nGC_149)*coupl(  &
                        nGC_195)*coupl(nGC_196) + 20d0*Nc*cima*coupl(nGC_146)* &
                        coupl(nGC_150)*coupl(nGC_195)**2d0 + 20d0*Nc*cima*coupl&
                        (nGC_149)**2d0*coupl(nGC_193)*coupl(nGC_196) + 20d0*Nc*&
                        cima*coupl(nGC_149)*coupl(nGC_150)*coupl(nGC_193)*coupl&
                        (nGC_195) + 20d0*Nc*cima*coupl(nGC_170)*coupl(nGC_173  &
                        )**2d0*coupl(nGC_174) + 20d0*Nc*cima*coupl(nGC_178)*   &
                        coupl(nGC_180)**2d0*coupl(nGC_181) + 20d0*Nc*cima*coupl&
                        (nGC_193)*coupl(nGC_195)**2d0*coupl(nGC_196) + 24d0*   &
                        cima*coupl(nGC_15)*coupl(nGC_16) + 20d0*cima*coupl(    &
                        nGC_154)*coupl(nGC_157)**2d0*coupl(nGC_158) + 20d0*cima&
                        *coupl(nGC_162)*coupl(nGC_165)**2d0*coupl(nGC_166) +   &
                        20d0*cima*coupl(nGC_185)*coupl(nGC_188)**2d0*coupl(    &
                        nGC_189) - 5d0*cima*coupl(nGC_617)*coupl(nGC_647)*coupl&
                        (nGC_651)*coupl(nGC_72) - 10d0*cima*coupl(nGC_627)*    &
                        coupl(nGC_629)*coupl(nGC_72)*coupl(nGC_92) - 5d0*cima* &
                        coupl(nGC_627)*coupl(nGC_645)*coupl(nGC_651)*coupl(    &
                        nGC_94) - 5d0*cima*coupl(nGC_627)*coupl(nGC_68)*coupl( &
                        nGC_92)*coupl(nGC_96) - 5d0*cima*coupl(nGC_629)*coupl( &
                        nGC_64)*coupl(nGC_72)*coupl(nGC_96) - 10d0*cima*coupl( &
                        nGC_63)**2d0*coupl(nGC_645)*coupl(nGC_68) - 10d0*cima* &
                        coupl(nGC_63)*coupl(nGC_64)*coupl(nGC_645)*coupl(nGC_68&
                        ) - 10d0*cima*coupl(nGC_63)*coupl(nGC_647)*coupl(nGC_68&
                        )*coupl(nGC_69) - 10d0*cima*coupl(nGC_64)*coupl(nGC_647&
                        )*coupl(nGC_68)*coupl(nGC_69) - 10d0*cima*coupl(nGC_641&
                        )**2d0*coupl(nGC_645)*coupl(nGC_647) - 10d0*cima*coupl(&
                        nGC_645)*coupl(nGC_647)*coupl(nGC_651)**2d0 + 24d0*cima&
                        *coupl(nGC_66)*coupl(nGC_70) + 3d0*coupl(nGC_10)*coupl(&
                        nGC_631)*coupl(nGC_645) + 3d0*coupl(nGC_10)*coupl(     &
                        nGC_647)**2d0 + 3d0*coupl(nGC_12)*coupl(nGC_645)*coupl(&
                        nGC_647) + 3d0*coupl(nGC_13)*coupl(nGC_631)*coupl(     &
                        nGC_647) - 6d0*coupl(nGC_15)*coupl(nGC_629)*coupl(     &
                        nGC_72) - 6d0*coupl(nGC_15)*coupl(nGC_647)*coupl(      &
                        nGC_651) - 6d0*coupl(nGC_16)*coupl(nGC_627)*coupl(     &
                        nGC_92) - 6d0*coupl(nGC_16)*coupl(nGC_645)*coupl(      &
                        nGC_651) + 6d0*coupl(nGC_22)*coupl(nGC_63)*coupl(      &
                        nGC_645) + 6d0*coupl(nGC_23)*coupl(nGC_647)*coupl(     &
                        nGC_68) + 6d0*coupl(nGC_27)*coupl(nGC_63)*coupl(nGC_64 &
                        ) + 3d0*coupl(nGC_27)*coupl(nGC_641)**2d0 + 3d0*coupl( &
                        nGC_27)*coupl(nGC_651)**2d0 + 6d0*coupl(nGC_27)*coupl( &
                        nGC_68)*coupl(nGC_69) + 3d0*coupl(nGC_29)*coupl(nGC_627&
                        )*coupl(nGC_72) + 6d0*coupl(nGC_32)*coupl(nGC_64)*coupl&
                        (nGC_647) + 6d0*coupl(nGC_34)*coupl(nGC_645)*coupl(    &
                        nGC_68) + 6d0*coupl(nGC_36)*coupl(nGC_63)*coupl(nGC_68 &
                        ) + 6d0*coupl(nGC_36)*coupl(nGC_63)*coupl(nGC_69) + 6d0&
                        *coupl(nGC_40)*coupl(nGC_627)*coupl(nGC_69) + 6d0*coupl&
                        (nGC_40)*coupl(nGC_629)*coupl(nGC_96) + 6d0*coupl(     &
                        nGC_40)*coupl(nGC_94)*coupl(nGC_96) + 3d0*coupl(nGC_42 &
                        )*coupl(nGC_617)*coupl(nGC_92) + 3d0*coupl(nGC_43)*    &
                        coupl(nGC_629)*coupl(nGC_94) + 3d0*coupl(nGC_44)*coupl(&
                        nGC_63)*coupl(nGC_645) + 3d0*coupl(nGC_44)*coupl(      &
                        nGC_631)*coupl(nGC_64) + 3d0*coupl(nGC_45)*coupl(      &
                        nGC_625)*coupl(nGC_68) + 3d0*coupl(nGC_45)*coupl(      &
                        nGC_647)*coupl(nGC_69) + 6d0*coupl(nGC_48)*coupl(      &
                        nGC_617)*coupl(nGC_96) + 6d0*coupl(nGC_48)*coupl(nGC_63&
                        )*coupl(nGC_72) + 6d0*coupl(nGC_48)*coupl(nGC_92)*coupl&
                        (nGC_96) + 3d0*coupl(nGC_57)*coupl(nGC_64)*coupl(nGC_68&
                        ) + 3d0*coupl(nGC_57)*coupl(nGC_645)*coupl(nGC_647) +  &
                        3d0*coupl(nGC_58)*coupl(nGC_617)*coupl(nGC_94) + 3d0*  &
                        coupl(nGC_58)*coupl(nGC_629)*coupl(nGC_92) + 3d0*coupl(&
                        nGC_60)*coupl(nGC_625)*coupl(nGC_631) + 3d0*coupl(     &
                        nGC_60)*coupl(nGC_63)*coupl(nGC_69) - 3d0*coupl(nGC_61 &
                        )*coupl(nGC_63)*coupl(nGC_68) - 3d0*coupl(nGC_61)*coupl&
                        (nGC_64)*coupl(nGC_68) - 6d0*coupl(nGC_641)*coupl(     &
                        nGC_645)*coupl(nGC_70) - 6d0*coupl(nGC_641)*coupl(     &
                        nGC_647)*coupl(nGC_66))/(96d0*pi**2d0)
      coupl(nGC_2111) = (20d0*Nc*cima*coupl(nGC_130)*coupl(nGC_131)*coupl(     &
                        nGC_133)*coupl(nGC_134) + 10d0*Nc*cima*coupl(nGC_130)* &
                        coupl(nGC_131)*coupl(nGC_173)*coupl(nGC_174) + 20d0*Nc*&
                        cima*coupl(nGC_130)*coupl(nGC_133)*coupl(nGC_170)*coupl&
                        (nGC_174) + 10d0*Nc*cima*coupl(nGC_130)*coupl(nGC_134)*&
                        coupl(nGC_170)*coupl(nGC_173) + 10d0*Nc*cima*coupl(    &
                        nGC_131)*coupl(nGC_133)*coupl(nGC_169)*coupl(nGC_174   &
                        ) + 20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*coupl(  &
                        nGC_169)*coupl(nGC_173) + 10d0*Nc*cima*coupl(nGC_133)* &
                        coupl(nGC_134)*coupl(nGC_169)*coupl(nGC_170) + 20d0*Nc*&
                        cima*coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_141)*coupl&
                        (nGC_142) + 10d0*Nc*cima*coupl(nGC_137)*coupl(nGC_138)*&
                        coupl(nGC_177)*coupl(nGC_178) + 20d0*Nc*cima*coupl(    &
                        nGC_137)*coupl(nGC_141)*coupl(nGC_178)*coupl(nGC_181   &
                        ) + 10d0*Nc*cima*coupl(nGC_137)*coupl(nGC_142)*coupl(  &
                        nGC_177)*coupl(nGC_181) + 10d0*Nc*cima*coupl(nGC_138)* &
                        coupl(nGC_141)*coupl(nGC_178)*coupl(nGC_180) + 20d0*Nc*&
                        cima*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_177)*coupl&
                        (nGC_180) + 10d0*Nc*cima*coupl(nGC_141)*coupl(nGC_142)*&
                        coupl(nGC_180)*coupl(nGC_181) + 20d0*Nc*cima*coupl(    &
                        nGC_145)*coupl(nGC_146)*coupl(nGC_149)*coupl(nGC_150   &
                        ) + 10d0*Nc*cima*coupl(nGC_145)*coupl(nGC_146)*coupl(  &
                        nGC_195)*coupl(nGC_196) + 20d0*Nc*cima*coupl(nGC_145)* &
                        coupl(nGC_149)*coupl(nGC_193)*coupl(nGC_196) + 10d0*Nc*&
                        cima*coupl(nGC_145)*coupl(nGC_150)*coupl(nGC_193)*coupl&
                        (nGC_195) + 10d0*Nc*cima*coupl(nGC_146)*coupl(nGC_149)*&
                        coupl(nGC_192)*coupl(nGC_196) + 20d0*Nc*cima*coupl(    &
                        nGC_146)*coupl(nGC_150)*coupl(nGC_192)*coupl(nGC_195   &
                        ) + 10d0*Nc*cima*coupl(nGC_149)*coupl(nGC_150)*coupl(  &
                        nGC_192)*coupl(nGC_193) + 20d0*Nc*cima*coupl(nGC_169)* &
                        coupl(nGC_170)*coupl(nGC_173)*coupl(nGC_174) + 20d0*Nc*&
                        cima*coupl(nGC_177)*coupl(nGC_178)*coupl(nGC_180)*coupl&
                        (nGC_181) + 20d0*Nc*cima*coupl(nGC_192)*coupl(nGC_193)*&
                        coupl(nGC_195)*coupl(nGC_196) + 12d0*cima*coupl(nGC_14 &
                        )*coupl(nGC_15) + 20d0*cima*coupl(nGC_153)*coupl(      &
                        nGC_154)*coupl(nGC_157)*coupl(nGC_158) + 12d0*cima*    &
                        coupl(nGC_16)**2d0 + 20d0*cima*coupl(nGC_161)*coupl(   &
                        nGC_162)*coupl(nGC_165)*coupl(nGC_166) + 20d0*cima*    &
                        coupl(nGC_184)*coupl(nGC_185)*coupl(nGC_188)*coupl(    &
                        nGC_189) - 5d0*cima*coupl(nGC_619)*coupl(nGC_627)*coupl&
                        (nGC_72)*coupl(nGC_92) - 5d0*cima*coupl(nGC_627)*coupl(&
                        nGC_629)*coupl(nGC_72)*coupl(nGC_94) - 5d0*cima*coupl( &
                        nGC_627)*coupl(nGC_63)*coupl(nGC_92)*coupl(nGC_96) -   &
                        5d0*cima*coupl(nGC_627)*coupl(nGC_645)*coupl(nGC_651)* &
                        coupl(nGC_91) - 5d0*cima*coupl(nGC_629)*coupl(nGC_647)*&
                        coupl(nGC_651)*coupl(nGC_72) - 5d0*cima*coupl(nGC_629)*&
                        coupl(nGC_68)*coupl(nGC_72)*coupl(nGC_96) - 5d0*cima*  &
                        coupl(nGC_63)**2d0*coupl(nGC_647)*coupl(nGC_68) - 5d0* &
                        cima*coupl(nGC_63)*coupl(nGC_631)*coupl(nGC_68)*coupl( &
                        nGC_69) - 10d0*cima*coupl(nGC_63)*coupl(nGC_64)*coupl( &
                        nGC_647)*coupl(nGC_68) - 5d0*cima*coupl(nGC_63)*coupl( &
                        nGC_645)*coupl(nGC_68)*coupl(nGC_69) - 5d0*cima*coupl( &
                        nGC_631)*coupl(nGC_64)*coupl(nGC_68)*coupl(nGC_69) -   &
                        5d0*cima*coupl(nGC_631)*coupl(nGC_641)**2d0*coupl(     &
                        nGC_645) - 5d0*cima*coupl(nGC_631)*coupl(nGC_645)*coupl&
                        (nGC_651)**2d0 - 5d0*cima*coupl(nGC_64)**2d0*coupl(    &
                        nGC_647)*coupl(nGC_68) - 5d0*cima*coupl(nGC_64)*coupl( &
                        nGC_645)*coupl(nGC_68)*coupl(nGC_69) - 5d0*cima*coupl( &
                        nGC_641)**2d0*coupl(nGC_647)**2d0 - 5d0*cima*coupl(    &
                        nGC_647)**2d0*coupl(nGC_651)**2d0 + 12d0*cima*coupl(   &
                        nGC_65)*coupl(nGC_66) + 12d0*cima*coupl(nGC_70)**2d0 + &
                        3d0*coupl(nGC_10)*coupl(nGC_645)*coupl(nGC_647) + 3d0* &
                        coupl(nGC_13)*coupl(nGC_631)*coupl(nGC_645) + 3d0*coupl&
                        (nGC_13)*coupl(nGC_647)**2d0 - 3d0*coupl(nGC_14)*coupl(&
                        nGC_627)*coupl(nGC_92) - 3d0*coupl(nGC_14)*coupl(      &
                        nGC_645)*coupl(nGC_651) - 3d0*coupl(nGC_15)*coupl(     &
                        nGC_619)*coupl(nGC_72) - 3d0*coupl(nGC_15)*coupl(      &
                        nGC_631)*coupl(nGC_651) - 3d0*coupl(nGC_16)*coupl(     &
                        nGC_627)*coupl(nGC_94) - 3d0*coupl(nGC_16)*coupl(      &
                        nGC_629)*coupl(nGC_72) - 6d0*coupl(nGC_16)*coupl(      &
                        nGC_647)*coupl(nGC_651) + 3d0*coupl(nGC_22)*coupl(     &
                        nGC_63)*coupl(nGC_647) + 3d0*coupl(nGC_22)*coupl(      &
                        nGC_645)*coupl(nGC_68) + 3d0*coupl(nGC_23)*coupl(      &
                        nGC_631)*coupl(nGC_68) + 3d0*coupl(nGC_23)*coupl(nGC_64&
                        )*coupl(nGC_647) + 3d0*coupl(nGC_24)*coupl(nGC_63)*    &
                        coupl(nGC_68) + 3d0*coupl(nGC_24)*coupl(nGC_63)*coupl( &
                        nGC_69) + 3d0*coupl(nGC_27)*coupl(nGC_64)*coupl(nGC_68 &
                        ) + 3d0*coupl(nGC_27)*coupl(nGC_64)*coupl(nGC_69) + 3d0&
                        *coupl(nGC_30)*coupl(nGC_63)*coupl(nGC_645) + 3d0*coupl&
                        (nGC_32)*coupl(nGC_631)*coupl(nGC_64) + 3d0*coupl(     &
                        nGC_34)*coupl(nGC_647)*coupl(nGC_68) + 3d0*coupl(nGC_35&
                        )*coupl(nGC_647)*coupl(nGC_68) + 6d0*coupl(nGC_36)*    &
                        coupl(nGC_63)*coupl(nGC_64) + 3d0*coupl(nGC_36)*coupl( &
                        nGC_641)**2d0 + 3d0*coupl(nGC_36)*coupl(nGC_651)**2d0  &
                         + 6d0*coupl(nGC_36)*coupl(nGC_68)*coupl(nGC_69) + 3d0*&
                        coupl(nGC_37)*coupl(nGC_627)*coupl(nGC_72) + 3d0*coupl(&
                        nGC_40)*coupl(nGC_617)*coupl(nGC_96) + 3d0*coupl(nGC_40&
                        )*coupl(nGC_619)*coupl(nGC_96) + 3d0*coupl(nGC_40)*    &
                        coupl(nGC_627)*coupl(nGC_64) + 3d0*coupl(nGC_40)*coupl(&
                        nGC_63)*coupl(nGC_72) + 3d0*coupl(nGC_40)*coupl(nGC_91 &
                        )*coupl(nGC_96) + 3d0*coupl(nGC_40)*coupl(nGC_92)*coupl&
                        (nGC_96) + 3d0*coupl(nGC_42)*coupl(nGC_629)*coupl(     &
                        nGC_92) + 3d0*coupl(nGC_43)*coupl(nGC_619)*coupl(nGC_94&
                        ) + 3d0*coupl(nGC_44)*coupl(nGC_631)*coupl(nGC_68) +   &
                        3d0*coupl(nGC_44)*coupl(nGC_645)*coupl(nGC_69) + 3d0*  &
                        coupl(nGC_45)*coupl(nGC_631)*coupl(nGC_69) + 3d0*coupl(&
                        nGC_45)*coupl(nGC_645)*coupl(nGC_68) + 3d0*coupl(nGC_48&
                        )*coupl(nGC_629)*coupl(nGC_96) + 3d0*coupl(nGC_48)*    &
                        coupl(nGC_69)*coupl(nGC_72) + 3d0*coupl(nGC_48)*coupl( &
                        nGC_94)*coupl(nGC_96) + 3d0*coupl(nGC_49)*coupl(nGC_627&
                        )*coupl(nGC_69) + 3d0*coupl(nGC_49)*coupl(nGC_629)*    &
                        coupl(nGC_96) + 3d0*coupl(nGC_49)*coupl(nGC_94)*coupl( &
                        nGC_96) + 3d0*coupl(nGC_57)*coupl(nGC_631)*coupl(      &
                        nGC_645) + 3d0*coupl(nGC_57)*coupl(nGC_68)**2d0 + 3d0* &
                        coupl(nGC_58)*coupl(nGC_619)*coupl(nGC_92) + 3d0*coupl(&
                        nGC_58)*coupl(nGC_629)*coupl(nGC_94) + 3d0*coupl(nGC_60&
                        )*coupl(nGC_631)*coupl(nGC_645) + 3d0*coupl(nGC_60)*   &
                        coupl(nGC_69)**2d0 - 3d0*coupl(nGC_631)*coupl(nGC_641)*&
                        coupl(nGC_66) + 3d0*coupl(nGC_631)*coupl(nGC_647)*coupl&
                        (nGC_9) - 3d0*coupl(nGC_641)*coupl(nGC_645)*coupl(     &
                        nGC_65) - 6d0*coupl(nGC_641)*coupl(nGC_647)*coupl(     &
                        nGC_70))/(96d0*pi**2d0)
      coupl(nGC_2295) = coupl(nGC_1356)*db_QED2 + coupl(nGC_1357)*dvev2_QED1 + &
                        coupl(nGC_1358)*dvev1_QED1 + coupl(nGC_1359)*dl2_QED4  &
                         + coupl(nGC_1360)*dl1_QED4 + coupl(nGC_1361)*dl4_QED4 &
                         + coupl(nGC_1362)*dl3_QED4 + coupl(nGC_1363)*da_QED2  &
                         + coupl(nGC_1364)*dl5_QED4
      coupl(nGC_2294) = coupl(nGC_1374)*db_QED2 + coupl(nGC_1375)*dvev2_QED1 + &
                        coupl(nGC_1376)*dvev1_QED1 + coupl(nGC_1377)*dl2_QED4  &
                         + coupl(nGC_1378)*dl1_QED4 + coupl(nGC_1379)*dl4_QED4 &
                         + coupl(nGC_1380)*dl3_QED4 + coupl(nGC_1381)*da_QED2  &
                         + coupl(nGC_1382)*dl5_QED4
      coupl(nGC_2297) = coupl(nGC_1396)*db_QED2 + coupl(nGC_1397)*dvev2_QED1 + &
                        coupl(nGC_1398)*dvev1_QED1 + coupl(nGC_1399)*dl2_QED4  &
                         + coupl(nGC_1400)*dl1_QED4 + coupl(nGC_1401)*dl4_QED4 &
                         + coupl(nGC_1402)*dl3_QED4 + coupl(nGC_1403)*da_QED2  &
                         + coupl(nGC_1404)*dl5_QED4
      coupl(nGC_2296) = coupl(nGC_1317)*dvev2_QED1 + coupl(nGC_1318)*dvev1_QED1&
                         + coupl(nGC_1319)*dl2_QED4 + coupl(nGC_1320)*dl1_QED4 &
                         + coupl(nGC_1321)*dl4_QED4 + coupl(nGC_1322)*dl3_QED4 &
                         + coupl(nGC_1323)*da_QED2 + coupl(nGC_1324)*dl5_QED4
      coupl(nGC_2291) = coupl(nGC_1451)*db_QED2 + coupl(nGC_1452)*dvev2_QED1 + &
                        coupl(nGC_1453)*dvev1_QED1 + coupl(nGC_1454)*dl2_QED4  &
                         + coupl(nGC_1455)*dl1_QED4 + coupl(nGC_1456)*dl4_QED4 &
                         + coupl(nGC_1457)*dl3_QED4 + coupl(nGC_1458)*da_QED2  &
                         + coupl(nGC_1459)*dl5_QED4
      coupl(nGC_2290) = coupl(nGC_1465)*dl4_QED4 + coupl(nGC_1466)*dl5_QED4 +  &
                        coupl(nGC_1467)*dvev2_QED1 + coupl(nGC_1468)*dvev1_QED1&
                         + coupl(nGC_1469)*db_QED2
      coupl(nGC_2293) = coupl(nGC_1442)*db_QED2 + coupl(nGC_1443)*dvev2_QED1 + &
                        coupl(nGC_1444)*dvev1_QED1 + coupl(nGC_1445)*dl2_QED4  &
                         + coupl(nGC_1446)*dl1_QED4 + coupl(nGC_1447)*dl4_QED4 &
                         + coupl(nGC_1448)*dl3_QED4 + coupl(nGC_1449)*da_QED2  &
                         + coupl(nGC_1450)*dl5_QED4
      coupl(nGC_2292) = coupl(nGC_1460)*dl4_QED4 + coupl(nGC_1461)*dl5_QED4 +  &
                        coupl(nGC_1462)*dvev2_QED1 + coupl(nGC_1463)*dvev1_QED1&
                         + coupl(nGC_1464)*db_QED2
      coupl(nGC_1904) = coupl(nGC_179)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2474) = coupl(nGC_1616)*db_QED2 + coupl(nGC_1617)*dZee_QED2 +  &
                        coupl(nGC_1618)*dsw_QED2 + coupl(nGC_1619)*dMZ2_QED2 + &
                        coupl(nGC_1620)*da_QED2 + coupl(nGC_1621)*dcw_QED2
      coupl(nGC_1906) = (-coupl(nGC_184)**2d0*coupl(nGC_186) + coupl(nGC_184)* &
                        coupl(nGC_629)*coupl(nGC_89) + coupl(nGC_184)*coupl(   &
                        nGC_86)*coupl(nGC_94) + coupl(nGC_185)*coupl(nGC_627)* &
                        coupl(nGC_80) - coupl(nGC_186)*coupl(nGC_187)**2d0 -   &
                        coupl(nGC_186)*coupl(nGC_188)**2d0 - coupl(nGC_186)*   &
                        coupl(nGC_191)**2d0 + 8d0*coupl(nGC_187)*coupl(nGC_4)**&
                        2d0 + 8d0*coupl(nGC_187)*coupl(nGC_86)*coupl(nGC_89) + &
                        coupl(nGC_188)*coupl(nGC_617)*coupl(nGC_89) + coupl(   &
                        nGC_188)*coupl(nGC_86)*coupl(nGC_92))/(32d0*pi**2d0)
      coupl(nGC_1900) = coupl(nGC_171)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2470) = coupl(nGC_1104)*dZee_QED2 + coupl(nGC_1105)*dcw_QED2 + &
                        coupl(nGC_1106)*dsw_QED2
      coupl(nGC_1902) = coupl(nGC_639)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1903) = (-coupl(nGC_138)*coupl(nGC_143)*coupl(nGC_181) - coupl(&
                        nGC_142)*coupl(nGC_143)*coupl(nGC_178) - coupl(nGC_177 &
                        )**2d0*coupl(nGC_639) - coupl(nGC_177)*coupl(nGC_629)* &
                        coupl(nGC_88) - coupl(nGC_177)*coupl(nGC_85)*coupl(    &
                        nGC_94) - coupl(nGC_178)*coupl(nGC_627)*coupl(nGC_80   &
                        ) - coupl(nGC_179)**2d0*coupl(nGC_639) + 8d0*coupl(    &
                        nGC_179)*coupl(nGC_2)**2d0 + 8d0*coupl(nGC_179)*coupl( &
                        nGC_85)*coupl(nGC_88) - coupl(nGC_180)**2d0*coupl(     &
                        nGC_639) - coupl(nGC_180)*coupl(nGC_617)*coupl(nGC_88  &
                        ) - coupl(nGC_180)*coupl(nGC_85)*coupl(nGC_92) - coupl(&
                        nGC_183)**2d0*coupl(nGC_639))/(32d0*pi**2d0)
      coupl(nGC_2360) = coupl(nGC_869)*dyt1_QED1_QCD2 + coupl(nGC_870)*        &
                        dyt2_QED1_QCD2
      coupl(nGC_2276) = coupl(nGC_1278)*db_QED2 + coupl(nGC_1279)*dl3_QED4 +   &
                        coupl(nGC_1280)*dl2_QED4 + coupl(nGC_1281)*dl1_QED4 +  &
                        coupl(nGC_1282)*dl4_QED4 + coupl(nGC_1283)*dl5_QED4 +  &
                        coupl(nGC_1284)*da_QED2
      coupl(nGC_2275) = coupl(nGC_896)*db_QED2 + coupl(nGC_897)*dl5_QED4 +     &
                        coupl(nGC_898)*dl4_QED4 + coupl(nGC_899)*da_QED2
      coupl(nGC_2274) = coupl(nGC_1198)*db_QED2 + coupl(nGC_1199)*dl3_QED4 +   &
                        coupl(nGC_1200)*dl2_QED4 + coupl(nGC_1201)*dl1_QED4 +  &
                        coupl(nGC_1202)*dl4_QED4 + coupl(nGC_1203)*dl5_QED4 +  &
                        coupl(nGC_1204)*da_QED2
      coupl(nGC_2273) = coupl(nGC_1216)*db_QED2 + coupl(nGC_1217)*dl3_QED4 +   &
                        coupl(nGC_1218)*dl2_QED4 + coupl(nGC_1219)*dl1_QED4 +  &
                        coupl(nGC_1220)*dl4_QED4 + coupl(nGC_1221)*dl5_QED4 +  &
                        coupl(nGC_1222)*da_QED2
      coupl(nGC_2272) = coupl(nGC_900)*db_QED2 + coupl(nGC_901)*dl5_QED4 +     &
                        coupl(nGC_902)*dl4_QED4 + coupl(nGC_903)*da_QED2
      coupl(nGC_2271) = coupl(nGC_1191)*db_QED2 + coupl(nGC_1192)*dl3_QED4 +   &
                        coupl(nGC_1193)*dl2_QED4 + coupl(nGC_1194)*dl1_QED4 +  &
                        coupl(nGC_1195)*dl4_QED4 + coupl(nGC_1196)*dl5_QED4 +  &
                        coupl(nGC_1197)*da_QED2
      coupl(nGC_2270) = coupl(nGC_1119)*dl3_QED4 + coupl(nGC_1120)*dl2_QED4 +  &
                        coupl(nGC_1121)*dl1_QED4 + coupl(nGC_1122)*dl4_QED4 +  &
                        coupl(nGC_1123)*dl5_QED4 + coupl(nGC_1124)*da_QED2
      coupl(nGC_TS_GC_23_Hl) = -coupl(nGC_23)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2754) = coupl(nGC_2)*dZcL_QCD2
      coupl(nGC_1824) = (-coupl(nGC_153)**2d0*coupl(nGC_160) + coupl(nGC_153)* &
                        coupl(nGC_619)*coupl(nGC_86) + coupl(nGC_153)*coupl(   &
                        nGC_89)*coupl(nGC_91) - coupl(nGC_155)**2d0*coupl(     &
                        nGC_160) - coupl(nGC_157)**2d0*coupl(nGC_160) + coupl( &
                        nGC_157)*coupl(nGC_629)*coupl(nGC_86) + coupl(nGC_157)*&
                        coupl(nGC_89)*coupl(nGC_94) + coupl(nGC_158)*coupl(    &
                        nGC_72)*coupl(nGC_80) - coupl(nGC_159)**2d0*coupl(     &
                        nGC_160) + 8d0*coupl(nGC_159)*coupl(nGC_4)**2d0 + 8d0* &
                        coupl(nGC_159)*coupl(nGC_86)*coupl(nGC_89))/(32d0*pi** &
                        2d0)
      coupl(nGC_TS_GC_23_Hh) = -coupl(nGC_23)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2723) = coupl(nGC_134)*dZcR_QCD2/2d0 + coupl(nGC_134)*dZsL_QCD2&
                        /2d0 + coupl(nGC_2356)
      coupl(nGC_2279) = coupl(nGC_907)*db_QED2 + coupl(nGC_908)*dl3_QED4 +     &
                        coupl(nGC_909)*dl2_QED4 + coupl(nGC_910)*dl1_QED4 +    &
                        coupl(nGC_911)*dl4_QED4 + coupl(nGC_912)*dl5_QED4
      coupl(nGC_2278) = coupl(nGC_972)*db_QED2 + coupl(nGC_973)*dl3_QED4 +     &
                        coupl(nGC_974)*dl2_QED4 + coupl(nGC_975)*dl1_QED4 +    &
                        coupl(nGC_976)*dl4_QED4 + coupl(nGC_977)*dl5_QED4
      coupl(nGC_2722) = coupl(nGC_131)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_134 &
                        )*dZcR_QED2/2d0 + coupl(nGC_134)*dZsL_QED2/2d0 + coupl(&
                        nGC_2355)
      coupl(nGC_2714) = coupl(nGC_100)*dZZ_QED2 + coupl(nGC_2335) + coupl(     &
                        nGC_97)*dZAZ_QED2
      coupl(nGC_1671) = cima*(4d0*Nc*coupl(nGC_135)*coupl(nGC_136) + 4d0*Nc*   &
                        coupl(nGC_139)*coupl(nGC_140) + 4d0*Nc*coupl(nGC_151)* &
                        coupl(nGC_152) + 4d0*Nc*coupl(nGC_175)*coupl(nGC_176   &
                        ) + 4d0*Nc*coupl(nGC_182)*coupl(nGC_183) + 4d0*Nc*coupl&
                        (nGC_197)*coupl(nGC_198) + 4d0*coupl(nGC_159)*coupl(   &
                        nGC_160) + 4d0*coupl(nGC_167)*coupl(nGC_168) + 4d0*    &
                        coupl(nGC_190)*coupl(nGC_191) + coupl(nGC_619)*coupl(  &
                        nGC_91) + 2d0*coupl(nGC_627)*coupl(nGC_72) + coupl(    &
                        nGC_629)*coupl(nGC_94))/(96d0*pi**2d0)
      coupl(nGC_2683) = coupl(nGC_2336) + coupl(nGC_99)*dZHl_QED2 + coupl(     &
                        nGC_99)*dZZ_QED2
      coupl(nGC_1685) = cima*(coupl(nGC_609)**2d0 + coupl(nGC_82)**2d0)/(48d0* &
                        pi**2d0)
      coupl(nGC_2724) = coupl(nGC_134)*dZGMinus/2d0
      coupl(nGC_1793) = (2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_80)*coupl(nGC_84  &
                        ) - 2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_80)*coupl(     &
                        nGC_87) - 2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_80)*coupl&
                        (nGC_88) + 2d0*Nc*cMC*coupl(nGC_134)*coupl(nGC_80)*    &
                        coupl(nGC_85) - 2d0*Nc*cMC*coupl(nGC_134)*coupl(nGC_80 &
                        )*coupl(nGC_87) - 2d0*Nc*cMC*coupl(nGC_134)*coupl(     &
                        nGC_80)*coupl(nGC_88) + 2d0*Nc*cMD*coupl(nGC_150)*coupl&
                        (nGC_80)*coupl(nGC_84) - 2d0*Nc*cMD*coupl(nGC_150)*    &
                        coupl(nGC_80)*coupl(nGC_87) - 2d0*Nc*cMD*coupl(nGC_150 &
                        )*coupl(nGC_80)*coupl(nGC_88) + 2d0*Nc*cMS*coupl(      &
                        nGC_174)*coupl(nGC_80)*coupl(nGC_84) - 2d0*Nc*cMS*coupl&
                        (nGC_174)*coupl(nGC_80)*coupl(nGC_87) - 2d0*Nc*cMS*    &
                        coupl(nGC_174)*coupl(nGC_80)*coupl(nGC_88) + 2d0*Nc*cMT&
                        *coupl(nGC_181)*coupl(nGC_80)*coupl(nGC_85) - 2d0*Nc*  &
                        cMT*coupl(nGC_181)*coupl(nGC_80)*coupl(nGC_87) - 2d0*Nc&
                        *cMT*coupl(nGC_181)*coupl(nGC_80)*coupl(nGC_88) + 2d0* &
                        Nc*cMU*coupl(nGC_196)*coupl(nGC_80)*coupl(nGC_85) - 2d0&
                        *Nc*cMU*coupl(nGC_196)*coupl(nGC_80)*coupl(nGC_87) -   &
                        2d0*Nc*cMU*coupl(nGC_196)*coupl(nGC_80)*coupl(nGC_88   &
                        ) + 2d0*cME*coupl(nGC_158)*coupl(nGC_80)*coupl(nGC_86  &
                        ) - 2d0*cME*coupl(nGC_158)*coupl(nGC_80)*coupl(nGC_89  &
                        ) - 2d0*cME*coupl(nGC_158)*coupl(nGC_80)*coupl(nGC_90  &
                        ) + 2d0*cMM*coupl(nGC_166)*coupl(nGC_80)*coupl(nGC_86  &
                        ) - 2d0*cMM*coupl(nGC_166)*coupl(nGC_80)*coupl(nGC_89  &
                        ) - 2d0*cMM*coupl(nGC_166)*coupl(nGC_80)*coupl(nGC_90  &
                        ) + 2d0*cMTA*coupl(nGC_189)*coupl(nGC_80)*coupl(nGC_86 &
                        ) - 2d0*cMTA*coupl(nGC_189)*coupl(nGC_80)*coupl(nGC_89 &
                        ) - 2d0*cMTA*coupl(nGC_189)*coupl(nGC_80)*coupl(nGC_90 &
                        ) + 4d0*cima*coupl(nGC_107)*coupl(nGC_79) + 4d0*cima*  &
                        coupl(nGC_127)*coupl(nGC_607) - coupl(nGC_107)*coupl(  &
                        nGC_17)*coupl(nGC_3) + 6d0*coupl(nGC_107)*coupl(nGC_609&
                        )*coupl(nGC_82) - coupl(nGC_107)*coupl(nGC_82)*coupl(  &
                        nGC_96) - coupl(nGC_124)*coupl(nGC_609)*coupl(nGC_64   &
                        ) - coupl(nGC_125)*coupl(nGC_609)*coupl(nGC_69) + 6d0* &
                        coupl(nGC_127)*coupl(nGC_3)*coupl(nGC_609) - coupl(    &
                        nGC_128)*coupl(nGC_609)*coupl(nGC_645) - coupl(nGC_129 &
                        )*coupl(nGC_609)*coupl(nGC_625))/(32d0*pi**2d0)
      coupl(nGC_TS_GC_38_Hh) = -coupl(nGC_38)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1813) = coupl(nGC_140)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1949) = (-coupl(nGC_130)**3d0 - coupl(nGC_130)*coupl(nGC_132)**&
                        2d0 - coupl(nGC_130)*coupl(nGC_133)**2d0 - coupl(      &
                        nGC_130)*coupl(nGC_136)**2d0 + 8d0*coupl(nGC_130)*coupl&
                        (nGC_2)**2d0 + 8d0*coupl(nGC_130)*coupl(nGC_85)*coupl( &
                        nGC_88) - coupl(nGC_131)*coupl(nGC_169)*coupl(nGC_170  &
                        ) - coupl(nGC_131)*coupl(nGC_647)*coupl(nGC_80) - coupl&
                        (nGC_132)*coupl(nGC_629)*coupl(nGC_85) - coupl(nGC_132 &
                        )*coupl(nGC_88)*coupl(nGC_94) - coupl(nGC_134)*coupl(  &
                        nGC_169)*coupl(nGC_174) - coupl(nGC_134)*coupl(nGC_64)*&
                        coupl(nGC_80) - coupl(nGC_136)*coupl(nGC_619)*coupl(   &
                        nGC_85) - coupl(nGC_136)*coupl(nGC_88)*coupl(nGC_91))/(&
                        32d0*pi**2d0)
      coupl(nGC_3018) = -coupl(nGC_92)*dZZA_QED2/2d0
      coupl(nGC_3019) = coupl(nGC_107)*dZZA_QED2/2d0 + coupl(nGC_126)*         &
                        dZHMinusGMinus_QED2/2d0 + coupl(nGC_127)*dZA_QED2/2d0  &
                         + coupl(nGC_127)*dZWMinus_QED2/2d0 + coupl(nGC_2310   &
                        ) + coupl(nGC_TS_GC_65_Hl) + coupl(nGC_TS_GC_70_Hh)
      coupl(nGC_3152) = coupl(nGC_139)*dZbL_QED2/2d0 + coupl(nGC_139)*dZbR_QED2&
                        /2d0 + coupl(nGC_144)*dZHaG0_QED2/2d0 + coupl(nGC_2385)
      coupl(nGC_2649) = coupl(nGC_2)*dZA_QED2/2d0 + coupl(nGC_2)*dZuR_QED2 +   &
                        coupl(nGC_2340) + coupl(nGC_85)*dZZA_QED2/2d0
      coupl(nGC_1678) = cima*(-16d0*Nc*cMB**2d0*coupl(nGC_137)*coupl(nGC_141   &
                        ) - 16d0*Nc*cMC**2d0*coupl(nGC_130)*coupl(nGC_133) -   &
                        16d0*Nc*cMD**2d0*coupl(nGC_145)*coupl(nGC_149) - 16d0* &
                        Nc*cMS**2d0*coupl(nGC_169)*coupl(nGC_173) - 16d0*Nc*cMT&
                        **2d0*coupl(nGC_177)*coupl(nGC_180) - 16d0*Nc*cMU**2d0*&
                        coupl(nGC_192)*coupl(nGC_195) - 16d0*cME**2d0*coupl(   &
                        nGC_153)*coupl(nGC_157) - cMHA**2d0*coupl(nGC_617)*    &
                        coupl(nGC_94) - cMHA**2d0*coupl(nGC_629)*coupl(nGC_92  &
                        ) - cMHC**2d0*coupl(nGC_625)*coupl(nGC_64) - cMHC**2d0*&
                        coupl(nGC_63)*coupl(nGC_647) - cMHC**2d0*coupl(nGC_631 &
                        )*coupl(nGC_68) - cMHC**2d0*coupl(nGC_645)*coupl(nGC_69&
                        ) - 16d0*cMM**2d0*coupl(nGC_161)*coupl(nGC_165) - 16d0*&
                        cMTA**2d0*coupl(nGC_184)*coupl(nGC_188) - 2d0*cMW**2d0*&
                        coupl(nGC_625)*coupl(nGC_63) - cMW**2d0*coupl(nGC_625)*&
                        coupl(nGC_64) - cMW**2d0*coupl(nGC_63)*coupl(nGC_647   &
                        ) - cMW**2d0*coupl(nGC_631)*coupl(nGC_68) - 2d0*cMW**  &
                        2d0*coupl(nGC_631)*coupl(nGC_69) - 2d0*cMW**2d0*coupl( &
                        nGC_64)*coupl(nGC_647) - 2d0*cMW**2d0*coupl(nGC_645)*  &
                        coupl(nGC_68) - cMW**2d0*coupl(nGC_645)*coupl(nGC_69   &
                        ) - cMZ**2d0*coupl(nGC_617)*coupl(nGC_94) - 2d0*cMZ**  &
                        2d0*coupl(nGC_619)*coupl(nGC_94) - 2d0*cMZ**2d0*coupl( &
                        nGC_629)*coupl(nGC_91) - cMZ**2d0*coupl(nGC_629)*coupl(&
                        nGC_92) + 8d0*coupl(nGC_124)*coupl(nGC_125) + 4d0*coupl&
                        (nGC_128)*coupl(nGC_129))/(64d0*pi**2d0)
      coupl(nGC_3156) = coupl(nGC_140)*dZbL_QCD2/2d0 + coupl(nGC_140)*dZbR_QCD2&
                        /2d0 + coupl(nGC_2384)
    end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
