!******************************************************************************!
!                                                                              !
!    vertices_info11.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info11.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-04-03 14:56             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info11
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl11()
      allocate(vertices(1239)%branchR2(0:0))
      call avR2(1239, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(1498)%branchR2(0:1))
      call avR2(1498, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1853, nGC_1855/))

      call avR2(1498, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1854, nGC_1856/))

      allocate(vertices(2588)%branchR2(0:0))
      call avR2(2588, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(3542)%branchR2(0:0))
      call avR2(3542, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(2275)%branchR2(0:1))
      call avR2(2275, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1917, nGC_1916/))

      call avR2(2275, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1918, nGC_1918/))

      allocate(vertices(1176)%branchR2(0:0))
      call avR2(1176, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1893, nGC_1894/))

      allocate(vertices(3520)%branchR2(0:0))
      call avR2(3520, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2151/))

      allocate(vertices(2276)%branchR2(0:0))
      call avR2(2276, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(3752)%branchR2(0:1))
      call avR2(3752, 0, 57, 1, 0, SVSV0, (/2, 2/), (/nGC_2198/))

      call avR2(3752, 1, 58, 1, 0, SVSV0, (/2, 2/), (/nGC_2199/))

      allocate(vertices(3075)%branchR2(0:0))
      call avR2(3075, 0, 8, 1, 0, FVFa1, (/0, 3/), (/nGC_1745/))

      allocate(vertices(823)%branchR2(0:1))
      call avR2(823, 0, 18, 1, 0, FaFV0, (/0, 3/), (/nGC_1972/))

      call avR2(823, 1, 18, 1, 0, FaFV0, (/2, 1/), (/nGC_1973/))

      allocate(vertices(410)%branchR2(0:0))
      call avR2(410, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(1058)%branchR2(0:1))
      call avR2(1058, 0, 19, 1, 0, FVFa1, (/0, 3/), (/nGC_1972/))

      call avR2(1058, 1, 19, 1, 0, FVFa1, (/2, 1/), (/nGC_1973/))

      allocate(vertices(3254)%branchR2(0:1))
      call avR2(3254, 0, 14, 1, 0, FFa3, (/0, 2/), (/nGC_1695, nGC_1692,       &
      nGC_1715, nGC_1715/))

      call avR2(3254, 1, 14, 1, 0, FFa3, (/2, 0/), (/nGC_1687, nGC_1687,       &
      nGC_1714, nGC_1714/))

      allocate(vertices(590)%branchR2(0:1))
      call avR2(590, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1797, nGC_1796/))

      call avR2(590, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1776, nGC_1774/))

      allocate(vertices(3753)%branchR2(0:1))
      call avR2(3753, 0, 59, 1, 0, VSVS0, (/2, 2/), (/nGC_2118/))

      call avR2(3753, 1, 60, 1, 0, VSVS0, (/2, 2/), (/nGC_2117/))

      allocate(vertices(3025)%branchR2(0:0))
      call avR2(3025, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1789/))

      allocate(vertices(519)%branchR2(0:0))
      call avR2(519, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2055/))

      allocate(vertices(534)%branchR2(0:0))
      call avR2(534, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1784/))

      allocate(vertices(1025)%branchR2(0:1))
      call avR2(1025, 0, 19, 1, 0, FSFa1, (/0, 3/), (/nGC_1859, nGC_1857/))

      call avR2(1025, 1, 19, 1, 0, FSFa1, (/2, 1/), (/nGC_1860, nGC_1858/))

      allocate(vertices(1812)%branchR2(0:0))
      call avR2(1812, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(1499)%branchR2(0:1))
      call avR2(1499, 0, 19, 1, 0, FSFa1, (/0, 3/), (/nGC_1834, nGC_1832/))

      call avR2(1499, 1, 19, 1, 0, FSFa1, (/2, 1/), (/nGC_1835, nGC_1833/))

      allocate(vertices(2923)%branchR2(0:0))
      call avR2(2923, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_1678, nGC_1677/))

      allocate(vertices(484)%branchR2(0:1))
      call avR2(484, 0, 17, 1, 0, FaVF0, (/0, 3/), (/nGC_1994, nGC_1995/))

      call avR2(484, 1, 17, 1, 0, FaVF0, (/2, 1/), (/nGC_1978, nGC_1980/))

      allocate(vertices(2793)%branchR2(0:0))
      call avR2(2793, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2049/))

      allocate(vertices(2584)%branchR2(0:0))
      call avR2(2584, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2055/))

      allocate(vertices(2481)%branchR2(0:0))
      call avR2(2481, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(1362)%branchR2(0:0))
      call avR2(1362, 0, 8, 1, 0, FaFS2, (/0, 3/), (/nGC_1863/))

      allocate(vertices(3423)%branchR2(0:0))
      call avR2(3423, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(1084)%branchR2(0:0))
      call avR2(1084, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_3287/))

      allocate(vertices(1420)%branchR2(0:0))
      call avR2(1420, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2140/))

      allocate(vertices(615)%branchR2(0:0))
      call avR2(615, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(1615)%branchR2(0:0))
      call avR2(1615, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2164/))

      allocate(vertices(3502)%branchR2(0:0))
      call avR2(3502, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3264/))

      allocate(vertices(2712)%branchR2(0:0))
      call avR2(2712, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2056/))

      allocate(vertices(2816)%branchR2(0:1))
      call avR2(2816, 0, 14, 1, 0, FFa3, (/0, 2/), (/nGC_1695, nGC_1692,       &
      nGC_1711, nGC_1711/))

      call avR2(2816, 1, 14, 1, 0, FFa3, (/2, 0/), (/nGC_1687, nGC_1687,       &
      nGC_1712, nGC_1712/))

      allocate(vertices(392)%branchR2(0:0))
      call avR2(392, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2159/))

      allocate(vertices(108)%branchR2(0:0))
      call avR2(108, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(579)%branchR2(0:0))
      call avR2(579, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(3007)%branchR2(0:0))
      call avR2(3007, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2060/))

      allocate(vertices(2831)%branchR2(0:0))
      call avR2(2831, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1789/))

      allocate(vertices(1165)%branchR2(0:0))
      call avR2(1165, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(505)%branchR2(0:0))
      call avR2(505, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_1991/))

      allocate(vertices(1944)%branchR2(0:0))
      call avR2(1944, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2034/))

      allocate(vertices(146)%branchR2(0:0))
      call avR2(146, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2055/))

      allocate(vertices(1736)%branchR2(0:0))
      call avR2(1736, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2141/))

      allocate(vertices(2174)%branchR2(0:0))
      call avR2(2174, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1793/))

      allocate(vertices(2334)%branchR2(0:0))
      call avR2(2334, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(303)%branchR2(0:0))
      call avR2(303, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2132/))

      allocate(vertices(1191)%branchR2(0:0))
      call avR2(1191, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1767/))

      allocate(vertices(2658)%branchR2(0:0))
      call avR2(2658, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(1640)%branchR2(0:0))
      call avR2(1640, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(350)%branchR2(0:1))
      call avR2(350, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1981, nGC_1983/))

      call avR2(350, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1982, nGC_1984/))

      allocate(vertices(2147)%branchR2(0:0))
      call avR2(2147, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2191/))

      allocate(vertices(816)%branchR2(0:0))
      call avR2(816, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2096/))

      allocate(vertices(3469)%branchR2(0:0))
      call avR2(3469, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2075/))

      allocate(vertices(1404)%branchR2(0:0))
      call avR2(1404, 0, 8, 1, 0, FaFV0, (/0, 3/), (/nGC_1975/))

      allocate(vertices(2474)%branchR2(0:0))
      call avR2(2474, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2148/))

      allocate(vertices(2193)%branchR2(0:3))
      call avR2(2193, 0, 11, 1, 0, FFaV0, (/1, 2/), (/nGC_2014, nGC_2015/))

      call avR2(2193, 1, 11, 1, 0, FFaV0, (/3, 0/), (/nGC_2006, nGC_2006/))

      call avR2(2193, 2, 12, 1, 0, FFaV0, (/1, 2/), (/nGC_2012, nGC_2013/))

      call avR2(2193, 3, 12, 1, 0, FFaV0, (/3, 0/), (/nGC_2003, nGC_2003/))

      allocate(vertices(1453)%branchR2(0:0))
      call avR2(1453, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(3754)%branchR2(0:0))
      call avR2(3754, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2142/))

      allocate(vertices(1834)%branchR2(0:3))
      call avR2(1834, 0, 29, 1, 0, VFaF0, (/3, 0/), (/nGC_2003, nGC_2003/))

      call avR2(1834, 1, 29, 1, 0, VFaF0, (/1, 2/), (/nGC_2008, nGC_2009/))

      call avR2(1834, 2, 28, 1, 0, VFaF0, (/3, 0/), (/nGC_2006, nGC_2006/))

      call avR2(1834, 3, 28, 1, 0, VFaF0, (/1, 2/), (/nGC_2010, nGC_2011/))

      allocate(vertices(3315)%branchR2(0:0))
      call avR2(3315, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2151/))

      allocate(vertices(801)%branchR2(0:1))
      call avR2(801, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1891, nGC_1889/))

      call avR2(801, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1892, nGC_1890/))

      allocate(vertices(862)%branchR2(0:0))
      call avR2(862, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2158/))

      allocate(vertices(46)%branchR2(0:0))
      call avR2(46, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2162/))

      allocate(vertices(1128)%branchR2(0:0))
      call avR2(1128, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(2031)%branchR2(0:0))
      call avR2(2031, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(708)%branchR2(0:1))
      call avR2(708, 0, 20, 1, 0, VFaF0, (/0, 3/), (/nGC_1985, nGC_1986/))

      call avR2(708, 1, 20, 1, 0, VFaF0, (/2, 1/), (/nGC_1978, nGC_1980/))

      allocate(vertices(2853)%branchR2(0:0))
      call avR2(2853, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2150/))

      allocate(vertices(3755)%branchR2(0:1))
      call avR2(3755, 0, 59, 1, 0, VVVV0, (/2, 2/), (/nGC_2089, nGC_2089,      &
      nGC_2089/))

      call avR2(3755, 1, 60, 1, 0, VVVV0, (/2, 2/), (/nGC_2090, nGC_2090,      &
      nGC_2090/))

      allocate(vertices(84)%branchR2(0:0))
      call avR2(84, 0, 8, 1, 0, FaFS1, (/0, 3/), (/nGC_1929, nGC_1930/))

      allocate(vertices(1599)%branchR2(0:1))
      call avR2(1599, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1771, nGC_1769/))

      call avR2(1599, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1772, nGC_1770/))

      allocate(vertices(2869)%branchR2(0:0))
      call avR2(2869, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(2049)%branchR2(0:0))
      call avR2(2049, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(2020)%branchR2(0:0))
      call avR2(2020, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(889)%branchR2(0:0))
      call avR2(889, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2077, nGC_2076,        &
      nGC_2078/))

      allocate(vertices(2524)%branchR2(0:0))
      call avR2(2524, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2191/))

      allocate(vertices(3216)%branchR2(0:0))
      call avR2(3216, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2056/))

      allocate(vertices(2551)%branchR2(0:1))
      call avR2(2551, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1779, nGC_1777/))

      call avR2(2551, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1780, nGC_1778/))

      allocate(vertices(262)%branchR2(0:0))
      call avR2(262, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(2569)%branchR2(0:0))
      call avR2(2569, 0, 8, 1, 0, FSFa1, (/0, 3/), (/nGC_1824, nGC_1825/))

      allocate(vertices(3488)%branchR2(0:0))
      call avR2(3488, 0, 13, 1, 0, FFa1, (/0, 2/), (/nGC_1708/))

      allocate(vertices(3756)%branchR2(0:1))
      call avR2(3756, 0, 53, 1, 0, SSVV0, (/2, 2/), (/nGC_2099/))

      call avR2(3756, 1, 54, 1, 0, SSVV0, (/2, 2/), (/nGC_2098/))

      allocate(vertices(928)%branchR2(0:0))
      call avR2(928, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2163/))

      allocate(vertices(2291)%branchR2(0:1))
      call avR2(2291, 0, 20, 1, 0, VFaF0, (/0, 3/), (/nGC_1736, nGC_1737/))

      call avR2(2291, 1, 20, 1, 0, VFaF0, (/2, 1/), (/nGC_1738, nGC_1738/))

      allocate(vertices(2550)%branchR2(0:0))
      call avR2(2550, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(3202)%branchR2(0:0))
      call avR2(3202, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2189/))

      allocate(vertices(1359)%branchR2(0:0))
      call avR2(1359, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2132/))

      allocate(vertices(96)%branchR2(0:1))
      call avR2(96, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1736, nGC_1737/))

      call avR2(96, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1738, nGC_1738/))

      allocate(vertices(3325)%branchR2(0:0))
      call avR2(3325, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1807/))

      allocate(vertices(2664)%branchR2(0:0))
      call avR2(2664, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2091/))

      allocate(vertices(2870)%branchR2(0:0))
      call avR2(2870, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1730/))

      allocate(vertices(1129)%branchR2(0:0))
      call avR2(1129, 0, 8, 1, 0, FaSF0, (/0, 3/), (/nGC_1824, nGC_1825/))

      allocate(vertices(3757)%branchR2(0:1))
      call avR2(3757, 0, 57, 1, 0, SVSV0, (/2, 2/), (/nGC_2118/))

      call avR2(3757, 1, 58, 1, 0, SVSV0, (/2, 2/), (/nGC_2117/))

      allocate(vertices(1790)%branchR2(0:0))
      call avR2(1790, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2035/))

      allocate(vertices(2431)%branchR2(0:0))
      call avR2(2431, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(2065)%branchR2(0:0))
      call avR2(2065, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2125/))

      allocate(vertices(2701)%branchR2(0:0))
      call avR2(2701, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(1846)%branchR2(0:0))
      call avR2(1846, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2156/))

      allocate(vertices(273)%branchR2(0:0))
      call avR2(273, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(1636)%branchR2(0:0))
      call avR2(1636, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2055/))

      allocate(vertices(3162)%branchR2(0:0))
      call avR2(3162, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2115/))

      allocate(vertices(1584)%branchR2(0:0))
      call avR2(1584, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2179/))

      allocate(vertices(1990)%branchR2(0:0))
      call avR2(1990, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(3758)%branchR2(0:1))
      call avR2(3758, 0, 64, 1, 0, VVSS0, (/2, 2/), (/nGC_2170/))

      call avR2(3758, 1, 63, 1, 0, VVSS0, (/2, 2/), (/nGC_2171/))

      allocate(vertices(2643)%branchR2(0:0))
      call avR2(2643, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2085/))

      allocate(vertices(2136)%branchR2(0:0))
      call avR2(2136, 0, 8, 1, 0, FVFa0, (/0, 3/), (/nGC_1753, nGC_1752/))

      allocate(vertices(2397)%branchR2(0:0))
      call avR2(2397, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2107/))

      allocate(vertices(2040)%branchR2(0:0))
      call avR2(2040, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2055/))

      allocate(vertices(3298)%branchR2(0:0))
      call avR2(3298, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3262/))

      allocate(vertices(3308)%branchR2(0:0))
      call avR2(3308, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(1361)%branchR2(0:0))
      call avR2(1361, 0, 8, 1, 0, SFFa2, (/0, 3/), (/nGC_1800/))

      allocate(vertices(2836)%branchR2(0:0))
      call avR2(2836, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_1745/))

      allocate(vertices(2841)%branchR2(0:0))
      call avR2(2841, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2060/))

      allocate(vertices(1674)%branchR2(0:0))
      call avR2(1674, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2127/))

      allocate(vertices(2694)%branchR2(0:0))
      call avR2(2694, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(1473)%branchR2(0:1))
      call avR2(1473, 0, 21, 1, 0, VFFa0, (/0, 3/), (/nGC_2000, nGC_2001/))

      call avR2(1473, 1, 21, 1, 0, VFFa0, (/2, 1/), (/nGC_1982, nGC_1984/))

      allocate(vertices(3359)%branchR2(0:0))
      call avR2(3359, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2114/))

      allocate(vertices(3759)%branchR2(0:0))
      call avR2(3759, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2045, nGC_2045,       &
      nGC_2045/))

      allocate(vertices(2061)%branchR2(0:0))
      call avR2(2061, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1842/))

      allocate(vertices(153)%branchR2(0:0))
      call avR2(153, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(1918)%branchR2(0:1))
      call avR2(1918, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1909, nGC_1907/))

      call avR2(1918, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1910, nGC_1908/))

      allocate(vertices(848)%branchR2(0:0))
      call avR2(848, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2137/))

      allocate(vertices(2146)%branchR2(0:0))
      call avR2(2146, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(864)%branchR2(0:0))
      call avR2(864, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(2084)%branchR2(0:0))
      call avR2(2084, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(2496)%branchR2(0:0))
      call avR2(2496, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(3760)%branchR2(0:1))
      call avR2(3760, 0, 53, 1, 0, SSVV0, (/2, 2/), (/nGC_2195/))

      call avR2(3760, 1, 54, 1, 0, SSVV0, (/2, 2/), (/nGC_2196/))

      allocate(vertices(33)%branchR2(0:0))
      call avR2(33, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(2141)%branchR2(0:0))
      call avR2(2141, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2132/))

      allocate(vertices(252)%branchR2(0:0))
      call avR2(252, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1805/))

      allocate(vertices(453)%branchR2(0:0))
      call avR2(453, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(1840)%branchR2(0:0))
      call avR2(1840, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2126/))

      allocate(vertices(3036)%branchR2(0:0))
      call avR2(3036, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(448)%branchR2(0:0))
      call avR2(448, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1727/))

      allocate(vertices(1738)%branchR2(0:0))
      call avR2(1738, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1760/))

      allocate(vertices(2806)%branchR2(0:0))
      call avR2(2806, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1721/))

      allocate(vertices(2120)%branchR2(0:0))
      call avR2(2120, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(1256)%branchR2(0:0))
      call avR2(1256, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(100)%branchR2(0:0))
      call avR2(100, 0, 8, 1, 0, FFaV0, (/0, 3/), (/nGC_1990, nGC_1989/))

      allocate(vertices(1718)%branchR2(0:0))
      call avR2(1718, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2093/))

      allocate(vertices(1348)%branchR2(0:0))
      call avR2(1348, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_3287/))

      allocate(vertices(2298)%branchR2(0:0))
      call avR2(2298, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2144/))

      allocate(vertices(2899)%branchR2(0:0))
      call avR2(2899, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2192/))

      allocate(vertices(1976)%branchR2(0:0))
      call avR2(1976, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(2597)%branchR2(0:0))
      call avR2(2597, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2084/))

      allocate(vertices(1661)%branchR2(0:0))
      call avR2(1661, 0, 8, 1, 0, VFaF0, (/0, 3/), (/nGC_1990, nGC_1989/))

      allocate(vertices(644)%branchR2(0:0))
      call avR2(644, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1759/))

      allocate(vertices(626)%branchR2(0:0))
      call avR2(626, 0, 8, 1, 0, FVFa1, (/0, 3/), (/nGC_1975/))

      allocate(vertices(3508)%branchR2(0:0))
      call avR2(3508, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2056/))

      allocate(vertices(3761)%branchR2(0:0))
      call avR2(3761, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2044/))

      allocate(vertices(850)%branchR2(0:0))
      call avR2(850, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2191/))

      allocate(vertices(3532)%branchR2(0:0))
      call avR2(3532, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2075/))

      allocate(vertices(121)%branchR2(0:1))
      call avR2(121, 0, 19, 1, 0, FVFa0, (/0, 3/), (/nGC_1985, nGC_1986/))

      call avR2(121, 1, 19, 1, 0, FVFa0, (/2, 1/), (/nGC_1978, nGC_1980/))

      allocate(vertices(895)%branchR2(0:0))
      call avR2(895, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2110/))

      allocate(vertices(526)%branchR2(0:0))
      call avR2(526, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2146/))

      allocate(vertices(1876)%branchR2(0:0))
      call avR2(1876, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(2567)%branchR2(0:0))
      call avR2(2567, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2130/))

      allocate(vertices(342)%branchR2(0:0))
      call avR2(342, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2096/))

      allocate(vertices(2218)%branchR2(0:0))
      call avR2(2218, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(574)%branchR2(0:0))
      call avR2(574, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3288/))

      allocate(vertices(2149)%branchR2(0:0))
      call avR2(2149, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1788/))

      allocate(vertices(1177)%branchR2(0:0))
      call avR2(1177, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2148/))

      allocate(vertices(201)%branchR2(0:0))
      call avR2(201, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(3283)%branchR2(0:0))
      call avR2(3283, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2033/))

      allocate(vertices(238)%branchR2(0:0))
      call avR2(238, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(705)%branchR2(0:0))
      call avR2(705, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2145/))

      allocate(vertices(699)%branchR2(0:0))
      call avR2(699, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(763)%branchR2(0:0))
      call avR2(763, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2116/))

      allocate(vertices(1504)%branchR2(0:0))
      call avR2(1504, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3288/))

      allocate(vertices(2197)%branchR2(0:0))
      call avR2(2197, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(3071)%branchR2(0:0))
      call avR2(3071, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2189/))

      allocate(vertices(1704)%branchR2(0:1))
      call avR2(1704, 0, 19, 1, 0, FSFa1, (/0, 3/), (/nGC_1952, nGC_1951/))

      call avR2(1704, 1, 19, 1, 0, FSFa1, (/2, 1/), (/nGC_1953, nGC_1953/))

      allocate(vertices(3)%branchR2(0:0))
      call avR2(3, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(2514)%branchR2(0:0))
      call avR2(2514, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(1511)%branchR2(0:0))
      call avR2(1511, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(115)%branchR2(0:0))
      call avR2(115, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2130/))

      allocate(vertices(2433)%branchR2(0:0))
      call avR2(2433, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1846/))

      allocate(vertices(2591)%branchR2(0:0))
      call avR2(2591, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1846/))

      allocate(vertices(1903)%branchR2(0:0))
      call avR2(1903, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(198)%branchR2(0:0))
      call avR2(198, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2077, nGC_2078,        &
      nGC_2076/))

      allocate(vertices(852)%branchR2(0:0))
      call avR2(852, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2107/))

      allocate(vertices(1982)%branchR2(0:0))
      call avR2(1982, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(2189)%branchR2(0:0))
      call avR2(2189, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(1318)%branchR2(0:0))
      call avR2(1318, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(1095)%branchR2(0:0))
      call avR2(1095, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2141/))

      allocate(vertices(3762)%branchR2(0:0))
      call avR2(3762, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2143/))

      allocate(vertices(2825)%branchR2(0:0))
      call avR2(2825, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2032/))

      allocate(vertices(1257)%branchR2(0:0))
      call avR2(1257, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2155/))

      allocate(vertices(2505)%branchR2(0:0))
      call avR2(2505, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(3763)%branchR2(0:1))
      call avR2(3763, 0, 57, 1, 0, SVSV0, (/2, 2/), (/nGC_2198/))

      call avR2(3763, 1, 58, 1, 0, SVSV0, (/2, 2/), (/nGC_2199/))

      allocate(vertices(2064)%branchR2(0:0))
      call avR2(2064, 0, 8, 1, 0, FVFa1, (/0, 3/), (/nGC_1975/))

      allocate(vertices(2096)%branchR2(0:0))
      call avR2(2096, 0, 8, 1, 0, FFaV0, (/0, 3/), (/nGC_1988, nGC_1987/))

      allocate(vertices(1878)%branchR2(0:0))
      call avR2(1878, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(2260)%branchR2(0:0))
      call avR2(2260, 0, 8, 1, 0, FFaS1, (/0, 3/), (/nGC_1800/))

      allocate(vertices(3082)%branchR2(0:0))
      call avR2(3082, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(131)%branchR2(0:0))
      call avR2(131, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_1732/))

      allocate(vertices(1083)%branchR2(0:0))
      call avR2(1083, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2100/))

      allocate(vertices(2277)%branchR2(0:0))
      call avR2(2277, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(561)%branchR2(0:0))
      call avR2(561, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(2504)%branchR2(0:0))
      call avR2(2504, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1842/))

      allocate(vertices(2069)%branchR2(0:0))
      call avR2(2069, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2178/))

      allocate(vertices(2765)%branchR2(0:0))
      call avR2(2765, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2150/))

      allocate(vertices(2008)%branchR2(0:0))
      call avR2(2008, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2159/))

      allocate(vertices(3557)%branchR2(0:0))
      call avR2(3557, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2134/))

      allocate(vertices(423)%branchR2(0:0))
      call avR2(423, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(1443)%branchR2(0:1))
      call avR2(1443, 0, 18, 1, 0, FaFV0, (/0, 3/), (/nGC_1972/))

      call avR2(1443, 1, 18, 1, 0, FaFV0, (/2, 1/), (/nGC_1973/))

      allocate(vertices(2441)%branchR2(0:0))
      call avR2(2441, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(3092)%branchR2(0:0))
      call avR2(3092, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(2396)%branchR2(0:0))
      call avR2(2396, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(1817)%branchR2(0:0))
      call avR2(1817, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2125/))

      allocate(vertices(1308)%branchR2(0:0))
      call avR2(1308, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1809/))

      allocate(vertices(3119)%branchR2(0:0))
      call avR2(3119, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(2333)%branchR2(0:0))
      call avR2(2333, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2148/))

      allocate(vertices(3581)%branchR2(0:0))
      call avR2(3581, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2189/))

      allocate(vertices(523)%branchR2(0:0))
      call avR2(523, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2193/))

      allocate(vertices(2015)%branchR2(0:0))
      call avR2(2015, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_1937, nGC_1938/))

      allocate(vertices(2761)%branchR2(0:0))
      call avR2(2761, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(163)%branchR2(0:0))
      call avR2(163, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(389)%branchR2(0:0))
      call avR2(389, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(2872)%branchR2(0:0))
      call avR2(2872, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(3764)%branchR2(0:0))
      call avR2(3764, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2047/))

      allocate(vertices(3470)%branchR2(0:0))
      call avR2(3470, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2151/))

      allocate(vertices(2274)%branchR2(0:0))
      call avR2(2274, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(1060)%branchR2(0:1))
      call avR2(1060, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1974/))

      call avR2(1060, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1973/))

      allocate(vertices(1479)%branchR2(0:1))
      call avR2(1479, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1949, nGC_1948/))

      call avR2(1479, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1950, nGC_1950/))

      allocate(vertices(2112)%branchR2(0:0))
      call avR2(2112, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2084/))

      allocate(vertices(1120)%branchR2(0:3))
      call avR2(1120, 0, 27, 1, 0, FVFa0, (/3, 0/), (/nGC_2018, nGC_2018/))

      call avR2(1120, 1, 27, 1, 0, FVFa0, (/1, 2/), (/nGC_2022, nGC_2023/))

      call avR2(1120, 2, 26, 1, 0, FVFa0, (/1, 2/), (/nGC_2024, nGC_2025/))

      call avR2(1120, 3, 26, 1, 0, FVFa0, (/3, 0/), (/nGC_2021, nGC_2021/))

      allocate(vertices(377)%branchR2(0:0))
      call avR2(377, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(1813)%branchR2(0:0))
      call avR2(1813, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2172/))

      allocate(vertices(3516)%branchR2(0:0))
      call avR2(3516, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(1105)%branchR2(0:0))
      call avR2(1105, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1954, nGC_1955/))

      allocate(vertices(2338)%branchR2(0:0))
      call avR2(2338, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(137)%branchR2(0:0))
      call avR2(137, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(3213)%branchR2(0:0))
      call avR2(3213, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2189/))

      allocate(vertices(2502)%branchR2(0:0))
      call avR2(2502, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(571)%branchR2(0:0))
      call avR2(571, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2156/))

      allocate(vertices(3011)%branchR2(0:0))
      call avR2(3011, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(140)%branchR2(0:1))
      call avR2(140, 0, 18, 1, 0, FaFV1, (/0, 3/), (/nGC_1748, nGC_1749/))

      call avR2(140, 1, 18, 1, 0, FaFV1, (/2, 1/), (/nGC_1735, nGC_1735/))

      allocate(vertices(723)%branchR2(0:0))
      call avR2(723, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(1672)%branchR2(0:0))
      call avR2(1672, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(2449)%branchR2(0:0))
      call avR2(2449, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(1608)%branchR2(0:0))
      call avR2(1608, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(1624)%branchR2(0:0))
      call avR2(1624, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2180/))

      allocate(vertices(2963)%branchR2(0:1))
      call avR2(2963, 0, 14, 1, 0, FFa3, (/0, 2/), (/nGC_1695, nGC_1692,       &
      nGC_1693, nGC_1693/))

      call avR2(2963, 1, 14, 1, 0, FFa3, (/2, 0/), (/nGC_1687, nGC_1687,       &
      nGC_1694, nGC_1694/))

      allocate(vertices(507)%branchR2(0:0))
      call avR2(507, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(1862)%branchR2(0:0))
      call avR2(1862, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(979)%branchR2(0:0))
      call avR2(979, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(1974)%branchR2(0:0))
      call avR2(1974, 0, 8, 1, 0, FaSF2, (/0, 3/), (/nGC_1782/))

      allocate(vertices(1660)%branchR2(0:0))
      call avR2(1660, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2188/))

      allocate(vertices(1072)%branchR2(0:1))
      call avR2(1072, 0, 17, 1, 0, FaSF0, (/0, 3/), (/nGC_1964, nGC_1963/))

      call avR2(1072, 1, 17, 1, 0, FaSF0, (/2, 1/), (/nGC_1965, nGC_1965/))

      allocate(vertices(925)%branchR2(0:0))
      call avR2(925, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(1792)%branchR2(0:0))
      call avR2(1792, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2077, nGC_2078,       &
      nGC_2076/))

      allocate(vertices(2579)%branchR2(0:0))
      call avR2(2579, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(3765)%branchR2(0:1))
      call avR2(3765, 0, 53, 1, 0, SSVV0, (/2, 2/), (/nGC_2207/))

      call avR2(3765, 1, 54, 1, 0, SSVV0, (/2, 2/), (/nGC_2208/))

      allocate(vertices(3367)%branchR2(0:0))
      call avR2(3367, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2049/))

      allocate(vertices(797)%branchR2(0:0))
      call avR2(797, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2082/))

      allocate(vertices(1174)%branchR2(0:0))
      call avR2(1174, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(2530)%branchR2(0:0))
      call avR2(2530, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1808/))

      allocate(vertices(2819)%branchR2(0:0))
      call avR2(2819, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2060/))

      allocate(vertices(2705)%branchR2(0:1))
      call avR2(2705, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1798, nGC_1799/))

      call avR2(2705, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1778, nGC_1780/))

      allocate(vertices(2936)%branchR2(0:0))
      call avR2(2936, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2150/))

      allocate(vertices(2490)%branchR2(0:1))
      call avR2(2490, 0, 21, 1, 0, VFFa0, (/0, 3/), (/nGC_1994, nGC_1995/))

      call avR2(2490, 1, 21, 1, 0, VFFa0, (/2, 1/), (/nGC_1978, nGC_1980/))

      allocate(vertices(638)%branchR2(0:0))
      call avR2(638, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(3103)%branchR2(0:0))
      call avR2(3103, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(2137)%branchR2(0:0))
      call avR2(2137, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(411)%branchR2(0:0))
      call avR2(411, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(1411)%branchR2(0:1))
      call avR2(1411, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1923, nGC_1922/))

      call avR2(1411, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1924, nGC_1924/))

      allocate(vertices(1047)%branchR2(0:0))
      call avR2(1047, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2162/))

      allocate(vertices(1495)%branchR2(0:0))
      call avR2(1495, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2100/))

      allocate(vertices(1215)%branchR2(0:0))
      call avR2(1215, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1726/))

      allocate(vertices(1082)%branchR2(0:0))
      call avR2(1082, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1913/))

      allocate(vertices(323)%branchR2(0:0))
      call avR2(323, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2126/))

      allocate(vertices(2544)%branchR2(0:0))
      call avR2(2544, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1784/))

      allocate(vertices(232)%branchR2(0:0))
      call avR2(232, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2148/))

      allocate(vertices(1583)%branchR2(0:1))
      call avR2(1583, 0, 19, 1, 0, FSFa1, (/0, 3/), (/nGC_1969, nGC_1968/))

      call avR2(1583, 1, 19, 1, 0, FSFa1, (/2, 1/), (/nGC_1970, nGC_1970/))

      allocate(vertices(3002)%branchR2(0:0))
      call avR2(3002, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2150/))

      allocate(vertices(851)%branchR2(0:1))
      call avR2(851, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1872, nGC_1873/))

      call avR2(851, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1858, nGC_1860/))

      allocate(vertices(3342)%branchR2(0:0))
      call avR2(3342, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(1324)%branchR2(0:1))
      call avR2(1324, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1779, nGC_1777/))

      call avR2(1324, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1780, nGC_1778/))

      allocate(vertices(3766)%branchR2(0:1))
      call avR2(3766, 0, 57, 1, 0, SVSV0, (/2, 2/), (/nGC_2118/))

      call avR2(3766, 1, 58, 1, 0, SVSV0, (/2, 2/), (/nGC_2117/))

      allocate(vertices(1590)%branchR2(0:0))
      call avR2(1590, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(2750)%branchR2(0:0))
      call avR2(2750, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1731/))

      allocate(vertices(447)%branchR2(0:0))
      call avR2(447, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2128/))

      allocate(vertices(1954)%branchR2(0:0))
      call avR2(1954, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(2134)%branchR2(0:0))
      call avR2(2134, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2048/))

      allocate(vertices(313)%branchR2(0:0))
      call avR2(313, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1762/))

      allocate(vertices(3193)%branchR2(0:0))
      call avR2(3193, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(3404)%branchR2(0:0))
      call avR2(3404, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2134/))

      allocate(vertices(1200)%branchR2(0:0))
      call avR2(1200, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2163/))

      allocate(vertices(3478)%branchR2(0:0))
      call avR2(3478, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(3347)%branchR2(0:0))
      call avR2(3347, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2032/))

      allocate(vertices(2114)%branchR2(0:0))
      call avR2(2114, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2139/))

      allocate(vertices(746)%branchR2(0:1))
      call avR2(746, 0, 17, 1, 0, FaVF0, (/0, 3/), (/nGC_1750, nGC_1751/))

      call avR2(746, 1, 17, 1, 0, FaVF0, (/2, 1/), (/nGC_1738, nGC_1738/))

      allocate(vertices(583)%branchR2(0:0))
      call avR2(583, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2116/))

      allocate(vertices(71)%branchR2(0:1))
      call avR2(71, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1797, nGC_1796/))

      call avR2(71, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1776, nGC_1774/))

      allocate(vertices(172)%branchR2(0:0))
      call avR2(172, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2156/))

      allocate(vertices(138)%branchR2(0:0))
      call avR2(138, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2112/))

      allocate(vertices(1273)%branchR2(0:1))
      call avR2(1273, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1891, nGC_1889/))

      call avR2(1273, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1892, nGC_1890/))

      allocate(vertices(1307)%branchR2(0:0))
      call avR2(1307, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(3285)%branchR2(0:0))
      call avR2(3285, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2157/))

      allocate(vertices(2571)%branchR2(0:0))
      call avR2(2571, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1756/))

      allocate(vertices(2948)%branchR2(0:0))
      call avR2(2948, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2134/))

      allocate(vertices(2610)%branchR2(0:1))
      call avR2(2610, 0, 20, 1, 0, VFaF0, (/0, 3/), (/nGC_1977, nGC_1979/))

      call avR2(2610, 1, 20, 1, 0, VFaF0, (/2, 1/), (/nGC_1978, nGC_1980/))

      allocate(vertices(3767)%branchR2(0:0))
      call avR2(3767, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2038/))

      allocate(vertices(1106)%branchR2(0:0))
      call avR2(1106, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(2239)%branchR2(0:1))
      call avR2(2239, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1903, nGC_1901/))

      call avR2(2239, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1904, nGC_1902/))

      allocate(vertices(2078)%branchR2(0:0))
      call avR2(2078, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2130/))

      allocate(vertices(2501)%branchR2(0:0))
      call avR2(2501, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(2937)%branchR2(0:0))
      call avR2(2937, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(3300)%branchR2(0:0))
      call avR2(3300, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2049/))

      allocate(vertices(3768)%branchR2(0:0))
      call avR2(3768, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2044/))

      allocate(vertices(2363)%branchR2(0:0))
      call avR2(2363, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2179/))

      allocate(vertices(184)%branchR2(0:0))
      call avR2(184, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(1187)%branchR2(0:1))
      call avR2(1187, 0, 19, 1, 0, FSFa1, (/0, 3/), (/nGC_1771, nGC_1769/))

      call avR2(1187, 1, 19, 1, 0, FSFa1, (/2, 1/), (/nGC_1772, nGC_1770/))

      allocate(vertices(2341)%branchR2(0:0))
      call avR2(2341, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2096/))

      allocate(vertices(1877)%branchR2(0:1))
      call avR2(1877, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1798, nGC_1799/))

      call avR2(1877, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1778, nGC_1780/))

      allocate(vertices(602)%branchR2(0:0))
      call avR2(602, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2181/))

      allocate(vertices(1993)%branchR2(0:1))
      call avR2(1993, 0, 18, 1, 0, FaFV1, (/0, 3/), (/nGC_2000, nGC_2001/))

      call avR2(1993, 1, 18, 1, 0, FaFV1, (/2, 1/), (/nGC_1982, nGC_1984/))

      allocate(vertices(3769)%branchR2(0:0))
      call avR2(3769, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(1835)%branchR2(0:0))
      call avR2(1835, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(2662)%branchR2(0:0))
      call avR2(2662, 0, 8, 1, 0, FaSF0, (/0, 3/), (/nGC_1929, nGC_1930/))

      allocate(vertices(1451)%branchR2(0:0))
      call avR2(1451, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1865/))

      allocate(vertices(1383)%branchR2(0:0))
      call avR2(1383, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2168/))

      allocate(vertices(974)%branchR2(0:0))
      call avR2(974, 0, 8, 1, 0, FaVF0, (/0, 3/), (/nGC_1999, nGC_1998/))

      allocate(vertices(483)%branchR2(0:1))
      call avR2(483, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1940, nGC_1939/))

      call avR2(483, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1941, nGC_1941/))

      allocate(vertices(3221)%branchR2(0:0))
      call avR2(3221, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3274/))

      allocate(vertices(1211)%branchR2(0:0))
      call avR2(1211, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(953)%branchR2(0:0))
      call avR2(953, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(949)%branchR2(0:0))
      call avR2(949, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2187/))

      allocate(vertices(2383)%branchR2(0:0))
      call avR2(2383, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(720)%branchR2(0:0))
      call avR2(720, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_1895, nGC_1896/))

      allocate(vertices(741)%branchR2(0:0))
      call avR2(741, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(1544)%branchR2(0:0))
      call avR2(1544, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2182/))

      allocate(vertices(3770)%branchR2(0:0))
      call avR2(3770, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2142/))

      allocate(vertices(1675)%branchR2(0:0))
      call avR2(1675, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(2585)%branchR2(0:0))
      call avR2(2585, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(1259)%branchR2(0:0))
      call avR2(1259, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1937, nGC_1938/))

      allocate(vertices(1929)%branchR2(0:0))
      call avR2(1929, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(1059)%branchR2(0:1))
      call avR2(1059, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1891, nGC_1889/))

      call avR2(1059, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1892, nGC_1890/))

      allocate(vertices(3038)%branchR2(0:0))
      call avR2(3038, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1729/))

      allocate(vertices(1562)%branchR2(0:0))
      call avR2(1562, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(12)%branchR2(0:1))
      call avR2(12, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1822, nGC_1820/))

      call avR2(12, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1823, nGC_1821/))

      allocate(vertices(2227)%branchR2(0:0))
      call avR2(2227, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2048/))

      allocate(vertices(1055)%branchR2(0:1))
      call avR2(1055, 0, 20, 1, 0, VFaF0, (/0, 3/), (/nGC_1981, nGC_1983/))

      call avR2(1055, 1, 20, 1, 0, VFaF0, (/2, 1/), (/nGC_1982, nGC_1984/))

      allocate(vertices(3771)%branchR2(0:0))
      call avR2(3771, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1723/))

      allocate(vertices(1413)%branchR2(0:0))
      call avR2(1413, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1725/))

      allocate(vertices(1107)%branchR2(0:0))
      call avR2(1107, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(1433)%branchR2(0:0))
      call avR2(1433, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(2388)%branchR2(0:0))
      call avR2(2388, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2178/))

      allocate(vertices(2387)%branchR2(0:0))
      call avR2(2387, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(3177)%branchR2(0:0))
      call avR2(3177, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1717/))

      allocate(vertices(2904)%branchR2(0:0))
      call avR2(2904, 0, 8, 1, 0, FVFa1, (/0, 3/), (/nGC_1747/))

      allocate(vertices(2635)%branchR2(0:0))
      call avR2(2635, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(1001)%branchR2(0:0))
      call avR2(1001, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2179/))

      allocate(vertices(2722)%branchR2(0:0))
      call avR2(2722, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(1334)%branchR2(0:1))
      call avR2(1334, 0, 18, 1, 0, FaFV1, (/0, 3/), (/nGC_1733, nGC_1734/))

      call avR2(1334, 1, 18, 1, 0, FaFV1, (/2, 1/), (/nGC_1735, nGC_1735/))

      allocate(vertices(760)%branchR2(0:0))
      call avR2(760, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2197/))

      allocate(vertices(712)%branchR2(0:0))
      call avR2(712, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1878/))

      allocate(vertices(1604)%branchR2(0:0))
      call avR2(1604, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(622)%branchR2(0:0))
      call avR2(622, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(2898)%branchR2(0:0))
      call avR2(2898, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2115/))

      allocate(vertices(1424)%branchR2(0:0))
      call avR2(1424, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(1416)%branchR2(0:0))
      call avR2(1416, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(1627)%branchR2(0:0))
      call avR2(1627, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(3238)%branchR2(0:0))
      call avR2(3238, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2115/))

      allocate(vertices(225)%branchR2(0:0))
      call avR2(225, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(567)%branchR2(0:0))
      call avR2(567, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2103/))

      allocate(vertices(2240)%branchR2(0:0))
      call avR2(2240, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2185/))

      allocate(vertices(3772)%branchR2(0:1))
      call avR2(3772, 0, 61, 1, 0, VVVV0, (/2, 2/), (/nGC_2089, nGC_2089,      &
      nGC_2089/))

      call avR2(3772, 1, 62, 1, 0, VVVV0, (/2, 2/), (/nGC_2090, nGC_2090,      &
      nGC_2090/))

      allocate(vertices(758)%branchR2(0:1))
      call avR2(758, 0, 19, 1, 0, FSFa1, (/0, 3/), (/nGC_1868, nGC_1869/))

      call avR2(758, 1, 19, 1, 0, FSFa1, (/2, 1/), (/nGC_1850, nGC_1852/))

      allocate(vertices(2053)%branchR2(0:0))
      call avR2(2053, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2155/))

      allocate(vertices(1848)%branchR2(0:0))
      call avR2(1848, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(3292)%branchR2(0:0))
      call avR2(3292, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2079/))

      allocate(vertices(3458)%branchR2(0:0))
      call avR2(3458, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(2549)%branchR2(0:0))
      call avR2(2549, 0, 8, 1, 0, FaVF0, (/0, 3/), (/nGC_1988, nGC_1987/))

      allocate(vertices(1887)%branchR2(0:0))
      call avR2(1887, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(2389)%branchR2(0:1))
      call avR2(2389, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1871, nGC_1870/))

      call avR2(2389, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1856, nGC_1854/))

      allocate(vertices(3519)%branchR2(0:0))
      call avR2(3519, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_1656, nGC_1655/))

      allocate(vertices(3773)%branchR2(0:1))
      call avR2(3773, 0, 61, 1, 0, VSSV0, (/2, 2/), (/nGC_2198/))

      call avR2(3773, 1, 62, 1, 0, VSSV0, (/2, 2/), (/nGC_2199/))

      allocate(vertices(1623)%branchR2(0:0))
      call avR2(1623, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(1539)%branchR2(0:0))
      call avR2(1539, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(1064)%branchR2(0:0))
      call avR2(1064, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3279/))

      allocate(vertices(3555)%branchR2(0:0))
      call avR2(3555, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2064/))

      allocate(vertices(1293)%branchR2(0:0))
      call avR2(1293, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_1975/))

      allocate(vertices(427)%branchR2(0:1))
      call avR2(427, 0, 19, 1, 0, FSFa1, (/0, 3/), (/nGC_1851, nGC_1849/))

      call avR2(427, 1, 19, 1, 0, FSFa1, (/2, 1/), (/nGC_1852, nGC_1850/))

      allocate(vertices(1114)%branchR2(0:0))
      call avR2(1114, 0, 8, 1, 0, FaFS0, (/0, 3/), (/nGC_1800/))

      allocate(vertices(1164)%branchR2(0:1))
      call avR2(1164, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1946, nGC_1945/))

      call avR2(1164, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1947, nGC_1947/))

      allocate(vertices(1278)%branchR2(0:0))
      call avR2(1278, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2107/))

      allocate(vertices(1844)%branchR2(0:0))
      call avR2(1844, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(1492)%branchR2(0:0))
      call avR2(1492, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2187/))

      allocate(vertices(1786)%branchR2(0:0))
      call avR2(1786, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2095/))

      allocate(vertices(2261)%branchR2(0:0))
      call avR2(2261, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2103/))

      allocate(vertices(2690)%branchR2(0:0))
      call avR2(2690, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2112/))

      allocate(vertices(3774)%branchR2(0:0))
      call avR2(3774, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(2693)%branchR2(0:0))
      call avR2(2693, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2125/))

      allocate(vertices(607)%branchR2(0:0))
      call avR2(607, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(3505)%branchR2(0:0))
      call avR2(3505, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(1331)%branchR2(0:0))
      call avR2(1331, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(2531)%branchR2(0:0))
      call avR2(2531, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(3028)%branchR2(0:0))
      call avR2(3028, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(677)%branchR2(0:0))
      call avR2(677, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2081/))

      allocate(vertices(1802)%branchR2(0:0))
      call avR2(1802, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2125/))

      allocate(vertices(3775)%branchR2(0:1))
      call avR2(3775, 0, 61, 1, 0, VSSV0, (/2, 2/), (/nGC_2198/))

      call avR2(3775, 1, 62, 1, 0, VSSV0, (/2, 2/), (/nGC_2199/))

      allocate(vertices(2216)%branchR2(0:0))
      call avR2(2216, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1786/))

      allocate(vertices(197)%branchR2(0:0))
      call avR2(197, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(904)%branchR2(0:0))
      call avR2(904, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(3776)%branchR2(0:5))
      call avR2(3776, 0, 70, 1, 0, VVVV0, (/3, 1/), (/nGC_2106, nGC_2106,      &
      nGC_2106/))

      call avR2(3776, 1, 67, 1, 0, VVVV0, (/3, 1/), (/nGC_2105, nGC_2105,      &
      nGC_2105/))

      call avR2(3776, 2, 66, 1, 0, VVVV0, (/3, 1/), (/nGC_2105, nGC_2105,      &
      nGC_2105/))

      call avR2(3776, 3, 69, 1, 0, VVVV0, (/3, 1/), (/nGC_2106, nGC_2106,      &
      nGC_2106/))

      call avR2(3776, 4, 68, 1, 0, VVVV0, (/3, 1/), (/nGC_2105, nGC_2105,      &
      nGC_2105/))

      call avR2(3776, 5, 65, 1, 0, VVVV0, (/3, 1/), (/nGC_2104, nGC_2104,      &
      nGC_2104/))

      allocate(vertices(1932)%branchR2(0:0))
      call avR2(1932, 0, 8, 1, 0, SFFa2, (/0, 3/), (/nGC_1802/))

      allocate(vertices(3777)%branchR2(0:0))
      call avR2(3777, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2074/))

      allocate(vertices(1759)%branchR2(0:0))
      call avR2(1759, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(1971)%branchR2(0:1))
      call avR2(1971, 0, 19, 1, 0, FVFa1, (/0, 3/), (/nGC_1974/))

      call avR2(1971, 1, 19, 1, 0, FVFa1, (/2, 1/), (/nGC_1973/))

      allocate(vertices(1654)%branchR2(0:0))
      call avR2(1654, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(425)%branchR2(0:0))
      call avR2(425, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2034/))

      allocate(vertices(2814)%branchR2(0:0))
      call avR2(2814, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(2246)%branchR2(0:0))
      call avR2(2246, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2100/))

      allocate(vertices(640)%branchR2(0:0))
      call avR2(640, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2139/))

      allocate(vertices(25)%branchR2(0:1))
      call avR2(25, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1969, nGC_1968/))

      call avR2(25, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1970, nGC_1970/))

      allocate(vertices(2868)%branchR2(0:0))
      call avR2(2868, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2157/))

      allocate(vertices(1011)%branchR2(0:0))
      call avR2(1011, 0, 8, 1, 0, FaVF0, (/0, 3/), (/nGC_1753, nGC_1752/))

      allocate(vertices(2877)%branchR2(0:0))
      call avR2(2877, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(3320)%branchR2(0:0))
      call avR2(3320, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2189/))

      allocate(vertices(2118)%branchR2(0:0))
      call avR2(2118, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2178/))

      allocate(vertices(78)%branchR2(0:1))
      call avR2(78, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1794, nGC_1795/))

      call avR2(78, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1770, nGC_1772/))

      allocate(vertices(2213)%branchR2(0:0))
      call avR2(2213, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2158/))

      allocate(vertices(463)%branchR2(0:0))
      call avR2(463, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(3778)%branchR2(0:1))
      call avR2(3778, 0, 59, 1, 0, VSVS0, (/2, 2/), (/nGC_2118/))

      call avR2(3778, 1, 60, 1, 0, VSVS0, (/2, 2/), (/nGC_2117/))

      allocate(vertices(268)%branchR2(0:0))
      call avR2(268, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3275/))

      allocate(vertices(3302)%branchR2(0:0))
      call avR2(3302, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1721/))

      allocate(vertices(532)%branchR2(0:1))
      call avR2(532, 0, 21, 1, 0, VFFa0, (/0, 3/), (/nGC_1748, nGC_1749/))

      call avR2(532, 1, 21, 1, 0, VFFa0, (/2, 1/), (/nGC_1735, nGC_1735/))

      allocate(vertices(1067)%branchR2(0:0))
      call avR2(1067, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(1581)%branchR2(0:1))
      call avR2(1581, 0, 17, 1, 0, FaSF0, (/0, 3/), (/nGC_1840, nGC_1838/))

      call avR2(1581, 1, 17, 1, 0, FaSF0, (/2, 1/), (/nGC_1841, nGC_1839/))

      allocate(vertices(1048)%branchR2(0:0))
      call avR2(1048, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(74)%branchR2(0:0))
      call avR2(74, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(735)%branchR2(0:0))
      call avR2(735, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3289/))

      allocate(vertices(854)%branchR2(0:0))
      call avR2(854, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2145/))

      allocate(vertices(673)%branchR2(0:0))
      call avR2(673, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(774)%branchR2(0:0))
      call avR2(774, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(1890)%branchR2(0:1))
      call avR2(1890, 0, 19, 1, 0, FVFa0, (/0, 3/), (/nGC_1736, nGC_1737/))

      call avR2(1890, 1, 19, 1, 0, FVFa0, (/2, 1/), (/nGC_1738, nGC_1738/))

      allocate(vertices(2221)%branchR2(0:1))
      call avR2(2221, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1940, nGC_1939/))

      call avR2(2221, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1941, nGC_1941/))

      allocate(vertices(3124)%branchR2(0:0))
      call avR2(3124, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2064/))

      allocate(vertices(2088)%branchR2(0:0))
      call avR2(2088, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1763/))

      allocate(vertices(1951)%branchR2(0:1))
      call avR2(1951, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1940, nGC_1939/))

      call avR2(1951, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1941, nGC_1941/))

      allocate(vertices(1089)%branchR2(0:0))
      call avR2(1089, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(3779)%branchR2(0:1))
      call avR2(3779, 0, 45, 1, 0, VVS0, (/2, 1/), (/nGC_1927/))

      call avR2(3779, 1, 46, 1, 0, VVS0, (/2, 1/), (/nGC_1928/))

      allocate(vertices(391)%branchR2(0:0))
      call avR2(391, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(1616)%branchR2(0:1))
      call avR2(1616, 0, 19, 1, 0, FVFa1, (/0, 3/), (/nGC_1974/))

      call avR2(1616, 1, 19, 1, 0, FVFa1, (/2, 1/), (/nGC_1973/))

      allocate(vertices(251)%branchR2(0:1))
      call avR2(251, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1872, nGC_1873/))

      call avR2(251, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1858, nGC_1860/))

      allocate(vertices(125)%branchR2(0:0))
      call avR2(125, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2191/))

      allocate(vertices(2014)%branchR2(0:0))
      call avR2(2014, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2084/))

      allocate(vertices(275)%branchR2(0:0))
      call avR2(275, 0, 8, 1, 0, FVFa1, (/0, 3/), (/nGC_1976/))

      allocate(vertices(3493)%branchR2(0:0))
      call avR2(3493, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1716/))

      allocate(vertices(3352)%branchR2(0:0))
      call avR2(3352, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(2293)%branchR2(0:0))
      call avR2(2293, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(476)%branchR2(0:0))
      call avR2(476, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(3780)%branchR2(0:0))
      call avR2(3780, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2037/))

      allocate(vertices(3100)%branchR2(0:0))
      call avR2(3100, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2150/))

      allocate(vertices(2493)%branchR2(0:1))
      call avR2(2493, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1949, nGC_1948/))

      call avR2(2493, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1950, nGC_1950/))

      allocate(vertices(1310)%branchR2(0:0))
      call avR2(1310, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2122/))

      allocate(vertices(319)%branchR2(0:0))
      call avR2(319, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1763/))

      allocate(vertices(883)%branchR2(0:0))
      call avR2(883, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(660)%branchR2(0:0))
      call avR2(660, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_1971/))

      allocate(vertices(353)%branchR2(0:0))
      call avR2(353, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2161/))

      allocate(vertices(2007)%branchR2(0:0))
      call avR2(2007, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2078, nGC_2076,       &
      nGC_2077/))

      allocate(vertices(900)%branchR2(0:0))
      call avR2(900, 0, 8, 1, 0, SFaF2, (/0, 3/), (/nGC_1802/))

      allocate(vertices(2858)%branchR2(0:0))
      call avR2(2858, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(1820)%branchR2(0:0))
      call avR2(1820, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_1975/))

      allocate(vertices(2188)%branchR2(0:0))
      call avR2(2188, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(1800)%branchR2(0:0))
      call avR2(1800, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(1486)%branchR2(0:0))
      call avR2(1486, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(2098)%branchR2(0:0))
      call avR2(2098, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1805/))

      allocate(vertices(938)%branchR2(0:0))
      call avR2(938, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(3479)%branchR2(0:0))
      call avR2(3479, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2157/))

      allocate(vertices(3241)%branchR2(0:0))
      call avR2(3241, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2064/))

      allocate(vertices(332)%branchR2(0:0))
      call avR2(332, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2128/))

      allocate(vertices(2173)%branchR2(0:0))
      call avR2(2173, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(3343)%branchR2(0:0))
      call avR2(3343, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1807/))

      allocate(vertices(1219)%branchR2(0:0))
      call avR2(1219, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(2195)%branchR2(0:0))
      call avR2(2195, 0, 8, 1, 0, FaFS1, (/0, 3/), (/nGC_1905, nGC_1906/))

      allocate(vertices(830)%branchR2(0:0))
      call avR2(830, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(2927)%branchR2(0:0))
      call avR2(2927, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2060/))

      allocate(vertices(178)%branchR2(0:1))
      call avR2(178, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1964, nGC_1963/))

      call avR2(178, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1965, nGC_1965/))

      allocate(vertices(553)%branchR2(0:0))
      call avR2(553, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2156/))

      allocate(vertices(1824)%branchR2(0:1))
      call avR2(1824, 0, 17, 1, 0, FaVF0, (/0, 3/), (/nGC_1977, nGC_1979/))

      call avR2(1824, 1, 17, 1, 0, FaVF0, (/2, 1/), (/nGC_1978, nGC_1980/))

      allocate(vertices(2743)%branchR2(0:0))
      call avR2(2743, 0, 8, 1, 0, VFFa1, (/0, 3/), (/nGC_1746/))

      allocate(vertices(459)%branchR2(0:0))
      call avR2(459, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2126/))

      allocate(vertices(1985)%branchR2(0:0))
      call avR2(1985, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_1975/))

      allocate(vertices(600)%branchR2(0:0))
      call avR2(600, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1879/))

      allocate(vertices(2499)%branchR2(0:0))
      call avR2(2499, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(2578)%branchR2(0:0))
      call avR2(2578, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1720/))

      allocate(vertices(2760)%branchR2(0:0))
      call avR2(2760, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2060/))

      allocate(vertices(3443)%branchR2(0:0))
      call avR2(3443, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2151/))

      allocate(vertices(1639)%branchR2(0:0))
      call avR2(1639, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(417)%branchR2(0:0))
      call avR2(417, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_1975/))

      allocate(vertices(2352)%branchR2(0:0))
      call avR2(2352, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1785/))

      allocate(vertices(2107)%branchR2(0:0))
      call avR2(2107, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2137/))

      allocate(vertices(1532)%branchR2(0:0))
      call avR2(1532, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(3393)%branchR2(0:0))
      call avR2(3393, 0, 8, 1, 0, FaFV0, (/0, 3/), (/nGC_1746/))

      allocate(vertices(972)%branchR2(0:0))
      call avR2(972, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2146/))

      allocate(vertices(1605)%branchR2(0:0))
      call avR2(1605, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(890)%branchR2(0:0))
      call avR2(890, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2055/))

      allocate(vertices(2172)%branchR2(0:0))
      call avR2(2172, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1718/))

      allocate(vertices(501)%branchR2(0:0))
      call avR2(501, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(3781)%branchR2(0:0))
      call avR2(3781, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2037/))

      allocate(vertices(429)%branchR2(0:0))
      call avR2(429, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1877/))

      allocate(vertices(372)%branchR2(0:0))
      call avR2(372, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2122/))

      allocate(vertices(1667)%branchR2(0:1))
      call avR2(1667, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1920, nGC_1919/))

      call avR2(1667, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1921, nGC_1921/))

      allocate(vertices(2058)%branchR2(0:0))
      call avR2(2058, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(1181)%branchR2(0:0))
      call avR2(1181, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(0)%branchR2(0:0))
      call avR2(0, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2084/))

      allocate(vertices(1322)%branchR2(0:0))
      call avR2(1322, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2148/))

      allocate(vertices(981)%branchR2(0:0))
      call avR2(981, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(1968)%branchR2(0:1))
      call avR2(1968, 0, 17, 1, 0, FaSF0, (/0, 3/), (/nGC_1923, nGC_1922/))

      call avR2(1968, 1, 17, 1, 0, FaSF0, (/2, 1/), (/nGC_1924, nGC_1924/))

      allocate(vertices(3339)%branchR2(0:0))
      call avR2(3339, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_1658, nGC_1657/))

      allocate(vertices(192)%branchR2(0:0))
      call avR2(192, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1727/))

      allocate(vertices(2029)%branchR2(0:0))
      call avR2(2029, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2163/))

      allocate(vertices(719)%branchR2(0:0))
      call avR2(719, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2100/))

      allocate(vertices(3111)%branchR2(0:0))
      call avR2(3111, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2160/))

      allocate(vertices(2804)%branchR2(0:0))
      call avR2(2804, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2157/))

      allocate(vertices(2302)%branchR2(0:0))
      call avR2(2302, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(2442)%branchR2(0:0))
      call avR2(2442, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1895, nGC_1896/))

      allocate(vertices(1056)%branchR2(0:0))
      call avR2(1056, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(674)%branchR2(0:0))
      call avR2(674, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(373)%branchR2(0:0))
      call avR2(373, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(3381)%branchR2(0:1))
      call avR2(3381, 0, 42, 1, 0, FaF2, (/0, 2/), (/nGC_1691, nGC_1688,       &
      nGC_1696, nGC_1696/))

      call avR2(3381, 1, 42, 1, 0, FaF2, (/2, 0/), (/nGC_1687, nGC_1687,       &
      nGC_1697, nGC_1697/))

      allocate(vertices(1879)%branchR2(0:0))
      call avR2(1879, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1914/))

      allocate(vertices(764)%branchR2(0:0))
      call avR2(764, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(3782)%branchR2(0:0))
      call avR2(3782, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2037/))

      allocate(vertices(1042)%branchR2(0:0))
      call avR2(1042, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1768/))

      allocate(vertices(1833)%branchR2(0:0))
      call avR2(1833, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2116/))

      allocate(vertices(2036)%branchR2(0:1))
      call avR2(2036, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1872, nGC_1873/))

      call avR2(2036, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1858, nGC_1860/))

      allocate(vertices(3287)%branchR2(0:0))
      call avR2(3287, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(2033)%branchR2(0:0))
      call avR2(2033, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2125/))

      allocate(vertices(569)%branchR2(0:0))
      call avR2(569, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2121/))

      allocate(vertices(2152)%branchR2(0:0))
      call avR2(2152, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_1976/))

      allocate(vertices(896)%branchR2(0:0))
      call avR2(896, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2145/))

      allocate(vertices(2463)%branchR2(0:0))
      call avR2(2463, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2095/))

      allocate(vertices(1774)%branchR2(0:0))
      call avR2(1774, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2137/))

      allocate(vertices(595)%branchR2(0:0))
      call avR2(595, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(2930)%branchR2(0:0))
      call avR2(2930, 0, 8, 1, 0, FaFV0, (/0, 3/), (/nGC_1745/))

      allocate(vertices(1300)%branchR2(0:0))
      call avR2(1300, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(415)%branchR2(0:0))
      call avR2(415, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2155/))

      allocate(vertices(2482)%branchR2(0:0))
      call avR2(2482, 0, 8, 1, 0, FaVF0, (/0, 3/), (/nGC_1744, nGC_1743/))

      allocate(vertices(576)%branchR2(0:0))
      call avR2(576, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2161/))

      allocate(vertices(365)%branchR2(0:0))
      call avR2(365, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2116/))

      allocate(vertices(3275)%branchR2(0:0))
      call avR2(3275, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_1656, nGC_1655/))

      allocate(vertices(3783)%branchR2(0:1))
      call avR2(3783, 0, 59, 1, 0, VSVS0, (/2, 2/), (/nGC_2165/))

      call avR2(3783, 1, 60, 1, 0, VSVS0, (/2, 2/), (/nGC_2166/))

      allocate(vertices(2194)%branchR2(0:0))
      call avR2(2194, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(2375)%branchR2(0:0))
      call avR2(2375, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(1156)%branchR2(0:0))
      call avR2(1156, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2172/))

      allocate(vertices(1518)%branchR2(0:0))
      call avR2(1518, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2164/))

      allocate(vertices(264)%branchR2(0:0))
      call avR2(264, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(3784)%branchR2(0:0))
      call avR2(3784, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2044/))

      allocate(vertices(2200)%branchR2(0:0))
      call avR2(2200, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2163/))

      allocate(vertices(3203)%branchR2(0:0))
      call avR2(3203, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(2320)%branchR2(0:0))
      call avR2(2320, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2128/))

      allocate(vertices(944)%branchR2(0:0))
      call avR2(944, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2122/))

      allocate(vertices(1896)%branchR2(0:0))
      call avR2(1896, 0, 8, 1, 0, FaFS0, (/0, 3/), (/nGC_1801/))

      allocate(vertices(301)%branchR2(0:0))
      call avR2(301, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(1935)%branchR2(0:0))
      call avR2(1935, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2190/))

      allocate(vertices(2351)%branchR2(0:0))
      call avR2(2351, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2122/))

      allocate(vertices(2503)%branchR2(0:0))
      call avR2(2503, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(3785)%branchR2(0:0))
      call avR2(3785, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2143/))

      allocate(vertices(3355)%branchR2(0:0))
      call avR2(3355, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2114/))

      allocate(vertices(1972)%branchR2(0:1))
      call avR2(1972, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1851, nGC_1849/))

      call avR2(1972, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1852, nGC_1850/))

      allocate(vertices(1396)%branchR2(0:0))
      call avR2(1396, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(271)%branchR2(0:1))
      call avR2(271, 0, 19, 1, 0, FSFa1, (/0, 3/), (/nGC_1794, nGC_1795/))

      call avR2(271, 1, 19, 1, 0, FSFa1, (/2, 1/), (/nGC_1770, nGC_1772/))

      allocate(vertices(1814)%branchR2(0:0))
      call avR2(1814, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2088/))

      allocate(vertices(2157)%branchR2(0:0))
      call avR2(2157, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(36)%branchR2(0:0))
      call avR2(36, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1826, nGC_1827/))

      allocate(vertices(3015)%branchR2(0:0))
      call avR2(3015, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1729/))

      allocate(vertices(1632)%branchR2(0:0))
      call avR2(1632, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(2252)%branchR2(0:0))
      call avR2(2252, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2130/))

      allocate(vertices(3786)%branchR2(0:0))
      call avR2(3786, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(1548)%branchR2(0:0))
      call avR2(1548, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(1028)%branchR2(0:0))
      call avR2(1028, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1762/))

      allocate(vertices(3787)%branchR2(0:0))
      call avR2(3787, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(461)%branchR2(0:0))
      call avR2(461, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2093/))

      allocate(vertices(511)%branchR2(0:0))
      call avR2(511, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(582)%branchR2(0:0))
      call avR2(582, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2122/))

      allocate(vertices(2873)%branchR2(0:0))
      call avR2(2873, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3290/))

      allocate(vertices(2464)%branchR2(0:0))
      call avR2(2464, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(3788)%branchR2(0:1))
      call avR2(3788, 0, 53, 1, 0, SSVV0, (/2, 2/), (/nGC_2099/))

      call avR2(3788, 1, 54, 1, 0, SSVV0, (/2, 2/), (/nGC_2098/))

      allocate(vertices(1007)%branchR2(0:0))
      call avR2(1007, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2186/))

      allocate(vertices(886)%branchR2(0:3))
      call avR2(886, 0, 11, 1, 0, FFaV0, (/1, 2/), (/nGC_2028, nGC_2029/))

      call avR2(886, 1, 11, 1, 0, FFaV0, (/3, 0/), (/nGC_2021, nGC_2021/))

      call avR2(886, 2, 12, 1, 0, FFaV0, (/1, 2/), (/nGC_2026, nGC_2027/))

      call avR2(886, 3, 12, 1, 0, FFaV0, (/3, 0/), (/nGC_2018, nGC_2018/))

      allocate(vertices(1999)%branchR2(0:0))
      call avR2(1999, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(627)%branchR2(0:0))
      call avR2(627, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(3789)%branchR2(0:1))
      call avR2(3789, 0, 64, 1, 0, VVVV0, (/2, 2/), (/nGC_2203, nGC_2203,      &
      nGC_2203/))

      call avR2(3789, 1, 63, 1, 0, VVVV0, (/2, 2/), (/nGC_2204, nGC_2204,      &
      nGC_2204/))

      allocate(vertices(2113)%branchR2(0:1))
      call avR2(2113, 0, 19, 1, 0, FSFa1, (/0, 3/), (/nGC_1891, nGC_1889/))

      call avR2(2113, 1, 19, 1, 0, FSFa1, (/2, 1/), (/nGC_1892, nGC_1890/))

      allocate(vertices(2720)%branchR2(0:0))
      call avR2(2720, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2157/))

      allocate(vertices(3319)%branchR2(0:1))
      call avR2(3319, 0, 42, 1, 0, FaF2, (/0, 2/), (/nGC_1691, nGC_1688,       &
      nGC_1689, nGC_1689/))

      call avR2(3319, 1, 42, 1, 0, FaF2, (/2, 0/), (/nGC_1687, nGC_1687,       &
      nGC_1690, nGC_1690/))

      allocate(vertices(1842)%branchR2(0:0))
      call avR2(1842, 0, 8, 1, 0, SFFa2, (/0, 3/), (/nGC_1874/))

      allocate(vertices(2427)%branchR2(0:0))
      call avR2(2427, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2035/))

      allocate(vertices(1594)%branchR2(0:0))
      call avR2(1594, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(3258)%branchR2(0:0))
      call avR2(3258, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2189/))

      allocate(vertices(151)%branchR2(0:0))
      call avR2(151, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1791/))

      allocate(vertices(632)%branchR2(0:0))
      call avR2(632, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2085/))

      allocate(vertices(3432)%branchR2(0:0))
      call avR2(3432, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3263/))

      allocate(vertices(55)%branchR2(0:0))
      call avR2(55, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2120/))

      allocate(vertices(1206)%branchR2(0:0))
      call avR2(1206, 0, 8, 1, 0, FFaS1, (/0, 3/), (/nGC_1802/))

      allocate(vertices(739)%branchR2(0:0))
      call avR2(739, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2110/))

      allocate(vertices(2426)%branchR2(0:0))
      call avR2(2426, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(1923)%branchR2(0:1))
      call avR2(1923, 0, 18, 1, 0, FaFV0, (/0, 3/), (/nGC_1974/))

      call avR2(1923, 1, 18, 1, 0, FaFV0, (/2, 1/), (/nGC_1973/))

      allocate(vertices(577)%branchR2(0:0))
      call avR2(577, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2188/))

      allocate(vertices(743)%branchR2(0:0))
      call avR2(743, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(3790)%branchR2(0:0))
      call avR2(3790, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2142/))

      allocate(vertices(2026)%branchR2(0:0))
      call avR2(2026, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(960)%branchR2(0:0))
      call avR2(960, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2096/))

      allocate(vertices(2175)%branchR2(0:1))
      call avR2(2175, 0, 20, 1, 0, VFaF0, (/0, 3/), (/nGC_2000, nGC_2001/))

      call avR2(2175, 1, 20, 1, 0, VFaF0, (/2, 1/), (/nGC_1982, nGC_1984/))

      allocate(vertices(1915)%branchR2(0:0))
      call avR2(1915, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2168/))

      allocate(vertices(2677)%branchR2(0:0))
      call avR2(2677, 0, 8, 1, 0, FaSF1, (/0, 3/), (/nGC_1876/))

      allocate(vertices(1432)%branchR2(0:0))
      call avR2(1432, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(3178)%branchR2(0:0))
      call avR2(3178, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(3382)%branchR2(0:0))
      call avR2(3382, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2157/))

      allocate(vertices(1537)%branchR2(0:0))
      call avR2(1537, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2095/))

      allocate(vertices(1819)%branchR2(0:0))
      call avR2(1819, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2186/))

      allocate(vertices(3444)%branchR2(0:0))
      call avR2(3444, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2073/))

      allocate(vertices(2638)%branchR2(0:0))
      call avR2(2638, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_1732/))

      allocate(vertices(2795)%branchR2(0:0))
      call avR2(2795, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1716/))

      allocate(vertices(940)%branchR2(0:0))
      call avR2(940, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(1586)%branchR2(0:0))
      call avR2(1586, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2137/))

      allocate(vertices(1755)%branchR2(0:0))
      call avR2(1755, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(1484)%branchR2(0:0))
      call avR2(1484, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1785/))

      allocate(vertices(1978)%branchR2(0:0))
      call avR2(1978, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(380)%branchR2(0:0))
      call avR2(380, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(2329)%branchR2(0:0))
      call avR2(2329, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(805)%branchR2(0:0))
      call avR2(805, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3282/))

      allocate(vertices(2128)%branchR2(0:0))
      call avR2(2128, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_1975/))

      allocate(vertices(1138)%branchR2(0:0))
      call avR2(1138, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2125/))

      allocate(vertices(3791)%branchR2(0:0))
      call avR2(3791, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(2742)%branchR2(0:0))
      call avR2(2742, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(1996)%branchR2(0:0))
      call avR2(1996, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2055/))

      allocate(vertices(2420)%branchR2(0:0))
      call avR2(2420, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(521)%branchR2(0:1))
      call avR2(521, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1871, nGC_1870/))

      call avR2(521, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1856, nGC_1854/))

      allocate(vertices(2845)%branchR2(0:0))
      call avR2(2845, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2073/))

      allocate(vertices(2660)%branchR2(0:0))
      call avR2(2660, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1943/))

      allocate(vertices(2278)%branchR2(0:0))
      call avR2(2278, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3291/))

      allocate(vertices(1630)%branchR2(0:0))
      call avR2(1630, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2122/))

      allocate(vertices(613)%branchR2(0:0))
      call avR2(613, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2156/))

      allocate(vertices(398)%branchR2(0:0))
      call avR2(398, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(3247)%branchR2(0:0))
      call avR2(3247, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2192/))

      allocate(vertices(3077)%branchR2(0:0))
      call avR2(3077, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2060/))

      allocate(vertices(10)%branchR2(0:0))
      call avR2(10, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2200, nGC_2201, nGC_2202&
      /))

      allocate(vertices(1525)%branchR2(0:0))
      call avR2(1525, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2125/))

      allocate(vertices(2780)%branchR2(0:0))
      call avR2(2780, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(1836)%branchR2(0:1))
      call avR2(1836, 0, 17, 1, 0, FaSF0, (/0, 3/), (/nGC_1872, nGC_1873/))

      call avR2(1836, 1, 17, 1, 0, FaSF0, (/2, 1/), (/nGC_1858, nGC_1860/))

      allocate(vertices(1872)%branchR2(0:0))
      call avR2(1872, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(1081)%branchR2(0:0))
      call avR2(1081, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2137/))

      allocate(vertices(1947)%branchR2(0:0))
      call avR2(1947, 0, 8, 1, 0, FFaV0, (/0, 3/), (/nGC_1742, nGC_1741/))

      allocate(vertices(492)%branchR2(0:0))
      call avR2(492, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2088/))

      allocate(vertices(991)%branchR2(0:0))
      call avR2(991, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2206, nGC_2206,        &
      nGC_2205/))

      allocate(vertices(508)%branchR2(0:0))
      call avR2(508, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(1080)%branchR2(0:0))
      call avR2(1080, 0, 8, 1, 0, FaFV0, (/0, 3/), (/nGC_1976/))

      allocate(vertices(2393)%branchR2(0:0))
      call avR2(2393, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2202, nGC_2200,       &
      nGC_2201/))

      allocate(vertices(424)%branchR2(0:1))
      call avR2(424, 0, 17, 1, 0, FaVF1, (/0, 3/), (/nGC_1972/))

      call avR2(424, 1, 17, 1, 0, FaVF1, (/2, 1/), (/nGC_1973/))

      allocate(vertices(3792)%branchR2(0:0))
      call avR2(3792, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2074/))

      allocate(vertices(472)%branchR2(0:0))
      call avR2(472, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(298)%branchR2(0:0))
      call avR2(298, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2155/))

      allocate(vertices(2646)%branchR2(0:0))
      call avR2(2646, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(2444)%branchR2(0:0))
      call avR2(2444, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_1993/))

      allocate(vertices(2308)%branchR2(0:0))
      call avR2(2308, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2035/))

      allocate(vertices(2446)%branchR2(0:0))
      call avR2(2446, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(1130)%branchR2(0:0))
      call avR2(1130, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(3793)%branchR2(0:1))
      call avR2(3793, 0, 48, 1, 0, VSV0, (/2, 1/), (/nGC_1928/))

      call avR2(3793, 1, 47, 1, 0, VSV0, (/2, 1/), (/nGC_1927/))

      allocate(vertices(3069)%branchR2(0:0))
      call avR2(3069, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2032/))

      allocate(vertices(99)%branchR2(0:0))
      call avR2(99, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(438)%branchR2(0:0))
      call avR2(438, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2103/))

      allocate(vertices(1263)%branchR2(0:1))
      call avR2(1263, 0, 19, 1, 0, FVFa0, (/0, 3/), (/nGC_1750, nGC_1751/))

      call avR2(1263, 1, 19, 1, 0, FVFa0, (/2, 1/), (/nGC_1738, nGC_1738/))

      allocate(vertices(3154)%branchR2(0:0))
      call avR2(3154, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2060/))

      allocate(vertices(3794)%branchR2(0:1))
      call avR2(3794, 0, 53, 1, 0, SSVV0, (/2, 2/), (/nGC_2165/))

      call avR2(3794, 1, 54, 1, 0, SSVV0, (/2, 2/), (/nGC_2166/))

      allocate(vertices(1681)%branchR2(0:0))
      call avR2(1681, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3277/))

      allocate(vertices(1726)%branchR2(0:0))
      call avR2(1726, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2125/))

      allocate(vertices(466)%branchR2(0:0))
      call avR2(466, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2164/))

      allocate(vertices(3541)%branchR2(0:0))
      call avR2(3541, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(1450)%branchR2(0:0))
      call avR2(1450, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(2618)%branchR2(0:0))
      call avR2(2618, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(2538)%branchR2(0:0))
      call avR2(2538, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1842/))

      allocate(vertices(132)%branchR2(0:0))
      call avR2(132, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2100/))

      allocate(vertices(1708)%branchR2(0:0))
      call avR2(1708, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(1494)%branchR2(0:0))
      call avR2(1494, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2084/))

      allocate(vertices(3049)%branchR2(0:0))
      call avR2(3049, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2192/))

      allocate(vertices(3235)%branchR2(0:0))
      call avR2(3235, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2049/))

      allocate(vertices(1821)%branchR2(0:0))
      call avR2(1821, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(2079)%branchR2(0:0))
      call avR2(2079, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(2080)%branchR2(0:0))
      call avR2(2080, 0, 8, 1, 0, SFaF1, (/0, 3/), (/nGC_1863/))

      allocate(vertices(3795)%branchR2(0:0))
      call avR2(3795, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2047/))

      allocate(vertices(1550)%branchR2(0:0))
      call avR2(1550, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1787/))

      allocate(vertices(1212)%branchR2(0:0))
      call avR2(1212, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(2791)%branchR2(0:0))
      call avR2(2791, 0, 13, 1, 0, FaF0, (/0, 2/), (/nGC_1708/))

      allocate(vertices(308)%branchR2(0:0))
      call avR2(308, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(2074)%branchR2(0:0))
      call avR2(2074, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2042, nGC_2041,       &
      nGC_2043/))

      allocate(vertices(1585)%branchR2(0:0))
      call avR2(1585, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2078, nGC_2077,       &
      nGC_2076/))

      allocate(vertices(1783)%branchR2(0:0))
      call avR2(1783, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2128/))

      allocate(vertices(1524)%branchR2(0:0))
      call avR2(1524, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2188/))

      allocate(vertices(265)%branchR2(0:0))
      call avR2(265, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1810/))

      allocate(vertices(3474)%branchR2(0:0))
      call avR2(3474, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2060/))

      allocate(vertices(1859)%branchR2(0:0))
      call avR2(1859, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2081/))

      allocate(vertices(663)%branchR2(0:0))
      call avR2(663, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2034/))

      allocate(vertices(315)%branchR2(0:0))
      call avR2(315, 0, 8, 1, 0, FaSF1, (/0, 3/), (/nGC_1874/))

      allocate(vertices(2077)%branchR2(0:0))
      call avR2(2077, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2103/))

      allocate(vertices(992)%branchR2(0:0))
      call avR2(992, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2121/))

      allocate(vertices(1285)%branchR2(0:0))
      call avR2(1285, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1784/))

      allocate(vertices(2349)%branchR2(0:0))
      call avR2(2349, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2088/))

      allocate(vertices(2889)%branchR2(0:0))
      call avR2(2889, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2115/))

      allocate(vertices(716)%branchR2(0:0))
      call avR2(716, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2103/))

      allocate(vertices(2734)%branchR2(0:0))
      call avR2(2734, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2033/))

      allocate(vertices(400)%branchR2(0:0))
      call avR2(400, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(3796)%branchR2(0:0))
      call avR2(3796, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2083, nGC_2083,       &
      nGC_2083/))

      allocate(vertices(1777)%branchR2(0:0))
      call avR2(1777, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2035/))

      allocate(vertices(1670)%branchR2(0:0))
      call avR2(1670, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2164/))

      allocate(vertices(2410)%branchR2(0:0))
      call avR2(2410, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2078, nGC_2076,       &
      nGC_2077/))

      allocate(vertices(1493)%branchR2(0:0))
      call avR2(1493, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2162/))

      allocate(vertices(2981)%branchR2(0:0))
      call avR2(2981, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(1572)%branchR2(0:0))
      call avR2(1572, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1726/))

      allocate(vertices(3291)%branchR2(0:0))
      call avR2(3291, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2189/))

      allocate(vertices(409)%branchR2(0:0))
      call avR2(409, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2126/))

      allocate(vertices(3485)%branchR2(0:0))
      call avR2(3485, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_1747/))

      allocate(vertices(520)%branchR2(0:0))
      call avR2(520, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2100/))

      allocate(vertices(1515)%branchR2(0:0))
      call avR2(1515, 0, 8, 1, 0, VFaF0, (/0, 3/), (/nGC_1744, nGC_1743/))

      allocate(vertices(634)%branchR2(0:0))
      call avR2(634, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(430)%branchR2(0:3))
      call avR2(430, 0, 30, 1, 0, VFFa0, (/3, 0/), (/nGC_2006, nGC_2006/))

      call avR2(430, 1, 30, 1, 0, VFFa0, (/1, 2/), (/nGC_2005, nGC_2007/))

      call avR2(430, 2, 31, 1, 0, VFFa0, (/1, 2/), (/nGC_2002, nGC_2004/))

      call avR2(430, 3, 31, 1, 0, VFFa0, (/3, 0/), (/nGC_2003, nGC_2003/))

      allocate(vertices(314)%branchR2(0:0))
      call avR2(314, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(3574)%branchR2(0:0))
      call avR2(3574, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2033/))

      allocate(vertices(1570)%branchR2(0:3))
      call avR2(1570, 0, 22, 1, 0, FaVF0, (/1, 2/), (/nGC_2019, nGC_2020/))

      call avR2(1570, 1, 22, 1, 0, FaVF0, (/3, 0/), (/nGC_2021, nGC_2021/))

      call avR2(1570, 2, 23, 1, 0, FaVF0, (/3, 0/), (/nGC_2018, nGC_2018/))

      call avR2(1570, 3, 23, 1, 0, FaVF0, (/1, 2/), (/nGC_2016, nGC_2017/))

      allocate(vertices(2634)%branchR2(0:0))
      call avR2(2634, 0, 8, 1, 0, SFFa2, (/0, 3/), (/nGC_1801/))

      allocate(vertices(3324)%branchR2(0:1))
      call avR2(3324, 0, 14, 1, 0, FFa3, (/0, 2/), (/nGC_1691, nGC_1688,       &
      nGC_1709, nGC_1709/))

      call avR2(3324, 1, 14, 1, 0, FFa3, (/2, 0/), (/nGC_1687, nGC_1687,       &
      nGC_1710, nGC_1710/))

      allocate(vertices(114)%branchR2(0:0))
      call avR2(114, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2139/))

      allocate(vertices(3155)%branchR2(0:0))
      call avR2(3155, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2160/))

      allocate(vertices(2376)%branchR2(0:0))
      call avR2(2376, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_1991/))

      allocate(vertices(2809)%branchR2(0:0))
      call avR2(2809, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2192/))

      allocate(vertices(408)%branchR2(0:0))
      call avR2(408, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3286/))

      allocate(vertices(3797)%branchR2(0:1))
      call avR2(3797, 0, 56, 1, 0, VVVV0, (/2, 2/), (/nGC_2090, nGC_2090,      &
      nGC_2090/))

      call avR2(3797, 1, 55, 1, 0, VVVV0, (/2, 2/), (/nGC_2089, nGC_2089,      &
      nGC_2089/))

      allocate(vertices(416)%branchR2(0:0))
      call avR2(416, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2125/))

      allocate(vertices(821)%branchR2(0:0))
      call avR2(821, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2110/))

      allocate(vertices(939)%branchR2(0:0))
      call avR2(939, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(2289)%branchR2(0:1))
      call avR2(2289, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1859, nGC_1857/))

      call avR2(2289, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1860, nGC_1858/))

      allocate(vertices(2337)%branchR2(0:0))
      call avR2(2337, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2146/))

      allocate(vertices(819)%branchR2(0:1))
      call avR2(819, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1818, nGC_1816/))

      call avR2(819, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1819, nGC_1817/))

      allocate(vertices(3798)%branchR2(0:0))
      call avR2(3798, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2074/))

      allocate(vertices(617)%branchR2(0:0))
      call avR2(617, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(2117)%branchR2(0:0))
      call avR2(2117, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2088/))

      allocate(vertices(2428)%branchR2(0:0))
      call avR2(2428, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_1976/))

      allocate(vertices(3799)%branchR2(0:1))
      call avR2(3799, 0, 56, 1, 0, VVVV0, (/2, 2/), (/nGC_2203, nGC_2203,      &
      nGC_2203/))

      call avR2(3799, 1, 55, 1, 0, VVVV0, (/2, 2/), (/nGC_2204, nGC_2204,      &
      nGC_2204/))

      allocate(vertices(1638)%branchR2(0:1))
      call avR2(1638, 0, 20, 1, 0, VFaF0, (/0, 3/), (/nGC_1733, nGC_1734/))

      call avR2(1638, 1, 20, 1, 0, VFaF0, (/2, 1/), (/nGC_1735, nGC_1735/))

      allocate(vertices(2523)%branchR2(0:0))
      call avR2(2523, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2093/))

      allocate(vertices(2321)%branchR2(0:0))
      call avR2(2321, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2116/))

      allocate(vertices(1231)%branchR2(0:0))
      call avR2(1231, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2103/))

      allocate(vertices(917)%branchR2(0:0))
      call avR2(917, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2182/))

      allocate(vertices(3043)%branchR2(0:0))
      call avR2(3043, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2151/))

      allocate(vertices(877)%branchR2(0:0))
      call avR2(877, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(603)%branchR2(0:1))
      call avR2(603, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1920, nGC_1919/))

      call avR2(603, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1921, nGC_1921/))

      allocate(vertices(133)%branchR2(0:0))
      call avR2(133, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1793/))

      allocate(vertices(2324)%branchR2(0:0))
      call avR2(2324, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(2465)%branchR2(0:0))
      call avR2(2465, 0, 8, 1, 0, SFFa2, (/0, 3/), (/nGC_1876/))

      allocate(vertices(2072)%branchR2(0:0))
      call avR2(2072, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1808/))

      allocate(vertices(1478)%branchR2(0:0))
      call avR2(1478, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2055/))

      allocate(vertices(935)%branchR2(0:0))
      call avR2(935, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1809/))

      allocate(vertices(2354)%branchR2(0:0))
      call avR2(2354, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(3800)%branchR2(0:1))
      call avR2(3800, 0, 59, 1, 0, VSVS0, (/2, 2/), (/nGC_2099/))

      call avR2(3800, 1, 60, 1, 0, VSVS0, (/2, 2/), (/nGC_2098/))

      allocate(vertices(456)%branchR2(0:0))
      call avR2(456, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(2770)%branchR2(0:0))
      call avR2(2770, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2073/))

      allocate(vertices(1103)%branchR2(0:0))
      call avR2(1103, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(989)%branchR2(0:0))
      call avR2(989, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(2598)%branchR2(0:0))
      call avR2(2598, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2161/))

      allocate(vertices(618)%branchR2(0:0))
      call avR2(618, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1759/))

      allocate(vertices(3383)%branchR2(0:0))
      call avR2(3383, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(2491)%branchR2(0:0))
      call avR2(2491, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_1744, nGC_1743/))

      allocate(vertices(3801)%branchR2(0:0))
      call avR2(3801, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2045, nGC_2045,       &
      nGC_2045/))

      allocate(vertices(1409)%branchR2(0:1))
      call avR2(1409, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1814, nGC_1812/))

      call avR2(1409, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1815, nGC_1813/))

      allocate(vertices(1397)%branchR2(0:0))
      call avR2(1397, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(504)%branchR2(0:0))
      call avR2(504, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(3335)%branchR2(0:0))
      call avR2(3335, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3290/))

      allocate(vertices(2382)%branchR2(0:1))
      call avR2(2382, 0, 18, 1, 0, FaFV1, (/0, 3/), (/nGC_1739, nGC_1740/))

      call avR2(2382, 1, 18, 1, 0, FaFV1, (/2, 1/), (/nGC_1735, nGC_1735/))

      allocate(vertices(2034)%branchR2(0:0))
      call avR2(2034, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2128/))

      allocate(vertices(845)%branchR2(0:1))
      call avR2(845, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1853, nGC_1855/))

      call avR2(845, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1854, nGC_1856/))

      allocate(vertices(3802)%branchR2(0:0))
      call avR2(3802, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2143/))

      allocate(vertices(3370)%branchR2(0:0))
      call avR2(3370, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3280/))

      allocate(vertices(2472)%branchR2(0:0))
      call avR2(2472, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(2608)%branchR2(0:0))
      call avR2(2608, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(630)%branchR2(0:0))
      call avR2(630, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(2364)%branchR2(0:0))
      call avR2(2364, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2088/))

      allocate(vertices(2543)%branchR2(0:0))
      call avR2(2543, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2191/))

      allocate(vertices(3803)%branchR2(0:0))
      call avR2(3803, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2044/))

      allocate(vertices(2721)%branchR2(0:0))
      call avR2(2721, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1765/))

      allocate(vertices(279)%branchR2(0:0))
      call avR2(279, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(2871)%branchR2(0:0))
      call avR2(2871, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(3584)%branchR2(0:0))
      call avR2(3584, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2151/))

      allocate(vertices(8)%branchR2(0:0))
      call avR2(8, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2100/))

      allocate(vertices(2497)%branchR2(0:0))
      call avR2(2497, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3289/))

      allocate(vertices(3804)%branchR2(0:1))
      call avR2(3804, 0, 59, 1, 0, VSVS0, (/2, 2/), (/nGC_2099/))

      call avR2(3804, 1, 60, 1, 0, VSVS0, (/2, 2/), (/nGC_2098/))

      allocate(vertices(1772)%branchR2(0:0))
      call avR2(1772, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1725/))

      allocate(vertices(360)%branchR2(0:0))
      call avR2(360, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2088/))

      allocate(vertices(2539)%branchR2(0:0))
      call avR2(2539, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2172/))

      allocate(vertices(1805)%branchR2(0:0))
      call avR2(1805, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(2178)%branchR2(0:1))
      call avR2(2178, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1822, nGC_1820/))

      call avR2(2178, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1823, nGC_1821/))

      allocate(vertices(798)%branchR2(0:0))
      call avR2(798, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2188/))

      allocate(vertices(1905)%branchR2(0:1))
      call avR2(1905, 0, 18, 1, 0, FaFV1, (/0, 3/), (/nGC_1977, nGC_1979/))

      call avR2(1905, 1, 18, 1, 0, FaFV1, (/2, 1/), (/nGC_1978, nGC_1980/))

      allocate(vertices(702)%branchR2(0:3))
      call avR2(702, 0, 29, 1, 0, VFaF0, (/3, 0/), (/nGC_2018, nGC_2018/))

      call avR2(702, 1, 29, 1, 0, VFaF0, (/1, 2/), (/nGC_2022, nGC_2023/))

      call avR2(702, 2, 28, 1, 0, VFaF0, (/1, 2/), (/nGC_2024, nGC_2025/))

      call avR2(702, 3, 28, 1, 0, VFaF0, (/3, 0/), (/nGC_2021, nGC_2021/))

      allocate(vertices(156)%branchR2(0:3))
      call avR2(156, 0, 24, 1, 0, FaFV1, (/1, 2/), (/nGC_2028, nGC_2029/))

      call avR2(156, 1, 24, 1, 0, FaFV1, (/3, 0/), (/nGC_2021, nGC_2021/))

      call avR2(156, 2, 25, 1, 0, FaFV1, (/1, 2/), (/nGC_2026, nGC_2027/))

      call avR2(156, 3, 25, 1, 0, FaFV1, (/3, 0/), (/nGC_2018, nGC_2018/))

    end subroutine fill_vertices_mdl11
end module vertices_info11
