!******************************************************************************!
!                                                                              !
!    vertices_info12.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info12.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-04-03 14:56             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info12
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl12()
      allocate(vertices(2752)%branchR2(0:0))
      call avR2(2752, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2060/))

      allocate(vertices(3401)%branchR2(0:0))
      call avR2(3401, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2064/))

      allocate(vertices(2295)%branchR2(0:0))
      call avR2(2295, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1844/))

      allocate(vertices(42)%branchR2(0:0))
      call avR2(42, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2197/))

      allocate(vertices(144)%branchR2(0:0))
      call avR2(144, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(921)%branchR2(0:0))
      call avR2(921, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3283/))

      allocate(vertices(832)%branchR2(0:0))
      call avR2(832, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2188/))

      allocate(vertices(2844)%branchR2(0:0))
      call avR2(2844, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2134/))

      allocate(vertices(910)%branchR2(0:0))
      call avR2(910, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1880/))

      allocate(vertices(3805)%branchR2(0:0))
      call avR2(3805, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2037/))

      allocate(vertices(2282)%branchR2(0:0))
      call avR2(2282, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(3243)%branchR2(0:0))
      call avR2(3243, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2189/))

      allocate(vertices(3242)%branchR2(0:0))
      call avR2(3242, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2056/))

      allocate(vertices(3806)%branchR2(0:0))
      call avR2(3806, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2036/))

      allocate(vertices(2163)%branchR2(0:0))
      call avR2(2163, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1915/))

      allocate(vertices(414)%branchR2(0:0))
      call avR2(414, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2084/))

      allocate(vertices(2951)%branchR2(0:0))
      call avR2(2951, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1730/))

      allocate(vertices(1390)%branchR2(0:0))
      call avR2(1390, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3291/))

      allocate(vertices(2928)%branchR2(0:0))
      call avR2(2928, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2056/))

      allocate(vertices(123)%branchR2(0:0))
      call avR2(123, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2172/))

      allocate(vertices(1002)%branchR2(0:0))
      call avR2(1002, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3261/))

      allocate(vertices(2764)%branchR2(0:0))
      call avR2(2764, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2192/))

      allocate(vertices(1228)%branchR2(0:0))
      call avR2(1228, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1811/))

      allocate(vertices(1934)%branchR2(0:0))
      call avR2(1934, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(3301)%branchR2(0:0))
      call avR2(3301, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(1113)%branchR2(0:0))
      call avR2(1113, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(524)%branchR2(0:0))
      call avR2(524, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(2590)%branchR2(0:0))
      call avR2(2590, 0, 8, 1, 0, SFaF2, (/0, 3/), (/nGC_1801/))

      allocate(vertices(75)%branchR2(0:0))
      call avR2(75, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2163/))

      allocate(vertices(619)%branchR2(0:0))
      call avR2(619, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2163/))

      allocate(vertices(1679)%branchR2(0:0))
      call avR2(1679, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2146/))

      allocate(vertices(1854)%branchR2(0:0))
      call avR2(1854, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2161/))

      allocate(vertices(1319)%branchR2(0:1))
      call avR2(1319, 0, 19, 1, 0, FSFa1, (/0, 3/), (/nGC_1903, nGC_1901/))

      call avR2(1319, 1, 19, 1, 0, FSFa1, (/2, 1/), (/nGC_1904, nGC_1902/))

      allocate(vertices(442)%branchR2(0:0))
      call avR2(442, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(2941)%branchR2(0:0))
      call avR2(2941, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3267/))

      allocate(vertices(1958)%branchR2(0:0))
      call avR2(1958, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2144/))

      allocate(vertices(2666)%branchR2(0:0))
      call avR2(2666, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(690)%branchR2(0:0))
      call avR2(690, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(2489)%branchR2(0:0))
      call avR2(2489, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2172/))

      allocate(vertices(9)%branchR2(0:0))
      call avR2(9, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2182/))

      allocate(vertices(2076)%branchR2(0:0))
      call avR2(2076, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2112/))

      allocate(vertices(2670)%branchR2(0:0))
      call avR2(2670, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2116/))

      allocate(vertices(1750)%branchR2(0:0))
      call avR2(1750, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(2268)%branchR2(0:0))
      call avR2(2268, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(1897)%branchR2(0:1))
      call avR2(1897, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1923, nGC_1922/))

      call avR2(1897, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1924, nGC_1924/))

      allocate(vertices(3364)%branchR2(0:0))
      call avR2(3364, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2189/))

      allocate(vertices(1133)%branchR2(0:0))
      call avR2(1133, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2152/))

      allocate(vertices(3807)%branchR2(0:0))
      call avR2(3807, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2142/))

      allocate(vertices(1816)%branchR2(0:0))
      call avR2(1816, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1760/))

      allocate(vertices(2559)%branchR2(0:0))
      call avR2(2559, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2188/))

      allocate(vertices(556)%branchR2(0:1))
      call avR2(556, 0, 19, 1, 0, FSFa1, (/0, 3/), (/nGC_1887, nGC_1885/))

      call avR2(556, 1, 19, 1, 0, FSFa1, (/2, 1/), (/nGC_1888, nGC_1886/))

      allocate(vertices(2317)%branchR2(0:1))
      call avR2(2317, 0, 20, 1, 0, VFaF0, (/0, 3/), (/nGC_1996, nGC_1997/))

      call avR2(2317, 1, 20, 1, 0, VFaF0, (/2, 1/), (/nGC_1982, nGC_1984/))

      allocate(vertices(3006)%branchR2(0:0))
      call avR2(3006, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2075/))

      allocate(vertices(1831)%branchR2(0:0))
      call avR2(1831, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2156/))

      allocate(vertices(3195)%branchR2(0:0))
      call avR2(3195, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(3808)%branchR2(0:1))
      call avR2(3808, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_2098/))

      call avR2(3808, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_2099/))

      allocate(vertices(1366)%branchR2(0:0))
      call avR2(1366, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2155/))

      allocate(vertices(589)%branchR2(0:0))
      call avR2(589, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2128/))

      allocate(vertices(1733)%branchR2(0:0))
      call avR2(1733, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(2473)%branchR2(0:1))
      call avR2(2473, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1851, nGC_1849/))

      call avR2(2473, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1852, nGC_1850/))

      allocate(vertices(3809)%branchR2(0:0))
      call avR2(3809, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2074/))

      allocate(vertices(3433)%branchR2(0:0))
      call avR2(3433, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2151/))

      allocate(vertices(725)%branchR2(0:1))
      call avR2(725, 0, 19, 1, 0, FSFa1, (/0, 3/), (/nGC_1871, nGC_1870/))

      call avR2(725, 1, 19, 1, 0, FSFa1, (/2, 1/), (/nGC_1856, nGC_1854/))

      allocate(vertices(1559)%branchR2(0:0))
      call avR2(1559, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(1153)%branchR2(0:0))
      call avR2(1153, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(1329)%branchR2(0:0))
      call avR2(1329, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1836, nGC_1837/))

      allocate(vertices(1885)%branchR2(0:0))
      call avR2(1885, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2043, nGC_2041,       &
      nGC_2042/))

      allocate(vertices(1592)%branchR2(0:0))
      call avR2(1592, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(3810)%branchR2(0:1))
      call avR2(3810, 0, 59, 1, 0, VSVS0, (/2, 2/), (/nGC_2171/))

      call avR2(3810, 1, 60, 1, 0, VSVS0, (/2, 2/), (/nGC_2170/))

      allocate(vertices(327)%branchR2(0:0))
      call avR2(327, 0, 8, 1, 0, FaSF0, (/0, 3/), (/nGC_1937, nGC_1938/))

      allocate(vertices(1943)%branchR2(0:0))
      call avR2(1943, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(1376)%branchR2(0:0))
      call avR2(1376, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2155/))

      allocate(vertices(3811)%branchR2(0:1))
      call avR2(3811, 0, 59, 1, 0, VVVV0, (/2, 2/), (/nGC_2062, nGC_2062,      &
      nGC_2062/))

      call avR2(3811, 1, 60, 1, 0, VVVV0, (/2, 2/), (/nGC_2063, nGC_2063,      &
      nGC_2063/))

      allocate(vertices(1669)%branchR2(0:0))
      call avR2(1669, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2148/))

      allocate(vertices(1271)%branchR2(0:0))
      call avR2(1271, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(2217)%branchR2(0:0))
      call avR2(2217, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1966, nGC_1967/))

      allocate(vertices(1303)%branchR2(0:0))
      call avR2(1303, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(2399)%branchR2(0:0))
      call avR2(2399, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2128/))

      allocate(vertices(506)%branchR2(0:3))
      call avR2(506, 0, 24, 1, 0, FaFV1, (/1, 2/), (/nGC_2019, nGC_2020/))

      call avR2(506, 1, 24, 1, 0, FaFV1, (/3, 0/), (/nGC_2021, nGC_2021/))

      call avR2(506, 2, 25, 1, 0, FaFV1, (/3, 0/), (/nGC_2018, nGC_2018/))

      call avR2(506, 3, 25, 1, 0, FaFV1, (/1, 2/), (/nGC_2016, nGC_2017/))

      allocate(vertices(3812)%branchR2(0:1))
      call avR2(3812, 0, 56, 1, 0, VVVV0, (/2, 2/), (/nGC_2203, nGC_2203,      &
      nGC_2203/))

      call avR2(3812, 1, 55, 1, 0, VVVV0, (/2, 2/), (/nGC_2204, nGC_2204,      &
      nGC_2204/))

      allocate(vertices(3572)%branchR2(0:0))
      call avR2(3572, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2150/))

      allocate(vertices(3813)%branchR2(0:1))
      call avR2(3813, 0, 57, 1, 0, SVSV0, (/2, 2/), (/nGC_2165/))

      call avR2(3813, 1, 58, 1, 0, SVSV0, (/2, 2/), (/nGC_2166/))

      allocate(vertices(2066)%branchR2(0:1))
      call avR2(2066, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1946, nGC_1945/))

      call avR2(2066, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1947, nGC_1947/))

      allocate(vertices(1377)%branchR2(0:0))
      call avR2(1377, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1766/))

      allocate(vertices(2257)%branchR2(0:1))
      call avR2(2257, 0, 18, 1, 0, FaFV1, (/0, 3/), (/nGC_1736, nGC_1737/))

      call avR2(2257, 1, 18, 1, 0, FaFV1, (/2, 1/), (/nGC_1738, nGC_1738/))

      allocate(vertices(783)%branchR2(0:0))
      call avR2(783, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_3287/))

      allocate(vertices(1354)%branchR2(0:0))
      call avR2(1354, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2178/))

      allocate(vertices(2466)%branchR2(0:0))
      call avR2(2466, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(487)%branchR2(0:0))
      call avR2(487, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(2370)%branchR2(0:0))
      call avR2(2370, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2180/))

      allocate(vertices(1203)%branchR2(0:0))
      call avR2(1203, 0, 8, 1, 0, VFFa1, (/0, 3/), (/nGC_1993/))

      allocate(vertices(1182)%branchR2(0:0))
      call avR2(1182, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2100/))

      allocate(vertices(1225)%branchR2(0:0))
      call avR2(1225, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1756/))

      allocate(vertices(357)%branchR2(0:0))
      call avR2(357, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(1815)%branchR2(0:0))
      call avR2(1815, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1757/))

      allocate(vertices(154)%branchR2(0:0))
      call avR2(154, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2088/))

      allocate(vertices(1622)%branchR2(0:0))
      call avR2(1622, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(435)%branchR2(0:1))
      call avR2(435, 0, 17, 1, 0, FaSF0, (/0, 3/), (/nGC_1917, nGC_1916/))

      call avR2(435, 1, 17, 1, 0, FaSF0, (/2, 1/), (/nGC_1918, nGC_1918/))

      allocate(vertices(326)%branchR2(0:0))
      call avR2(326, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2148/))

      allocate(vertices(2415)%branchR2(0:0))
      call avR2(2415, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3259/))

      allocate(vertices(432)%branchR2(0:0))
      call avR2(432, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2179/))

      allocate(vertices(2506)%branchR2(0:0))
      call avR2(2506, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(2103)%branchR2(0:0))
      call avR2(2103, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2159/))

      allocate(vertices(2024)%branchR2(0:1))
      call avR2(2024, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1840, nGC_1838/))

      call avR2(2024, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1841, nGC_1839/))

      allocate(vertices(3552)%branchR2(0:0))
      call avR2(3552, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2073/))

      allocate(vertices(1658)%branchR2(0:0))
      call avR2(1658, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3292/))

      allocate(vertices(2957)%branchR2(0:0))
      call avR2(2957, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(987)%branchR2(0:0))
      call avR2(987, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(2148)%branchR2(0:0))
      call avR2(2148, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1761/))

      allocate(vertices(1695)%branchR2(0:0))
      call avR2(1695, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2179/))

      allocate(vertices(2925)%branchR2(0:0))
      call avR2(2925, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2033/))

      allocate(vertices(2335)%branchR2(0:1))
      call avR2(2335, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1750, nGC_1751/))

      call avR2(2335, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1738, nGC_1738/))

      allocate(vertices(1902)%branchR2(0:0))
      call avR2(1902, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(2500)%branchR2(0:0))
      call avR2(2500, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2076, nGC_2078,       &
      nGC_2077/))

      allocate(vertices(464)%branchR2(0:0))
      call avR2(464, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1836, nGC_1837/))

      allocate(vertices(3375)%branchR2(0:0))
      call avR2(3375, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2064/))

      allocate(vertices(2546)%branchR2(0:0))
      call avR2(2546, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2161/))

      allocate(vertices(3442)%branchR2(0:0))
      call avR2(3442, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2056/))

      allocate(vertices(277)%branchR2(0:1))
      call avR2(277, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1797, nGC_1796/))

      call avR2(277, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1776, nGC_1774/))

      allocate(vertices(3481)%branchR2(0:0))
      call avR2(3481, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1724/))

      allocate(vertices(1262)%branchR2(0:0))
      call avR2(1262, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1757/))

      allocate(vertices(3395)%branchR2(0:0))
      call avR2(3395, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(3814)%branchR2(0:1))
      call avR2(3814, 0, 64, 1, 0, VVVV0, (/2, 2/), (/nGC_2063, nGC_2063,      &
      nGC_2063/))

      call avR2(3814, 1, 63, 1, 0, VVVV0, (/2, 2/), (/nGC_2062, nGC_2062,      &
      nGC_2062/))

      allocate(vertices(1865)%branchR2(0:1))
      call avR2(1865, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1909, nGC_1907/))

      call avR2(1865, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1910, nGC_1908/))

      allocate(vertices(1500)%branchR2(0:0))
      call avR2(1500, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2148/))

      allocate(vertices(1023)%branchR2(0:0))
      call avR2(1023, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(1247)%branchR2(0:0))
      call avR2(1247, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(1266)%branchR2(0:0))
      call avR2(1266, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2156/))

      allocate(vertices(194)%branchR2(0:1))
      call avR2(194, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1779, nGC_1777/))

      call avR2(194, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1780, nGC_1778/))

      allocate(vertices(1401)%branchR2(0:0))
      call avR2(1401, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2081/))

      allocate(vertices(1291)%branchR2(0:0))
      call avR2(1291, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1925, nGC_1926/))

      allocate(vertices(1414)%branchR2(0:0))
      call avR2(1414, 0, 8, 1, 0, FaFV0, (/0, 3/), (/nGC_1992/))

      allocate(vertices(3815)%branchR2(0:1))
      call avR2(3815, 0, 57, 1, 0, SVSV0, (/2, 2/), (/nGC_2153/))

      call avR2(3815, 1, 58, 1, 0, SVSV0, (/2, 2/), (/nGC_2154/))

      allocate(vertices(1554)%branchR2(0:0))
      call avR2(1554, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1726/))

      allocate(vertices(897)%branchR2(0:0))
      call avR2(897, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2163/))

      allocate(vertices(3351)%branchR2(0:0))
      call avR2(3351, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2189/))

      allocate(vertices(324)%branchR2(0:0))
      call avR2(324, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2161/))

      allocate(vertices(3473)%branchR2(0:0))
      call avR2(3473, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2032/))

      allocate(vertices(260)%branchR2(0:0))
      call avR2(260, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(290)%branchR2(0:0))
      call avR2(290, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(48)%branchR2(0:0))
      call avR2(48, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2179/))

      allocate(vertices(2185)%branchR2(0:3))
      call avR2(2185, 0, 24, 1, 0, FaFV1, (/3, 0/), (/nGC_2006, nGC_2006/))

      call avR2(2185, 1, 24, 1, 0, FaFV1, (/1, 2/), (/nGC_2005, nGC_2007/))

      call avR2(2185, 2, 25, 1, 0, FaFV1, (/1, 2/), (/nGC_2002, nGC_2004/))

      call avR2(2185, 3, 25, 1, 0, FaFV1, (/3, 0/), (/nGC_2003, nGC_2003/))

      allocate(vertices(2367)%branchR2(0:0))
      call avR2(2367, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(880)%branchR2(0:0))
      call avR2(880, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2186/))

      allocate(vertices(512)%branchR2(0:0))
      call avR2(512, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2145/))

      allocate(vertices(588)%branchR2(0:0))
      call avR2(588, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1810/))

      allocate(vertices(3142)%branchR2(0:0))
      call avR2(3142, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2056/))

      allocate(vertices(150)%branchR2(0:0))
      call avR2(150, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(1744)%branchR2(0:0))
      call avR2(1744, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2055/))

      allocate(vertices(3583)%branchR2(0:0))
      call avR2(3583, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_1746/))

      allocate(vertices(101)%branchR2(0:0))
      call avR2(101, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2126/))

      allocate(vertices(3277)%branchR2(0:0))
      call avR2(3277, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2115/))

      allocate(vertices(2649)%branchR2(0:0))
      call avR2(2649, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(614)%branchR2(0:0))
      call avR2(614, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(1461)%branchR2(0:0))
      call avR2(1461, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(1794)%branchR2(0:0))
      call avR2(1794, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2164/))

      allocate(vertices(2160)%branchR2(0:0))
      call avR2(2160, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2126/))

      allocate(vertices(170)%branchR2(0:0))
      call avR2(170, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2055/))

      allocate(vertices(299)%branchR2(0:0))
      call avR2(299, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(1901)%branchR2(0:0))
      call avR2(1901, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2107/))

      allocate(vertices(2362)%branchR2(0:0))
      call avR2(2362, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2159/))

      allocate(vertices(2867)%branchR2(0:0))
      call avR2(2867, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(2548)%branchR2(0:0))
      call avR2(2548, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_1976/))

      allocate(vertices(3328)%branchR2(0:0))
      call avR2(3328, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2079/))

      allocate(vertices(243)%branchR2(0:0))
      call avR2(243, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(1490)%branchR2(0:0))
      call avR2(1490, 0, 8, 1, 0, VFFa1, (/0, 3/), (/nGC_1976/))

      allocate(vertices(188)%branchR2(0:0))
      call avR2(188, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(481)%branchR2(0:0))
      call avR2(481, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(1436)%branchR2(0:1))
      call avR2(1436, 0, 19, 1, 0, FVFa1, (/0, 3/), (/nGC_1974/))

      call avR2(1436, 1, 19, 1, 0, FVFa1, (/2, 1/), (/nGC_1973/))

      allocate(vertices(1412)%branchR2(0:0))
      call avR2(1412, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2128/))

      allocate(vertices(395)%branchR2(0:0))
      call avR2(395, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1877/))

      allocate(vertices(2681)%branchR2(0:0))
      call avR2(2681, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(124)%branchR2(0:0))
      call avR2(124, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2080/))

      allocate(vertices(3816)%branchR2(0:0))
      call avR2(3816, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2044/))

      allocate(vertices(348)%branchR2(0:0))
      call avR2(348, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2081/))

      allocate(vertices(3350)%branchR2(0:0))
      call avR2(3350, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1731/))

      allocate(vertices(2205)%branchR2(0:0))
      call avR2(2205, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(3427)%branchR2(0:0))
      call avR2(3427, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2114/))

      allocate(vertices(41)%branchR2(0:0))
      call avR2(41, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_1975/))

      allocate(vertices(1474)%branchR2(0:1))
      call avR2(1474, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1771, nGC_1769/))

      call avR2(1474, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1772, nGC_1770/))

      allocate(vertices(1326)%branchR2(0:0))
      call avR2(1326, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2048/))

      allocate(vertices(3817)%branchR2(0:0))
      call avR2(3817, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2054, nGC_2054,       &
      nGC_2053/))

      allocate(vertices(2619)%branchR2(0:0))
      call avR2(2619, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1766/))

      allocate(vertices(2046)%branchR2(0:0))
      call avR2(2046, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(657)%branchR2(0:0))
      call avR2(657, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2085/))

      allocate(vertices(1730)%branchR2(0:0))
      call avR2(1730, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(1530)%branchR2(0:3))
      call avR2(1530, 0, 29, 1, 0, VFaF0, (/3, 0/), (/nGC_2018, nGC_2018/))

      call avR2(1530, 1, 29, 1, 0, VFaF0, (/1, 2/), (/nGC_2016, nGC_2017/))

      call avR2(1530, 2, 28, 1, 0, VFaF0, (/1, 2/), (/nGC_2019, nGC_2020/))

      call avR2(1530, 3, 28, 1, 0, VFaF0, (/3, 0/), (/nGC_2021, nGC_2021/))

      allocate(vertices(266)%branchR2(0:0))
      call avR2(266, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(3363)%branchR2(0:0))
      call avR2(3363, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2192/))

      allocate(vertices(177)%branchR2(0:0))
      call avR2(177, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(841)%branchR2(0:0))
      call avR2(841, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(1870)%branchR2(0:0))
      call avR2(1870, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1942/))

      allocate(vertices(3261)%branchR2(0:0))
      call avR2(3261, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2056/))

      allocate(vertices(1301)%branchR2(0:0))
      call avR2(1301, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(1748)%branchR2(0:0))
      call avR2(1748, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(1148)%branchR2(0:0))
      call avR2(1148, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(3419)%branchR2(0:0))
      call avR2(3419, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(2667)%branchR2(0:0))
      call avR2(2667, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2048/))

      allocate(vertices(3818)%branchR2(0:1))
      call avR2(3818, 0, 57, 1, 0, VVVV0, (/2, 2/), (/nGC_2204, nGC_2204,      &
      nGC_2204/))

      call avR2(3818, 1, 58, 1, 0, VVVV0, (/2, 2/), (/nGC_2203, nGC_2203,      &
      nGC_2203/))

      allocate(vertices(2688)%branchR2(0:1))
      call avR2(2688, 0, 19, 1, 0, FVFa1, (/0, 3/), (/nGC_1972/))

      call avR2(2688, 1, 19, 1, 0, FVFa1, (/2, 1/), (/nGC_1973/))

      allocate(vertices(502)%branchR2(0:0))
      call avR2(502, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2055/))

      allocate(vertices(1574)%branchR2(0:0))
      call avR2(1574, 0, 8, 1, 0, VFaF0, (/0, 3/), (/nGC_1988, nGC_1987/))

      allocate(vertices(586)%branchR2(0:0))
      call avR2(586, 0, 8, 1, 0, SFFa1, (/0, 3/), (/nGC_1862/))

      allocate(vertices(2861)%branchR2(0:0))
      call avR2(2861, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3270/))

      allocate(vertices(3391)%branchR2(0:0))
      call avR2(3391, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2192/))

      allocate(vertices(749)%branchR2(0:3))
      call avR2(749, 0, 29, 1, 0, VFaF0, (/1, 2/), (/nGC_2026, nGC_2027/))

      call avR2(749, 1, 29, 1, 0, VFaF0, (/3, 0/), (/nGC_2018, nGC_2018/))

      call avR2(749, 2, 28, 1, 0, VFaF0, (/1, 2/), (/nGC_2028, nGC_2029/))

      call avR2(749, 3, 28, 1, 0, VFaF0, (/3, 0/), (/nGC_2021, nGC_2021/))

      allocate(vertices(3226)%branchR2(0:0))
      call avR2(3226, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(768)%branchR2(0:0))
      call avR2(768, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(811)%branchR2(0:1))
      call avR2(811, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1887, nGC_1885/))

      call avR2(811, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1888, nGC_1886/))

      allocate(vertices(1098)%branchR2(0:0))
      call avR2(1098, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2076, nGC_2077,       &
      nGC_2078/))

      allocate(vertices(2759)%branchR2(0:0))
      call avR2(2759, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3262/))

      allocate(vertices(919)%branchR2(0:0))
      call avR2(919, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(1251)%branchR2(0:0))
      call avR2(1251, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2162/))

      allocate(vertices(3819)%branchR2(0:1))
      call avR2(3819, 0, 57, 1, 0, VVVV0, (/2, 2/), (/nGC_2062, nGC_2062,      &
      nGC_2062/))

      call avR2(3819, 1, 58, 1, 0, VVVV0, (/2, 2/), (/nGC_2063, nGC_2063,      &
      nGC_2063/))

      allocate(vertices(2949)%branchR2(0:0))
      call avR2(2949, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(3820)%branchR2(0:0))
      call avR2(3820, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2045, nGC_2045,       &
      nGC_2045/))

      allocate(vertices(563)%branchR2(0:0))
      call avR2(563, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(1534)%branchR2(0:0))
      call avR2(1534, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(2220)%branchR2(0:1))
      call avR2(2220, 0, 17, 1, 0, FaSF0, (/0, 3/), (/nGC_1851, nGC_1849/))

      call avR2(2220, 1, 17, 1, 0, FaSF0, (/2, 1/), (/nGC_1852, nGC_1850/))

      allocate(vertices(1372)%branchR2(0:0))
      call avR2(1372, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2100/))

      allocate(vertices(2509)%branchR2(0:0))
      call avR2(2509, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2156/))

      allocate(vertices(998)%branchR2(0:1))
      call avR2(998, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1920, nGC_1919/))

      call avR2(998, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1921, nGC_1921/))

      allocate(vertices(2837)%branchR2(0:0))
      call avR2(2837, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2115/))

      allocate(vertices(3417)%branchR2(0:0))
      call avR2(3417, 0, 13, 1, 0, VV0, (/0, 2/), (/nGC_1670, nGC_1668,        &
      nGC_1669/))

      allocate(vertices(1202)%branchR2(0:0))
      call avR2(1202, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(536)%branchR2(0:0))
      call avR2(536, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2100/))

      allocate(vertices(1807)%branchR2(0:0))
      call avR2(1807, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2125/))

      allocate(vertices(1729)%branchR2(0:0))
      call avR2(1729, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2128/))

      allocate(vertices(2290)%branchR2(0:1))
      call avR2(2290, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1969, nGC_1968/))

      call avR2(2290, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1970, nGC_1970/))

      allocate(vertices(2905)%branchR2(0:0))
      call avR2(2905, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2150/))

      allocate(vertices(3821)%branchR2(0:1))
      call avR2(3821, 0, 57, 1, 0, SVSV0, (/2, 2/), (/nGC_2183/))

      call avR2(3821, 1, 58, 1, 0, SVSV0, (/2, 2/), (/nGC_2184/))

      allocate(vertices(1635)%branchR2(0:0))
      call avR2(1635, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1726/))

      allocate(vertices(2486)%branchR2(0:0))
      call avR2(2486, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2193/))

      allocate(vertices(3017)%branchR2(0:0))
      call avR2(3017, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2114/))

      allocate(vertices(1693)%branchR2(0:0))
      call avR2(1693, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(3039)%branchR2(0:0))
      call avR2(3039, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(95)%branchR2(0:0))
      call avR2(95, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(3274)%branchR2(0:0))
      call avR2(3274, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1790/))

      allocate(vertices(2758)%branchR2(0:0))
      call avR2(2758, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2150/))

      allocate(vertices(2447)%branchR2(0:1))
      call avR2(2447, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1946, nGC_1945/))

      call avR2(2447, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1947, nGC_1947/))

      allocate(vertices(2182)%branchR2(0:0))
      call avR2(2182, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2148/))

      allocate(vertices(947)%branchR2(0:0))
      call avR2(947, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2200, nGC_2202,        &
      nGC_2201/))

      allocate(vertices(1787)%branchR2(0:0))
      call avR2(1787, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(665)%branchR2(0:0))
      call avR2(665, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2163/))

      allocate(vertices(1092)%branchR2(0:0))
      call avR2(1092, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(831)%branchR2(0:0))
      call avR2(831, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2095/))

      allocate(vertices(274)%branchR2(0:1))
      call avR2(274, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1794, nGC_1795/))

      call avR2(274, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1770, nGC_1772/))

      allocate(vertices(1837)%branchR2(0:0))
      call avR2(1837, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(2207)%branchR2(0:0))
      call avR2(2207, 0, 8, 1, 0, SFFa2, (/0, 3/), (/nGC_1875/))

      allocate(vertices(3089)%branchR2(0:0))
      call avR2(3089, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2114/))

      allocate(vertices(182)%branchR2(0:0))
      call avR2(182, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1914/))

      allocate(vertices(321)%branchR2(0:0))
      call avR2(321, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(1270)%branchR2(0:0))
      call avR2(1270, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1792/))

      allocate(vertices(1773)%branchR2(0:1))
      call avR2(1773, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1830, nGC_1828/))

      call avR2(1773, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1831, nGC_1829/))

      allocate(vertices(3425)%branchR2(0:0))
      call avR2(3425, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2064/))

      allocate(vertices(1423)%branchR2(0:1))
      call avR2(1423, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1883, nGC_1881/))

      call avR2(1423, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1884, nGC_1882/))

      allocate(vertices(1543)%branchR2(0:1))
      call avR2(1543, 0, 20, 1, 0, VFaF0, (/0, 3/), (/nGC_1994, nGC_1995/))

      call avR2(1543, 1, 20, 1, 0, VFaF0, (/2, 1/), (/nGC_1978, nGC_1980/))

      allocate(vertices(1267)%branchR2(0:1))
      call avR2(1267, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1814, nGC_1812/))

      call avR2(1267, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1815, nGC_1813/))

      allocate(vertices(1087)%branchR2(0:0))
      call avR2(1087, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(2561)%branchR2(0:1))
      call avR2(2561, 0, 17, 1, 0, FaSF0, (/0, 3/), (/nGC_1871, nGC_1870/))

      call avR2(2561, 1, 17, 1, 0, FaSF0, (/2, 1/), (/nGC_1856, nGC_1854/))

      allocate(vertices(826)%branchR2(0:0))
      call avR2(826, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(2755)%branchR2(0:0))
      call avR2(2755, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(2199)%branchR2(0:0))
      call avR2(2199, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2158/))

      allocate(vertices(1418)%branchR2(0:0))
      call avR2(1418, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(2170)%branchR2(0:0))
      call avR2(2170, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(1631)%branchR2(0:0))
      call avR2(1631, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(3504)%branchR2(0:0))
      call avR2(3504, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2150/))

      allocate(vertices(671)%branchR2(0:0))
      call avR2(671, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3292/))

      allocate(vertices(393)%branchR2(0:0))
      call avR2(393, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2055/))

      allocate(vertices(482)%branchR2(0:0))
      call avR2(482, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(836)%branchR2(0:0))
      call avR2(836, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(2361)%branchR2(0:1))
      call avR2(2361, 0, 21, 1, 0, VFFa1, (/0, 3/), (/nGC_1972/))

      call avR2(2361, 1, 21, 1, 0, VFFa1, (/2, 1/), (/nGC_1973/))

      allocate(vertices(32)%branchR2(0:0))
      call avR2(32, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(1135)%branchR2(0:1))
      call avR2(1135, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1923, nGC_1922/))

      call avR2(1135, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1924, nGC_1924/))

      allocate(vertices(3206)%branchR2(0:0))
      call avR2(3206, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2049/))

      allocate(vertices(3349)%branchR2(0:0))
      call avR2(3349, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2189/))

      allocate(vertices(437)%branchR2(0:0))
      call avR2(437, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(2640)%branchR2(0:1))
      call avR2(2640, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1935, nGC_1934/))

      call avR2(2640, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1936, nGC_1936/))

      allocate(vertices(1563)%branchR2(0:0))
      call avR2(1563, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2048/))

      allocate(vertices(2339)%branchR2(0:0))
      call avR2(2339, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(1244)%branchR2(0:0))
      call avR2(1244, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2179/))

      allocate(vertices(186)%branchR2(0:0))
      call avR2(186, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2162/))

      allocate(vertices(937)%branchR2(0:0))
      call avR2(937, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1763/))

      allocate(vertices(879)%branchR2(0:0))
      call avR2(879, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2043, nGC_2042,        &
      nGC_2041/))

      allocate(vertices(2126)%branchR2(0:0))
      call avR2(2126, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2163/))

      allocate(vertices(6)%branchR2(0:0))
      call avR2(6, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3286/))

      allocate(vertices(1501)%branchR2(0:1))
      call avR2(1501, 0, 17, 1, 0, FaSF0, (/0, 3/), (/nGC_1822, nGC_1820/))

      call avR2(1501, 1, 17, 1, 0, FaSF0, (/2, 1/), (/nGC_1823, nGC_1821/))

      allocate(vertices(3005)%branchR2(0:0))
      call avR2(3005, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(3372)%branchR2(0:0))
      call avR2(3372, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(2294)%branchR2(0:0))
      call avR2(2294, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2180/))

      allocate(vertices(1798)%branchR2(0:0))
      call avR2(1798, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(216)%branchR2(0:0))
      call avR2(216, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(1597)%branchR2(0:0))
      call avR2(1597, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1727/))

      allocate(vertices(891)%branchR2(0:0))
      call avR2(891, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(1917)%branchR2(0:0))
      call avR2(1917, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2179/))

      allocate(vertices(1705)%branchR2(0:0))
      call avR2(1705, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2096/))

      allocate(vertices(3452)%branchR2(0:0))
      call avR2(3452, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2115/))

      allocate(vertices(1062)%branchR2(0:0))
      call avR2(1062, 0, 8, 1, 0, FaFS1, (/0, 3/), (/nGC_1966, nGC_1967/))

      allocate(vertices(256)%branchR2(0:0))
      call avR2(256, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(1480)%branchR2(0:0))
      call avR2(1480, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2130/))

      allocate(vertices(1116)%branchR2(0:0))
      call avR2(1116, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(753)%branchR2(0:0))
      call avR2(753, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(1931)%branchR2(0:0))
      call avR2(1931, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3277/))

      allocate(vertices(3577)%branchR2(0:0))
      call avR2(3577, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2056/))

      allocate(vertices(1317)%branchR2(0:1))
      call avR2(1317, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1830, nGC_1828/))

      call avR2(1317, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1831, nGC_1829/))

      allocate(vertices(2279)%branchR2(0:0))
      call avR2(2279, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2034/))

      allocate(vertices(2400)%branchR2(0:0))
      call avR2(2400, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_1826, nGC_1827/))

      allocate(vertices(581)%branchR2(0:0))
      call avR2(581, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2187/))

      allocate(vertices(2004)%branchR2(0:0))
      call avR2(2004, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(309)%branchR2(0:0))
      call avR2(309, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(2653)%branchR2(0:0))
      call avR2(2653, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2158/))

      allocate(vertices(1988)%branchR2(0:0))
      call avR2(1988, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2193/))

      allocate(vertices(3044)%branchR2(0:0))
      call avR2(3044, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2060/))

      allocate(vertices(3822)%branchR2(0:1))
      call avR2(3822, 0, 64, 1, 0, VVSS0, (/2, 2/), (/nGC_2117/))

      call avR2(3822, 1, 63, 1, 0, VVSS0, (/2, 2/), (/nGC_2118/))

      allocate(vertices(1531)%branchR2(0:1))
      call avR2(1531, 0, 17, 1, 0, FaVF0, (/0, 3/), (/nGC_1996, nGC_1997/))

      call avR2(1531, 1, 17, 1, 0, FaVF0, (/2, 1/), (/nGC_1982, nGC_1984/))

      allocate(vertices(454)%branchR2(0:0))
      call avR2(454, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1864/))

      allocate(vertices(1049)%branchR2(0:0))
      call avR2(1049, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2139/))

      allocate(vertices(81)%branchR2(0:0))
      call avR2(81, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3288/))

      allocate(vertices(3564)%branchR2(0:0))
      call avR2(3564, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2056/))

      allocate(vertices(3491)%branchR2(0:0))
      call avR2(3491, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2189/))

      allocate(vertices(1234)%branchR2(0:0))
      call avR2(1234, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2078, nGC_2077,       &
      nGC_2076/))

      allocate(vertices(3823)%branchR2(0:0))
      call avR2(3823, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2054, nGC_2053,       &
      nGC_2054/))

      allocate(vertices(3295)%branchR2(0:0))
      call avR2(3295, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1764/))

      allocate(vertices(1241)%branchR2(0:0))
      call avR2(1241, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(2483)%branchR2(0:0))
      call avR2(2483, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(2685)%branchR2(0:0))
      call avR2(2685, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(1111)%branchR2(0:0))
      call avR2(1111, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1864/))

      allocate(vertices(1136)%branchR2(0:0))
      call avR2(1136, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2172/))

      allocate(vertices(1771)%branchR2(0:0))
      call avR2(1771, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2172/))

      allocate(vertices(2206)%branchR2(0:0))
      call avR2(2206, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(3824)%branchR2(0:1))
      call avR2(3824, 0, 57, 1, 0, SVSV0, (/2, 2/), (/nGC_2195/))

      call avR2(3824, 1, 58, 1, 0, SVSV0, (/2, 2/), (/nGC_2196/))

      allocate(vertices(1312)%branchR2(0:0))
      call avR2(1312, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(1086)%branchR2(0:0))
      call avR2(1086, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2048/))

      allocate(vertices(3825)%branchR2(0:1))
      call avR2(3825, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_2117/))

      call avR2(3825, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_2118/))

      allocate(vertices(844)%branchR2(0:0))
      call avR2(844, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2161/))

      allocate(vertices(3826)%branchR2(0:1))
      call avR2(3826, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_2170/))

      call avR2(3826, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_2171/))

      allocate(vertices(772)%branchR2(0:0))
      call avR2(772, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(91)%branchR2(0:0))
      call avR2(91, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2091/))

      allocate(vertices(3827)%branchR2(0:1))
      call avR2(3827, 0, 64, 1, 0, VVSS0, (/2, 2/), (/nGC_2199/))

      call avR2(3827, 1, 63, 1, 0, VVSS0, (/2, 2/), (/nGC_2198/))

      allocate(vertices(3828)%branchR2(0:0))
      call avR2(3828, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2143/))

      allocate(vertices(1276)%branchR2(0:1))
      call avR2(1276, 0, 17, 1, 0, FaSF0, (/0, 3/), (/nGC_1797, nGC_1796/))

      call avR2(1276, 1, 17, 1, 0, FaSF0, (/2, 1/), (/nGC_1776, nGC_1774/))

      allocate(vertices(3829)%branchR2(0:1))
      call avR2(3829, 0, 59, 1, 0, VVVV0, (/2, 2/), (/nGC_2204, nGC_2204,      &
      nGC_2204/))

      call avR2(3829, 1, 60, 1, 0, VVVV0, (/2, 2/), (/nGC_2203, nGC_2203,      &
      nGC_2203/))

      allocate(vertices(2562)%branchR2(0:0))
      call avR2(2562, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(525)%branchR2(0:0))
      call avR2(525, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1944/))

      allocate(vertices(3212)%branchR2(0:0))
      call avR2(3212, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_1662, nGC_1661/))

      allocate(vertices(824)%branchR2(0:1))
      call avR2(824, 0, 18, 1, 0, FaFV0, (/0, 3/), (/nGC_1974/))

      call avR2(824, 1, 18, 1, 0, FaFV0, (/2, 1/), (/nGC_1973/))

      allocate(vertices(2586)%branchR2(0:1))
      call avR2(2586, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1899, nGC_1897/))

      call avR2(2586, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1900, nGC_1898/))

      allocate(vertices(312)%branchR2(0:0))
      call avR2(312, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2148/))

      allocate(vertices(305)%branchR2(0:0))
      call avR2(305, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2085/))

      allocate(vertices(465)%branchR2(0:0))
      call avR2(465, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2188/))

      allocate(vertices(328)%branchR2(0:0))
      call avR2(328, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2126/))

      allocate(vertices(3471)%branchR2(0:0))
      call avR2(3471, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2079/))

      allocate(vertices(1569)%branchR2(0:1))
      call avR2(1569, 0, 17, 1, 0, FaSF0, (/0, 3/), (/nGC_1961, nGC_1960/))

      call avR2(1569, 1, 17, 1, 0, FaSF0, (/2, 1/), (/nGC_1962, nGC_1962/))

      allocate(vertices(1992)%branchR2(0:0))
      call avR2(1992, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(2403)%branchR2(0:1))
      call avR2(2403, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1964, nGC_1963/))

      call avR2(2403, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1965, nGC_1965/))

      allocate(vertices(2259)%branchR2(0:0))
      call avR2(2259, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(3112)%branchR2(0:0))
      call avR2(3112, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2157/))

      allocate(vertices(3307)%branchR2(0:0))
      call avR2(3307, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2073/))

      allocate(vertices(3134)%branchR2(0:0))
      call avR2(3134, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(515)%branchR2(0:0))
      call avR2(515, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1761/))

      allocate(vertices(3160)%branchR2(0:0))
      call avR2(3160, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2075/))

      allocate(vertices(40)%branchR2(0:0))
      call avR2(40, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(751)%branchR2(0:0))
      call avR2(751, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(1979)%branchR2(0:0))
      call avR2(1979, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2132/))

      allocate(vertices(2315)%branchR2(0:0))
      call avR2(2315, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(2086)%branchR2(0:1))
      call avR2(2086, 0, 17, 1, 0, FaVF1, (/0, 3/), (/nGC_1972/))

      call avR2(2086, 1, 17, 1, 0, FaVF1, (/2, 1/), (/nGC_1973/))

      allocate(vertices(2911)%branchR2(0:0))
      call avR2(2911, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(1950)%branchR2(0:0))
      call avR2(1950, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1867/))

      allocate(vertices(843)%branchR2(0:0))
      call avR2(843, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(2063)%branchR2(0:0))
      call avR2(2063, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2116/))

      allocate(vertices(3214)%branchR2(0:0))
      call avR2(3214, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(126)%branchR2(0:0))
      call avR2(126, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(1600)%branchR2(0:0))
      call avR2(1600, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(2350)%branchR2(0:0))
      call avR2(2350, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2093/))

      allocate(vertices(2687)%branchR2(0:1))
      call avR2(2687, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1952, nGC_1951/))

      call avR2(2687, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1953, nGC_1953/))

      allocate(vertices(86)%branchR2(0:0))
      call avR2(86, 0, 8, 1, 0, FSFa1, (/0, 3/), (/nGC_1966, nGC_1967/))

      allocate(vertices(3329)%branchR2(0:0))
      call avR2(3329, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1731/))

      allocate(vertices(3830)%branchR2(0:0))
      call avR2(3830, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2044/))

      allocate(vertices(3506)%branchR2(0:0))
      call avR2(3506, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2115/))

      allocate(vertices(2038)%branchR2(0:0))
      call avR2(2038, 0, 8, 1, 0, VFFa1, (/0, 3/), (/nGC_1991/))

      allocate(vertices(1132)%branchR2(0:0))
      call avR2(1132, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2125/))

      allocate(vertices(83)%branchR2(0:0))
      call avR2(83, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2148/))

      allocate(vertices(1154)%branchR2(0:0))
      call avR2(1154, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_1742, nGC_1741/))

      allocate(vertices(2184)%branchR2(0:0))
      call avR2(2184, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2081/))

      allocate(vertices(2698)%branchR2(0:0))
      call avR2(2698, 0, 8, 1, 0, FSFa2, (/0, 3/), (/nGC_1801/))

      allocate(vertices(605)%branchR2(0:0))
      call avR2(605, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(2085)%branchR2(0:1))
      call avR2(2085, 0, 20, 1, 0, VFaF1, (/0, 3/), (/nGC_1972/))

      call avR2(2085, 1, 20, 1, 0, VFaF1, (/2, 1/), (/nGC_1973/))

      allocate(vertices(2009)%branchR2(0:0))
      call avR2(2009, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(3831)%branchR2(0:1))
      call avR2(3831, 0, 59, 1, 0, VSVS0, (/2, 2/), (/nGC_2118/))

      call avR2(3831, 1, 60, 1, 0, VSVS0, (/2, 2/), (/nGC_2117/))

      allocate(vertices(978)%branchR2(0:0))
      call avR2(978, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(1275)%branchR2(0:0))
      call avR2(1275, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2168/))

      allocate(vertices(1853)%branchR2(0:0))
      call avR2(1853, 0, 8, 1, 0, SFFa1, (/0, 3/), (/nGC_1781/))

      allocate(vertices(445)%branchR2(0:0))
      call avR2(445, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2187/))

      allocate(vertices(1769)%branchR2(0:0))
      call avR2(1769, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(2512)%branchR2(0:0))
      call avR2(2512, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(3832)%branchR2(0:0))
      call avR2(3832, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2074/))

      allocate(vertices(208)%branchR2(0:0))
      call avR2(208, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2048/))

      allocate(vertices(2263)%branchR2(0:0))
      call avR2(2263, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3291/))

      allocate(vertices(631)%branchR2(0:0))
      call avR2(631, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2145/))

      allocate(vertices(1628)%branchR2(0:0))
      call avR2(1628, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(1281)%branchR2(0:0))
      call avR2(1281, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(241)%branchR2(0:0))
      call avR2(241, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1756/))

      allocate(vertices(1742)%branchR2(0:0))
      call avR2(1742, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(3521)%branchR2(0:0))
      call avR2(3521, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2192/))

      allocate(vertices(3833)%branchR2(0:0))
      call avR2(3833, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(1044)%branchR2(0:0))
      call avR2(1044, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(2144)%branchR2(0:0))
      call avR2(2144, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(3834)%branchR2(0:0))
      call avR2(3834, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2142/))

      allocate(vertices(1838)%branchR2(0:1))
      call avR2(1838, 0, 21, 1, 0, VFFa0, (/0, 3/), (/nGC_1996, nGC_1997/))

      call avR2(1838, 1, 21, 1, 0, VFFa0, (/2, 1/), (/nGC_1982, nGC_1984/))

      allocate(vertices(2161)%branchR2(0:0))
      call avR2(2161, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2152/))

      allocate(vertices(2254)%branchR2(0:0))
      call avR2(2254, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_1905, nGC_1906/))

      allocate(vertices(3835)%branchR2(0:0))
      call avR2(3835, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2074/))

      allocate(vertices(2703)%branchR2(0:0))
      call avR2(2703, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(2012)%branchR2(0:0))
      call avR2(2012, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2138/))

      allocate(vertices(1701)%branchR2(0:1))
      call avR2(1701, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1853, nGC_1855/))

      call avR2(1701, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1854, nGC_1856/))

      allocate(vertices(2437)%branchR2(0:0))
      call avR2(2437, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(2438)%branchR2(0:1))
      call avR2(2438, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1818, nGC_1816/))

      call avR2(2438, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1819, nGC_1817/))

      allocate(vertices(190)%branchR2(0:0))
      call avR2(190, 0, 8, 1, 0, FaFS0, (/0, 3/), (/nGC_1874/))

      allocate(vertices(195)%branchR2(0:0))
      call avR2(195, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2120/))

      allocate(vertices(3836)%branchR2(0:0))
      call avR2(3836, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2039/))

      allocate(vertices(2478)%branchR2(0:0))
      call avR2(2478, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2132/))

      allocate(vertices(1204)%branchR2(0:0))
      call avR2(1204, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(3354)%branchR2(0:0))
      call avR2(3354, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2134/))

      allocate(vertices(2527)%branchR2(0:0))
      call avR2(2527, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(3376)%branchR2(0:0))
      call avR2(3376, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2073/))

      allocate(vertices(2479)%branchR2(0:0))
      call avR2(2479, 0, 8, 1, 0, FaFV0, (/0, 3/), (/nGC_1975/))

      allocate(vertices(43)%branchR2(0:0))
      call avR2(43, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(2908)%branchR2(0:0))
      call avR2(2908, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(1261)%branchR2(0:0))
      call avR2(1261, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2148/))

      allocate(vertices(813)%branchR2(0:1))
      call avR2(813, 0, 19, 1, 0, FSFa1, (/0, 3/), (/nGC_1872, nGC_1873/))

      call avR2(813, 1, 19, 1, 0, FSFa1, (/2, 1/), (/nGC_1858, nGC_1860/))

      allocate(vertices(1694)%branchR2(0:0))
      call avR2(1694, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(2596)%branchR2(0:1))
      call avR2(2596, 0, 17, 1, 0, FaVF1, (/0, 3/), (/nGC_1972/))

      call avR2(2596, 1, 17, 1, 0, FaVF1, (/2, 1/), (/nGC_1973/))

      allocate(vertices(1475)%branchR2(0:0))
      call avR2(1475, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(18)%branchR2(0:0))
      call avR2(18, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2164/))

      allocate(vertices(2027)%branchR2(0:0))
      call avR2(2027, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(3313)%branchR2(0:0))
      call avR2(3313, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(3489)%branchR2(0:0))
      call avR2(3489, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(2850)%branchR2(0:0))
      call avR2(2850, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(2455)%branchR2(0:0))
      call avR2(2455, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(1764)%branchR2(0:0))
      call avR2(1764, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2163/))

      allocate(vertices(3456)%branchR2(0:0))
      call avR2(3456, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(659)%branchR2(0:0))
      call avR2(659, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2163/))

      allocate(vertices(1994)%branchR2(0:1))
      call avR2(1994, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1794, nGC_1795/))

      call avR2(1994, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1770, nGC_1772/))

      allocate(vertices(1345)%branchR2(0:0))
      call avR2(1345, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2078, nGC_2076,       &
      nGC_2077/))

      allocate(vertices(141)%branchR2(0:0))
      call avR2(141, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2164/))

      allocate(vertices(1634)%branchR2(0:0))
      call avR2(1634, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(3440)%branchR2(0:0))
      call avR2(3440, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3263/))

      allocate(vertices(1446)%branchR2(0:0))
      call avR2(1446, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(2162)%branchR2(0:0))
      call avR2(2162, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2055/))

      allocate(vertices(1939)%branchR2(0:0))
      call avR2(1939, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2201, nGC_2202,       &
      nGC_2200/))

      allocate(vertices(662)%branchR2(0:0))
      call avR2(662, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(929)%branchR2(0:0))
      call avR2(929, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2107/))

      allocate(vertices(3107)%branchR2(0:0))
      call avR2(3107, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2157/))

      allocate(vertices(1948)%branchR2(0:0))
      call avR2(1948, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(1649)%branchR2(0:0))
      call avR2(1649, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2156/))

      allocate(vertices(2)%branchR2(0:0))
      call avR2(2, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(1601)%branchR2(0:0))
      call avR2(1601, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2095/))

      allocate(vertices(247)%branchR2(0:0))
      call avR2(247, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1793/))

      allocate(vertices(1159)%branchR2(0:0))
      call avR2(1159, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2158/))

      allocate(vertices(2234)%branchR2(0:0))
      call avR2(2234, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2156/))

      allocate(vertices(283)%branchR2(0:1))
      call avR2(283, 0, 19, 1, 0, FSFa1, (/0, 3/), (/nGC_1920, nGC_1919/))

      call avR2(283, 1, 19, 1, 0, FSFa1, (/2, 1/), (/nGC_1921, nGC_1921/))

      allocate(vertices(3033)%branchR2(0:0))
      call avR2(3033, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2114/))

      allocate(vertices(1858)%branchR2(0:0))
      call avR2(1858, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(778)%branchR2(0:0))
      call avR2(778, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_1975/))

      allocate(vertices(1137)%branchR2(0:0))
      call avR2(1137, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2201, nGC_2200,       &
      nGC_2202/))

      allocate(vertices(1762)%branchR2(0:3))
      call avR2(1762, 0, 30, 1, 0, VFFa0, (/1, 2/), (/nGC_2028, nGC_2029/))

      call avR2(1762, 1, 30, 1, 0, VFFa0, (/3, 0/), (/nGC_2021, nGC_2021/))

      call avR2(1762, 2, 31, 1, 0, VFFa0, (/1, 2/), (/nGC_2026, nGC_2027/))

      call avR2(1762, 3, 31, 1, 0, VFFa0, (/3, 0/), (/nGC_2018, nGC_2018/))

      allocate(vertices(1541)%branchR2(0:0))
      call avR2(1541, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2193/))

      allocate(vertices(3253)%branchR2(0:0))
      call avR2(3253, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2073/))

      allocate(vertices(1767)%branchR2(0:0))
      call avR2(1767, 0, 8, 1, 0, FSFa1, (/0, 3/), (/nGC_1826, nGC_1827/))

      allocate(vertices(2633)%branchR2(0:0))
      call avR2(2633, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(2129)%branchR2(0:0))
      call avR2(2129, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2147/))

      allocate(vertices(3570)%branchR2(0:0))
      call avR2(3570, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2049/))

      allocate(vertices(1427)%branchR2(0:0))
      call avR2(1427, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2048/))

      allocate(vertices(1685)%branchR2(0:0))
      call avR2(1685, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1844/))

      allocate(vertices(3837)%branchR2(0:0))
      call avR2(3837, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2074/))

      allocate(vertices(2414)%branchR2(0:0))
      call avR2(2414, 0, 8, 1, 0, FaSF0, (/0, 3/), (/nGC_1893, nGC_1894/))

      allocate(vertices(3066)%branchR2(0:0))
      call avR2(3066, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2056/))

      allocate(vertices(369)%branchR2(0:0))
      call avR2(369, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2172/))

      allocate(vertices(2093)%branchR2(0:0))
      call avR2(2093, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2146/))

      allocate(vertices(1488)%branchR2(0:0))
      call avR2(1488, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2112/))

      allocate(vertices(1995)%branchR2(0:0))
      call avR2(1995, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(2115)%branchR2(0:0))
      call avR2(2115, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2162/))

      allocate(vertices(995)%branchR2(0:1))
      call avR2(995, 0, 21, 1, 0, VFFa1, (/0, 3/), (/nGC_1974/))

      call avR2(995, 1, 21, 1, 0, VFFa1, (/2, 1/), (/nGC_1973/))

      allocate(vertices(3067)%branchR2(0:0))
      call avR2(3067, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(1796)%branchR2(0:1))
      call avR2(1796, 0, 20, 1, 0, VFaF1, (/0, 3/), (/nGC_1974/))

      call avR2(1796, 1, 20, 1, 0, VFaF1, (/2, 1/), (/nGC_1973/))

      allocate(vertices(3838)%branchR2(0:0))
      call avR2(3838, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2039/))

      allocate(vertices(2704)%branchR2(0:0))
      call avR2(2704, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3276/))

      allocate(vertices(1243)%branchR2(0:0))
      call avR2(1243, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(1035)%branchR2(0:0))
      call avR2(1035, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(3165)%branchR2(0:0))
      call avR2(3165, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(2535)%branchR2(0:0))
      call avR2(2535, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1726/))

      allocate(vertices(693)%branchR2(0:0))
      call avR2(693, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2206, nGC_2206,        &
      nGC_2205/))

      allocate(vertices(2470)%branchR2(0:0))
      call avR2(2470, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2127/))

      allocate(vertices(376)%branchR2(0:1))
      call avR2(376, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1754, nGC_1755/))

      call avR2(376, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1738, nGC_1738/))

      allocate(vertices(2840)%branchR2(0:0))
      call avR2(2840, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2189/))

      allocate(vertices(656)%branchR2(0:0))
      call avR2(656, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(293)%branchR2(0:0))
      call avR2(293, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(2269)%branchR2(0:0))
      call avR2(2269, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2091/))

      allocate(vertices(3087)%branchR2(0:0))
      call avR2(3087, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(29)%branchR2(0:1))
      call avR2(29, 0, 21, 1, 0, VFFa0, (/0, 3/), (/nGC_1981, nGC_1983/))

      call avR2(29, 1, 21, 1, 0, VFFa0, (/2, 1/), (/nGC_1982, nGC_1984/))

      allocate(vertices(3839)%branchR2(0:1))
      call avR2(3839, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_2166/))

      call avR2(3839, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_2165/))

      allocate(vertices(200)%branchR2(0:1))
      call avR2(200, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1871, nGC_1870/))

      call avR2(200, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1856, nGC_1854/))

      allocate(vertices(3840)%branchR2(0:1))
      call avR2(3840, 0, 59, 1, 0, VSVS0, (/2, 2/), (/nGC_2198/))

      call avR2(3840, 1, 60, 1, 0, VSVS0, (/2, 2/), (/nGC_2199/))

      allocate(vertices(3841)%branchR2(0:0))
      call avR2(3841, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2142/))

      allocate(vertices(882)%branchR2(0:0))
      call avR2(882, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2205, nGC_2206,        &
      nGC_2206/))

      allocate(vertices(375)%branchR2(0:0))
      call avR2(375, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2178/))

      allocate(vertices(1268)%branchR2(0:0))
      call avR2(1268, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2168/))

      allocate(vertices(444)%branchR2(0:1))
      call avR2(444, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1974/))

      call avR2(444, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1973/))

      allocate(vertices(3842)%branchR2(0:0))
      call avR2(3842, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2074/))

      allocate(vertices(334)%branchR2(0:0))
      call avR2(334, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2077, nGC_2078,        &
      nGC_2076/))

      allocate(vertices(3582)%branchR2(0:0))
      call avR2(3582, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(3435)%branchR2(0:0))
      call avR2(3435, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(1017)%branchR2(0:1))
      call avR2(1017, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1969, nGC_1968/))

      call avR2(1017, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1970, nGC_1970/))

      allocate(vertices(3568)%branchR2(0:1))
      call avR2(3568, 0, 14, 1, 0, FFa3, (/0, 2/), (/nGC_1691, nGC_1688,       &
      nGC_1696, nGC_1696/))

      call avR2(3568, 1, 14, 1, 0, FFa3, (/2, 0/), (/nGC_1687, nGC_1687,       &
      nGC_1697, nGC_1697/))

      allocate(vertices(420)%branchR2(0:0))
      call avR2(420, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2055/))

      allocate(vertices(2327)%branchR2(0:0))
      call avR2(2327, 0, 8, 1, 0, SFaF1, (/0, 3/), (/nGC_1783/))

      allocate(vertices(2453)%branchR2(0:0))
      call avR2(2453, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3281/))

      allocate(vertices(3843)%branchR2(0:1))
      call avR2(3843, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_2184/))

      call avR2(3843, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_2183/))

      allocate(vertices(3844)%branchR2(0:0))
      call avR2(3844, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2038/))

      allocate(vertices(2771)%branchR2(0:0))
      call avR2(2771, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(3251)%branchR2(0:0))
      call avR2(3251, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2150/))

      allocate(vertices(828)%branchR2(0:0))
      call avR2(828, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2107/))

      allocate(vertices(1455)%branchR2(0:0))
      call avR2(1455, 0, 8, 1, 0, SFaF1, (/0, 3/), (/nGC_1862/))

      allocate(vertices(913)%branchR2(0:0))
      call avR2(913, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2172/))

      allocate(vertices(3057)%branchR2(0:0))
      call avR2(3057, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(927)%branchR2(0:0))
      call avR2(927, 0, 8, 1, 0, FaFS0, (/0, 3/), (/nGC_1802/))

      allocate(vertices(1938)%branchR2(0:0))
      call avR2(1938, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2180/))

      allocate(vertices(3441)%branchR2(0:0))
      call avR2(3441, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2073/))

      allocate(vertices(175)%branchR2(0:0))
      call avR2(175, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(1721)%branchR2(0:0))
      call avR2(1721, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_1824, nGC_1825/))

      allocate(vertices(1402)%branchR2(0:0))
      call avR2(1402, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(976)%branchR2(0:0))
      call avR2(976, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2122/))

      allocate(vertices(1643)%branchR2(0:1))
      call avR2(1643, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1779, nGC_1777/))

      call avR2(1643, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1780, nGC_1778/))

      allocate(vertices(3579)%branchR2(0:0))
      call avR2(3579, 0, 13, 1, 0, FaF0, (/0, 2/), (/nGC_1708/))

      allocate(vertices(3845)%branchR2(0:1))
      call avR2(3845, 0, 59, 1, 0, VSVS0, (/2, 2/), (/nGC_2171/))

      call avR2(3845, 1, 60, 1, 0, VSVS0, (/2, 2/), (/nGC_2170/))

      allocate(vertices(1727)%branchR2(0:0))
      call avR2(1727, 0, 8, 1, 0, FaFV0, (/0, 3/), (/nGC_1976/))

      allocate(vertices(2663)%branchR2(0:0))
      call avR2(2663, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(1226)%branchR2(0:0))
      call avR2(1226, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2116/))

      allocate(vertices(2409)%branchR2(0:1))
      call avR2(2409, 0, 19, 1, 0, FVFa0, (/0, 3/), (/nGC_1733, nGC_1734/))

      call avR2(2409, 1, 19, 1, 0, FVFa0, (/2, 1/), (/nGC_1735, nGC_1735/))

      allocate(vertices(3846)%branchR2(0:1))
      call avR2(3846, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_2170/))

      call avR2(3846, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_2171/))

      allocate(vertices(924)%branchR2(0:0))
      call avR2(924, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(873)%branchR2(0:1))
      call avR2(873, 0, 19, 1, 0, FSFa1, (/0, 3/), (/nGC_1940, nGC_1939/))

      call avR2(873, 1, 19, 1, 0, FSFa1, (/2, 1/), (/nGC_1941, nGC_1941/))

      allocate(vertices(2933)%branchR2(0:0))
      call avR2(2933, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(982)%branchR2(0:0))
      call avR2(982, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2055/))

      allocate(vertices(3396)%branchR2(0:0))
      call avR2(3396, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3270/))

      allocate(vertices(3392)%branchR2(0:0))
      call avR2(3392, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2049/))

      allocate(vertices(2411)%branchR2(0:1))
      call avR2(2411, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1996, nGC_1997/))

      call avR2(2411, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1982, nGC_1984/))

      allocate(vertices(3192)%branchR2(0:0))
      call avR2(3192, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2115/))

      allocate(vertices(402)%branchR2(0:0))
      call avR2(402, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(1546)%branchR2(0:0))
      call avR2(1546, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(3847)%branchR2(0:1))
      call avR2(3847, 0, 59, 1, 0, VSVS0, (/2, 2/), (/nGC_2183/))

      call avR2(3847, 1, 60, 1, 0, VSVS0, (/2, 2/), (/nGC_2184/))

      allocate(vertices(1005)%branchR2(0:0))
      call avR2(1005, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(1850)%branchR2(0:0))
      call avR2(1850, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1867/))

      allocate(vertices(874)%branchR2(0:0))
      call avR2(874, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(2133)%branchR2(0:0))
      call avR2(2133, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_1999, nGC_1998/))

      allocate(vertices(3225)%branchR2(0:0))
      call avR2(3225, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2151/))

      allocate(vertices(958)%branchR2(0:0))
      call avR2(958, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1788/))

      allocate(vertices(3104)%branchR2(0:0))
      call avR2(3104, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2157/))

      allocate(vertices(3399)%branchR2(0:0))
      call avR2(3399, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(1746)%branchR2(0:0))
      call avR2(1746, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1929, nGC_1930/))

      allocate(vertices(475)%branchR2(0:0))
      call avR2(475, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1766/))

      allocate(vertices(3282)%branchR2(0:0))
      call avR2(3282, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(1431)%branchR2(0:0))
      call avR2(1431, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(2695)%branchR2(0:1))
      call avR2(2695, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1903, nGC_1901/))

      call avR2(2695, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1904, nGC_1902/))

      allocate(vertices(1061)%branchR2(0:0))
      call avR2(1061, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(3848)%branchR2(0:1))
      call avR2(3848, 0, 53, 1, 0, VVVV0, (/2, 2/), (/nGC_2210, nGC_2210,      &
      nGC_2210/))

      call avR2(3848, 1, 54, 1, 0, VVVV0, (/2, 2/), (/nGC_2211, nGC_2211,      &
      nGC_2211/))

      allocate(vertices(1119)%branchR2(0:0))
      call avR2(1119, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(2988)%branchR2(0:0))
      call avR2(2988, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2060/))

      allocate(vertices(239)%branchR2(0:0))
      call avR2(239, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1788/))

      allocate(vertices(361)%branchR2(0:1))
      call avR2(361, 0, 17, 1, 0, FaSF0, (/0, 3/), (/nGC_1946, nGC_1945/))

      call avR2(361, 1, 17, 1, 0, FaSF0, (/2, 1/), (/nGC_1947, nGC_1947/))

      allocate(vertices(2461)%branchR2(0:0))
      call avR2(2461, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2180/))

      allocate(vertices(1874)%branchR2(0:3))
      call avR2(1874, 0, 30, 1, 0, VFFa0, (/1, 2/), (/nGC_2024, nGC_2025/))

      call avR2(1874, 1, 30, 1, 0, VFFa0, (/3, 0/), (/nGC_2021, nGC_2021/))

      call avR2(1874, 2, 31, 1, 0, VFFa0, (/3, 0/), (/nGC_2018, nGC_2018/))

      call avR2(1874, 3, 31, 1, 0, VFFa0, (/1, 2/), (/nGC_2022, nGC_2023/))

      allocate(vertices(2839)%branchR2(0:0))
      call avR2(2839, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2151/))

      allocate(vertices(713)%branchR2(0:0))
      call avR2(713, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2116/))

      allocate(vertices(3551)%branchR2(0:0))
      call avR2(3551, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(233)%branchR2(0:0))
      call avR2(233, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2088/))

      allocate(vertices(945)%branchR2(0:0))
      call avR2(945, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(555)%branchR2(0:0))
      call avR2(555, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2055/))

      allocate(vertices(2425)%branchR2(0:0))
      call avR2(2425, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2121/))

      allocate(vertices(1696)%branchR2(0:0))
      call avR2(1696, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3289/))

      allocate(vertices(64)%branchR2(0:0))
      call avR2(64, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2095/))

      allocate(vertices(87)%branchR2(0:0))
      call avR2(87, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(387)%branchR2(0:0))
      call avR2(387, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(610)%branchR2(0:0))
      call avR2(610, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(1882)%branchR2(0:0))
      call avR2(1882, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2077, nGC_2076,       &
      nGC_2078/))

      allocate(vertices(3849)%branchR2(0:0))
      call avR2(3849, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2142/))

      allocate(vertices(3085)%branchR2(0:0))
      call avR2(3085, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1721/))

      allocate(vertices(2773)%branchR2(0:0))
      call avR2(2773, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2150/))

      allocate(vertices(872)%branchR2(0:0))
      call avR2(872, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2125/))

      allocate(vertices(1205)%branchR2(0:0))
      call avR2(1205, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(2700)%branchR2(0:0))
      call avR2(2700, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3283/))

      allocate(vertices(2316)%branchR2(0:0))
      call avR2(2316, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(2600)%branchR2(0:0))
      call avR2(2600, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1788/))

      allocate(vertices(1374)%branchR2(0:0))
      call avR2(1374, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2128/))

      allocate(vertices(1463)%branchR2(0:0))
      call avR2(1463, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(234)%branchR2(0:0))
      call avR2(234, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1809/))

      allocate(vertices(3368)%branchR2(0:0))
      call avR2(3368, 0, 8, 1, 0, FaFV0, (/0, 3/), (/nGC_1747/))

      allocate(vertices(1946)%branchR2(0:0))
      call avR2(1946, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2127/))

      allocate(vertices(168)%branchR2(0:0))
      call avR2(168, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2139/))

      allocate(vertices(3145)%branchR2(0:0))
      call avR2(3145, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2033/))

      allocate(vertices(282)%branchR2(0:0))
      call avR2(282, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(3850)%branchR2(0:0))
      call avR2(3850, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2083, nGC_2083,       &
      nGC_2083/))

      allocate(vertices(724)%branchR2(0:0))
      call avR2(724, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_1976/))

      allocate(vertices(187)%branchR2(0:1))
      call avR2(187, 0, 19, 1, 0, FSFa1, (/0, 3/), (/nGC_1946, nGC_1945/))

      call avR2(187, 1, 19, 1, 0, FSFa1, (/2, 1/), (/nGC_1947, nGC_1947/))

      allocate(vertices(3851)%branchR2(0:0))
      call avR2(3851, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2036/))

      allocate(vertices(730)%branchR2(0:0))
      call avR2(730, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2137/))

      allocate(vertices(2150)%branchR2(0:0))
      call avR2(2150, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2193/))

      allocate(vertices(2607)%branchR2(0:0))
      call avR2(2607, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1915/))

      allocate(vertices(2391)%branchR2(0:0))
      call avR2(2391, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(3362)%branchR2(0:0))
      call avR2(3362, 0, 13, 1, 0, FaF4, (/0, 2/), (/nGC_1698, nGC_1699,       &
      nGC_1700, nGC_1700/))

      allocate(vertices(2513)%branchR2(0:0))
      call avR2(2513, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2163/))

      allocate(vertices(3509)%branchR2(0:0))
      call avR2(3509, 0, 13, 1, 0, FFa4, (/0, 2/), (/nGC_1698, nGC_1707,       &
      nGC_1707, nGC_1699/))

      allocate(vertices(306)%branchR2(0:0))
      call avR2(306, 0, 8, 1, 0, SFaF1, (/0, 3/), (/nGC_1782/))

      allocate(vertices(1857)%branchR2(0:0))
      call avR2(1857, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2125/))

      allocate(vertices(2830)%branchR2(0:0))
      call avR2(2830, 0, 13, 1, 0, FFa1, (/0, 2/), (/nGC_1708/))

      allocate(vertices(2589)%branchR2(0:0))
      call avR2(2589, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(3512)%branchR2(0:1))
      call avR2(3512, 0, 42, 1, 0, FaF2, (/0, 2/), (/nGC_1695, nGC_1692,       &
      nGC_1711, nGC_1711/))

      call avR2(3512, 1, 42, 1, 0, FaF2, (/2, 0/), (/nGC_1687, nGC_1687,       &
      nGC_1712, nGC_1712/))

      allocate(vertices(2672)%branchR2(0:0))
      call avR2(2672, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1848/))

      allocate(vertices(2682)%branchR2(0:0))
      call avR2(2682, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2140/))

      allocate(vertices(1090)%branchR2(0:0))
      call avR2(1090, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2122/))

      allocate(vertices(736)%branchR2(0:0))
      call avR2(736, 0, 8, 1, 0, FaFV0, (/0, 3/), (/nGC_1976/))

      allocate(vertices(284)%branchR2(0:0))
      call avR2(284, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(24)%branchR2(0:1))
      call avR2(24, 0, 21, 1, 0, VFFa0, (/0, 3/), (/nGC_1754, nGC_1755/))

      call avR2(24, 1, 21, 1, 0, VFFa0, (/2, 1/), (/nGC_1738, nGC_1738/))

      allocate(vertices(1588)%branchR2(0:0))
      call avR2(1588, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2137/))

      allocate(vertices(2532)%branchR2(0:1))
      call avR2(2532, 0, 21, 1, 0, VFFa1, (/0, 3/), (/nGC_1974/))

      call avR2(2532, 1, 21, 1, 0, VFFa1, (/2, 1/), (/nGC_1973/))

      allocate(vertices(1233)%branchR2(0:0))
      call avR2(1233, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2178/))

      allocate(vertices(30)%branchR2(0:0))
      call avR2(30, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(796)%branchR2(0:1))
      call avR2(796, 0, 19, 1, 0, FSFa1, (/0, 3/), (/nGC_1818, nGC_1816/))

      call avR2(796, 1, 19, 1, 0, FSFa1, (/2, 1/), (/nGC_1819, nGC_1817/))

      allocate(vertices(1437)%branchR2(0:0))
      call avR2(1437, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1759/))

      allocate(vertices(3852)%branchR2(0:0))
      call avR2(3852, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2036/))

      allocate(vertices(1381)%branchR2(0:1))
      call avR2(1381, 0, 17, 1, 0, FaSF0, (/0, 3/), (/nGC_1932, nGC_1931/))

      call avR2(1381, 1, 17, 1, 0, FaSF0, (/2, 1/), (/nGC_1933, nGC_1933/))

      allocate(vertices(907)%branchR2(0:0))
      call avR2(907, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2034/))

      allocate(vertices(1793)%branchR2(0:0))
      call avR2(1793, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(2044)%branchR2(0:0))
      call avR2(2044, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2048/))

      allocate(vertices(1188)%branchR2(0:0))
      call avR2(1188, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(155)%branchR2(0:0))
      call avR2(155, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1843/))

      allocate(vertices(2312)%branchR2(0:0))
      call avR2(2312, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(2556)%branchR2(0:0))
      call avR2(2556, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2110/))

      allocate(vertices(1020)%branchR2(0:0))
      call avR2(1020, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(1192)%branchR2(0:0))
      call avR2(1192, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(2343)%branchR2(0:0))
      call avR2(2343, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(2655)%branchR2(0:0))
      call avR2(2655, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2141/))

      allocate(vertices(69)%branchR2(0:0))
      call avR2(69, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2112/))

      allocate(vertices(111)%branchR2(0:0))
      call avR2(111, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(1371)%branchR2(0:0))
      call avR2(1371, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2139/))

      allocate(vertices(2645)%branchR2(0:0))
      call avR2(2645, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(2132)%branchR2(0:0))
      call avR2(2132, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(3567)%branchR2(0:0))
      call avR2(3567, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_1660, nGC_1659/))

      allocate(vertices(2900)%branchR2(0:1))
      call avR2(2900, 0, 14, 1, 0, FFa3, (/0, 2/), (/nGC_1691, nGC_1688,       &
      nGC_1689, nGC_1689/))

      call avR2(2900, 1, 14, 1, 0, FFa3, (/2, 0/), (/nGC_1687, nGC_1687,       &
      nGC_1690, nGC_1690/))

      allocate(vertices(984)%branchR2(0:0))
      call avR2(984, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(1789)%branchR2(0:0))
      call avR2(1789, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2082/))

      allocate(vertices(3853)%branchR2(0:1))
      call avR2(3853, 0, 59, 1, 0, VVVV0, (/2, 2/), (/nGC_2089, nGC_2089,      &
      nGC_2089/))

      call avR2(3853, 1, 60, 1, 0, VVVV0, (/2, 2/), (/nGC_2090, nGC_2090,      &
      nGC_2090/))

      allocate(vertices(1692)%branchR2(0:0))
      call avR2(1692, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(412)%branchR2(0:0))
      call avR2(412, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2163/))

      allocate(vertices(909)%branchR2(0:0))
      call avR2(909, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(2340)%branchR2(0:1))
      call avR2(2340, 0, 19, 1, 0, FSFa1, (/0, 3/), (/nGC_1814, nGC_1812/))

      call avR2(2340, 1, 19, 1, 0, FSFa1, (/2, 1/), (/nGC_1815, nGC_1813/))

      allocate(vertices(2394)%branchR2(0:0))
      call avR2(2394, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2197/))

      allocate(vertices(962)%branchR2(0:0))
      call avR2(962, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(522)%branchR2(0:0))
      call avR2(522, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(1220)%branchR2(0:1))
      call avR2(1220, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1903, nGC_1901/))

      call avR2(1220, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1904, nGC_1902/))

      allocate(vertices(76)%branchR2(0:0))
      call avR2(76, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2093/))

      allocate(vertices(498)%branchR2(0:1))
      call avR2(498, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1733, nGC_1734/))

      call avR2(498, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1735, nGC_1735/))

      allocate(vertices(3121)%branchR2(0:0))
      call avR2(3121, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2150/))

      allocate(vertices(2881)%branchR2(0:0))
      call avR2(2881, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2075/))

      allocate(vertices(993)%branchR2(0:0))
      call avR2(993, 0, 8, 1, 0, FVFa0, (/0, 3/), (/nGC_1999, nGC_1998/))

      allocate(vertices(3854)%branchR2(0:0))
      call avR2(3854, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2040, nGC_2040,       &
      nGC_2040/))

      allocate(vertices(1294)%branchR2(0:0))
      call avR2(1294, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2081/))

      allocate(vertices(754)%branchR2(0:0))
      call avR2(754, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3292/))

      allocate(vertices(1753)%branchR2(0:0))
      call avR2(1753, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(1666)%branchR2(0:0))
      call avR2(1666, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(1405)%branchR2(0:0))
      call avR2(1405, 0, 8, 1, 0, FaFS1, (/0, 3/), (/nGC_1826, nGC_1827/))

      allocate(vertices(1269)%branchR2(0:0))
      call avR2(1269, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_1929, nGC_1930/))

      allocate(vertices(2336)%branchR2(0:0))
      call avR2(2336, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(93)%branchR2(0:0))
      call avR2(93, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2096/))

      allocate(vertices(2684)%branchR2(0:0))
      call avR2(2684, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(1050)%branchR2(0:0))
      call avR2(1050, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_1753, nGC_1752/))

      allocate(vertices(2520)%branchR2(0:0))
      call avR2(2520, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2076, nGC_2077,       &
      nGC_2078/))

      allocate(vertices(3284)%branchR2(0:0))
      call avR2(3284, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(183)%branchR2(0:0))
      call avR2(183, 0, 8, 1, 0, FaSF0, (/0, 3/), (/nGC_1836, nGC_1837/))

      allocate(vertices(2445)%branchR2(0:0))
      call avR2(2445, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2125/))

      allocate(vertices(2576)%branchR2(0:1))
      call avR2(2576, 0, 18, 1, 0, FaFV1, (/0, 3/), (/nGC_1981, nGC_1983/))

      call avR2(2576, 1, 18, 1, 0, FaFV1, (/2, 1/), (/nGC_1982, nGC_1984/))

      allocate(vertices(3855)%branchR2(0:0))
      call avR2(3855, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2036/))

      allocate(vertices(3523)%branchR2(0:0))
      call avR2(3523, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2150/))

      allocate(vertices(1066)%branchR2(0:0))
      call avR2(1066, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2149/))

      allocate(vertices(3856)%branchR2(0:0))
      call avR2(3856, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1723/))

      allocate(vertices(2555)%branchR2(0:0))
      call avR2(2555, 0, 8, 1, 0, FaVF0, (/0, 3/), (/nGC_1742, nGC_1741/))

      allocate(vertices(1883)%branchR2(0:0))
      call avR2(1883, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(460)%branchR2(0:0))
      call avR2(460, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(2537)%branchR2(0:0))
      call avR2(2537, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(1926)%branchR2(0:0))
      call avR2(1926, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1762/))

      allocate(vertices(1984)%branchR2(0:0))
      call avR2(1984, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2121/))

      allocate(vertices(1960)%branchR2(0:0))
      call avR2(1960, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2197/))

      allocate(vertices(1197)%branchR2(0:0))
      call avR2(1197, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2188/))

      allocate(vertices(3245)%branchR2(0:0))
      call avR2(3245, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2056/))

      allocate(vertices(2510)%branchR2(0:0))
      call avR2(2510, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(2359)%branchR2(0:1))
      call avR2(2359, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1851, nGC_1849/))

      call avR2(2359, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1852, nGC_1850/))

      allocate(vertices(1190)%branchR2(0:0))
      call avR2(1190, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2125/))

      allocate(vertices(2222)%branchR2(0:1))
      call avR2(2222, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1851, nGC_1849/))

      call avR2(2222, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1852, nGC_1850/))

      allocate(vertices(3545)%branchR2(0:0))
      call avR2(3545, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2134/))

      allocate(vertices(1184)%branchR2(0:0))
      call avR2(1184, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(3279)%branchR2(0:0))
      call avR2(3279, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2151/))

      allocate(vertices(3135)%branchR2(0:0))
      call avR2(3135, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2151/))

      allocate(vertices(3586)%branchR2(0:0))
      call avR2(3586, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2079/))

      allocate(vertices(755)%branchR2(0:1))
      call avR2(755, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1917, nGC_1916/))

      call avR2(755, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1918, nGC_1918/))

      allocate(vertices(3231)%branchR2(0:0))
      call avR2(3231, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2060/))

      allocate(vertices(1076)%branchR2(0:1))
      call avR2(1076, 0, 19, 1, 0, FVFa1, (/0, 3/), (/nGC_1972/))

      call avR2(1076, 1, 19, 1, 0, FVFa1, (/2, 1/), (/nGC_1973/))

      allocate(vertices(37)%branchR2(0:0))
      call avR2(37, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2181/))

      allocate(vertices(249)%branchR2(0:0))
      call avR2(249, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(1464)%branchR2(0:1))
      call avR2(1464, 0, 17, 1, 0, FaVF1, (/0, 3/), (/nGC_1974/))

      call avR2(1464, 1, 17, 1, 0, FaVF1, (/2, 1/), (/nGC_1973/))

      allocate(vertices(2944)%branchR2(0:0))
      call avR2(2944, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(3857)%branchR2(0:1))
      call avR2(3857, 0, 64, 1, 0, VVVV0, (/2, 2/), (/nGC_2090, nGC_2090,      &
      nGC_2090/))

      call avR2(3857, 1, 63, 1, 0, VVVV0, (/2, 2/), (/nGC_2089, nGC_2089,      &
      nGC_2089/))

      allocate(vertices(1335)%branchR2(0:0))
      call avR2(1335, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2181/))

      allocate(vertices(2541)%branchR2(0:3))
      call avR2(2541, 0, 27, 1, 0, FVFa0, (/3, 0/), (/nGC_2018, nGC_2018/))

      call avR2(2541, 1, 27, 1, 0, FVFa0, (/1, 2/), (/nGC_2016, nGC_2017/))

      call avR2(2541, 2, 26, 1, 0, FVFa0, (/1, 2/), (/nGC_2019, nGC_2020/))

      call avR2(2541, 3, 26, 1, 0, FVFa0, (/3, 0/), (/nGC_2021, nGC_2021/))

      allocate(vertices(2122)%branchR2(0:0))
      call avR2(2122, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2172/))

      allocate(vertices(1394)%branchR2(0:0))
      call avR2(1394, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(3411)%branchR2(0:0))
      call avR2(3411, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2151/))

      allocate(vertices(258)%branchR2(0:0))
      call avR2(258, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2147/))

      allocate(vertices(3858)%branchR2(0:1))
      call avR2(3858, 0, 64, 1, 0, VVVV0, (/2, 2/), (/nGC_2090, nGC_2090,      &
      nGC_2090/))

      call avR2(3858, 1, 63, 1, 0, VVVV0, (/2, 2/), (/nGC_2089, nGC_2089,      &
      nGC_2089/))

      allocate(vertices(2123)%branchR2(0:0))
      call avR2(2123, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(943)%branchR2(0:0))
      call avR2(943, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2100/))

      allocate(vertices(224)%branchR2(0:0))
      call avR2(224, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2161/))

      allocate(vertices(2827)%branchR2(0:0))
      call avR2(2827, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2064/))

      allocate(vertices(3859)%branchR2(0:1))
      call avR2(3859, 0, 59, 1, 0, VSVS0, (/2, 2/), (/nGC_2195/))

      call avR2(3859, 1, 60, 1, 0, VSVS0, (/2, 2/), (/nGC_2196/))

      allocate(vertices(1621)%branchR2(0:0))
      call avR2(1621, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(1719)%branchR2(0:3))
      call avR2(1719, 0, 11, 1, 0, FFaV0, (/1, 2/), (/nGC_2019, nGC_2020/))

      call avR2(1719, 1, 11, 1, 0, FFaV0, (/3, 0/), (/nGC_2021, nGC_2021/))

      call avR2(1719, 2, 12, 1, 0, FFaV0, (/3, 0/), (/nGC_2018, nGC_2018/))

      call avR2(1719, 3, 12, 1, 0, FFaV0, (/1, 2/), (/nGC_2016, nGC_2017/))

      allocate(vertices(2226)%branchR2(0:1))
      call avR2(2226, 0, 21, 1, 0, VFFa1, (/0, 3/), (/nGC_1974/))

      call avR2(2226, 1, 21, 1, 0, VFFa1, (/2, 1/), (/nGC_1973/))

      allocate(vertices(2249)%branchR2(0:0))
      call avR2(2249, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2193/))

      allocate(vertices(2313)%branchR2(0:0))
      call avR2(2313, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1804/))

      allocate(vertices(2318)%branchR2(0:0))
      call avR2(2318, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1718/))

      allocate(vertices(680)%branchR2(0:0))
      call avR2(680, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(113)%branchR2(0:0))
      call avR2(113, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(2171)%branchR2(0:0))
      call avR2(2171, 0, 8, 1, 0, FFaV0, (/0, 3/), (/nGC_1744, nGC_1743/))

      allocate(vertices(3180)%branchR2(0:0))
      call avR2(3180, 0, 13, 1, 0, VV0, (/0, 2/), (/nGC_1683, nGC_1681,        &
      nGC_1682/))

      allocate(vertices(3271)%branchR2(0:0))
      call avR2(3271, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2151/))

      allocate(vertices(3860)%branchR2(0:0))
      call avR2(3860, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2039/))

      allocate(vertices(3861)%branchR2(0:5))
      call avR2(3861, 0, 70, 1, 0, VVVV0, (/3, 1/), (/nGC_2214, nGC_2214,      &
      nGC_2214/))

      call avR2(3861, 1, 67, 1, 0, VVVV0, (/3, 1/), (/nGC_2213, nGC_2213,      &
      nGC_2213/))

      call avR2(3861, 2, 66, 1, 0, VVVV0, (/3, 1/), (/nGC_2213, nGC_2213,      &
      nGC_2213/))

      call avR2(3861, 3, 69, 1, 0, VVVV0, (/3, 1/), (/nGC_2214, nGC_2214,      &
      nGC_2214/))

      call avR2(3861, 4, 68, 1, 0, VVVV0, (/3, 1/), (/nGC_2213, nGC_2213,      &
      nGC_2213/))

      call avR2(3861, 5, 65, 1, 0, VVVV0, (/3, 1/), (/nGC_2212, nGC_2212,      &
      nGC_2212/))

      allocate(vertices(3535)%branchR2(0:0))
      call avR2(3535, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2157/))

      allocate(vertices(3862)%branchR2(0:1))
      call avR2(3862, 0, 57, 1, 0, SVSV0, (/2, 2/), (/nGC_2099/))

      call avR2(3862, 1, 58, 1, 0, SVSV0, (/2, 2/), (/nGC_2098/))

      allocate(vertices(780)%branchR2(0:0))
      call avR2(780, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2188/))

      allocate(vertices(254)%branchR2(0:0))
      call avR2(254, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2140/))

      allocate(vertices(2265)%branchR2(0:0))
      call avR2(2265, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2103/))

      allocate(vertices(2130)%branchR2(0:1))
      call avR2(2130, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1814, nGC_1812/))

      call avR2(2130, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1815, nGC_1813/))

      allocate(vertices(646)%branchR2(0:0))
      call avR2(646, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2084/))

      allocate(vertices(2176)%branchR2(0:1))
      call avR2(2176, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1952, nGC_1951/))

      call avR2(2176, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1953, nGC_1953/))

      allocate(vertices(82)%branchR2(0:0))
      call avR2(82, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(1456)%branchR2(0:0))
      call avR2(1456, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1786/))

      allocate(vertices(545)%branchR2(0:0))
      call avR2(545, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(2657)%branchR2(0:0))
      call avR2(2657, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1843/))

      allocate(vertices(2715)%branchR2(0:0))
      call avR2(2715, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2073/))

      allocate(vertices(2812)%branchR2(0:0))
      call avR2(2812, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2134/))

      allocate(vertices(3018)%branchR2(0:0))
      call avR2(3018, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2160/))

      allocate(vertices(2516)%branchR2(0:0))
      call avR2(2516, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2141/))

      allocate(vertices(914)%branchR2(0:0))
      call avR2(914, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2082/))

      allocate(vertices(2777)%branchR2(0:0))
      call avR2(2777, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(2192)%branchR2(0:0))
      call avR2(2192, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2137/))

      allocate(vertices(1888)%branchR2(0:0))
      call avR2(1888, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(2180)%branchR2(0:0))
      call avR2(2180, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(1997)%branchR2(0:3))
      call avR2(1997, 0, 30, 1, 0, VFFa0, (/1, 2/), (/nGC_2019, nGC_2020/))

      call avR2(1997, 1, 30, 1, 0, VFFa0, (/3, 0/), (/nGC_2021, nGC_2021/))

      call avR2(1997, 2, 31, 1, 0, VFFa0, (/3, 0/), (/nGC_2018, nGC_2018/))

      call avR2(1997, 3, 31, 1, 0, VFFa0, (/1, 2/), (/nGC_2016, nGC_2017/))

      allocate(vertices(3863)%branchR2(0:1))
      call avR2(3863, 0, 53, 1, 0, SSVV0, (/2, 2/), (/nGC_2118/))

      call avR2(3863, 1, 54, 1, 0, SSVV0, (/2, 2/), (/nGC_2117/))

      allocate(vertices(635)%branchR2(0:0))
      call avR2(635, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(66)%branchR2(0:3))
      call avR2(66, 0, 11, 1, 0, FFaV0, (/3, 0/), (/nGC_2006, nGC_2006/))

      call avR2(66, 1, 11, 1, 0, FFaV0, (/1, 2/), (/nGC_2005, nGC_2007/))

      call avR2(66, 2, 12, 1, 0, FFaV0, (/1, 2/), (/nGC_2002, nGC_2004/))

      call avR2(66, 3, 12, 1, 0, FFaV0, (/3, 0/), (/nGC_2003, nGC_2003/))

      allocate(vertices(1016)%branchR2(0:3))
      call avR2(1016, 0, 27, 1, 0, FVFa0, (/1, 2/), (/nGC_2002, nGC_2004/))

      call avR2(1016, 1, 27, 1, 0, FVFa0, (/3, 0/), (/nGC_2003, nGC_2003/))

      call avR2(1016, 2, 26, 1, 0, FVFa0, (/3, 0/), (/nGC_2006, nGC_2006/))

      call avR2(1016, 3, 26, 1, 0, FVFa0, (/1, 2/), (/nGC_2005, nGC_2007/))

      allocate(vertices(3864)%branchR2(0:1))
      call avR2(3864, 0, 53, 1, 0, VVVV0, (/2, 2/), (/nGC_2204, nGC_2204,      &
      nGC_2204/))

      call avR2(3864, 1, 54, 1, 0, VVVV0, (/2, 2/), (/nGC_2203, nGC_2203,      &
      nGC_2203/))

      allocate(vertices(211)%branchR2(0:0))
      call avR2(211, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(681)%branchR2(0:0))
      call avR2(681, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2168/))

      allocate(vertices(620)%branchR2(0:0))
      call avR2(620, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2139/))

      allocate(vertices(1332)%branchR2(0:0))
      call avR2(1332, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(3048)%branchR2(0:0))
      call avR2(3048, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(1489)%branchR2(0:0))
      call avR2(1489, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(942)%branchR2(0:0))
      call avR2(942, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1757/))

      allocate(vertices(1839)%branchR2(0:0))
      call avR2(1839, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1760/))

      allocate(vertices(2730)%branchR2(0:0))
      call avR2(2730, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2032/))

      allocate(vertices(2993)%branchR2(0:0))
      call avR2(2993, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3290/))

      allocate(vertices(3272)%branchR2(0:0))
      call avR2(3272, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2160/))

      allocate(vertices(1127)%branchR2(0:0))
      call avR2(1127, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2132/))

      allocate(vertices(817)%branchR2(0:23))
      call avR2(817, 0, 94, 1, 0, VVVV0, (/4, 0/), (/nGC_2220, nGC_2221,       &
      nGC_2220/))

      call avR2(817, 1, 91, 1, 0, VVVV0, (/4, 0/), (/nGC_2221, nGC_2220,       &
      nGC_2220/))

      call avR2(817, 2, 104, 1, 0, VVVV0, (/4, 0/), (/nGC_2231, nGC_2231,      &
      nGC_2231/))

      call avR2(817, 3, 2, 1, 0, VVVV0, (/4, 0/), (/nGC_2216, nGC_2216,        &
      nGC_2215/))

      call avR2(817, 4, 5, 1, 0, VVVV0, (/4, 0/), (/nGC_2224, nGC_2226,        &
      nGC_2225/))

      call avR2(817, 5, 100, 1, 0, VVVV0, (/4, 0/), (/nGC_2230, nGC_2230,      &
      nGC_2230/))

      call avR2(817, 6, 97, 1, 0, VVVV0, (/4, 0/), (/nGC_2218, nGC_2219,       &
      nGC_2217/))

      call avR2(817, 7, 90, 1, 0, VVVV0, (/4, 0/), (/nGC_2218, nGC_2217,       &
      nGC_2219/))

      call avR2(817, 8, 103, 1, 0, VVVV0, (/4, 0/), (/nGC_2231, nGC_2231,      &
      nGC_2231/))

      call avR2(817, 9, 93, 1, 0, VVVV0, (/4, 0/), (/nGC_2222, nGC_2223,       &
      nGC_2221/))

      call avR2(817, 10, 106, 1, 0, VVVV0, (/4, 0/), (/nGC_2231, nGC_2231,     &
      nGC_2231/))

      call avR2(817, 11, 4, 1, 0, VVVV0, (/4, 0/), (/nGC_2227, nGC_2229,       &
      nGC_2228/))

      call avR2(817, 12, 96, 1, 0, VVVV0, (/4, 0/), (/nGC_2217, nGC_2219,      &
      nGC_2218/))

      call avR2(817, 13, 7, 1, 0, VVVV0, (/4, 0/), (/nGC_2224, nGC_2226,       &
      nGC_2225/))

      call avR2(817, 14, 102, 1, 0, VVVV0, (/4, 0/), (/nGC_2231, nGC_2231,     &
      nGC_2231/))

      call avR2(817, 15, 99, 1, 0, VVVV0, (/4, 0/), (/nGC_2217, nGC_2217,      &
      nGC_2217/))

      call avR2(817, 16, 92, 1, 0, VVVV0, (/4, 0/), (/nGC_2218, nGC_2219,      &
      nGC_2217/))

      call avR2(817, 17, 89, 1, 0, VVVV0, (/4, 0/), (/nGC_2217, nGC_2217,      &
      nGC_2217/))

      call avR2(817, 18, 95, 1, 0, VVVV0, (/4, 0/), (/nGC_2217, nGC_2219,      &
      nGC_2218/))

      call avR2(817, 19, 105, 1, 0, VVVV0, (/4, 0/), (/nGC_2231, nGC_2231,     &
      nGC_2231/))

      call avR2(817, 20, 6, 1, 0, VVVV0, (/4, 0/), (/nGC_2227, nGC_2229,       &
      nGC_2228/))

      call avR2(817, 21, 3, 1, 0, VVVV0, (/4, 0/), (/nGC_2216, nGC_2216,       &
      nGC_2215/))

      call avR2(817, 22, 98, 1, 0, VVVV0, (/4, 0/), (/nGC_2218, nGC_2217,      &
      nGC_2219/))

      call avR2(817, 23, 101, 1, 0, VVVV0, (/4, 0/), (/nGC_2231, nGC_2231,     &
      nGC_2231/))

      allocate(vertices(421)%branchR2(0:0))
      call avR2(421, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(2724)%branchR2(0:0))
      call avR2(2724, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(807)%branchR2(0:0))
      call avR2(807, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3281/))

      allocate(vertices(3483)%branchR2(0:0))
      call avR2(3483, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2033/))

      allocate(vertices(3865)%branchR2(0:1))
      call avR2(3865, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_2117/))

      call avR2(3865, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_2118/))

      allocate(vertices(1034)%branchR2(0:0))
      call avR2(1034, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(1849)%branchR2(0:0))
      call avR2(1849, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1787/))

      allocate(vertices(1556)%branchR2(0:0))
      call avR2(1556, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2179/))

      allocate(vertices(1795)%branchR2(0:0))
      call avR2(1795, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2144/))

      allocate(vertices(2243)%branchR2(0:0))
      call avR2(2243, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2146/))

      allocate(vertices(714)%branchR2(0:3))
      call avR2(714, 0, 22, 1, 0, FaVF0, (/3, 0/), (/nGC_2006, nGC_2006/))

      call avR2(714, 1, 22, 1, 0, FaVF0, (/1, 2/), (/nGC_2005, nGC_2007/))

      call avR2(714, 2, 23, 1, 0, FaVF0, (/1, 2/), (/nGC_2002, nGC_2004/))

      call avR2(714, 3, 23, 1, 0, FaVF0, (/3, 0/), (/nGC_2003, nGC_2003/))

      allocate(vertices(898)%branchR2(0:1))
      call avR2(898, 0, 17, 1, 0, FaSF0, (/0, 3/), (/nGC_1771, nGC_1769/))

      call avR2(898, 1, 17, 1, 0, FaSF0, (/2, 1/), (/nGC_1772, nGC_1770/))

      allocate(vertices(26)%branchR2(0:0))
      call avR2(26, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2048/))

      allocate(vertices(295)%branchR2(0:0))
      call avR2(295, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(1131)%branchR2(0:0))
      call avR2(1131, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(1094)%branchR2(0:0))
      call avR2(1094, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(1290)%branchR2(0:0))
      call avR2(1290, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2116/))

      allocate(vertices(2347)%branchR2(0:1))
      call avR2(2347, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1961, nGC_1960/))

      call avR2(2347, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1962, nGC_1962/))

      allocate(vertices(857)%branchR2(0:0))
      call avR2(857, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(2190)%branchR2(0:0))
      call avR2(2190, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2112/))

      allocate(vertices(1052)%branchR2(0:1))
      call avR2(1052, 0, 19, 1, 0, FSFa1, (/0, 3/), (/nGC_1932, nGC_1931/))

      call avR2(1052, 1, 19, 1, 0, FSFa1, (/2, 1/), (/nGC_1933, nGC_1933/))

      allocate(vertices(3437)%branchR2(0:0))
      call avR2(3437, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(1677)%branchR2(0:0))
      call avR2(1677, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2149/))

      allocate(vertices(1075)%branchR2(0:0))
      call avR2(1075, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2156/))

    end subroutine fill_vertices_mdl12
end module vertices_info12
