!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-04-03 14:56             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl1()
      coupl(nGC_2448) = coupl(nGC_1532)*dyup1_QED1_QCD2 + coupl(nGC_1534)*     &
                        dyup2_QED1_QCD2
      coupl(nGC_2441) = coupl(nGC_1535)*db_QED2 + coupl(nGC_1536)*dyc1_QED3 +  &
                        coupl(nGC_1537)*dyc2_QED3
      coupl(nGC_2442) = coupl(nGC_1536)*dyc1_QED1_QCD2 + coupl(nGC_1537)*      &
                        dyc2_QED1_QCD2
      coupl(nGC_2447) = coupl(nGC_1532)*dyup1_QED3 + coupl(nGC_1533)*da_QED2 + &
                        coupl(nGC_1534)*dyup2_QED3
      coupl(nGC_2277) = coupl(nGC_1250)*db_QED2 + coupl(nGC_1251)*dl3_QED4 +   &
                        coupl(nGC_1252)*dl2_QED4 + coupl(nGC_1253)*dl1_QED4 +  &
                        coupl(nGC_1254)*dl4_QED4 + coupl(nGC_1255)*dl5_QED4 +  &
                        coupl(nGC_1256)*da_QED2
      coupl(nGC_2871) = coupl(nGC_168)*dZG0/2d0
      coupl(nGC_2602) = coupl(nGC_593)*dMW2_QED2
      coupl(nGC_2603) = coupl(nGC_597)*dMW2_QED2
      coupl(nGC_2600) = cima*dMZ2_QED2
      coupl(nGC_2601) = cima*dMW2_QED2
      coupl(nGC_2869) = coupl(nGC_167)*dZG0/2d0
      coupl(nGC_TS_GC_70_Hh) = -coupl(nGC_70)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_70_Hl) = -coupl(nGC_70)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2252) = coupl(nGC_1065)*db_QED2 + coupl(nGC_1066)*dl3_QED4 +   &
                        coupl(nGC_1067)*dl2_QED4 + coupl(nGC_1068)*dl1_QED4 +  &
                        coupl(nGC_1069)*dl4_QED4 + coupl(nGC_1070)*dl5_QED4
      coupl(nGC_2705) = coupl(nGC_84)*dZsR_QCD2
      coupl(nGC_2703) = coupl(nGC_87)*dZsL_QCD2
      coupl(nGC_TS_GC_141_Hl) = -coupl(nGC_141)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2382) = coupl(nGC_1530)*dyd12x2_QED1_QCD2 + coupl(nGC_1531)*   &
                        dys2_QED1_QCD2
      coupl(nGC_3254) = coupl(nGC_MMW_GF)*dZGMinus/2d0
      coupl(nGC_3032) = coupl(nGC_84)*dZbR_QCD2
      coupl(nGC_3030) = coupl(nGC_87)*dZbL_QCD2
      coupl(nGC_2692) = -coupl(nGC_72)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
      coupl(nGC_2811) = coupl(nGC_98)*dZGMinus/2d0
      coupl(nGC_2814) = coupl(nGC_74)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_2927) = coupl(nGC_72)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
      coupl(nGC_2926) = coupl(nGC_94)*dZZA_QED2/2d0
      coupl(nGC_2921) = coupl(nGC_176)*dZG0/2d0
      coupl(nGC_2928) = coupl(nGC_74)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
      coupl(nGC_TS_GC_133_Hh) = -coupl(nGC_133)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2657) = coupl(nGC_88)*dZcL_QCD2
      coupl(nGC_2961) = coupl(nGC_75)*dZG0Ha_QED2/2d0
      coupl(nGC_2665) = coupl(nGC_97)*(dZGMinusHMinus_QED2 +                   &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_2667) = -coupl(nGC_94)*dZG0/2d0
      coupl(nGC_2668) = coupl(nGC_74)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_TS_GC_169_Hl) = -coupl(nGC_169)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2395) = coupl(nGC_1275)*dyd12x2_QED3 + coupl(nGC_1276)*da_QED2 &
                         + coupl(nGC_1277)*dys2_QED3
      coupl(nGC_2396) = coupl(nGC_1275)*dyd12x2_QED1_QCD2 + coupl(nGC_1277)*   &
                        dys2_QED1_QCD2
      coupl(nGC_2803) = coupl(nGC_158)*dZGMinus/2d0
      coupl(nGC_TS_GC_137_Hh) = -coupl(nGC_137)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_63_Hh) = -coupl(nGC_63)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2936) = coupl(nGC_MI)*dZtL_QED2
      coupl(nGC_2937) = coupl(nGC_MI)*dZtL_QCD2
      coupl(nGC_2932) = coupl(nGC_MI)*dZtR_QED2
      coupl(nGC_2933) = coupl(nGC_MI)*dZtR_QCD2
      coupl(nGC_1708) = cima*(-coupl(nGC_80)**2d0 - coupl(nGC_90)**2d0)/(16d0* &
                        pi**2d0)
      coupl(nGC_2884) = coupl(nGC_92)*dZZA_QED2/2d0
      coupl(nGC_2885) = coupl(nGC_75)*dZG0/2d0
      coupl(nGC_TS_GC_63_Hl) = -coupl(nGC_63)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2232) = coupl(nGC_1099)*dZgs_QCD2
      coupl(nGC_2235) = coupl(nGC_1098)*dZee_QED2
      coupl(nGC_2234) = coupl(nGC_1082)*dZee_QED2
      coupl(nGC_TS_GC_66_Hh) = -coupl(nGC_66)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2659) = coupl(nGC_85)*dZcR_QCD2
      coupl(nGC_2651) = coupl(nGC_97)*dZGMinus
      coupl(nGC_TS_GC_173_Hh) = -coupl(nGC_173)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2643) = coupl(nGC_42)*dZGMinus/2d0
      coupl(nGC_2728) = coupl(nGC_96)*(dZGMinusHMinus_QED2 +                   &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_2721) = coupl(nGC_174)*dZGMinus/2d0
      coupl(nGC_2837) = coupl(nGC_56)*dZG0
      coupl(nGC_2343) = coupl(nGC_1080)*dZee_QED2 + coupl(nGC_1081)*dsw_QED2
      coupl(nGC_2342) = coupl(nGC_411)*dZgs_QCD2
      coupl(nGC_2340) = coupl(nGC_1294)*dZee_QED2
      coupl(nGC_2900) = coupl(nGC_MI)*dZnu_tauL_QED2
      coupl(nGC_2902) = coupl(nGC_94)*dZG0/2d0
      coupl(nGC_TS_GC_161_Hl) = -coupl(nGC_161)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2349) = coupl(nGC_1414)*dZee_QED2 + coupl(nGC_1415)*dcw_QED2 + &
                        coupl(nGC_1416)*dsw_QED2
      coupl(nGC_2776) = coupl(nGC_151)*dZG0/2d0
      coupl(nGC_2738) = coupl(nGC_MI)*dZWMinus_QED2
      coupl(nGC_2739) = -coupl(nGC_MI)*dZWMinus_QED2
      coupl(nGC_2823) = coupl(nGC_99)*(dZHhHl_QED2 + dZHlHh_QED2)/2d0
      coupl(nGC_2821) = coupl(nGC_41)*dZGMinus/2d0
      coupl(nGC_2825) = coupl(nGC_69)*dZGMinus/2d0
      coupl(nGC_2828) = coupl(nGC_56)*dZGMinus
      coupl(nGC_2715) = coupl(nGC_77)*dZGMinus/2d0
      coupl(nGC_3194) = coupl(nGC_160)*dZG0/2d0
      coupl(nGC_3192) = coupl(nGC_159)*dZG0/2d0
      coupl(nGC_3173) = coupl(nGC_76)*dZG0Ha_QED2/2d0
      coupl(nGC_2918) = coupl(nGC_175)*dZG0/2d0
      coupl(nGC_2917) = coupl(nGC_175)*dZsL_QCD2/2d0 + coupl(nGC_175)*dZsR_QCD2&
                        /2d0 + coupl(nGC_2382)
      coupl(nGC_2912) = 3d0*coupl(nGC_47)*dZG0/2d0
      coupl(nGC_TS_GC_92_Hh) = -coupl(nGC_92)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2796) = coupl(nGC_59)*dZG0
      coupl(nGC_TS_GC_184_Hl) = -coupl(nGC_184)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2709) = coupl(nGC_65)*dZGMinus/2d0
      coupl(nGC_TS_GC_64_Hl) = -coupl(nGC_64)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_64_Hh) = -coupl(nGC_64)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2585) = -cima*dME_QED2
      coupl(nGC_2587) = -cima*dMTA_QED2
      coupl(nGC_2586) = -cima*dMM_QED2
      coupl(nGC_2581) = -cima*dMHL2_QED2
      coupl(nGC_2580) = -cima*dMHC2_QED2
      coupl(nGC_2583) = -cima*dMHA2_QED2
      coupl(nGC_2582) = -cima*dMHH2_QED2
      coupl(nGC_2589) = -cima*dMU_QCD2
      coupl(nGC_2588) = -cima*dMU_QED2
      coupl(nGC_2381) = coupl(nGC_1529)*db_QED2 + coupl(nGC_1530)*dyd12x2_QED3 &
                         + coupl(nGC_1531)*dys2_QED3
      coupl(nGC_2363) = coupl(nGC_1582)*db_QED2 + coupl(nGC_1583)*dydo1_QED3 + &
                        coupl(nGC_1584)*dydo2_QED3
      coupl(nGC_2364) = coupl(nGC_1583)*dydo1_QED1_QCD2 + coupl(nGC_1584)*     &
                        dydo2_QED1_QCD2
      coupl(nGC_2693) = coupl(nGC_20)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
      coupl(nGC_3251) = coupl(nGC_MI)*dZmuMinusR_QED2
      coupl(nGC_2694) = coupl(nGC_29)*dZG0/2d0
      coupl(nGC_2697) = coupl(nGC_40)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_2699) = coupl(nGC_73)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
      coupl(nGC_3189) = -coupl(nGC_68)*dZGMinus/2d0
      coupl(nGC_3186) = -coupl(nGC_MMW_GF)*dZGMinus/2d0
      coupl(nGC_3184) = coupl(nGC_64)*dZGMinus/2d0
      coupl(nGC_3164) = coupl(nGC_72)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_3169) = coupl(nGC_MI)*dZnu_muL_QED2
      coupl(nGC_TS_GC_32_Hh) = -coupl(nGC_32)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2962) = coupl(nGC_49)*dZGMinus/2d0
      coupl(nGC_2956) = coupl(nGC_61)*(dZHhHl_QED2 + dZHlHh_QED2)/2d0
      coupl(nGC_2958) = coupl(nGC_MI)*dZnu_eL_QED2
      coupl(nGC_2959) = -coupl(nGC_96)*(dZGMinusHMinus_QED2 +                  &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_3136) = -coupl(nGC_69)*dZGMinus/2d0
      coupl(nGC_3149) = coupl(nGC_182)*dZG0/2d0
      coupl(nGC_TS_GC_91_Hl) = -coupl(nGC_91)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2751) = coupl(nGC_32)*dZGMinus
      coupl(nGC_2758) = coupl(nGC_48)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_2592) = -cima*dMT_QED2
      coupl(nGC_2593) = -cima*dMT_QCD2
      coupl(nGC_2590) = -cima*dMC_QED2
      coupl(nGC_2591) = -cima*dMC_QCD2
      coupl(nGC_2596) = -cima*dMS_QED2
      coupl(nGC_2597) = -cima*dMS_QCD2
      coupl(nGC_2594) = -cima*dMD_QED2
      coupl(nGC_2595) = -cima*dMD_QCD2
      coupl(nGC_2598) = -cima*dMB_QED2
      coupl(nGC_2599) = -cima*dMB_QCD2
      coupl(nGC_2378) = coupl(nGC_1608)*dydo1_QED1_QCD2 + coupl(nGC_1609)*     &
                        dydo2_QED1_QCD2
      coupl(nGC_2376) = coupl(nGC_1605)*dydo1_QED1_QCD2 + coupl(nGC_1606)*     &
                        dydo2_QED1_QCD2
      coupl(nGC_2374) = coupl(nGC_1557)*dyd13x3_QED1_QCD2 + coupl(nGC_1558)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_2375) = coupl(nGC_1604)*db_QED2 + coupl(nGC_1605)*dydo1_QED3 + &
                        coupl(nGC_1606)*dydo2_QED3
      coupl(nGC_2373) = coupl(nGC_1556)*db_QED2 + coupl(nGC_1557)*dyd13x3_QED3 &
                         + coupl(nGC_1558)*dyb2_QED3
      coupl(nGC_2688) = coupl(nGC_90)*dZZA_QED2/2d0
      coupl(nGC_2689) = coupl(nGC_62)*(dZG0Ha_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_2684) = coupl(nGC_73)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_2682) = coupl(nGC_2343) + coupl(nGC_80)*dZWMinus_QED2/2d0 +    &
                        coupl(nGC_80)*dZeMinusL_QED2/2d0 + coupl(nGC_80)*      &
                        dZnu_eL_QED2/2d0
      coupl(nGC_2680) = coupl(nGC_62)*(dZGMinusHMinus_QED2 +                   &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_2681) = coupl(nGC_19)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_3157) = coupl(nGC_140)*dZG0/2d0
      coupl(nGC_2978) = coupl(nGC_20)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_2971) = coupl(nGC_96)*dZGMinus
      coupl(nGC_2973) = -coupl(nGC_63)*dZGMinus/2d0
      coupl(nGC_2974) = coupl(nGC_49)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_2977) = coupl(nGC_19)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
      coupl(nGC_3087) = coupl(nGC_MI)*dZeMinusR_QED2
      coupl(nGC_3085) = coupl(nGC_2343) + coupl(nGC_80)*dZWMinus_QED2/2d0 +    &
                        coupl(nGC_80)*dZmuMinusL_QED2/2d0 + coupl(nGC_80)*     &
                        dZnu_muL_QED2/2d0
      coupl(nGC_3089) = coupl(nGC_MI)*dZeMinusL_QED2
      coupl(nGC_TS_GC_25_Hh) = -coupl(nGC_25)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_25_Hl) = -coupl(nGC_25)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_192_Hl) = -coupl(nGC_192)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_99_Hl) = -coupl(nGC_99)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_99_Hh) = -coupl(nGC_99)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_65_Hl) = -coupl(nGC_65)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_28_Hl) = -coupl(nGC_28)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2764) = coupl(nGC_44)*dZGMinus/2d0
      coupl(nGC_2766) = coupl(nGC_43)*(2d0*dZG0 + dZGMinus)/2d0
      coupl(nGC_2760) = coupl(nGC_41)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_2377) = coupl(nGC_1607)*db_QED2 + coupl(nGC_1608)*dydo1_QED3 + &
                        coupl(nGC_1609)*dydo2_QED3
      coupl(nGC_TS_GC_33_Hh) = -coupl(nGC_33)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2308) = coupl(nGC_1091)*dZee_QED2 + coupl(nGC_1092)*da_QED2 +  &
                        coupl(nGC_1093)*dsw_QED2 + coupl(nGC_1094)*db_QED2
      coupl(nGC_2301) = coupl(nGC_1405)*db_QED2 + coupl(nGC_1406)*dvev2_QED1 + &
                        coupl(nGC_1407)*dvev1_QED1 + coupl(nGC_1408)*dl2_QED4  &
                         + coupl(nGC_1409)*dl1_QED4 + coupl(nGC_1410)*dl4_QED4 &
                         + coupl(nGC_1411)*dl3_QED4 + coupl(nGC_1412)*da_QED2  &
                         + coupl(nGC_1413)*dl5_QED4
      coupl(nGC_2300) = coupl(nGC_363)*db_QED2 + coupl(nGC_365)*dvev2_QED1 +   &
                        coupl(nGC_367)*da_QED2 + coupl(nGC_369)*dl2_QED4 +     &
                        coupl(nGC_371)*dl1_QED4 + coupl(nGC_373)*dl4_QED4 +    &
                        coupl(nGC_375)*dl3_QED4 + coupl(nGC_377)*dvev1_QED1 +  &
                        coupl(nGC_379)*dl5_QED4
      coupl(nGC_2307) = coupl(nGC_1107)*dZee_QED2 + coupl(nGC_1108)*da_QED2 +  &
                        coupl(nGC_1109)*dsw_QED2 + coupl(nGC_1110)*db_QED2
      coupl(nGC_2306) = coupl(nGC_1644)*dZee_QED2 + coupl(nGC_1645)*dsw_QED2
      coupl(nGC_2305) = coupl(nGC_1125)*dZee_QED2
      coupl(nGC_2304) = coupl(nGC_1135)*dZee_QED2
      coupl(nGC_2945) = coupl(nGC_169)*dZsL_QCD2/2d0 + coupl(nGC_169)*dZsR_QCD2&
                        /2d0 + coupl(nGC_2396)
      coupl(nGC_2944) = coupl(nGC_169)*dZHl_QED2/2d0 + coupl(nGC_169)*dZsL_QED2&
                        /2d0 + coupl(nGC_169)*dZsR_QED2/2d0 + coupl(nGC_173)*  &
                        dZHhHl_QED2/2d0 + coupl(nGC_2395)
      coupl(nGC_2415) = coupl(nGC_1035)*db_QED2 + coupl(nGC_1036)*dym1_QED3 +  &
                        coupl(nGC_1037)*dym2_QED3
      coupl(nGC_2414) = coupl(nGC_1622)*dye2_QED3 + coupl(nGC_1623)*db_QED2 +  &
                        coupl(nGC_1624)*dye1_QED3
      coupl(nGC_2411) = coupl(nGC_1641)*dye2_QED3 + coupl(nGC_1642)*db_QED2 +  &
                        coupl(nGC_1643)*dye1_QED3
      coupl(nGC_3146) = coupl(nGC_183)*dZG0/2d0
      coupl(nGC_2949) = coupl(nGC_19)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_2418) = coupl(nGC_856)*dye2_QED3 + coupl(nGC_857)*db_QED2 +    &
                        coupl(nGC_858)*dye1_QED3
      coupl(nGC_2787) = coupl(nGC_18)*dZA_QED2 + coupl(nGC_2304) + coupl(nGC_97&
                        )*dZZA_QED2
      coupl(nGC_2786) = coupl(nGC_18)*dZGMinus
      coupl(nGC_2784) = coupl(nGC_27)*dZGMinus/2d0
      coupl(nGC_2781) = coupl(nGC_40)*dZGMinus/2d0
      coupl(nGC_3098) = coupl(nGC_76)*dZG0/2d0
      coupl(nGC_3099) = coupl(nGC_MI)*dZcR_QED2
      coupl(nGC_2981) = coupl(nGC_198)*dZG0/2d0
      coupl(nGC_2967) = -coupl(nGC_64)*dZGMinus/2d0
      coupl(nGC_2779) = coupl(nGC_152)*dZG0/2d0
      coupl(nGC_2773) = coupl(nGC_84)*dZdR_QCD2
      coupl(nGC_2771) = coupl(nGC_87)*dZdL_QCD2
      coupl(nGC_2777) = coupl(nGC_148)*dZHaG0_QED2/2d0 + coupl(nGC_152)*       &
                        dZdL_QED2/2d0 + coupl(nGC_152)*dZdR_QED2/2d0 + coupl(  &
                        nGC_2377)
      coupl(nGC_2774) = coupl(nGC_147)*dZHaG0_QED2/2d0 + coupl(nGC_151)*       &
                        dZdL_QED2/2d0 + coupl(nGC_151)*dZdR_QED2/2d0 + coupl(  &
                        nGC_2375)
      coupl(nGC_2775) = coupl(nGC_151)*dZdL_QCD2/2d0 + coupl(nGC_151)*dZdR_QCD2&
                        /2d0 + coupl(nGC_2376)
      coupl(nGC_3228) = coupl(nGC_MI)*dZtauMinusL_QED2
      coupl(nGC_3226) = coupl(nGC_MI)*dZtauMinusR_QED2
      coupl(nGC_3225) = coupl(nGC_MI)*dZsL_QCD2
      coupl(nGC_3224) = coupl(nGC_MI)*dZsL_QED2
      coupl(nGC_3223) = coupl(nGC_2597) + coupl(nGC_MS)*dZsL_QCD2/2d0 + coupl( &
                        nGC_MS)*dZsR_QCD2/2d0
      coupl(nGC_3222) = coupl(nGC_2596) + coupl(nGC_MS)*dZsL_QED2/2d0 + coupl( &
                        nGC_MS)*dZsR_QED2/2d0 + coupl(nGC_TS_GC_169_Hl) + coupl&
                        (nGC_TS_GC_173_Hh)
      coupl(nGC_3221) = coupl(nGC_MI)*dZsR_QCD2
      coupl(nGC_3220) = coupl(nGC_MI)*dZsR_QED2
      coupl(nGC_2318) = coupl(nGC_1074)*dZee_QED2 + coupl(nGC_1075)*dsw_QED2
      coupl(nGC_2319) = coupl(nGC_1057)*dZee_QED2 + coupl(nGC_1058)*dsw_QED2
      coupl(nGC_2311) = coupl(nGC_1492)*dvev1_QED1 + coupl(nGC_1493)*dvev2_QED1&
                         + coupl(nGC_1494)*dZee_QED2 + coupl(nGC_1495)*dsw_QED2&
                         + coupl(nGC_1496)*db_QED2
      coupl(nGC_2312) = coupl(nGC_1585)*dZee_QED2 + coupl(nGC_1586)*dsw_QED2
      coupl(nGC_2316) = coupl(nGC_1602)*dZee_QED2 + coupl(nGC_1603)*dsw_QED2
      coupl(nGC_2317) = coupl(nGC_1076)*dZee_QED2 + coupl(nGC_1077)*da_QED2 +  &
                        coupl(nGC_1078)*dsw_QED2 + coupl(nGC_1079)*db_QED2
      coupl(nGC_3139) = coupl(nGC_166)*dZGMinus/2d0
      coupl(nGC_2407) = coupl(nGC_1570)*db_QED2 + coupl(nGC_1571)*dyd13x3_QED3 &
                         + coupl(nGC_1572)*dyb2_QED3
      coupl(nGC_2400) = coupl(nGC_1594)*dydo1_QED1_QCD2 + coupl(nGC_1595)*     &
                        dydo2_QED1_QCD2
      coupl(nGC_2401) = coupl(nGC_1590)*db_QED2 + coupl(nGC_1591)*dydo1_QED3 + &
                        coupl(nGC_1592)*dydo2_QED3
      coupl(nGC_2402) = coupl(nGC_1591)*dydo1_QED1_QCD2 + coupl(nGC_1592)*     &
                        dydo2_QED1_QCD2
      coupl(nGC_3133) = coupl(nGC_2343) + coupl(nGC_80)*dZWMinus_QED2/2d0 +    &
                        coupl(nGC_80)*dZbL_QED2/2d0 + coupl(nGC_80)*dZtL_QED2/ &
                        2d0
      coupl(nGC_2408) = coupl(nGC_1571)*dyd13x3_QED1_QCD2 + coupl(nGC_1572)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_2409) = coupl(nGC_1576)*db_QED2 + coupl(nGC_1577)*dyd13x3_QED3 &
                         + coupl(nGC_1578)*dyb2_QED3
      coupl(nGC_3134) = coupl(nGC_80)*(dZbL_QCD2 + dZtL_QCD2)/2d0
      coupl(nGC_2795) = coupl(nGC_77)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_2797) = coupl(nGC_2252) + coupl(nGC_46)*dZHaG0_QED2 + coupl(   &
                        nGC_47)*dZG0Ha_QED2 + coupl(nGC_59)*dZHa_QED2
      coupl(nGC_2790) = coupl(nGC_73)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_2792) = coupl(nGC_123)*dZGMinus/2d0
      coupl(nGC_2793) = 2d0*coupl(nGC_54)*dZGMinus
      coupl(nGC_2798) = -coupl(nGC_72)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_2799) = coupl(nGC_19)*dZZA_QED2/2d0 + coupl(nGC_2316) + coupl( &
                        nGC_73)*dZA_QED2/2d0 + coupl(nGC_73)*dZHMinus_QED2/2d0 &
                         + coupl(nGC_73)*dZHa_QED2/2d0 + coupl(nGC_73)*        &
                        dZWMinus_QED2/2d0
      coupl(nGC_3046) = coupl(nGC_135)*dZG0/2d0
      coupl(nGC_3045) = coupl(nGC_135)*dZcL_QCD2/2d0 + coupl(nGC_135)*dZcR_QCD2&
                        /2d0 + coupl(nGC_2442)
      coupl(nGC_3048) = coupl(nGC_2319) + coupl(nGC_61)*dZHl_QED2 + coupl(     &
                        nGC_61)*dZWMinus_QED2
      coupl(nGC_2630) = coupl(nGC_70)*dZGMinus/2d0
      coupl(nGC_TS_GC_180_Hh) = -coupl(nGC_180)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_16_Hh) = -coupl(nGC_16)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_16_Hl) = -coupl(nGC_16)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_106_Hh) = -coupl(nGC_106)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_129_Hh) = -coupl(nGC_129)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_34_Hh) = -coupl(nGC_34)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_106_Hl) = -coupl(nGC_106)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2891) = coupl(nGC_23)*dZGMinus
      coupl(nGC_2322) = coupl(nGC_1247)*dZee_QED2 + coupl(nGC_1248)*dcw_QED2 + &
                        coupl(nGC_1249)*dsw_QED2
      coupl(nGC_3234) = -coupl(nGC_91)*dZG0/2d0
      coupl(nGC_3235) = coupl(nGC_MI)*dZg_QCD2
      coupl(nGC_2898) = coupl(nGC_16)*dZZA_QED2/2d0 + coupl(nGC_2307) + coupl( &
                        nGC_65)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_66)*       &
                        dZHhHl_QED2/2d0 + coupl(nGC_70)*dZA_QED2/2d0 + coupl(  &
                        nGC_70)*dZHMinus_QED2/2d0 + coupl(nGC_70)*dZHl_QED2/2d0&
                         + coupl(nGC_70)*dZWMinus_QED2/2d0
      coupl(nGC_2328) = coupl(nGC_1050)*db_QED2 + coupl(nGC_1051)*dZee_QED2 +  &
                        coupl(nGC_1052)*dcw_QED2 + coupl(nGC_1053)*da_QED2
      coupl(nGC_2355) = coupl(nGC_1526)*db_QED2 + coupl(nGC_1527)*dyc1_QED3 +  &
                        coupl(nGC_1528)*dyc2_QED3
      coupl(nGC_2356) = coupl(nGC_1527)*dyc1_QED1_QCD2 + coupl(nGC_1528)*      &
                        dyc2_QED1_QCD2
      coupl(nGC_2350) = coupl(nGC_1285)*dZee_QED2 + coupl(nGC_1286)*dcw_QED2 + &
                        coupl(nGC_1287)*dsw_QED2
      coupl(nGC_2351) = coupl(nGC_853)*db_QED2 + coupl(nGC_854)*dyup1_QED3 +   &
                        coupl(nGC_855)*dyup2_QED3
      coupl(nGC_2352) = coupl(nGC_854)*dyup1_QED1_QCD2 + coupl(nGC_855)*       &
                        dyup2_QED1_QCD2
      coupl(nGC_3238) = coupl(nGC_MI)*dZdR_QCD2
      coupl(nGC_TS_GC_36_Hh) = -coupl(nGC_36)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_36_Hl) = -coupl(nGC_36)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2431) = coupl(nGC_1071)*db_QED2 + coupl(nGC_1072)*dym1_QED3 +  &
                        coupl(nGC_1073)*dym2_QED3
      coupl(nGC_2433) = coupl(nGC_1136)*db_QED2 + coupl(nGC_1137)*dytau2_QED3  &
                         + coupl(nGC_1138)*dytau1_QED3
      coupl(nGC_2432) = coupl(nGC_1100)*db_QED2 + coupl(nGC_1101)*dym1_QED3 +  &
                        coupl(nGC_1102)*dym2_QED3
      coupl(nGC_2435) = coupl(nGC_1088)*db_QED2 + coupl(nGC_1089)*dyup1_QED3 + &
                        coupl(nGC_1090)*dyup2_QED3
      coupl(nGC_2434) = coupl(nGC_1111)*db_QED2 + coupl(nGC_1112)*dytau2_QED3  &
                         + coupl(nGC_1113)*dytau1_QED3
    end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
