!******************************************************************************!
!                                                                              !
!    fill_ctcouplings2.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings2.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-04-03 14:56             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl2()
      coupl(nGC_3127) = coupl(nGC_46)*dZG0/2d0
      coupl(nGC_2984) = coupl(nGC_197)*dZG0/2d0
      coupl(nGC_2986) = coupl(nGC_88)*dZtL_QCD2
      coupl(nGC_3054) = coupl(nGC_2598) + coupl(nGC_MB)*dZbL_QED2/2d0 + coupl( &
                        nGC_MB)*dZbR_QED2/2d0 + coupl(nGC_TS_GC_137_Hh) + coupl&
                        (nGC_TS_GC_141_Hl)
      coupl(nGC_3055) = coupl(nGC_2599) + coupl(nGC_MB)*dZbL_QCD2/2d0 + coupl( &
                        nGC_MB)*dZbR_QCD2/2d0
      coupl(nGC_3056) = coupl(nGC_MI)*dZbL_QED2
      coupl(nGC_3057) = coupl(nGC_MI)*dZbL_QCD2
      coupl(nGC_3050) = coupl(nGC_39)*dZG0
      coupl(nGC_3052) = coupl(nGC_MI)*dZbR_QED2
      coupl(nGC_3053) = coupl(nGC_MI)*dZbR_QCD2
      coupl(nGC_TS_GC_40_Hl) = -coupl(nGC_40)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_120_Hl) = -coupl(nGC_120)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1778) = coupl(nGC_150)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1947) = coupl(nGC_141)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1772) = coupl(nGC_181)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1689) = cMB*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_84)*coupl(    &
                        nGC_87))/(8d0*pi**2d0)
      coupl(nGC_1688) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_80)**2d0 - coupl( &
                        nGC_87)**2d0)/(16d0*pi**2d0)
      coupl(nGC_1687) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(64d0*&
                        pi**2d0*Nc)
      coupl(nGC_1686) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_84)**2d0 + 2d0*Nc*cMB**&
                        2d0*cima*coupl(nGC_87)**2d0 + 2d0*Nc*cMC**2d0*cima*    &
                        coupl(nGC_85)**2d0 + 2d0*Nc*cMC**2d0*cima*coupl(nGC_88 &
                        )**2d0 + 2d0*Nc*cMD**2d0*cima*coupl(nGC_84)**2d0 + 2d0*&
                        Nc*cMD**2d0*cima*coupl(nGC_87)**2d0 + 2d0*Nc*cMS**2d0* &
                        cima*coupl(nGC_84)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(  &
                        nGC_87)**2d0 + 2d0*Nc*cMT**2d0*cima*coupl(nGC_85)**2d0 &
                         + 2d0*Nc*cMT**2d0*cima*coupl(nGC_88)**2d0 + 2d0*Nc*cMU&
                        **2d0*cima*coupl(nGC_85)**2d0 + 2d0*Nc*cMU**2d0*cima*  &
                        coupl(nGC_88)**2d0 + 2d0*cME**2d0*cima*coupl(nGC_86)** &
                        2d0 + 2d0*cME**2d0*cima*coupl(nGC_89)**2d0 + 2d0*cMM** &
                        2d0*cima*coupl(nGC_86)**2d0 + 2d0*cMM**2d0*cima*coupl( &
                        nGC_89)**2d0 + 2d0*cMTA**2d0*cima*coupl(nGC_86)**2d0 + &
                        2d0*cMTA**2d0*cima*coupl(nGC_89)**2d0 + 3d0*cMW**2d0*  &
                        cima*coupl(nGC_609)**2d0 + 3d0*cMW**2d0*cima*coupl(    &
                        nGC_82)**2d0 - 2d0*cMW**2d0*coupl(nGC_649))/(16d0*pi** &
                        2d0)
      coupl(nGC_1684) = cima*(-2d0*Nc*coupl(nGC_84)**2d0 - 2d0*Nc*coupl(nGC_85 &
                        )**2d0 - 2d0*Nc*coupl(nGC_87)**2d0 - 2d0*Nc*coupl(     &
                        nGC_88)**2d0 - coupl(nGC_609)**2d0 - coupl(nGC_82)**2d0&
                         - 2d0*coupl(nGC_86)**2d0 - 2d0*coupl(nGC_89)**2d0 -   &
                        2d0*coupl(nGC_90)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1999) = (coupl(nGC_184)**2d0*coupl(nGC_86) + coupl(nGC_186)*   &
                        coupl(nGC_187)*coupl(nGC_86) + coupl(nGC_188)**2d0*    &
                        coupl(nGC_86) + coupl(nGC_190)*coupl(nGC_191)*coupl(   &
                        nGC_86) + 4d0*coupl(nGC_4)**2d0*coupl(nGC_89) - 4d0*   &
                        coupl(nGC_80)**2d0*coupl(nGC_82) + 4d0*coupl(nGC_80)** &
                        2d0*coupl(nGC_90) + 4d0*coupl(nGC_89)**3d0)/(32d0*pi** &
                        2d0)
      coupl(nGC_1998) = (coupl(nGC_184)**2d0*coupl(nGC_89) + coupl(nGC_185)**  &
                        2d0*coupl(nGC_90) + coupl(nGC_186)*coupl(nGC_187)*coupl&
                        (nGC_89) + coupl(nGC_188)**2d0*coupl(nGC_89) + coupl(  &
                        nGC_189)**2d0*coupl(nGC_90) + coupl(nGC_190)*coupl(    &
                        nGC_191)*coupl(nGC_89) + 4d0*coupl(nGC_4)**2d0*coupl(  &
                        nGC_86) + 4d0*coupl(nGC_86)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1997) = (coupl(nGC_177)**2d0*coupl(nGC_88) + coupl(nGC_178)**  &
                        2d0*coupl(nGC_87) + coupl(nGC_179)*coupl(nGC_639)*coupl&
                        (nGC_88) + coupl(nGC_180)**2d0*coupl(nGC_88) + coupl(  &
                        nGC_181)**2d0*coupl(nGC_87) + coupl(nGC_182)*coupl(    &
                        nGC_183)*coupl(nGC_88) + 4d0*coupl(nGC_2)**2d0*coupl(  &
                        nGC_85) + 4d0*coupl(nGC_85)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1996) = (coupl(nGC_138)**2d0*coupl(nGC_84) + coupl(nGC_142)**  &
                        2d0*coupl(nGC_84) + coupl(nGC_177)**2d0*coupl(nGC_85   &
                        ) + coupl(nGC_179)*coupl(nGC_639)*coupl(nGC_85) + coupl&
                        (nGC_180)**2d0*coupl(nGC_85) + coupl(nGC_182)*coupl(   &
                        nGC_183)*coupl(nGC_85) + 4d0*coupl(nGC_2)**2d0*coupl(  &
                        nGC_88) + 4d0*coupl(nGC_80)**2d0*coupl(nGC_82) + 4d0*  &
                        coupl(nGC_80)**2d0*coupl(nGC_87) + 4d0*coupl(nGC_88)** &
                        3d0)/(32d0*pi**2d0)
      coupl(nGC_1995) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_84) + coupl(nGC_169)**&
                        2d0*coupl(nGC_87) + coupl(nGC_170)**2d0*coupl(nGC_88   &
                        ) + coupl(nGC_171)*coupl(nGC_172)*coupl(nGC_87) + coupl&
                        (nGC_173)**2d0*coupl(nGC_87) + coupl(nGC_174)**2d0*    &
                        coupl(nGC_88) + coupl(nGC_175)*coupl(nGC_176)*coupl(   &
                        nGC_87) + 4d0*coupl(nGC_84)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1994) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_87) + coupl(nGC_131)**&
                        2d0*coupl(nGC_85) + coupl(nGC_134)**2d0*coupl(nGC_85   &
                        ) + coupl(nGC_169)**2d0*coupl(nGC_84) + coupl(nGC_171)*&
                        coupl(nGC_172)*coupl(nGC_84) + coupl(nGC_173)**2d0*    &
                        coupl(nGC_84) + coupl(nGC_175)*coupl(nGC_176)*coupl(   &
                        nGC_84) + 4d0*coupl(nGC_609)*coupl(nGC_80)**2d0 + 4d0* &
                        coupl(nGC_80)**2d0*coupl(nGC_88) + 4d0*coupl(nGC_87)** &
                        3d0)/(32d0*pi**2d0)
      coupl(nGC_1993) = (coupl(nGC_185)**2d0*coupl(nGC_86) + coupl(nGC_189)**  &
                        2d0*coupl(nGC_86) + 4d0*coupl(nGC_80)**2d0*coupl(nGC_82&
                        ) + 4d0*coupl(nGC_80)**2d0*coupl(nGC_89) + 4d0*coupl(  &
                        nGC_90)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1992) = (coupl(nGC_162)**2d0*coupl(nGC_86) + coupl(nGC_166)**  &
                        2d0*coupl(nGC_86) + 4d0*coupl(nGC_80)**2d0*coupl(nGC_82&
                        ) + 4d0*coupl(nGC_80)**2d0*coupl(nGC_89) + 4d0*coupl(  &
                        nGC_90)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1991) = (coupl(nGC_154)**2d0*coupl(nGC_86) + coupl(nGC_158)**  &
                        2d0*coupl(nGC_86) + 4d0*coupl(nGC_80)**2d0*coupl(nGC_82&
                        ) + 4d0*coupl(nGC_80)**2d0*coupl(nGC_89) + 4d0*coupl(  &
                        nGC_90)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1990) = (coupl(nGC_161)**2d0*coupl(nGC_86) + coupl(nGC_163)*   &
                        coupl(nGC_164)*coupl(nGC_86) + coupl(nGC_165)**2d0*    &
                        coupl(nGC_86) + coupl(nGC_167)*coupl(nGC_168)*coupl(   &
                        nGC_86) + 4d0*coupl(nGC_4)**2d0*coupl(nGC_89) - 4d0*   &
                        coupl(nGC_80)**2d0*coupl(nGC_82) + 4d0*coupl(nGC_80)** &
                        2d0*coupl(nGC_90) + 4d0*coupl(nGC_89)**3d0)/(32d0*pi** &
                        2d0)
      coupl(nGC_2089) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_1)*coupl(  &
                        nGC_84) - coupl(nGC_1)*coupl(nGC_87) - coupl(nGC_2)*   &
                        coupl(nGC_85) - coupl(nGC_2)*coupl(nGC_88))/(32d0*pi** &
                        2d0*Nc)
      coupl(nGC_2153) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_135)*coupl( &
                        nGC_136) + coupl(nGC_139)*coupl(nGC_140) + coupl(      &
                        nGC_151)*coupl(nGC_152) + coupl(nGC_175)*coupl(nGC_176 &
                        ) + coupl(nGC_182)*coupl(nGC_183) + coupl(nGC_197)*    &
                        coupl(nGC_198))/(16d0*pi**2d0*Nc)
      coupl(nGC_2151) = (20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_136)*coupl(     &
                        nGC_80)*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_131)*   &
                        coupl(nGC_136)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*  &
                        cima*coupl(nGC_131)*coupl(nGC_136)*coupl(nGC_80)*coupl(&
                        nGC_88) + 20d0*Nc*cima*coupl(nGC_140)*coupl(nGC_142)*  &
                        coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*coupl(      &
                        nGC_140)*coupl(nGC_142)*coupl(nGC_80)*coupl(nGC_87) -  &
                        16d0*Nc*cima*coupl(nGC_140)*coupl(nGC_142)*coupl(nGC_80&
                        )*coupl(nGC_88) + 20d0*Nc*cima*coupl(nGC_146)*coupl(   &
                        nGC_152)*coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*   &
                        coupl(nGC_146)*coupl(nGC_152)*coupl(nGC_80)*coupl(     &
                        nGC_87) - 16d0*Nc*cima*coupl(nGC_146)*coupl(nGC_152)*  &
                        coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*coupl(      &
                        nGC_170)*coupl(nGC_176)*coupl(nGC_80)*coupl(nGC_84) -  &
                        16d0*Nc*cima*coupl(nGC_170)*coupl(nGC_176)*coupl(nGC_80&
                        )*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_170)*coupl(   &
                        nGC_176)*coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*   &
                        coupl(nGC_178)*coupl(nGC_183)*coupl(nGC_80)*coupl(     &
                        nGC_85) - 16d0*Nc*cima*coupl(nGC_178)*coupl(nGC_183)*  &
                        coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                        nGC_178)*coupl(nGC_183)*coupl(nGC_80)*coupl(nGC_88) +  &
                        20d0*Nc*cima*coupl(nGC_193)*coupl(nGC_198)*coupl(nGC_80&
                        )*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_193)*coupl(   &
                        nGC_198)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*   &
                        coupl(nGC_193)*coupl(nGC_198)*coupl(nGC_80)*coupl(     &
                        nGC_88) + 20d0*cima*coupl(nGC_154)*coupl(nGC_160)*coupl&
                        (nGC_80)*coupl(nGC_86) - 16d0*cima*coupl(nGC_154)*coupl&
                        (nGC_160)*coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*coupl&
                        (nGC_154)*coupl(nGC_160)*coupl(nGC_80)*coupl(nGC_90) + &
                        20d0*cima*coupl(nGC_162)*coupl(nGC_168)*coupl(nGC_80)* &
                        coupl(nGC_86) - 16d0*cima*coupl(nGC_162)*coupl(nGC_168 &
                        )*coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(nGC_162&
                        )*coupl(nGC_168)*coupl(nGC_80)*coupl(nGC_90) + 20d0*   &
                        cima*coupl(nGC_185)*coupl(nGC_191)*coupl(nGC_80)*coupl(&
                        nGC_86) - 16d0*cima*coupl(nGC_185)*coupl(nGC_191)*coupl&
                        (nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(nGC_185)*coupl&
                        (nGC_191)*coupl(nGC_80)*coupl(nGC_90) + 9d0*cima*coupl(&
                        nGC_609)*coupl(nGC_64)*coupl(nGC_82)*coupl(nGC_94) +   &
                        9d0*cima*coupl(nGC_609)*coupl(nGC_68)*coupl(nGC_82)*   &
                        coupl(nGC_91) + 4d0*cima*coupl(nGC_617)*coupl(nGC_627  &
                        )**2d0*coupl(nGC_69) + 4d0*cima*coupl(nGC_617)*coupl(  &
                        nGC_629)*coupl(nGC_651)*coupl(nGC_72) + 4d0*cima*coupl(&
                        nGC_619)*coupl(nGC_629)*coupl(nGC_651)*coupl(nGC_72) + &
                        4d0*cima*coupl(nGC_619)*coupl(nGC_651)*coupl(nGC_68)*  &
                        coupl(nGC_96) + 4d0*cima*coupl(nGC_627)**2d0*coupl(    &
                        nGC_629)*coupl(nGC_64) + 4d0*cima*coupl(nGC_627)**2d0* &
                        coupl(nGC_645)*coupl(nGC_94) + 4d0*cima*coupl(nGC_627  &
                        )**2d0*coupl(nGC_647)*coupl(nGC_91) + 4d0*cima*coupl(  &
                        nGC_627)*coupl(nGC_64)*coupl(nGC_647)*coupl(nGC_651) + &
                        4d0*cima*coupl(nGC_627)*coupl(nGC_645)*coupl(nGC_651)* &
                        coupl(nGC_69) + 4d0*cima*coupl(nGC_629)*coupl(nGC_64)* &
                        coupl(nGC_651)*coupl(nGC_96) + 6d0*coupl(nGC_14)*coupl(&
                        nGC_627)*coupl(nGC_647) - 6d0*coupl(nGC_15)*coupl(     &
                        nGC_609)*coupl(nGC_94) + 6d0*coupl(nGC_15)*coupl(      &
                        nGC_629)*coupl(nGC_651) - 6d0*coupl(nGC_16)*coupl(     &
                        nGC_609)*coupl(nGC_91) + 6d0*coupl(nGC_16)*coupl(      &
                        nGC_619)*coupl(nGC_651) + 6d0*coupl(nGC_16)*coupl(     &
                        nGC_627)*coupl(nGC_645) - 6d0*coupl(nGC_64)*coupl(     &
                        nGC_79)*coupl(nGC_94) - 6d0*coupl(nGC_68)*coupl(nGC_79 &
                        )*coupl(nGC_91))/(192d0*pi**2d0)
      coupl(nGC_2154) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_135)*coupl(&
                        nGC_136) - coupl(nGC_139)*coupl(nGC_140) - coupl(      &
                        nGC_151)*coupl(nGC_152) - coupl(nGC_175)*coupl(nGC_176 &
                        ) - coupl(nGC_182)*coupl(nGC_183) - coupl(nGC_197)*    &
                        coupl(nGC_198))/(16d0*pi**2d0)
      coupl(nGC_2330) = coupl(nGC_1013)*db_QED2 + coupl(nGC_1014)*dZee_QED2 +  &
                        coupl(nGC_1015)*dcw_QED2 + coupl(nGC_1016)*da_QED2
      coupl(nGC_2336) = coupl(nGC_1291)*dZee_QED2 + coupl(nGC_1292)*dcw_QED2 + &
                        coupl(nGC_1293)*dsw_QED2
      coupl(nGC_2337) = coupl(nGC_383)*dZee_QED2 + coupl(nGC_385)*dvev1_QED1 + &
                        coupl(nGC_387)*da_QED2 + coupl(nGC_389)*dcw_QED2 +     &
                        coupl(nGC_391)*dvev2_QED1 + coupl(nGC_393)*dsw_QED2
      coupl(nGC_2334) = coupl(nGC_1300)*dZee_QED2 + coupl(nGC_1301)*dcw_QED2 + &
                        coupl(nGC_1302)*dsw_QED2
      coupl(nGC_2335) = coupl(nGC_1288)*dZee_QED2 + coupl(nGC_1289)*dcw_QED2 + &
                        coupl(nGC_1290)*dsw_QED2
      coupl(nGC_2338) = coupl(nGC_397)*dZee_QED2 + coupl(nGC_399)*dvev1_QED1 + &
                        coupl(nGC_401)*da_QED2 + coupl(nGC_403)*dcw_QED2 +     &
                        coupl(nGC_405)*dvev2_QED1 + coupl(nGC_407)*dsw_QED2
      coupl(nGC_3204) = coupl(nGC_63)*dZGMinus/2d0
      coupl(nGC_2090) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_1)*coupl(   &
                        nGC_84) + coupl(nGC_1)*coupl(nGC_87) + coupl(nGC_2)*   &
                        coupl(nGC_85) + coupl(nGC_2)*coupl(nGC_88))/(32d0*pi** &
                        2d0)
      coupl(nGC_TS_GC_15_Hh) = -coupl(nGC_15)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_153_Hl) = -coupl(nGC_153)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3114) = coupl(nGC_2)*dZtR_QCD2
      coupl(nGC_3117) = coupl(nGC_I)*dZHh_QED2
      coupl(nGC_3111) = coupl(nGC_2)*dZA_QED2/2d0 + coupl(nGC_2)*dZtL_QED2 +   &
                        coupl(nGC_2340) + coupl(nGC_88)*dZZA_QED2/2d0
      coupl(nGC_3110) = -2d0*coupl(nGC_2235) - 2d0*coupl(nGC_5)*dZA_QED2 - 2d0*&
                        coupl(nGC_5)*dZWMinus_QED2 + coupl(nGC_83)*dZZA_QED2
      coupl(nGC_3113) = coupl(nGC_2)*dZA_QED2/2d0 + coupl(nGC_2)*dZtR_QED2 +   &
                        coupl(nGC_2340) + coupl(nGC_85)*dZZA_QED2/2d0
      coupl(nGC_3112) = coupl(nGC_2)*dZtL_QCD2
      coupl(nGC_2428) = coupl(nGC_1054)*dytau2_QED3 + coupl(nGC_1055)*         &
                        dytau1_QED3 + coupl(nGC_1056)*da_QED2
      coupl(nGC_2429) = coupl(nGC_1638)*dye2_QED3 + coupl(nGC_1639)*db_QED2 +  &
                        coupl(nGC_1640)*dye1_QED3
      coupl(nGC_2427) = coupl(nGC_988)*da_QED2 + coupl(nGC_989)*dym1_QED3 +    &
                        coupl(nGC_990)*dym2_QED3
      coupl(nGC_2424) = coupl(nGC_1114)*da_QED2 + coupl(nGC_1115)*dym1_QED3 +  &
                        coupl(nGC_1116)*dym2_QED3
      coupl(nGC_2425) = coupl(nGC_1177)*dytau2_QED3 + coupl(nGC_1178)*         &
                        dytau1_QED3 + coupl(nGC_1179)*da_QED2
      coupl(nGC_2422) = coupl(nGC_1573)*db_QED2 + coupl(nGC_1574)*dytau2_QED3  &
                         + coupl(nGC_1575)*dytau1_QED3
      coupl(nGC_2423) = coupl(nGC_1646)*dye2_QED3 + coupl(nGC_1647)*da_QED2 +  &
                        coupl(nGC_1648)*dye1_QED3
      coupl(nGC_2421) = coupl(nGC_1365)*db_QED2 + coupl(nGC_1366)*dytau2_QED3  &
                         + coupl(nGC_1367)*dytau1_QED3
      coupl(nGC_TS_GC_145_Hl) = -coupl(nGC_145)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3065) = coupl(nGC_139)*dZG0Ha_QED2/2d0 + coupl(nGC_144)*       &
                        dZHa_QED2/2d0 + coupl(nGC_144)*dZbL_QED2/2d0 + coupl(  &
                        nGC_144)*dZbR_QED2/2d0 + coupl(nGC_2409)
      coupl(nGC_3067) = coupl(nGC_140)*dZG0Ha_QED2/2d0 + coupl(nGC_143)*       &
                        dZHa_QED2/2d0 + coupl(nGC_143)*dZbL_QED2/2d0 + coupl(  &
                        nGC_143)*dZbR_QED2/2d0 + coupl(nGC_2407)
      coupl(nGC_3069) = coupl(nGC_MZ)*dZZA_QED2/2d0
      coupl(nGC_3068) = coupl(nGC_143)*dZbL_QCD2/2d0 + coupl(nGC_143)*dZbR_QCD2&
                        /2d0 + coupl(nGC_2408)
      coupl(nGC_1734) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_137)** &
                        2d0 + coupl(nGC_1)*coupl(nGC_139)*coupl(nGC_140) +     &
                        coupl(nGC_1)*coupl(nGC_141)**2d0 + coupl(nGC_1)*coupl( &
                        nGC_143)*coupl(nGC_144) + 4d0*coupl(nGC_1)*coupl(nGC_84&
                        )**2d0 + coupl(nGC_138)**2d0*coupl(nGC_2) + coupl(     &
                        nGC_142)**2d0*coupl(nGC_2))/(32d0*pi**2d0)
      coupl(nGC_2325) = coupl(nGC_1244)*dZee_QED2 + coupl(nGC_1245)*dcw_QED2 + &
                        coupl(nGC_1246)*dsw_QED2
      coupl(nGC_2324) = coupl(nGC_1518)*db_QED2 + coupl(nGC_1519)*da_QED2 +    &
                        coupl(nGC_1520)*dcw_QED2 + coupl(nGC_1521)*dZee_QED2 + &
                        coupl(nGC_1522)*dsw_QED2
      coupl(nGC_2326) = coupl(nGC_1565)*db_QED2 + coupl(nGC_1566)*da_QED2 +    &
                        coupl(nGC_1567)*dcw_QED2 + coupl(nGC_1568)*dZee_QED2 + &
                        coupl(nGC_1569)*dsw_QED2
      coupl(nGC_1769) = (8d0*coupl(nGC_1)*coupl(nGC_138)*coupl(nGC_2) - coupl( &
                        nGC_1)*coupl(nGC_138)*coupl(nGC_641) - coupl(nGC_137)* &
                        coupl(nGC_180)*coupl(nGC_181) - coupl(nGC_137)*coupl(  &
                        nGC_68)*coupl(nGC_80) - coupl(nGC_138)*coupl(nGC_17)*  &
                        coupl(nGC_2) - coupl(nGC_138)*coupl(nGC_651)*coupl(    &
                        nGC_84) + 8d0*coupl(nGC_138)*coupl(nGC_84)*coupl(nGC_88&
                        ) - coupl(nGC_138)*coupl(nGC_88)*coupl(nGC_96) - coupl(&
                        nGC_140)*coupl(nGC_181)*coupl(nGC_182) - coupl(nGC_140 &
                        )*coupl(nGC_627)*coupl(nGC_80) - coupl(nGC_141)*coupl( &
                        nGC_177)*coupl(nGC_181) - coupl(nGC_141)*coupl(nGC_63)*&
                        coupl(nGC_80) - coupl(nGC_143)*coupl(nGC_181)*coupl(   &
                        nGC_639))/(32d0*pi**2d0)
      coupl(nGC_2323) = coupl(nGC_1630)*db_QED2 + coupl(nGC_1631)*da_QED2 +    &
                        coupl(nGC_1632)*dcw_QED2 + coupl(nGC_1633)*dZee_QED2 + &
                        coupl(nGC_1634)*dsw_QED2
      coupl(nGC_2894) = coupl(nGC_2312) + coupl(nGC_72)*dZHMinus_QED2/2d0 +    &
                        coupl(nGC_72)*dZHa_QED2/2d0 + coupl(nGC_72)*           &
                        dZWMinus_QED2/2d0
      coupl(nGC_3236) = -coupl(nGC_MI)*dZg_QCD2
      coupl(nGC_3237) = coupl(nGC_MI)*dZdR_QED2
      coupl(nGC_3231) = 2d0*coupl(nGC_55)*dZG0
      coupl(nGC_2954) = coupl(nGC_99)*dZZA_QED2/2d0
      coupl(nGC_1698) = cima*(coupl(nGC_4)**2d0 + coupl(nGC_86)**2d0)/(16d0*pi &
                        **2d0)
      coupl(nGC_1699) = cima*(coupl(nGC_4)**2d0 + coupl(nGC_80)**2d0 + coupl(  &
                        nGC_89)**2d0)/(16d0*pi**2d0)
      coupl(nGC_1690) = cMB*cima*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                        32d0*pi**2d0*Nc)
      coupl(nGC_1691) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_84)**2d0)/(16d0*pi&
                        **2d0)
      coupl(nGC_1692) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_80)**2d0 - coupl( &
                        nGC_88)**2d0)/(16d0*pi**2d0)
      coupl(nGC_1693) = cMC*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_85)*coupl(    &
                        nGC_88))/(8d0*pi**2d0)
      coupl(nGC_1694) = cMC*cima*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                        32d0*pi**2d0*Nc)
      coupl(nGC_1695) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_85)**2d0)/(16d0*pi&
                        **2d0)
      coupl(nGC_1696) = cMD*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_84)*coupl(    &
                        nGC_87))/(8d0*pi**2d0)
      coupl(nGC_1697) = cMD*cima*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                        32d0*pi**2d0*Nc)
      coupl(nGC_1988) = (coupl(nGC_153)**2d0*coupl(nGC_86) + coupl(nGC_155)*   &
                        coupl(nGC_156)*coupl(nGC_86) + coupl(nGC_157)**2d0*    &
                        coupl(nGC_86) + coupl(nGC_159)*coupl(nGC_160)*coupl(   &
                        nGC_86) + 4d0*coupl(nGC_4)**2d0*coupl(nGC_89) - 4d0*   &
                        coupl(nGC_80)**2d0*coupl(nGC_82) + 4d0*coupl(nGC_80)** &
                        2d0*coupl(nGC_90) + 4d0*coupl(nGC_89)**3d0)/(32d0*pi** &
                        2d0)
      coupl(nGC_1989) = (coupl(nGC_161)**2d0*coupl(nGC_89) + coupl(nGC_162)**  &
                        2d0*coupl(nGC_90) + coupl(nGC_163)*coupl(nGC_164)*coupl&
                        (nGC_89) + coupl(nGC_165)**2d0*coupl(nGC_89) + coupl(  &
                        nGC_166)**2d0*coupl(nGC_90) + coupl(nGC_167)*coupl(    &
                        nGC_168)*coupl(nGC_89) + 4d0*coupl(nGC_4)**2d0*coupl(  &
                        nGC_86) + 4d0*coupl(nGC_86)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1984) = coupl(nGC_7)**2d0*coupl(nGC_85)*sq2**2d0*(Nc**2d0 - 1d0&
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_1985) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_87) + coupl(nGC_145)**&
                        2d0*coupl(nGC_84) + coupl(nGC_147)*coupl(nGC_148)*coupl&
                        (nGC_84) + coupl(nGC_149)**2d0*coupl(nGC_84) + coupl(  &
                        nGC_151)*coupl(nGC_152)*coupl(nGC_84) + coupl(nGC_193  &
                        )**2d0*coupl(nGC_85) + coupl(nGC_196)**2d0*coupl(nGC_85&
                        ) + 4d0*coupl(nGC_609)*coupl(nGC_80)**2d0 + 4d0*coupl( &
                        nGC_80)**2d0*coupl(nGC_88) + 4d0*coupl(nGC_87)**3d0)/( &
                        32d0*pi**2d0)
      coupl(nGC_1987) = (coupl(nGC_153)**2d0*coupl(nGC_89) + coupl(nGC_154)**  &
                        2d0*coupl(nGC_90) + coupl(nGC_155)*coupl(nGC_156)*coupl&
                        (nGC_89) + coupl(nGC_157)**2d0*coupl(nGC_89) + coupl(  &
                        nGC_158)**2d0*coupl(nGC_90) + coupl(nGC_159)*coupl(    &
                        nGC_160)*coupl(nGC_89) + 4d0*coupl(nGC_4)**2d0*coupl(  &
                        nGC_86) + 4d0*coupl(nGC_86)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1980) = coupl(nGC_7)**2d0*coupl(nGC_84)*sq2**2d0*(Nc**2d0 - 1d0&
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_1982) = coupl(nGC_7)**2d0*coupl(nGC_88)*sq2**2d0*(Nc**2d0 - 1d0&
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_2710) = coupl(nGC_14)*dZZA_QED2/2d0 + coupl(nGC_2308) + coupl( &
                        nGC_65)*dZA_QED2/2d0 + coupl(nGC_65)*dZHl_QED2/2d0 +   &
                        coupl(nGC_65)*dZWMinus_QED2/2d0 + coupl(nGC_70)*       &
                        dZHMinusGMinus_QED2/2d0 + coupl(nGC_70)*dZHhHl_QED2/2d0
      coupl(nGC_2711) = -coupl(nGC_91)*dZZA_QED2/2d0
      coupl(nGC_2712) = coupl(nGC_101)*(dZG0Ha_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_2713) = coupl(nGC_100)*dZGMinus
      coupl(nGC_TS_GC_105_Hh) = -coupl(nGC_105)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_165_Hh) = -coupl(nGC_165)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2638) = dZGMinusHMinus_QED2*(coupl(nGC_40) + coupl(nGC_41))/2d0
      coupl(nGC_2637) = coupl(nGC_187)*dZHa_QED2/2d0 + coupl(nGC_187)*         &
                        dZtauMinusL_QED2/2d0 + coupl(nGC_187)*dZtauMinusR_QED2/&
                        2d0 + coupl(nGC_191)*dZG0Ha_QED2/2d0 + coupl(nGC_2433)
      coupl(nGC_2636) = coupl(nGC_186)*dZHa_QED2/2d0 + coupl(nGC_186)*         &
                        dZtauMinusL_QED2/2d0 + coupl(nGC_186)*dZtauMinusR_QED2/&
                        2d0 + coupl(nGC_190)*dZG0Ha_QED2/2d0 + coupl(nGC_2434)
      coupl(nGC_2635) = dZHMinusGMinus_QED2*(coupl(nGC_40) + coupl(nGC_41))/2d0
      coupl(nGC_2634) = coupl(nGC_2343) + coupl(nGC_80)*dZWMinus_QED2/2d0 +    &
                        coupl(nGC_80)*dZnu_tauL_QED2/2d0 + coupl(nGC_80)*      &
                        dZtauMinusL_QED2/2d0
      coupl(nGC_2632) = coupl(nGC_14)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_15)* &
                        dZHhHl_QED2/2d0 + coupl(nGC_16)*dZHMinus_QED2/2d0 +    &
                        coupl(nGC_16)*dZHl_QED2/2d0 + coupl(nGC_16)*           &
                        dZWMinus_QED2/2d0 + coupl(nGC_16)*dZZ_QED2/2d0 + coupl(&
                        nGC_2328) + coupl(nGC_70)*dZAZ_QED2/2d0
      coupl(nGC_2631) = coupl(nGC_16)*dZZA_QED2/2d0 + coupl(nGC_2307) + coupl( &
                        nGC_65)*dZHlHh_QED2/2d0 + coupl(nGC_66)*               &
                        dZHMinusGMinus_QED2/2d0 + coupl(nGC_70)*dZA_QED2/2d0 + &
                        coupl(nGC_70)*dZHh_QED2/2d0 + coupl(nGC_70)*           &
                        dZWMinus_QED2/2d0
      coupl(nGC_3102) = coupl(nGC_2591) + coupl(nGC_MC)*dZcL_QCD2/2d0 + coupl( &
                        nGC_MC)*dZcR_QCD2/2d0
      coupl(nGC_3103) = coupl(nGC_MI)*dZcL_QED2
      coupl(nGC_3100) = coupl(nGC_MI)*dZcR_QCD2
      coupl(nGC_3106) = coupl(nGC_7)*dZtL_QED2
      coupl(nGC_3107) = coupl(nGC_2342) + coupl(nGC_7)*dZg_QCD2/2d0 + coupl(   &
                        nGC_7)*dZtR_QCD2
      coupl(nGC_3104) = coupl(nGC_MI)*dZcL_QCD2
      coupl(nGC_3105) = coupl(nGC_2342) + coupl(nGC_7)*dZg_QCD2/2d0 + coupl(   &
                        nGC_7)*dZtL_QCD2
      coupl(nGC_3108) = coupl(nGC_7)*dZtR_QED2
      coupl(nGC_3109) = coupl(nGC_2235) + coupl(nGC_5)*dZA_QED2 + coupl(nGC_5)*&
                        dZWMinus_QED2 - coupl(nGC_83)*dZZA_QED2/2d0
      coupl(nGC_2988) = coupl(nGC_85)*dZtR_QCD2
      coupl(nGC_2459) = coupl(nGC_1306)*db_QED2 + coupl(nGC_1307)*dyup1_QED3 + &
                        coupl(nGC_1308)*dyup2_QED3
      coupl(nGC_2458) = coupl(nGC_1588)*dyt1_QED1_QCD2 + coupl(nGC_1589)*      &
                        dyt2_QED1_QCD2
      coupl(nGC_2453) = coupl(nGC_913)*dyup1_QED3 + coupl(nGC_914)*da_QED2 +   &
                        coupl(nGC_915)*dyup2_QED3
      coupl(nGC_2452) = coupl(nGC_860)*dyt1_QED1_QCD2 + coupl(nGC_861)*        &
                        dyt2_QED1_QCD2
      coupl(nGC_2451) = coupl(nGC_859)*da_QED2 + coupl(nGC_860)*dyt1_QED3 +    &
                        coupl(nGC_861)*dyt2_QED3
      coupl(nGC_2450) = coupl(nGC_1523)*dyc1_QED1_QCD2 + coupl(nGC_1524)*      &
                        dyc2_QED1_QCD2
      coupl(nGC_2457) = coupl(nGC_1587)*da_QED2 + coupl(nGC_1588)*dyt1_QED3 +  &
                        coupl(nGC_1589)*dyt2_QED3
      coupl(nGC_2456) = coupl(nGC_1509)*dyc1_QED1_QCD2 + coupl(nGC_1510)*      &
                        dyc2_QED1_QCD2
      coupl(nGC_2455) = coupl(nGC_1509)*dyc1_QED3 + coupl(nGC_1510)*dyc2_QED3  &
                         + coupl(nGC_1511)*da_QED2
      coupl(nGC_2454) = coupl(nGC_913)*dyup1_QED1_QCD2 + coupl(nGC_915)*       &
                        dyup2_QED1_QCD2
      coupl(nGC_TS_GC_35_Hl) = -coupl(nGC_35)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3217) = coupl(nGC_17)*dZAZ_QED2/2d0 + coupl(nGC_2325) + coupl( &
                        nGC_96)*dZHMinus_QED2 + coupl(nGC_96)*dZZ_QED2/2d0
      coupl(nGC_3214) = coupl(nGC_MI)*dZuL_QED2
      coupl(nGC_3215) = coupl(nGC_MI)*dZuL_QCD2
      coupl(nGC_3213) = coupl(nGC_2589) + coupl(nGC_MU)*dZuL_QCD2/2d0 + coupl( &
                        nGC_MU)*dZuR_QCD2/2d0
      coupl(nGC_3210) = coupl(nGC_MI)*dZuR_QED2
      coupl(nGC_3211) = coupl(nGC_MI)*dZuR_QCD2
      coupl(nGC_3219) = coupl(nGC_I)*(dZGMinusHMinus_QED2 + dZHMinusGMinus_QED2&
                        )/2d0
      coupl(nGC_3078) = coupl(nGC_147)*dZHa_QED2/2d0 + coupl(nGC_147)*dZdL_QED2&
                        /2d0 + coupl(nGC_147)*dZdR_QED2/2d0 + coupl(nGC_151)*  &
                        dZG0Ha_QED2/2d0 + coupl(nGC_2401)
      coupl(nGC_3079) = coupl(nGC_147)*dZdL_QCD2/2d0 + coupl(nGC_147)*dZdR_QCD2&
                        /2d0 + coupl(nGC_2402)
      coupl(nGC_3077) = coupl(nGC_I)*(dZHhHl_QED2 + dZHlHh_QED2)/2d0
      coupl(nGC_3074) = coupl(nGC_17)*dZA_QED2/2d0 + coupl(nGC_17)*            &
                        dZHMinus_QED2 + coupl(nGC_2305) + coupl(nGC_96)*       &
                        dZZA_QED2/2d0
      coupl(nGC_3075) = coupl(nGC_2326) + coupl(nGC_92)*dZHa_QED2/2d0 + coupl( &
                        nGC_92)*dZHh_QED2/2d0 + coupl(nGC_92)*dZZ_QED2/2d0 +   &
                        coupl(nGC_94)*dZG0Ha_QED2/2d0 + coupl(nGC_94)*         &
                        dZHlHh_QED2/2d0
      coupl(nGC_3072) = coupl(nGC_2312) + coupl(nGC_72)*dZWMinus_QED2/2d0
      coupl(nGC_3073) = coupl(nGC_72)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_3070) = coupl(nGC_MI)*(dZAZ_QED2 + dZZA_QED2)/2d0
      coupl(nGC_3071) = -coupl(nGC_MI)*(dZAZ_QED2 + dZZA_QED2)/2d0
      coupl(nGC_2857) = coupl(nGC_187)*dZHaG0_QED2/2d0 + coupl(nGC_191)*       &
                        dZtauMinusL_QED2/2d0 + coupl(nGC_191)*dZtauMinusR_QED2/&
                        2d0 + coupl(nGC_2422)
      coupl(nGC_2856) = coupl(nGC_190)*dZG0/2d0
      coupl(nGC_2855) = coupl(nGC_186)*dZHaG0_QED2/2d0 + coupl(nGC_190)*       &
                        dZtauMinusL_QED2/2d0 + coupl(nGC_190)*dZtauMinusR_QED2/&
                        2d0 + coupl(nGC_2421)
      coupl(nGC_2853) = coupl(nGC_177)*dZtL_QCD2/2d0 + coupl(nGC_177)*dZtR_QCD2&
                        /2d0 + coupl(nGC_2458)
      coupl(nGC_2852) = coupl(nGC_177)*dZHl_QED2/2d0 + coupl(nGC_177)*dZtL_QED2&
                        /2d0 + coupl(nGC_177)*dZtR_QED2/2d0 + coupl(nGC_180)*  &
                        dZHhHl_QED2/2d0 + coupl(nGC_2457)
      coupl(nGC_2851) = coupl(nGC_129)*dZZA_QED2/2d0
      coupl(nGC_2850) = coupl(nGC_80)*(dZcL_QCD2 + dZsL_QCD2)/2d0
      coupl(nGC_2858) = coupl(nGC_191)*dZG0/2d0
      coupl(nGC_TS_GC_177_Hl) = -coupl(nGC_177)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2436) = coupl(nGC_1089)*dyup1_QED1_QCD2 + coupl(nGC_1090)*     &
                        dyup2_QED1_QCD2
      coupl(nGC_2439) = coupl(nGC_1538)*db_QED2 + coupl(nGC_1539)*dyc1_QED3 +  &
                        coupl(nGC_1540)*dyc2_QED3
      coupl(nGC_2438) = coupl(nGC_1548)*dyup1_QED1_QCD2 + coupl(nGC_1549)*     &
                        dyup2_QED1_QCD2
      coupl(nGC_TS_GC_24_Hl) = -coupl(nGC_24)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1751) = (coupl(nGC_1)*coupl(nGC_178)**2d0 + coupl(nGC_1)*coupl(&
                        nGC_181)**2d0 + coupl(nGC_177)**2d0*coupl(nGC_2) +     &
                        coupl(nGC_179)*coupl(nGC_2)*coupl(nGC_639) + coupl(    &
                        nGC_180)**2d0*coupl(nGC_2) + coupl(nGC_182)*coupl(     &
                        nGC_183)*coupl(nGC_2) + 4d0*coupl(nGC_2)**3d0 + 4d0*   &
                        coupl(nGC_2)*coupl(nGC_85)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1750) = (coupl(nGC_1)*coupl(nGC_138)**2d0 + coupl(nGC_1)*coupl(&
                        nGC_142)**2d0 + 4d0*coupl(nGC_1)*coupl(nGC_80)**2d0 +  &
                        coupl(nGC_177)**2d0*coupl(nGC_2) + coupl(nGC_179)*coupl&
                        (nGC_2)*coupl(nGC_639) + coupl(nGC_180)**2d0*coupl(    &
                        nGC_2) + coupl(nGC_182)*coupl(nGC_183)*coupl(nGC_2) +  &
                        4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl(nGC_88  &
                        )**2d0 + 4d0*coupl(nGC_3)*coupl(nGC_80)**2d0)/(32d0*pi &
                        **2d0)
      coupl(nGC_1753) = (coupl(nGC_184)**2d0*coupl(nGC_4) + coupl(nGC_186)*    &
                        coupl(nGC_187)*coupl(nGC_4) + coupl(nGC_188)**2d0*coupl&
                        (nGC_4) + coupl(nGC_190)*coupl(nGC_191)*coupl(nGC_4) - &
                        4d0*coupl(nGC_3)*coupl(nGC_80)**2d0 + 4d0*coupl(nGC_4  &
                        )**3d0 + 4d0*coupl(nGC_4)*coupl(nGC_89)**2d0)/(32d0*pi &
                        **2d0)
      coupl(nGC_1752) = coupl(nGC_4)*(coupl(nGC_184)**2d0 + coupl(nGC_186)*    &
                        coupl(nGC_187) + coupl(nGC_188)**2d0 + coupl(nGC_190)* &
                        coupl(nGC_191) + 4d0*coupl(nGC_4)**2d0 + 4d0*coupl(    &
                        nGC_86)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3209) = coupl(nGC_91)*dZZA_QED2/2d0
      coupl(nGC_1928) = coupl(nGC_7)**2d0*sq2**2d0*(-cMB*coupl(nGC_137) - cMC* &
                        coupl(nGC_133) - cMD*coupl(nGC_149) - cMS*coupl(nGC_173&
                        ) - cMT*coupl(nGC_180) - cMU*coupl(nGC_195))/(16d0*pi**&
                        2d0)
      coupl(nGC_1929) = (-coupl(nGC_161)**2d0*coupl(nGC_165) + coupl(nGC_162)* &
                        coupl(nGC_63)*coupl(nGC_80) - coupl(nGC_163)**2d0*coupl&
                        (nGC_165) + coupl(nGC_163)*coupl(nGC_617)*coupl(nGC_89 &
                        ) + coupl(nGC_163)*coupl(nGC_86)*coupl(nGC_92) - coupl(&
                        nGC_165)**3d0 - coupl(nGC_165)*coupl(nGC_167)**2d0 +   &
                        8d0*coupl(nGC_165)*coupl(nGC_4)**2d0 + 8d0*coupl(      &
                        nGC_165)*coupl(nGC_86)*coupl(nGC_89) + coupl(nGC_166)* &
                        coupl(nGC_647)*coupl(nGC_80) + coupl(nGC_167)*coupl(   &
                        nGC_629)*coupl(nGC_89) + coupl(nGC_167)*coupl(nGC_86)* &
                        coupl(nGC_94))/(32d0*pi**2d0)
      coupl(nGC_1926) = (-coupl(nGC_153)**2d0*coupl(nGC_157) + coupl(nGC_154)* &
                        coupl(nGC_645)*coupl(nGC_80) - coupl(nGC_156)**2d0*    &
                        coupl(nGC_157) + coupl(nGC_156)*coupl(nGC_617)*coupl(  &
                        nGC_86) + coupl(nGC_156)*coupl(nGC_89)*coupl(nGC_92) - &
                        coupl(nGC_157)**3d0 - coupl(nGC_157)*coupl(nGC_160)**  &
                        2d0 + 8d0*coupl(nGC_157)*coupl(nGC_4)**2d0 + 8d0*coupl(&
                        nGC_157)*coupl(nGC_86)*coupl(nGC_89) + coupl(nGC_158)* &
                        coupl(nGC_69)*coupl(nGC_80) + coupl(nGC_160)*coupl(    &
                        nGC_629)*coupl(nGC_86) + coupl(nGC_160)*coupl(nGC_89)* &
                        coupl(nGC_94))/(32d0*pi**2d0)
      coupl(nGC_1927) = coupl(nGC_7)**2d0*sq2**2d0*(cMB*coupl(nGC_137) + cMC*  &
                        coupl(nGC_133) + cMD*coupl(nGC_149) + cMS*coupl(nGC_173&
                        ) + cMT*coupl(nGC_180) + cMU*coupl(nGC_195))/(16d0*pi**&
                        2d0*Nc)
      coupl(nGC_1924) = coupl(nGC_149)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1925) = (-coupl(nGC_153)**2d0*coupl(nGC_157) + coupl(nGC_154)* &
                        coupl(nGC_63)*coupl(nGC_80) - coupl(nGC_155)**2d0*coupl&
                        (nGC_157) + coupl(nGC_155)*coupl(nGC_617)*coupl(nGC_89 &
                        ) + coupl(nGC_155)*coupl(nGC_86)*coupl(nGC_92) - coupl(&
                        nGC_157)**3d0 - coupl(nGC_157)*coupl(nGC_159)**2d0 +   &
                        8d0*coupl(nGC_157)*coupl(nGC_4)**2d0 + 8d0*coupl(      &
                        nGC_157)*coupl(nGC_86)*coupl(nGC_89) + coupl(nGC_158)* &
                        coupl(nGC_647)*coupl(nGC_80) + coupl(nGC_159)*coupl(   &
                        nGC_629)*coupl(nGC_89) + coupl(nGC_159)*coupl(nGC_86)* &
                        coupl(nGC_94))/(32d0*pi**2d0)
      coupl(nGC_1920) = (-coupl(nGC_130)**2d0*coupl(nGC_133) - coupl(nGC_131)* &
                        coupl(nGC_170)*coupl(nGC_173) - coupl(nGC_131)*coupl(  &
                        nGC_645)*coupl(nGC_80) - coupl(nGC_132)**2d0*coupl(    &
                        nGC_133) - coupl(nGC_132)*coupl(nGC_617)*coupl(nGC_85  &
                        ) - coupl(nGC_132)*coupl(nGC_88)*coupl(nGC_92) - coupl(&
                        nGC_133)**3d0 - coupl(nGC_133)*coupl(nGC_136)**2d0 +   &
                        8d0*coupl(nGC_133)*coupl(nGC_2)**2d0 + 8d0*coupl(      &
                        nGC_133)*coupl(nGC_85)*coupl(nGC_88) - coupl(nGC_134)* &
                        coupl(nGC_173)*coupl(nGC_174) - coupl(nGC_134)*coupl(  &
                        nGC_69)*coupl(nGC_80) - coupl(nGC_136)*coupl(nGC_629)* &
                        coupl(nGC_85) - coupl(nGC_136)*coupl(nGC_88)*coupl(    &
                        nGC_94))/(32d0*pi**2d0)
      coupl(nGC_1921) = coupl(nGC_133)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2251) = coupl(nGC_991)*db_QED2 + coupl(nGC_992)*dl3_QED4 +     &
                        coupl(nGC_993)*dl2_QED4 + coupl(nGC_994)*dl1_QED4 +    &
                        coupl(nGC_995)*dl4_QED4 + coupl(nGC_996)*dl5_QED4
      coupl(nGC_2250) = coupl(nGC_1237)*db_QED2 + coupl(nGC_1238)*dl3_QED4 +   &
                        coupl(nGC_1239)*dl2_QED4 + coupl(nGC_1240)*dl1_QED4 +  &
                        coupl(nGC_1241)*dl4_QED4 + coupl(nGC_1242)*dl5_QED4 +  &
                        coupl(nGC_1243)*da_QED2
      coupl(nGC_2253) = coupl(nGC_1029)*db_QED2 + coupl(nGC_1030)*dl3_QED4 +   &
                        coupl(nGC_1031)*dl2_QED4 + coupl(nGC_1032)*dl1_QED4 +  &
                        coupl(nGC_1033)*dl4_QED4 + coupl(nGC_1034)*dl5_QED4
      coupl(nGC_2255) = coupl(nGC_929)*db_QED2 + coupl(nGC_930)*dl3_QED4 +     &
                        coupl(nGC_931)*dl2_QED4 + coupl(nGC_932)*dl1_QED4 +    &
                        coupl(nGC_933)*dl4_QED4 + coupl(nGC_934)*dl5_QED4 +    &
                        coupl(nGC_935)*da_QED2
      coupl(nGC_2254) = coupl(nGC_943)*db_QED2 + coupl(nGC_944)*dl3_QED4 +     &
                        coupl(nGC_945)*dl2_QED4 + coupl(nGC_946)*dl1_QED4 +    &
                        coupl(nGC_947)*dl4_QED4 + coupl(nGC_948)*dl5_QED4 +    &
                        coupl(nGC_949)*da_QED2
      coupl(nGC_2257) = coupl(nGC_1169)*dl3_QED4 + coupl(nGC_1170)*dl2_QED4 +  &
                        coupl(nGC_1171)*dl1_QED4 + coupl(nGC_1172)*dl4_QED4 +  &
                        coupl(nGC_1173)*dl5_QED4 + coupl(nGC_1174)*da_QED2
      coupl(nGC_2256) = coupl(nGC_882)*db_QED2 + coupl(nGC_883)*dl3_QED4 +     &
                        coupl(nGC_884)*dl2_QED4 + coupl(nGC_885)*dl1_QED4 +    &
                        coupl(nGC_886)*dl4_QED4 + coupl(nGC_887)*dl5_QED4 +    &
                        coupl(nGC_888)*da_QED2
      coupl(nGC_2259) = coupl(nGC_889)*db_QED2 + coupl(nGC_890)*dl3_QED4 +     &
                        coupl(nGC_891)*dl2_QED4 + coupl(nGC_892)*dl1_QED4 +    &
                        coupl(nGC_893)*dl4_QED4 + coupl(nGC_894)*dl5_QED4 +    &
                        coupl(nGC_895)*da_QED2
      coupl(nGC_2258) = coupl(nGC_1038)*db_QED2 + coupl(nGC_1039)*dl3_QED4 +   &
                        coupl(nGC_1040)*dl2_QED4 + coupl(nGC_1041)*dl1_QED4 +  &
                        coupl(nGC_1042)*dl4_QED4 + coupl(nGC_1043)*dl5_QED4
      coupl(nGC_2314) = coupl(nGC_1083)*dZee_QED2 + coupl(nGC_1084)*da_QED2 +  &
                        coupl(nGC_1085)*dsw_QED2 + coupl(nGC_1086)*db_QED2
      coupl(nGC_2701) = coupl(nGC_21)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_3043) = coupl(nGC_136)*dZG0/2d0
      coupl(nGC_TS_GC_29_Hh) = -coupl(nGC_29)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_188_Hh) = -coupl(nGC_188)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2383) = coupl(nGC_1553)*db_QED2 + coupl(nGC_1554)*dyd13x3_QED3 &
                         + coupl(nGC_1555)*dyb2_QED3
      coupl(nGC_3227) = coupl(nGC_2587) + coupl(nGC_MTA)*dZtauMinusL_QED2/2d0  &
                         + coupl(nGC_MTA)*dZtauMinusR_QED2/2d0 + coupl(        &
                        nGC_TS_GC_184_Hl) + coupl(nGC_TS_GC_188_Hh)
      coupl(nGC_2387) = coupl(nGC_1596)*dydo2_QED3 + coupl(nGC_1597)*dydo1_QED3&
                         + coupl(nGC_1598)*da_QED2
      coupl(nGC_2386) = coupl(nGC_1551)*dyd13x3_QED1_QCD2 + coupl(nGC_1552)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_2385) = coupl(nGC_1550)*db_QED2 + coupl(nGC_1551)*dyd13x3_QED3 &
                         + coupl(nGC_1552)*dyb2_QED3
      coupl(nGC_2384) = coupl(nGC_1554)*dyd13x3_QED1_QCD2 + coupl(nGC_1555)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_3252) = coupl(nGC_2586) + coupl(nGC_MM)*dZmuMinusL_QED2/2d0 +  &
                        coupl(nGC_MM)*dZmuMinusR_QED2/2d0 + coupl(             &
                        nGC_TS_GC_161_Hl) + coupl(nGC_TS_GC_165_Hh)
      coupl(nGC_3253) = coupl(nGC_MI)*dZmuMinusL_QED2
      coupl(nGC_3250) = -coupl(nGC_2317) - coupl(nGC_63)*dZHMinus_QED2/2d0 -   &
                        coupl(nGC_63)*dZHh_QED2/2d0 - coupl(nGC_63)*           &
                        dZWMinus_QED2/2d0 + coupl(nGC_68)*dZGMinusHMinus_QED2/ &
                        2d0 - coupl(nGC_69)*dZHlHh_QED2/2d0
      coupl(nGC_2388) = coupl(nGC_1596)*dydo2_QED1_QCD2 + coupl(nGC_1597)*     &
                        dydo1_QED1_QCD2
      coupl(nGC_3033) = dZHMinusGMinus_QED2*(coupl(nGC_114) + coupl(nGC_115))/ &
                        2d0
      coupl(nGC_3036) = coupl(nGC_2342) + coupl(nGC_7)*dZg_QCD2/2d0 + coupl(   &
                        nGC_7)*dZsL_QCD2
      coupl(nGC_3037) = coupl(nGC_7)*dZsL_QED2
      coupl(nGC_3034) = coupl(nGC_20)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_1922) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_149) - coupl(nGC_145  &
                        )**2d0*coupl(nGC_149) - coupl(nGC_146)*coupl(nGC_193)* &
                        coupl(nGC_195) - coupl(nGC_146)*coupl(nGC_64)*coupl(   &
                        nGC_80) - coupl(nGC_148)**2d0*coupl(nGC_149) - coupl(  &
                        nGC_148)*coupl(nGC_617)*coupl(nGC_87) - coupl(nGC_148)*&
                        coupl(nGC_84)*coupl(nGC_92) - coupl(nGC_149)**3d0 -    &
                        coupl(nGC_149)*coupl(nGC_152)**2d0 + 8d0*coupl(nGC_149 &
                        )*coupl(nGC_84)*coupl(nGC_87) - coupl(nGC_150)*coupl(  &
                        nGC_195)*coupl(nGC_196) - coupl(nGC_150)*coupl(nGC_625 &
                        )*coupl(nGC_80) - coupl(nGC_152)*coupl(nGC_629)*coupl( &
                        nGC_87) - coupl(nGC_152)*coupl(nGC_84)*coupl(nGC_94))/(&
                        32d0*pi**2d0)
      coupl(nGC_3038) = coupl(nGC_2342) + coupl(nGC_7)*dZg_QCD2/2d0 + coupl(   &
                        nGC_7)*dZsR_QCD2
      coupl(nGC_3039) = coupl(nGC_7)*dZsR_QED2
      coupl(nGC_2953) = coupl(nGC_111)*dZGMinus/2d0
      coupl(nGC_2957) = coupl(nGC_128)*dZHlHh_QED2/2d0 + coupl(nGC_129)*       &
                        dZHh_QED2/2d0 + coupl(nGC_129)*dZZ_QED2 + coupl(       &
                        nGC_2337) + coupl(nGC_TS_GC_99_Hh)
      coupl(nGC_1832) = (-coupl(nGC_138)*coupl(nGC_139)*coupl(nGC_181) - coupl(&
                        nGC_139)*coupl(nGC_142)*coupl(nGC_178) - coupl(nGC_177 &
                        )**2d0*coupl(nGC_183) - coupl(nGC_177)*coupl(nGC_619)* &
                        coupl(nGC_85) - coupl(nGC_177)*coupl(nGC_88)*coupl(    &
                        nGC_91) - coupl(nGC_180)**2d0*coupl(nGC_183) - coupl(  &
                        nGC_180)*coupl(nGC_629)*coupl(nGC_85) - coupl(nGC_180)*&
                        coupl(nGC_88)*coupl(nGC_94) - coupl(nGC_181)*coupl(    &
                        nGC_72)*coupl(nGC_80) - coupl(nGC_182)**2d0*coupl(     &
                        nGC_183) + 8d0*coupl(nGC_182)*coupl(nGC_2)**2d0 + 8d0* &
                        coupl(nGC_182)*coupl(nGC_85)*coupl(nGC_88) - coupl(    &
                        nGC_183)*coupl(nGC_639)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3132) = coupl(nGC_1)*dZbR_QCD2
      coupl(nGC_TS_GC_130_Hl) = -coupl(nGC_130)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3130) = coupl(nGC_1)*dZbL_QCD2
      coupl(nGC_3137) = coupl(nGC_18)*dZA_QED2 + coupl(nGC_18)*dZHMinus_QED2 + &
                        coupl(nGC_2304) + coupl(nGC_97)*dZZA_QED2
      coupl(nGC_2819) = coupl(nGC_7)*dZcR_QED2
      coupl(nGC_2818) = coupl(nGC_2342) + coupl(nGC_7)*dZcR_QCD2 + coupl(nGC_7 &
                        )*dZg_QCD2/2d0
      coupl(nGC_2817) = coupl(nGC_7)*dZcL_QED2
      coupl(nGC_2816) = coupl(nGC_2342) + coupl(nGC_7)*dZcL_QCD2 + coupl(nGC_7 &
                        )*dZg_QCD2/2d0
      coupl(nGC_2815) = coupl(nGC_20)*dZZA_QED2/2d0 + coupl(nGC_2306) + coupl( &
                        nGC_74)*dZA_QED2/2d0 + coupl(nGC_74)*dZWMinus_QED2/2d0
      coupl(nGC_TS_GC_111_Hh) = -coupl(nGC_111)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2708) = coupl(nGC_21)*dZGMinus/2d0
      coupl(nGC_3047) = -coupl(nGC_17)*dZAZ_QED2/2d0 - coupl(nGC_2325) - coupl(&
                        nGC_96)*dZHMinus_QED2 - coupl(nGC_96)*dZZ_QED2/2d0
      coupl(nGC_2310) = coupl(nGC_1504)*dvev1_QED1 + coupl(nGC_1505)*dvev2_QED1&
                         + coupl(nGC_1506)*dZee_QED2 + coupl(nGC_1507)*dsw_QED2&
                         + coupl(nGC_1508)*db_QED2
      coupl(nGC_3044) = -coupl(nGC_132)*dZHaG0_QED2/2d0 + coupl(nGC_135)*      &
                        dZcL_QED2/2d0 + coupl(nGC_135)*dZcR_QED2/2d0 + coupl(  &
                        nGC_2441)
      coupl(nGC_3041) = coupl(nGC_132)*dZHaG0_QED2/2d0 + coupl(nGC_136)*       &
                        dZcL_QED2/2d0 + coupl(nGC_136)*dZcR_QED2/2d0 + coupl(  &
                        nGC_2439)
      coupl(nGC_2706) = coupl(nGC_155)*dZHa_QED2/2d0 + coupl(nGC_155)*         &
                        dZeMinusL_QED2/2d0 + coupl(nGC_155)*dZeMinusR_QED2/2d0 &
                         + coupl(nGC_159)*dZG0Ha_QED2/2d0 + coupl(nGC_2429)
      coupl(nGC_3049) = coupl(nGC_128)*dZHl_QED2/2d0 + coupl(nGC_128)*dZZ_QED2 &
                         + coupl(nGC_129)*dZHhHl_QED2/2d0 + coupl(nGC_2338) +  &
                        coupl(nGC_TS_GC_99_Hl)
      coupl(nGC_1962) = coupl(nGC_169)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2925) = dZGMinusHMinus_QED2*(coupl(nGC_122) + coupl(nGC_123))/ &
                        2d0
      coupl(nGC_2924) = -coupl(nGC_MI)*dZZ_QED2
      coupl(nGC_2923) = coupl(nGC_MI)*dZZ_QED2
      coupl(nGC_2929) = coupl(nGC_100)*(dZGMinusHMinus_QED2 +                  &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_2315) = coupl(nGC_1426)*dZee_QED2 + coupl(nGC_1427)*da_QED2 +  &
                        coupl(nGC_1428)*dsw_QED2 + coupl(nGC_1429)*db_QED2
      coupl(nGC_1961) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_169) - coupl(nGC_130)*&
                        coupl(nGC_131)*coupl(nGC_170) - coupl(nGC_130)*coupl(  &
                        nGC_134)*coupl(nGC_174) - coupl(nGC_169)**3d0 - coupl( &
                        nGC_169)*coupl(nGC_171)**2d0 - coupl(nGC_169)*coupl(   &
                        nGC_173)**2d0 - coupl(nGC_169)*coupl(nGC_175)**2d0 +   &
                        8d0*coupl(nGC_169)*coupl(nGC_84)*coupl(nGC_87) - coupl(&
                        nGC_170)*coupl(nGC_625)*coupl(nGC_80) - coupl(nGC_171)*&
                        coupl(nGC_629)*coupl(nGC_84) - coupl(nGC_171)*coupl(   &
                        nGC_87)*coupl(nGC_94) - coupl(nGC_174)*coupl(nGC_63)*  &
                        coupl(nGC_80) - coupl(nGC_175)*coupl(nGC_619)*coupl(   &
                        nGC_84) - coupl(nGC_175)*coupl(nGC_87)*coupl(nGC_91))/(&
                        32d0*pi**2d0)
      coupl(nGC_2329) = coupl(nGC_1162)*db_QED2 + coupl(nGC_1163)*dZee_QED2 +  &
                        coupl(nGC_1164)*dcw_QED2 + coupl(nGC_1165)*da_QED2
      coupl(nGC_1715) = cMU*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_85)*coupl(    &
                        nGC_88))/(8d0*pi**2d0)
      coupl(nGC_1967) = (-coupl(nGC_184)**3d0 - coupl(nGC_184)*coupl(nGC_187)**&
                        2d0 - coupl(nGC_184)*coupl(nGC_188)**2d0 - coupl(      &
                        nGC_184)*coupl(nGC_191)**2d0 + 8d0*coupl(nGC_184)*coupl&
                        (nGC_4)**2d0 + 8d0*coupl(nGC_184)*coupl(nGC_86)*coupl( &
                        nGC_89) + coupl(nGC_185)*coupl(nGC_647)*coupl(nGC_80   &
                        ) + coupl(nGC_187)*coupl(nGC_629)*coupl(nGC_86) + coupl&
                        (nGC_187)*coupl(nGC_89)*coupl(nGC_94) + coupl(nGC_189)*&
                        coupl(nGC_64)*coupl(nGC_80) + coupl(nGC_191)*coupl(    &
                        nGC_619)*coupl(nGC_86) + coupl(nGC_191)*coupl(nGC_89)* &
                        coupl(nGC_91))/(32d0*pi**2d0)
      coupl(nGC_TS_GC_22_Hh) = -coupl(nGC_22)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1869) = (coupl(nGC_1)*coupl(nGC_17)*coupl(nGC_178) + 8d0*coupl(&
                        nGC_1)*coupl(nGC_178)*coupl(nGC_2) - coupl(nGC_137)*   &
                        coupl(nGC_142)*coupl(nGC_180) - coupl(nGC_140)*coupl(  &
                        nGC_142)*coupl(nGC_182) - coupl(nGC_141)*coupl(nGC_142 &
                        )*coupl(nGC_177) - coupl(nGC_142)*coupl(nGC_143)*coupl(&
                        nGC_639) + coupl(nGC_177)*coupl(nGC_68)*coupl(nGC_80   &
                        ) + coupl(nGC_178)*coupl(nGC_2)*coupl(nGC_641) + coupl(&
                        nGC_178)*coupl(nGC_651)*coupl(nGC_85) + 8d0*coupl(     &
                        nGC_178)*coupl(nGC_85)*coupl(nGC_87) + coupl(nGC_178)* &
                        coupl(nGC_87)*coupl(nGC_96) + coupl(nGC_180)*coupl(    &
                        nGC_64)*coupl(nGC_80) + coupl(nGC_639)*coupl(nGC_72)*  &
                        coupl(nGC_80))/(32d0*pi**2d0)
      coupl(nGC_TS_GC_22_Hl) = -coupl(nGC_22)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1867) = (2d0*Nc*cMB*coupl(nGC_142)*coupl(nGC_80)*coupl(nGC_84  &
                        ) - 2d0*Nc*cMB*coupl(nGC_142)*coupl(nGC_80)*coupl(     &
                        nGC_87) - 2d0*Nc*cMB*coupl(nGC_142)*coupl(nGC_80)*coupl&
                        (nGC_88) + 2d0*Nc*cMC*coupl(nGC_131)*coupl(nGC_80)*    &
                        coupl(nGC_85) - 2d0*Nc*cMC*coupl(nGC_131)*coupl(nGC_80 &
                        )*coupl(nGC_87) - 2d0*Nc*cMC*coupl(nGC_131)*coupl(     &
                        nGC_80)*coupl(nGC_88) + 2d0*Nc*cMD*coupl(nGC_146)*coupl&
                        (nGC_80)*coupl(nGC_84) - 2d0*Nc*cMD*coupl(nGC_146)*    &
                        coupl(nGC_80)*coupl(nGC_87) - 2d0*Nc*cMD*coupl(nGC_146 &
                        )*coupl(nGC_80)*coupl(nGC_88) + 2d0*Nc*cMS*coupl(      &
                        nGC_170)*coupl(nGC_80)*coupl(nGC_84) - 2d0*Nc*cMS*coupl&
                        (nGC_170)*coupl(nGC_80)*coupl(nGC_87) - 2d0*Nc*cMS*    &
                        coupl(nGC_170)*coupl(nGC_80)*coupl(nGC_88) + 2d0*Nc*cMT&
                        *coupl(nGC_178)*coupl(nGC_80)*coupl(nGC_85) - 2d0*Nc*  &
                        cMT*coupl(nGC_178)*coupl(nGC_80)*coupl(nGC_87) - 2d0*Nc&
                        *cMT*coupl(nGC_178)*coupl(nGC_80)*coupl(nGC_88) + 2d0* &
                        Nc*cMU*coupl(nGC_193)*coupl(nGC_80)*coupl(nGC_85) - 2d0&
                        *Nc*cMU*coupl(nGC_193)*coupl(nGC_80)*coupl(nGC_87) -   &
                        2d0*Nc*cMU*coupl(nGC_193)*coupl(nGC_80)*coupl(nGC_88   &
                        ) + 2d0*cME*coupl(nGC_154)*coupl(nGC_80)*coupl(nGC_86  &
                        ) - 2d0*cME*coupl(nGC_154)*coupl(nGC_80)*coupl(nGC_89  &
                        ) - 2d0*cME*coupl(nGC_154)*coupl(nGC_80)*coupl(nGC_90  &
                        ) + 2d0*cMM*coupl(nGC_162)*coupl(nGC_80)*coupl(nGC_86  &
                        ) - 2d0*cMM*coupl(nGC_162)*coupl(nGC_80)*coupl(nGC_89  &
                        ) - 2d0*cMM*coupl(nGC_162)*coupl(nGC_80)*coupl(nGC_90  &
                        ) + 2d0*cMTA*coupl(nGC_185)*coupl(nGC_80)*coupl(nGC_86 &
                        ) - 2d0*cMTA*coupl(nGC_185)*coupl(nGC_80)*coupl(nGC_89 &
                        ) - 2d0*cMTA*coupl(nGC_185)*coupl(nGC_80)*coupl(nGC_90 &
                        ) + 4d0*cima*coupl(nGC_102)*coupl(nGC_79) + 4d0*cima*  &
                        coupl(nGC_126)*coupl(nGC_607) - coupl(nGC_102)*coupl(  &
                        nGC_17)*coupl(nGC_3) + 6d0*coupl(nGC_102)*coupl(nGC_609&
                        )*coupl(nGC_82) - coupl(nGC_102)*coupl(nGC_82)*coupl(  &
                        nGC_96) - coupl(nGC_124)*coupl(nGC_609)*coupl(nGC_647  &
                        ) - coupl(nGC_125)*coupl(nGC_609)*coupl(nGC_645) + 6d0*&
                        coupl(nGC_126)*coupl(nGC_3)*coupl(nGC_609) - coupl(    &
                        nGC_128)*coupl(nGC_609)*coupl(nGC_68) - coupl(nGC_129)*&
                        coupl(nGC_609)*coupl(nGC_64))/(32d0*pi**2d0)
      coupl(nGC_1863) = (coupl(nGC_17)*coupl(nGC_185)*coupl(nGC_4) + coupl(    &
                        nGC_184)*coupl(nGC_69)*coupl(nGC_80) + coupl(nGC_185)* &
                        coupl(nGC_651)*coupl(nGC_90) + 8d0*coupl(nGC_185)*coupl&
                        (nGC_86)*coupl(nGC_90) + coupl(nGC_185)*coupl(nGC_86)* &
                        coupl(nGC_96) + coupl(nGC_187)*coupl(nGC_72)*coupl(    &
                        nGC_80) + coupl(nGC_188)*coupl(nGC_63)*coupl(nGC_80))/(&
                        32d0*pi**2d0)
      coupl(nGC_1860) = coupl(nGC_193)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1790) = (-4d0*Nc*coupl(nGC_132)*coupl(nGC_134)*coupl(nGC_80) + &
                        4d0*Nc*coupl(nGC_138)*coupl(nGC_143)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_148)*coupl(nGC_150)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_172)*coupl(nGC_174)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_179)*coupl(nGC_181)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_194)*coupl(nGC_196)*coupl(nGC_80) +   &
                        4d0*coupl(nGC_156)*coupl(nGC_158)*coupl(nGC_80) + 4d0* &
                        coupl(nGC_164)*coupl(nGC_166)*coupl(nGC_80) + 4d0*coupl&
                        (nGC_187)*coupl(nGC_189)*coupl(nGC_80) - 6d0*coupl(    &
                        nGC_617)*coupl(nGC_69)*coupl(nGC_82) + coupl(nGC_625)* &
                        coupl(nGC_64)*coupl(nGC_72) - 6d0*coupl(nGC_629)*coupl(&
                        nGC_64)*coupl(nGC_82) + coupl(nGC_64)*coupl(nGC_94)*   &
                        coupl(nGC_96) + coupl(nGC_645)*coupl(nGC_68)*coupl(    &
                        nGC_72) + coupl(nGC_69)*coupl(nGC_92)*coupl(nGC_96))/( &
                        96d0*pi**2d0)
      coupl(nGC_TS_GC_103_Hl) = -coupl(nGC_103)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1714) = cMU*cima*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                        32d0*pi**2d0*Nc)
      coupl(nGC_3180) = coupl(nGC_2232) + 3d0*coupl(nGC_6)*dZg_QCD2/2d0
      coupl(nGC_2369) = coupl(nGC_1303)*db_QED2 + coupl(nGC_1304)*dyd12x2_QED3 &
                         + coupl(nGC_1305)*dys2_QED3
      coupl(nGC_1795) = (coupl(nGC_1)*coupl(nGC_17)*coupl(nGC_181) + 8d0*coupl(&
                        nGC_1)*coupl(nGC_181)*coupl(nGC_2) - coupl(nGC_137)*   &
                        coupl(nGC_138)*coupl(nGC_180) - coupl(nGC_138)*coupl(  &
                        nGC_140)*coupl(nGC_182) - coupl(nGC_138)*coupl(nGC_141 &
                        )*coupl(nGC_177) - coupl(nGC_138)*coupl(nGC_143)*coupl(&
                        nGC_639) + coupl(nGC_177)*coupl(nGC_645)*coupl(nGC_80  &
                        ) + coupl(nGC_180)*coupl(nGC_625)*coupl(nGC_80) + coupl&
                        (nGC_181)*coupl(nGC_2)*coupl(nGC_641) + coupl(nGC_181)*&
                        coupl(nGC_651)*coupl(nGC_85) + 8d0*coupl(nGC_181)*coupl&
                        (nGC_85)*coupl(nGC_87) + coupl(nGC_181)*coupl(nGC_87)* &
                        coupl(nGC_96) + coupl(nGC_182)*coupl(nGC_72)*coupl(    &
                        nGC_80))/(32d0*pi**2d0)
      coupl(nGC_3181) = coupl(nGC_177)*dZHlHh_QED2/2d0 + coupl(nGC_180)*       &
                        dZHh_QED2/2d0 + coupl(nGC_180)*dZtL_QED2/2d0 + coupl(  &
                        nGC_180)*dZtR_QED2/2d0 + coupl(nGC_2451)
      coupl(nGC_1794) = (coupl(nGC_1)*coupl(nGC_138)*coupl(nGC_17) + 8d0*coupl(&
                        nGC_1)*coupl(nGC_138)*coupl(nGC_2) - coupl(nGC_137)*   &
                        coupl(nGC_180)*coupl(nGC_181) + coupl(nGC_137)*coupl(  &
                        nGC_69)*coupl(nGC_80) + coupl(nGC_138)*coupl(nGC_2)*   &
                        coupl(nGC_641) + coupl(nGC_138)*coupl(nGC_651)*coupl(  &
                        nGC_88) + 8d0*coupl(nGC_138)*coupl(nGC_84)*coupl(nGC_88&
                        ) + coupl(nGC_138)*coupl(nGC_84)*coupl(nGC_96) - coupl(&
                        nGC_139)*coupl(nGC_181)*coupl(nGC_183) + coupl(nGC_139 &
                        )*coupl(nGC_627)*coupl(nGC_80) - coupl(nGC_141)*coupl( &
                        nGC_177)*coupl(nGC_181) + coupl(nGC_141)*coupl(nGC_64)*&
                        coupl(nGC_80) - coupl(nGC_144)*coupl(nGC_179)*coupl(   &
                        nGC_181))/(32d0*pi**2d0)
      coupl(nGC_TS_GC_9_Hl) = -coupl(nGC_9)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1986) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_84) + coupl(nGC_145)**&
                        2d0*coupl(nGC_87) + coupl(nGC_146)**2d0*coupl(nGC_88   &
                        ) + coupl(nGC_147)*coupl(nGC_148)*coupl(nGC_87) + coupl&
                        (nGC_149)**2d0*coupl(nGC_87) + coupl(nGC_150)**2d0*    &
                        coupl(nGC_88) + coupl(nGC_151)*coupl(nGC_152)*coupl(   &
                        nGC_87) + 4d0*coupl(nGC_84)**3d0)/(32d0*pi**2d0)
      coupl(nGC_TS_GC_9_Hh) = -coupl(nGC_9)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1818) = (-coupl(nGC_130)**2d0*coupl(nGC_135) - coupl(nGC_130)* &
                        coupl(nGC_619)*coupl(nGC_88) - coupl(nGC_130)*coupl(   &
                        nGC_85)*coupl(nGC_91) - coupl(nGC_131)*coupl(nGC_170)* &
                        coupl(nGC_176) - coupl(nGC_132)**2d0*coupl(nGC_135) -  &
                        coupl(nGC_133)**2d0*coupl(nGC_135) - coupl(nGC_133)*   &
                        coupl(nGC_629)*coupl(nGC_88) - coupl(nGC_133)*coupl(   &
                        nGC_85)*coupl(nGC_94) - coupl(nGC_134)*coupl(nGC_174)* &
                        coupl(nGC_176) - coupl(nGC_134)*coupl(nGC_627)*coupl(  &
                        nGC_80) - coupl(nGC_135)*coupl(nGC_136)**2d0 + 8d0*    &
                        coupl(nGC_136)*coupl(nGC_2)**2d0 + 8d0*coupl(nGC_136)* &
                        coupl(nGC_85)*coupl(nGC_88))/(32d0*pi**2d0)
      coupl(nGC_1819) = coupl(nGC_136)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_12_Hh) = -coupl(nGC_12)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2031) = sq2**3d0*(-11d0*Nc*cima*coupl(nGC_6)**3d0 - 48d0*coupl(&
                        nGC_7)**3d0)/(768d0*pi**2d0)
      coupl(nGC_2030) = sq2**3d0*(11d0*Nc*cima*coupl(nGC_6)**3d0 + 48d0*coupl( &
                        nGC_7)**3d0)/(768d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl2
end module fill_ctcouplings2
