!******************************************************************************!
!                                                                              !
!    vertices_info13.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info13.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-04-03 14:56             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info13
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl13()
      allocate(vertices(161)%branchR2(0:0))
      call avR2(161, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_3268/))

      allocate(vertices(3289)%branchR2(0:0))
      call avR2(3289, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2115/))

      allocate(vertices(2676)%branchR2(0:1))
      call avR2(2676, 0, 17, 1, 0, FaSF0, (/0, 3/), (/nGC_1899, nGC_1897/))

      call avR2(2676, 1, 17, 1, 0, FaSF0, (/2, 1/), (/nGC_1900, nGC_1898/))

      allocate(vertices(3866)%branchR2(0:1))
      call avR2(3866, 0, 64, 1, 0, VVSS0, (/2, 2/), (/nGC_2098/))

      call avR2(3866, 1, 63, 1, 0, VVSS0, (/2, 2/), (/nGC_2099/))

      allocate(vertices(176)%branchR2(0:0))
      call avR2(176, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2121/))

      allocate(vertices(446)%branchR2(0:0))
      call avR2(446, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(1360)%branchR2(0:0))
      call avR2(1360, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2034/))

      allocate(vertices(2822)%branchR2(0:0))
      call avR2(2822, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2049/))

      allocate(vertices(3867)%branchR2(0:0))
      call avR2(3867, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2074/))

      allocate(vertices(2756)%branchR2(0:0))
      call avR2(2756, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1765/))

      allocate(vertices(2451)%branchR2(0:0))
      call avR2(2451, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2125/))

      allocate(vertices(1180)%branchR2(0:0))
      call avR2(1180, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(639)%branchR2(0:0))
      call avR2(639, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1761/))

      allocate(vertices(1523)%branchR2(0:0))
      call avR2(1523, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2127/))

      allocate(vertices(2082)%branchR2(0:0))
      call avR2(2082, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2168/))

      allocate(vertices(2250)%branchR2(0:0))
      call avR2(2250, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(1788)%branchR2(0:0))
      call avR2(1788, 0, 8, 1, 0, VFFa1, (/0, 3/), (/nGC_1992/))

      allocate(vertices(1852)%branchR2(0:0))
      call avR2(1852, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2082/))

      allocate(vertices(1458)%branchR2(0:0))
      call avR2(1458, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2146/))

      allocate(vertices(2888)%branchR2(0:0))
      call avR2(2888, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3258/))

      allocate(vertices(3480)%branchR2(0:0))
      call avR2(3480, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2192/))

      allocate(vertices(3081)%branchR2(0:0))
      call avR2(3081, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(2829)%branchR2(0:0))
      call avR2(2829, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2189/))

      allocate(vertices(1699)%branchR2(0:0))
      call avR2(1699, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2156/))

      allocate(vertices(988)%branchR2(0:0))
      call avR2(988, 0, 8, 1, 0, SFaF2, (/0, 3/), (/nGC_1800/))

      allocate(vertices(3332)%branchR2(0:0))
      call avR2(3332, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2151/))

      allocate(vertices(670)%branchR2(0:0))
      call avR2(670, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(340)%branchR2(0:0))
      call avR2(340, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(3868)%branchR2(0:0))
      call avR2(3868, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(2668)%branchR2(0:0))
      call avR2(2668, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3261/))

      allocate(vertices(1325)%branchR2(0:0))
      call avR2(1325, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2161/))

      allocate(vertices(270)%branchR2(0:0))
      call avR2(270, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2149/))

      allocate(vertices(3129)%branchR2(0:0))
      call avR2(3129, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(1688)%branchR2(0:0))
      call avR2(1688, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(560)%branchR2(0:1))
      call avR2(560, 0, 19, 1, 0, FSFa1, (/0, 3/), (/nGC_1935, nGC_1934/))

      call avR2(560, 1, 19, 1, 0, FSFa1, (/2, 1/), (/nGC_1936, nGC_1936/))

      allocate(vertices(3869)%branchR2(0:0))
      call avR2(3869, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2038/))

      allocate(vertices(1439)%branchR2(0:0))
      call avR2(1439, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2055/))

      allocate(vertices(700)%branchR2(0:0))
      call avR2(700, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2055/))

      allocate(vertices(1822)%branchR2(0:0))
      call avR2(1822, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1954, nGC_1955/))

      allocate(vertices(337)%branchR2(0:0))
      call avR2(337, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(1088)%branchR2(0:0))
      call avR2(1088, 0, 8, 1, 0, FSFa2, (/0, 3/), (/nGC_1800/))

      allocate(vertices(3205)%branchR2(0:0))
      call avR2(3205, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2115/))

      allocate(vertices(1647)%branchR2(0:3))
      call avR2(1647, 0, 24, 1, 0, FaFV1, (/1, 2/), (/nGC_2014, nGC_2015/))

      call avR2(1647, 1, 24, 1, 0, FaFV1, (/3, 0/), (/nGC_2006, nGC_2006/))

      call avR2(1647, 2, 25, 1, 0, FaFV1, (/1, 2/), (/nGC_2012, nGC_2013/))

      call avR2(1647, 3, 25, 1, 0, FaFV1, (/3, 0/), (/nGC_2003, nGC_2003/))

      allocate(vertices(19)%branchR2(0:0))
      call avR2(19, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1905, nGC_1906/))

      allocate(vertices(3870)%branchR2(0:0))
      call avR2(3870, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2074/))

      allocate(vertices(3871)%branchR2(0:0))
      call avR2(3871, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2039/))

      allocate(vertices(3556)%branchR2(0:0))
      call avR2(3556, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3269/))

      allocate(vertices(2834)%branchR2(0:0))
      call avR2(2834, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(1928)%branchR2(0:0))
      call avR2(1928, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2116/))

      allocate(vertices(2699)%branchR2(0:0))
      call avR2(2699, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2163/))

      allocate(vertices(688)%branchR2(0:0))
      call avR2(688, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2140/))

      allocate(vertices(3872)%branchR2(0:1))
      call avR2(3872, 0, 61, 1, 0, VVVV0, (/2, 2/), (/nGC_2089, nGC_2089,      &
      nGC_2089/))

      call avR2(3872, 1, 62, 1, 0, VVVV0, (/2, 2/), (/nGC_2090, nGC_2090,      &
      nGC_2090/))

      allocate(vertices(1364)%branchR2(0:0))
      call avR2(1364, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(3374)%branchR2(0:0))
      call avR2(3374, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(3873)%branchR2(0:0))
      call avR2(3873, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2036/))

      allocate(vertices(3204)%branchR2(0:0))
      call avR2(3204, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(1776)%branchR2(0:0))
      call avR2(1776, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(320)%branchR2(0:0))
      call avR2(320, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(112)%branchR2(0:0))
      call avR2(112, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(1761)%branchR2(0:0))
      call avR2(1761, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(853)%branchR2(0:0))
      call avR2(853, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(573)%branchR2(0:0))
      call avR2(573, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2081/))

      allocate(vertices(1533)%branchR2(0:0))
      call avR2(1533, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1879/))

      allocate(vertices(2056)%branchR2(0:0))
      call avR2(2056, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2084/))

      allocate(vertices(2151)%branchR2(0:0))
      call avR2(2151, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2141/))

      allocate(vertices(1391)%branchR2(0:0))
      call avR2(1391, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(1620)%branchR2(0:3))
      call avR2(1620, 0, 30, 1, 0, VFFa0, (/3, 0/), (/nGC_2006, nGC_2006/))

      call avR2(1620, 1, 30, 1, 0, VFFa0, (/1, 2/), (/nGC_2010, nGC_2011/))

      call avR2(1620, 2, 31, 1, 0, VFFa0, (/3, 0/), (/nGC_2003, nGC_2003/))

      call avR2(1620, 3, 31, 1, 0, VFFa0, (/1, 2/), (/nGC_2008, nGC_2009/))

      allocate(vertices(2030)%branchR2(0:0))
      call avR2(2030, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(2372)%branchR2(0:1))
      call avR2(2372, 0, 17, 1, 0, FaSF0, (/0, 3/), (/nGC_1891, nGC_1889/))

      call avR2(2372, 1, 17, 1, 0, FaSF0, (/2, 1/), (/nGC_1892, nGC_1890/))

      allocate(vertices(3874)%branchR2(0:0))
      call avR2(3874, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2036/))

      allocate(vertices(2210)%branchR2(0:0))
      call avR2(2210, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2148/))

      allocate(vertices(559)%branchR2(0:0))
      call avR2(559, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(3875)%branchR2(0:1))
      call avR2(3875, 0, 59, 1, 0, VSVS0, (/2, 2/), (/nGC_2118/))

      call avR2(3875, 1, 60, 1, 0, VSVS0, (/2, 2/), (/nGC_2117/))

      allocate(vertices(1740)%branchR2(0:0))
      call avR2(1740, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(517)%branchR2(0:1))
      call avR2(517, 0, 17, 1, 0, FaSF0, (/0, 3/), (/nGC_1818, nGC_1816/))

      call avR2(517, 1, 17, 1, 0, FaSF0, (/2, 1/), (/nGC_1819, nGC_1817/))

      allocate(vertices(3286)%branchR2(0:0))
      call avR2(3286, 0, 8, 1, 0, VFFa1, (/0, 3/), (/nGC_1747/))

      allocate(vertices(687)%branchR2(0:0))
      call avR2(687, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(1818)%branchR2(0:0))
      call avR2(1818, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2137/))

      allocate(vertices(2958)%branchR2(0:0))
      call avR2(2958, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(2554)%branchR2(0:1))
      call avR2(2554, 0, 19, 1, 0, FSFa1, (/0, 3/), (/nGC_1909, nGC_1907/))

      call avR2(2554, 1, 19, 1, 0, FSFa1, (/2, 1/), (/nGC_1910, nGC_1908/))

      allocate(vertices(2625)%branchR2(0:0))
      call avR2(2625, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(2642)%branchR2(0:0))
      call avR2(2642, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2130/))

      allocate(vertices(2348)%branchR2(0:1))
      call avR2(2348, 0, 17, 1, 0, FaSF0, (/0, 3/), (/nGC_1969, nGC_1968/))

      call avR2(2348, 1, 17, 1, 0, FaSF0, (/2, 1/), (/nGC_1970, nGC_1970/))

      allocate(vertices(158)%branchR2(0:0))
      call avR2(158, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2080/))

      allocate(vertices(2204)%branchR2(0:0))
      call avR2(2204, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(3310)%branchR2(0:0))
      call avR2(3310, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2160/))

      allocate(vertices(2386)%branchR2(0:0))
      call avR2(2386, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1867/))

      allocate(vertices(2028)%branchR2(0:0))
      call avR2(2028, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2137/))

      allocate(vertices(70)%branchR2(0:0))
      call avR2(70, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2137/))

      allocate(vertices(3169)%branchR2(0:0))
      call avR2(3169, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(2196)%branchR2(0:0))
      call avR2(2196, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1762/))

      allocate(vertices(2271)%branchR2(0:0))
      call avR2(2271, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(222)%branchR2(0:0))
      call avR2(222, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1763/))

      allocate(vertices(2902)%branchR2(0:0))
      call avR2(2902, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2056/))

      allocate(vertices(3338)%branchR2(0:0))
      call avR2(3338, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2114/))

      allocate(vertices(2525)%branchR2(0:0))
      call avR2(2525, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2121/))

      allocate(vertices(1046)%branchR2(0:0))
      call avR2(1046, 0, 8, 1, 0, FVFa0, (/0, 3/), (/nGC_1990, nGC_1989/))

      allocate(vertices(3876)%branchR2(0:1))
      call avR2(3876, 0, 53, 1, 0, SSVV0, (/2, 2/), (/nGC_2153/))

      call avR2(3876, 1, 54, 1, 0, SSVV0, (/2, 2/), (/nGC_2154/))

      allocate(vertices(206)%branchR2(0:0))
      call avR2(206, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(1503)%branchR2(0:0))
      call avR2(1503, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(3496)%branchR2(0:0))
      call avR2(3496, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2049/))

      allocate(vertices(2229)%branchR2(0:0))
      call avR2(2229, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(2838)%branchR2(0:0))
      call avR2(2838, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2033/))

      allocate(vertices(3024)%branchR2(0:0))
      call avR2(3024, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2033/))

      allocate(vertices(1804)%branchR2(0:0))
      call avR2(1804, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(1641)%branchR2(0:0))
      call avR2(1641, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1845/))

      allocate(vertices(604)%branchR2(0:0))
      call avR2(604, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(2842)%branchR2(0:0))
      call avR2(2842, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3264/))

      allocate(vertices(1472)%branchR2(0:0))
      call avR2(1472, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(2089)%branchR2(0:0))
      call avR2(2089, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(3183)%branchR2(0:0))
      call avR2(3183, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2079/))

      allocate(vertices(2390)%branchR2(0:0))
      call avR2(2390, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2095/))

      allocate(vertices(3190)%branchR2(0:0))
      call avR2(3190, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2151/))

      allocate(vertices(1828)%branchR2(0:0))
      call avR2(1828, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(478)%branchR2(0:0))
      call avR2(478, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2155/))

      allocate(vertices(787)%branchR2(0:0))
      call avR2(787, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1845/))

      allocate(vertices(3353)%branchR2(0:0))
      call avR2(3353, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(3877)%branchR2(0:1))
      call avR2(3877, 0, 61, 1, 0, VSSV0, (/2, 2/), (/nGC_2099/))

      call avR2(3877, 1, 62, 1, 0, VSSV0, (/2, 2/), (/nGC_2098/))

      allocate(vertices(840)%branchR2(0:1))
      call avR2(840, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1840, nGC_1838/))

      call avR2(840, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1841, nGC_1839/))

      allocate(vertices(812)%branchR2(0:0))
      call avR2(812, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(3878)%branchR2(0:0))
      call avR2(3878, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2083, nGC_2083,       &
      nGC_2083/))

      allocate(vertices(1485)%branchR2(0:0))
      call avR2(1485, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1767/))

      allocate(vertices(3879)%branchR2(0:1))
      call avR2(3879, 0, 64, 1, 0, VVSS0, (/2, 2/), (/nGC_2208/))

      call avR2(3879, 1, 63, 1, 0, VVSS0, (/2, 2/), (/nGC_2207/))

      allocate(vertices(2075)%branchR2(0:0))
      call avR2(2075, 0, 8, 1, 0, FaSF2, (/0, 3/), (/nGC_1862/))

      allocate(vertices(1339)%branchR2(0:0))
      call avR2(1339, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(1568)%branchR2(0:0))
      call avR2(1568, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2179/))

      allocate(vertices(495)%branchR2(0:0))
      call avR2(495, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1719/))

      allocate(vertices(304)%branchR2(0:0))
      call avR2(304, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(2262)%branchR2(0:1))
      call avR2(2262, 0, 19, 1, 0, FVFa0, (/0, 3/), (/nGC_1994, nGC_1995/))

      call avR2(2262, 1, 19, 1, 0, FVFa0, (/2, 1/), (/nGC_1978, nGC_1980/))

      allocate(vertices(467)%branchR2(0:0))
      call avR2(467, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2116/))

      allocate(vertices(887)%branchR2(0:0))
      call avR2(887, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(1706)%branchR2(0:0))
      call avR2(1706, 0, 8, 1, 0, FSFa2, (/0, 3/), (/nGC_1874/))

      allocate(vertices(1207)%branchR2(0:0))
      call avR2(1207, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1720/))

      allocate(vertices(3369)%branchR2(0:0))
      call avR2(3369, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2151/))

      allocate(vertices(1063)%branchR2(0:1))
      call avR2(1063, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1949, nGC_1948/))

      call avR2(1063, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1950, nGC_1950/))

    end subroutine fill_vertices_mdl13
end module vertices_info13
