!******************************************************************************!
!                                                                              !
!    vertices_info4.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info4.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-04-03 14:56             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info4
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl4()
      allocate(vertices(2400)%branch(0:0))
      call av(2400, 0, 8, 1, 0, FFaS0, (/0, 1/), (/nGC_167, nGC_168/))

      allocate(vertices(2401)%branch(0:0))
      call av(2401, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_24/))

      allocate(vertices(2402)%branch(0:0))
      call av(2402, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_15/))

      allocate(vertices(2403)%branch(0:0))
      call av(2403, 0, 20, 1, 0, SFaF0, (/0, 1/), (/nGC_177, nGC_177/))

      allocate(vertices(2404)%branch(0:0))
      call av(2404, 0, 8, 1, 0, FaFS1, (/0, 1/), (/nGC_190, nGC_191/))

      allocate(vertices(2405)%branch(0:0))
      call av(2405, 0, 8, 1, 0, SUaU0, (/0, 1/), (/nGC_21/))

      allocate(vertices(2406)%branch(0:0))
      call av(2406, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_32/))

      allocate(vertices(2407)%branch(0:0))
      call av(2407, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_40/))

      allocate(vertices(2408)%branch(0:0))
      call av(2408, 0, 8, 1, 0, FSFa1, (/0, 1/), (/nGC_190, nGC_191/))

      allocate(vertices(2409)%branch(0:0))
      call av(2409, 0, 19, 1, 0, FVFa0, (/0, 1/), (/nGC_1, nGC_1/))

      allocate(vertices(2410)%branch(0:0))
      call av(2410, 0, 9, 1, 0, VVVV0, (/0, 2/), (/nGC_607, nGC_83, nGC_607/))

      allocate(vertices(2411)%branch(0:0))
      call av(2411, 0, 10, 1, 0, FFaV0, (/0, 1/), (/nGC_88, nGC_85/))

      allocate(vertices(2412)%branch(0:0))
      call av(2412, 0, 8, 1, 0, VSS0, (/0, 1/), (/nGC_631/))

      allocate(vertices(2413)%branch(0:0))
      call av(2413, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_30/))

      allocate(vertices(2414)%branch(0:0))
      call av(2414, 0, 8, 1, 0, FaSF0, (/0, 1/), (/nGC_155, nGC_156/))

      allocate(vertices(2415)%branch(0:0))
      call av(2415, 0, 8, 1, 0, SSV0, (/0, 1/), (/nGC_625/))

      allocate(vertices(2416)%branch(0:0))
      call av(2416, 0, 19, 1, 0, FVFa0, (/0, 1/), (/nGC_88, nGC_85/))

      allocate(vertices(2417)%branch(0:0))
      call av(2417, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_70/))

      allocate(vertices(2418)%branch(0:0))
      call av(2418, 0, 8, 1, 0, FaFS2, (/0, 1/), (/nGC_154/))

      allocate(vertices(2419)%branch(0:0))
      call av(2419, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_54/))

      allocate(vertices(2420)%branch(0:0))
      call av(2420, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_16/))

      allocate(vertices(2421)%branch(0:0))
      call av(2421, 0, 10, 1, 0, FFaS0, (/0, 1/), (/nGC_180, nGC_180/))

      allocate(vertices(2422)%branch(0:0))
      call av(2422, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_45/))

      allocate(vertices(2423)%branch(0:0))
      call av(2423, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_36/))

      allocate(vertices(2424)%branch(0:0))
      call av(2424, 0, 8, 1, 0, SSS0, (/0, 1/), (/nGC_114/))

      allocate(vertices(2425)%branch(0:0))
      call av(2425, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_43/))

      allocate(vertices(2426)%branch(0:0))
      call av(2426, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_43/))

      allocate(vertices(2427)%branch(0:0))
      call av(2427, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_18/))

      allocate(vertices(2428)%branch(0:0))
      call av(2428, 0, 8, 1, 0, FFaV1, (/0, 1/), (/nGC_80/))

      allocate(vertices(2429)%branch(0:0))
      call av(2429, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_66/))

      allocate(vertices(2430)%branch(0:0))
      call av(2430, 0, 8, 1, 0, SFaF0, (/0, 1/), (/nGC_165, nGC_165/))

      allocate(vertices(2431)%branch(0:0))
      call av(2431, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_48/))

      allocate(vertices(2432)%branch(0:0))
      call av(2432, 0, 20, 1, 0, VFaF1, (/0, 1/), (/nGC_80/))

      allocate(vertices(2433)%branch(0:0))
      call av(2433, 0, 8, 1, 0, SVS0, (/0, 1/), (/nGC_631/))

      allocate(vertices(2434)%branch(0:0))
      call av(2434, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_53/))

      allocate(vertices(2435)%branch(0:0))
      call av(2435, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_58/))

      allocate(vertices(2436)%branch(0:0))
      call av(2436, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_19/))

      allocate(vertices(2437)%branch(0:0))
      call av(2437, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_40/))

      allocate(vertices(2438)%branch(0:0))
      call av(2438, 0, 20, 1, 0, SFaF0, (/0, 1/), (/nGC_136, nGC_135/))

      allocate(vertices(2439)%branch(0:0))
      call av(2439, 0, 17, 1, 0, FaSF0, (/0, 1/), (/nGC_195, nGC_195/))

      allocate(vertices(2440)%branch(0:0))
      call av(2440, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_53/))

      allocate(vertices(2441)%branch(0:0))
      call av(2441, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_70/))

      allocate(vertices(2442)%branch(0:0))
      call av(2442, 0, 8, 1, 0, SFFa0, (/0, 1/), (/nGC_163, nGC_164/))

      allocate(vertices(2443)%branch(0:0))
      call av(2443, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_20/))

      allocate(vertices(2444)%branch(0:0))
      call av(2444, 0, 8, 1, 0, FFaV1, (/0, 1/), (/nGC_90/))

      allocate(vertices(2445)%branch(0:0))
      call av(2445, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_20/))

      allocate(vertices(2446)%branch(0:0))
      call av(2446, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_36/))

      allocate(vertices(2447)%branch(0:0))
      call av(2447, 0, 18, 1, 0, FaFS1, (/0, 1/), (/nGC_141, nGC_141/))

      allocate(vertices(2448)%branch(0:0))
      call av(2448, 0, 8, 1, 0, SSS0, (/0, 1/), (/nGC_122/))

      allocate(vertices(2449)%branch(0:0))
      call av(2449, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_74/))

      allocate(vertices(2450)%branch(0:0))
      call av(2450, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_22/))

      allocate(vertices(2451)%branch(0:0))
      call av(2451, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_20/))

      allocate(vertices(2452)%branch(0:0))
      call av(2452, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_50/))

      allocate(vertices(2453)%branch(0:0))
      call av(2453, 0, 8, 1, 0, SVS0, (/0, 1/), (/nGC_629/))

      allocate(vertices(2454)%branch(0:0))
      call av(2454, 0, 8, 1, 0, FaFS2, (/0, 1/), (/nGC_189/))

      allocate(vertices(2455)%branch(0:0))
      call av(2455, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_48/))

      allocate(vertices(2456)%branch(0:0))
      call av(2456, 0, 8, 1, 0, FaSF0, (/0, 1/), (/nGC_184, nGC_184/))

      allocate(vertices(2457)%branch(0:0))
      call av(2457, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_24/))

      allocate(vertices(2458)%branch(0:0))
      call av(2458, 0, 17, 1, 0, FaVF1, (/0, 1/), (/nGC_80/))

      allocate(vertices(2459)%branch(0:0))
      call av(2459, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_53/))

      allocate(vertices(2460)%branch(0:0))
      call av(2460, 0, 21, 1, 0, SFFa0, (/0, 1/), (/nGC_139, nGC_140/))

      allocate(vertices(2461)%branch(0:0))
      call av(2461, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_62/))

      allocate(vertices(2462)%branch(0:0))
      call av(2462, 0, 8, 1, 0, FFaS1, (/0, 1/), (/nGC_166/))

      allocate(vertices(2463)%branch(0:0))
      call av(2463, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_100/))

      allocate(vertices(2464)%branch(0:0))
      call av(2464, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_65/))

      allocate(vertices(2465)%branch(0:0))
      call av(2465, 0, 8, 1, 0, SFFa2, (/0, 1/), (/nGC_185/))

      allocate(vertices(2466)%branch(0:0))
      call av(2466, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_66/))

      allocate(vertices(2467)%branch(0:0))
      call av(2467, 0, 8, 1, 0, USUa0, (/0, 1/), (/nGC_76/))

      allocate(vertices(2468)%branch(0:0))
      call av(2468, 0, 8, 1, 0, VFaF1, (/0, 1/), (/nGC_90/))

      allocate(vertices(2469)%branch(0:0))
      call av(2469, 0, 8, 1, 0, UaVU0, (/0, 1/), (/nGC_623/))

      allocate(vertices(2470)%branch(0:0))
      call av(2470, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_42/))

      allocate(vertices(2471)%branch(0:0))
      call av(2471, 0, 8, 1, 0, UaUS0, (/0, 1/), (/nGC_95/))

      allocate(vertices(2472)%branch(0:0))
      call av(2472, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_36/))

      allocate(vertices(2473)%branch(0:0))
      call av(2473, 0, 21, 1, 0, SFFa0, (/0, 1/), (/nGC_178, nGC_142/))

      allocate(vertices(2474)%branch(0:0))
      call av(2474, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_42/))

      allocate(vertices(2475)%branch(0:0))
      call av(2475, 0, 8, 1, 0, SUaU0, (/0, 1/), (/nGC_71/))

      allocate(vertices(2476)%branch(0:0))
      call av(2476, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_97/))

      allocate(vertices(2477)%branch(0:0))
      call av(2477, 0, 20, 1, 0, VFaF0, (/0, 1/), (/nGC_1, nGC_1/))

      allocate(vertices(2478)%branch(0:0))
      call av(2478, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_24/))

      allocate(vertices(2479)%branch(0:0))
      call av(2479, 0, 8, 1, 0, FaFV0, (/0, 1/), (/nGC_80/))

      allocate(vertices(2480)%branch(0:0))
      call av(2480, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_49/))

      allocate(vertices(2481)%branch(0:0))
      call av(2481, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_58/))

      allocate(vertices(2482)%branch(0:0))
      call av(2482, 0, 8, 1, 0, FaVF0, (/0, 1/), (/nGC_4, nGC_4/))

      allocate(vertices(2483)%branch(0:0))
      call av(2483, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_41/))

      allocate(vertices(2484)%branch(0:0))
      call av(2484, 0, 8, 1, 0, VUUa0, (/0, 1/), (/nGC_609/))

      allocate(vertices(2485)%branch(0:0))
      call av(2485, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_43/))

      allocate(vertices(2486)%branch(0:0))
      call av(2486, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_61/))

      allocate(vertices(2487)%branch(0:0))
      call av(2487, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_66/))

      allocate(vertices(2488)%branch(0:0))
      call av(2488, 0, 8, 1, 0, SSV0, (/0, 1/), (/nGC_645/))

      allocate(vertices(2489)%branch(0:0))
      call av(2489, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_15/))

      allocate(vertices(2490)%branch(0:0))
      call av(2490, 0, 21, 1, 0, VFFa0, (/0, 1/), (/nGC_87, nGC_84/))

      allocate(vertices(2491)%branch(0:0))
      call av(2491, 0, 8, 1, 0, VFFa0, (/0, 1/), (/nGC_4, nGC_4/))

      allocate(vertices(2492)%branch(0:0))
      call av(2492, 0, 8, 1, 0, FaSF2, (/0, 1/), (/nGC_158/))

      allocate(vertices(2493)%branch(0:0))
      call av(2493, 0, 21, 1, 0, SFFa0, (/0, 1/), (/nGC_130, nGC_130/))

      allocate(vertices(2494)%branch(0:0))
      call av(2494, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_70/))

      allocate(vertices(2495)%branch(0:0))
      call av(2495, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_35/))

      allocate(vertices(2496)%branch(0:0))
      call av(2496, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_43/))

      allocate(vertices(2497)%branch(0:0))
      call av(2497, 0, 8, 1, 0, VSS0, (/0, 1/), (/nGC_619/))

      allocate(vertices(2498)%branch(0:0))
      call av(2498, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_46/))

      allocate(vertices(2499)%branch(0:0))
      call av(2499, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_41/))

      allocate(vertices(2500)%branch(0:0))
      call av(2500, 0, 9, 1, 0, VVVV0, (/0, 2/), (/nGC_83, nGC_607, nGC_607/))

      allocate(vertices(2501)%branch(0:0))
      call av(2501, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_16/))

      allocate(vertices(2502)%branch(0:0))
      call av(2502, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_48/))

      allocate(vertices(2503)%branch(0:0))
      call av(2503, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_62/))

      allocate(vertices(2504)%branch(0:0))
      call av(2504, 0, 8, 1, 0, SSS0, (/0, 1/), (/nGC_118/))

      allocate(vertices(2505)%branch(0:0))
      call av(2505, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_70/))

      allocate(vertices(2506)%branch(0:0))
      call av(2506, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_73/))

      allocate(vertices(2507)%branch(0:0))
      call av(2507, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_32/))

      allocate(vertices(2508)%branch(0:0))
      call av(2508, 0, 19, 1, 0, FVFa0, (/0, 1/), (/nGC_88, nGC_85/))

      allocate(vertices(2509)%branch(0:0))
      call av(2509, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_37/))

      allocate(vertices(2510)%branch(0:0))
      call av(2510, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_36/))

      allocate(vertices(2511)%branch(0:0))
      call av(2511, 0, 8, 1, 0, FaSF2, (/0, 1/), (/nGC_185/))

      allocate(vertices(2512)%branch(0:0))
      call av(2512, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_40/))

      allocate(vertices(2513)%branch(0:0))
      call av(2513, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_22/))

      allocate(vertices(2514)%branch(0:0))
      call av(2514, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_70/))

      allocate(vertices(2515)%branch(0:0))
      call av(2515, 0, 19, 1, 0, FVFa0, (/0, 1/), (/nGC_1, nGC_1/))

      allocate(vertices(2516)%branch(0:0))
      call av(2516, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_59/))

      allocate(vertices(2517)%branch(0:1))
      call av(2517, 0, 40, 4, 0, VUUa0, (/1, 0/), (/nGC_653/))

      call av(2517, 1, 41, 5, 0, VUUa0, (/1, 0/), (/nGC_653/))

      allocate(vertices(2518)%branch(0:0))
      call av(2518, 0, 8, 1, 0, SVS0, (/0, 1/), (/nGC_72/))

      allocate(vertices(2519)%branch(0:0))
      call av(2519, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_52/))

      allocate(vertices(2520)%branch(0:0))
      call av(2520, 0, 9, 1, 0, VVVV0, (/0, 2/), (/nGC_83, nGC_607, nGC_607/))

      allocate(vertices(2521)%branch(0:0))
      call av(2521, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_97/))

      allocate(vertices(2522)%branch(0:0))
      call av(2522, 0, 8, 1, 0, UaUS0, (/0, 1/), (/nGC_75/))

      allocate(vertices(2523)%branch(0:0))
      call av(2523, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_35/))

      allocate(vertices(2524)%branch(0:0))
      call av(2524, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_99/))

      allocate(vertices(2525)%branch(0:0))
      call av(2525, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_43/))

      allocate(vertices(2526)%branch(0:0))
      call av(2526, 0, 9, 1, 0, VVVV0, (/0, 2/), (/nGC_83, nGC_607, nGC_607/))

      allocate(vertices(2527)%branch(0:0))
      call av(2527, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_70/))

      allocate(vertices(2528)%branch(0:0))
      call av(2528, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_40/))

      allocate(vertices(2529)%branch(0:0))
      call av(2529, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_34/))

      allocate(vertices(2530)%branch(0:0))
      call av(2530, 0, 8, 1, 0, SSS0, (/0, 1/), (/nGC_112/))

      allocate(vertices(2531)%branch(0:0))
      call av(2531, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_41/))

      allocate(vertices(2532)%branch(0:0))
      call av(2532, 0, 21, 1, 0, VFFa1, (/0, 1/), (/nGC_80/))

      allocate(vertices(2533)%branch(0:0))
      call av(2533, 0, 8, 1, 0, SVV0, (/0, 1/), (/nGC_127/))

      allocate(vertices(2534)%branch(0:0))
      call av(2534, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_44/))

      allocate(vertices(2535)%branch(0:0))
      call av(2535, 0, 8, 1, 0, SVV0, (/0, 1/), (/nGC_126/))

      allocate(vertices(2536)%branch(0:0))
      call av(2536, 0, 18, 1, 0, FaFS1, (/0, 1/), (/nGC_136, nGC_135/))

      allocate(vertices(2537)%branch(0:0))
      call av(2537, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_57/))

      allocate(vertices(2538)%branch(0:0))
      call av(2538, 0, 8, 1, 0, SSS0, (/0, 1/), (/nGC_118/))

      allocate(vertices(2539)%branch(0:0))
      call av(2539, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_15/))

      allocate(vertices(2540)%branch(0:0))
      call av(2540, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_48/))

      allocate(vertices(2541)%branch(0:1))
      call av(2541, 0, 27, 3, 0, FVFa0, (/1, 0/), (/nGC_7, nGC_7/))

      call av(2541, 1, 26, 2, 0, FVFa0, (/1, 0/), (/nGC_7, nGC_7/))

      allocate(vertices(2542)%branch(0:0))
      call av(2542, 0, 8, 1, 0, VSV0, (/0, 1/), (/nGC_107/))

      allocate(vertices(2543)%branch(0:0))
      call av(2543, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_99/))

      allocate(vertices(2544)%branch(0:0))
      call av(2544, 0, 8, 1, 0, SSS0, (/0, 1/), (/nGC_114/))

      allocate(vertices(2545)%branch(0:0))
      call av(2545, 0, 17, 1, 0, FaSF0, (/0, 1/), (/nGC_180, nGC_180/))

      allocate(vertices(2546)%branch(0:0))
      call av(2546, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_50/))

      allocate(vertices(2547)%branch(0:0))
      call av(2547, 0, 8, 1, 0, UaSU0, (/0, 1/), (/nGC_77/))

      allocate(vertices(2548)%branch(0:0))
      call av(2548, 0, 8, 1, 0, FaVF1, (/0, 1/), (/nGC_80/))

      allocate(vertices(2549)%branch(0:0))
      call av(2549, 0, 8, 1, 0, FaVF0, (/0, 1/), (/nGC_89, nGC_86/))

      allocate(vertices(2550)%branch(0:0))
      call av(2550, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_70/))

      allocate(vertices(2551)%branch(0:0))
      call av(2551, 0, 20, 1, 0, SFaF0, (/0, 1/), (/nGC_196, nGC_150/))

      allocate(vertices(2552)%branch(0:0))
      call av(2552, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_65/))

      allocate(vertices(2553)%branch(0:0))
      call av(2553, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_70/))

      allocate(vertices(2554)%branch(0:0))
      call av(2554, 0, 19, 1, 0, FSFa1, (/0, 1/), (/nGC_194, nGC_615/))

      allocate(vertices(2555)%branch(0:0))
      call av(2555, 0, 8, 1, 0, FaVF0, (/0, 1/), (/nGC_4, nGC_4/))

      allocate(vertices(2556)%branch(0:0))
      call av(2556, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_27/))

      allocate(vertices(2557)%branch(0:0))
      call av(2557, 0, 8, 1, 0, SVV0, (/0, 1/), (/nGC_102/))

      allocate(vertices(2558)%branch(0:0))
      call av(2558, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_41/))

      allocate(vertices(2559)%branch(0:0))
      call av(2559, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_61/))

      allocate(vertices(2560)%branch(0:0))
      call av(2560, 0, 17, 1, 0, FaSF0, (/0, 1/), (/nGC_130, nGC_130/))

      allocate(vertices(2561)%branch(0:0))
      call av(2561, 0, 17, 1, 0, FaSF0, (/0, 1/), (/nGC_170, nGC_131/))

      allocate(vertices(2562)%branch(0:0))
      call av(2562, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_70/))

      allocate(vertices(2563)%branch(0:0))
      call av(2563, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_50/))

      allocate(vertices(2564)%branch(0:0))
      call av(2564, 0, 8, 1, 0, SSS0, (/0, 1/), (/nGC_110/))

      allocate(vertices(2565)%branch(0:0))
      call av(2565, 0, 8, 1, 0, SUaU0, (/0, 1/), (/nGC_98/))

      allocate(vertices(2566)%branch(0:0))
      call av(2566, 0, 21, 1, 0, VFFa1, (/0, 1/), (/nGC_80/))

      allocate(vertices(2567)%branch(0:0))
      call av(2567, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_27/))

      allocate(vertices(2568)%branch(0:0))
      call av(2568, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_36/))

      allocate(vertices(2569)%branch(0:0))
      call av(2569, 0, 8, 1, 0, FSFa1, (/0, 1/), (/nGC_159, nGC_160/))

      allocate(vertices(2570)%branch(0:0))
      call av(2570, 0, 21, 1, 0, SFFa0, (/0, 1/), (/nGC_183, nGC_182/))

      allocate(vertices(2571)%branch(0:0))
      call av(2571, 0, 8, 1, 0, SSS0, (/0, 1/), (/nGC_116/))

      allocate(vertices(2572)%branch(0:0))
      call av(2572, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_74/))

      allocate(vertices(2573)%branch(0:0))
      call av(2573, 0, 8, 1, 0, USUa0, (/0, 1/), (/nGC_67/))

      allocate(vertices(2574)%branch(0:0))
      call av(2574, 0, 8, 1, 0, VUaU0, (/0, 1/), (/nGC_623/))

      allocate(vertices(2575)%branch(0:0))
      call av(2575, 0, 20, 1, 0, SFaF0, (/0, 1/), (/nGC_173, nGC_173/))

      allocate(vertices(2576)%branch(0:0))
      call av(2576, 0, 18, 1, 0, FaFV1, (/0, 1/), (/nGC_88, nGC_85/))

      allocate(vertices(2577)%branch(0:0))
      call av(2577, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_35/))

      allocate(vertices(2578)%branch(0:0))
      call av(2578, 0, 8, 1, 0, SVS0, (/0, 1/), (/nGC_17/))

      allocate(vertices(2579)%branch(0:0))
      call av(2579, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_43/))

      allocate(vertices(2580)%branch(0:0))
      call av(2580, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_31/))

      allocate(vertices(2581)%branch(0:0))
      call av(2581, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_61/))

      allocate(vertices(2582)%branch(0:0))
      call av(2582, 0, 21, 1, 0, SFFa0, (/0, 1/), (/nGC_131, nGC_170/))

      allocate(vertices(2583)%branch(0:0))
      call av(2583, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_43/))

      allocate(vertices(2584)%branch(0:0))
      call av(2584, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_74/))

      allocate(vertices(2585)%branch(0:0))
      call av(2585, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_49/))

      allocate(vertices(2586)%branch(0:0))
      call av(2586, 0, 21, 1, 0, SFFa0, (/0, 1/), (/nGC_171, nGC_172/))

      allocate(vertices(2587)%branch(0:1))
      call av(2587, 0, 22, 2, 0, FaVF0, (/1, 0/), (/nGC_7, nGC_7/))

      call av(2587, 1, 23, 3, 0, FaVF0, (/1, 0/), (/nGC_7, nGC_7/))

      allocate(vertices(2588)%branch(0:0))
      call av(2588, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_16/))

      allocate(vertices(2589)%branch(0:0))
      call av(2589, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_36/))

      allocate(vertices(2590)%branch(0:0))
      call av(2590, 0, 8, 1, 0, SFaF2, (/0, 1/), (/nGC_166/))

      allocate(vertices(2591)%branch(0:0))
      call av(2591, 0, 8, 1, 0, SSV0, (/0, 1/), (/nGC_631/))

      allocate(vertices(2592)%branch(0:0))
      call av(2592, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_65/))

      allocate(vertices(2593)%branch(0:0))
      call av(2593, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_32/))

      allocate(vertices(2594)%branch(0:0))
      call av(2594, 0, 8, 1, 0, VUUa0, (/0, 1/), (/nGC_605/))

      allocate(vertices(2595)%branch(0:0))
      call av(2595, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_73/))

      allocate(vertices(2596)%branch(0:0))
      call av(2596, 0, 17, 1, 0, FaVF1, (/0, 1/), (/nGC_80/))

      allocate(vertices(2597)%branch(0:0))
      call av(2597, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_45/))

      allocate(vertices(2598)%branch(0:0))
      call av(2598, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_50/))

      allocate(vertices(2599)%branch(0:0))
      call av(2599, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_15/))

      allocate(vertices(2600)%branch(0:0))
      call av(2600, 0, 8, 1, 0, SSS0, (/0, 1/), (/nGC_119/))

      allocate(vertices(2601)%branch(0:0))
      call av(2601, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_66/))

      allocate(vertices(2602)%branch(0:0))
      call av(2602, 0, 8, 1, 0, SSS0, (/0, 1/), (/nGC_112/))

      allocate(vertices(2603)%branch(0:0))
      call av(2603, 0, 8, 1, 0, UUaV0, (/0, 1/), (/nGC_605/))

      allocate(vertices(2604)%branch(0:0))
      call av(2604, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_58/))

      allocate(vertices(2605)%branch(0:0))
      call av(2605, 0, 19, 1, 0, FSFa1, (/0, 1/), (/nGC_144, nGC_143/))

      allocate(vertices(2606)%branch(0:0))
      call av(2606, 0, 8, 1, 0, VSV0, (/0, 1/), (/nGC_102/))

      allocate(vertices(2607)%branch(0:0))
      call av(2607, 0, 8, 1, 0, SVV0, (/0, 1/), (/nGC_129/))

      allocate(vertices(2608)%branch(0:0))
      call av(2608, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_16/))

      allocate(vertices(2609)%branch(0:0))
      call av(2609, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_36/))

      allocate(vertices(2610)%branch(0:0))
      call av(2610, 0, 20, 1, 0, VFaF0, (/0, 1/), (/nGC_87, nGC_84/))

      allocate(vertices(2611)%branch(0:0))
      call av(2611, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_19/))

      allocate(vertices(2612)%branch(0:0))
      call av(2612, 0, 8, 1, 0, FaFS1, (/0, 1/), (/nGC_157, nGC_157/))

      allocate(vertices(2613)%branch(0:0))
      call av(2613, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_74/))

      allocate(vertices(2614)%branch(0:0))
      call av(2614, 0, 8, 1, 0, SVS0, (/0, 1/), (/nGC_68/))

      allocate(vertices(2615)%branch(0:0))
      call av(2615, 0, 8, 1, 0, VUaU0, (/0, 1/), (/nGC_605/))

      allocate(vertices(2616)%branch(0:0))
      call av(2616, 0, 8, 1, 0, VVS0, (/0, 1/), (/nGC_107/))

      allocate(vertices(2617)%branch(0:0))
      call av(2617, 0, 8, 1, 0, SVS0, (/0, 1/), (/nGC_91/))

      allocate(vertices(2618)%branch(0:0))
      call av(2618, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_70/))

      allocate(vertices(2619)%branch(0:0))
      call av(2619, 0, 8, 1, 0, SSV0, (/0, 1/), (/nGC_68/))

      allocate(vertices(2620)%branch(0:0))
      call av(2620, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_20/))

      allocate(vertices(2621)%branch(0:0))
      call av(2621, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_28/))

      allocate(vertices(2622)%branch(0:0))
      call av(2622, 0, 8, 1, 0, UaUS0, (/0, 1/), (/nGC_77/))

      allocate(vertices(2623)%branch(0:0))
      call av(2623, 0, 8, 1, 0, SSV0, (/0, 1/), (/nGC_625/))

      allocate(vertices(2624)%branch(0:0))
      call av(2624, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_57/))

      allocate(vertices(2625)%branch(0:0))
      call av(2625, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_20/))

      allocate(vertices(2626)%branch(0:0))
      call av(2626, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_15/))

      allocate(vertices(2627)%branch(0:0))
      call av(2627, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_49/))

      allocate(vertices(2628)%branch(0:0))
      call av(2628, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_62/))

      allocate(vertices(2629)%branch(0:0))
      call av(2629, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_101/))

      allocate(vertices(2630)%branch(0:0))
      call av(2630, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_39/))

      allocate(vertices(2631)%branch(0:0))
      call av(2631, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_53/))

      allocate(vertices(2632)%branch(0:0))
      call av(2632, 0, 8, 1, 0, SSS0, (/0, 1/), (/nGC_108/))

      allocate(vertices(2633)%branch(0:0))
      call av(2633, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_14/))

      allocate(vertices(2634)%branch(0:0))
      call av(2634, 0, 8, 1, 0, SFFa2, (/0, 1/), (/nGC_166/))

      allocate(vertices(2635)%branch(0:0))
      call av(2635, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_16/))

      allocate(vertices(2636)%branch(0:0))
      call av(2636, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_40/))

      allocate(vertices(2637)%branch(0:0))
      call av(2637, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_70/))

      allocate(vertices(2638)%branch(0:0))
      call av(2638, 0, 8, 1, 0, VVV0, (/0, 1/), (/nGC_623/))

      allocate(vertices(2639)%branch(0:0))
      call av(2639, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_43/))

      allocate(vertices(2640)%branch(0:0))
      call av(2640, 0, 18, 1, 0, FaFS1, (/0, 1/), (/nGC_180, nGC_180/))

      allocate(vertices(2641)%branch(0:0))
      call av(2641, 0, 10, 1, 0, FFaS0, (/0, 1/), (/nGC_137, nGC_137/))

      allocate(vertices(2642)%branch(0:0))
      call av(2642, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_27/))

      allocate(vertices(2643)%branch(0:0))
      call av(2643, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_53/))

      allocate(vertices(2644)%branch(0:0))
      call av(2644, 0, 9, 1, 0, VVVV0, (/0, 2/), (/nGC_5, nGC_643, nGC_5/))

      allocate(vertices(2645)%branch(0:0))
      call av(2645, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_41/))

      allocate(vertices(2646)%branch(0:0))
      call av(2646, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_70/))

      allocate(vertices(2647)%branch(0:0))
      call av(2647, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_70/))

      allocate(vertices(2648)%branch(0:0))
      call av(2648, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_48/))

      allocate(vertices(2649)%branch(0:0))
      call av(2649, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_70/))

      allocate(vertices(2650)%branch(0:0))
      call av(2650, 0, 8, 1, 0, UaUS0, (/0, 1/), (/nGC_21/))

      allocate(vertices(2651)%branch(0:0))
      call av(2651, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_18/))

      allocate(vertices(2652)%branch(0:0))
      call av(2652, 0, 8, 1, 0, VSV0, (/0, 1/), (/nGC_107/))

      allocate(vertices(2653)%branch(0:0))
      call av(2653, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_28/))

      allocate(vertices(2654)%branch(0:0))
      call av(2654, 0, 8, 1, 0, SSS0, (/0, 1/), (/nGC_109/))

      allocate(vertices(2655)%branch(0:0))
      call av(2655, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_59/))

      allocate(vertices(2656)%branch(0:0))
      call av(2656, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_33/))

      allocate(vertices(2657)%branch(0:0))
      call av(2657, 0, 8, 1, 0, SSS0, (/0, 1/), (/nGC_110/))

      allocate(vertices(2658)%branch(0:0))
      call av(2658, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_20/))

      allocate(vertices(2659)%branch(0:0))
      call av(2659, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_36/))

      allocate(vertices(2660)%branch(0:0))
      call av(2660, 0, 8, 1, 0, VVS0, (/0, 1/), (/nGC_124/))

      allocate(vertices(2661)%branch(0:0))
      call av(2661, 0, 20, 1, 0, SFaF0, (/0, 1/), (/nGC_183, nGC_182/))

      allocate(vertices(2662)%branch(0:0))
      call av(2662, 0, 8, 1, 0, FaSF0, (/0, 1/), (/nGC_165, nGC_165/))

      allocate(vertices(2663)%branch(0:0))
      call av(2663, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_73/))

      allocate(vertices(2664)%branch(0:0))
      call av(2664, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_32/))

      allocate(vertices(2665)%branch(0:0))
      call av(2665, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_16/))

      allocate(vertices(2666)%branch(0:0))
      call av(2666, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_57/))

      allocate(vertices(2667)%branch(0:0))
      call av(2667, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_97/))

      allocate(vertices(2668)%branch(0:0))
      call av(2668, 0, 8, 1, 0, VSS0, (/0, 1/), (/nGC_68/))

      allocate(vertices(2669)%branch(0:0))
      call av(2669, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_70/))

      allocate(vertices(2670)%branch(0:0))
      call av(2670, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_16/))

      allocate(vertices(2671)%branch(0:0))
      call av(2671, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_37/))

      allocate(vertices(2672)%branch(0:0))
      call av(2672, 0, 8, 1, 0, VVS0, (/0, 1/), (/nGC_102/))

      allocate(vertices(2673)%branch(0:0))
      call av(2673, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_61/))

      allocate(vertices(2674)%branch(0:0))
      call av(2674, 0, 8, 1, 0, FFaS2, (/0, 1/), (/nGC_185/))

      allocate(vertices(2675)%branch(0:0))
      call av(2675, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_65/))

      allocate(vertices(2676)%branch(0:0))
      call av(2676, 0, 17, 1, 0, FaSF0, (/0, 1/), (/nGC_171, nGC_172/))

      allocate(vertices(2677)%branch(0:0))
      call av(2677, 0, 8, 1, 0, FaSF1, (/0, 1/), (/nGC_185/))

      allocate(vertices(2678)%branch(0:0))
      call av(2678, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_40/))

      allocate(vertices(2679)%branch(0:0))
      call av(2679, 0, 8, 1, 0, UVUa0, (/0, 1/), (/nGC_623/))

      allocate(vertices(2680)%branch(0:0))
      call av(2680, 0, 8, 1, 0, SFaF0, (/0, 1/), (/nGC_184, nGC_184/))

      allocate(vertices(2681)%branch(0:0))
      call av(2681, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_36/))

      allocate(vertices(2682)%branch(0:0))
      call av(2682, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_47/))

      allocate(vertices(2683)%branch(0:0))
      call av(2683, 0, 8, 1, 0, VFaF0, (/0, 1/), (/nGC_4, nGC_4/))

      allocate(vertices(2684)%branch(0:0))
      call av(2684, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_19/))

      allocate(vertices(2685)%branch(0:0))
      call av(2685, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_16/))

      allocate(vertices(2686)%branch(0:0))
      call av(2686, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_35/))

      allocate(vertices(2687)%branch(0:0))
      call av(2687, 0, 10, 1, 0, FFaS0, (/0, 1/), (/nGC_145, nGC_145/))

      allocate(vertices(2688)%branch(0:0))
      call av(2688, 0, 19, 1, 0, FVFa1, (/0, 1/), (/nGC_80/))

      allocate(vertices(2689)%branch(0:0))
      call av(2689, 0, 9, 1, 0, VVVV0, (/0, 2/), (/nGC_83, nGC_607, nGC_607/))

      allocate(vertices(2690)%branch(0:0))
      call av(2690, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_24/))

      allocate(vertices(2691)%branch(0:0))
      call av(2691, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_100/))

      allocate(vertices(2692)%branch(0:0))
      call av(2692, 0, 8, 1, 0, SUaU0, (/0, 1/), (/nGC_93/))

      allocate(vertices(2693)%branch(0:0))
      call av(2693, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_20/))

      allocate(vertices(2694)%branch(0:0))
      call av(2694, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_57/))

      allocate(vertices(2695)%branch(0:0))
      call av(2695, 0, 10, 1, 0, FFaS0, (/0, 1/), (/nGC_179, nGC_639/))

      allocate(vertices(2696)%branch(0:0))
      call av(2696, 0, 8, 1, 0, SFFa0, (/0, 1/), (/nGC_159, nGC_160/))

      allocate(vertices(2697)%branch(0:1))
      call av(2697, 0, 36, 4, 0, UUaV0, (/1, 0/), (/nGC_653/))

      call av(2697, 1, 37, 5, 0, UUaV0, (/1, 0/), (/nGC_653/))

      allocate(vertices(2698)%branch(0:0))
      call av(2698, 0, 8, 1, 0, FSFa2, (/0, 1/), (/nGC_166/))

      allocate(vertices(2699)%branch(0:0))
      call av(2699, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_22/))

      allocate(vertices(2700)%branch(0:0))
      call av(2700, 0, 8, 1, 0, VSS0, (/0, 1/), (/nGC_631/))

      allocate(vertices(2701)%branch(0:0))
      call av(2701, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_70/))

      allocate(vertices(2702)%branch(0:0))
      call av(2702, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_16/))

      allocate(vertices(2703)%branch(0:0))
      call av(2703, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_43/))

      allocate(vertices(2704)%branch(0:0))
      call av(2704, 0, 8, 1, 0, SSV0, (/0, 1/), (/nGC_69/))

      allocate(vertices(2705)%branch(0:0))
      call av(2705, 0, 20, 1, 0, SFaF0, (/0, 1/), (/nGC_150, nGC_196/))

      allocate(vertices(0)%branchCT(0:1))
      call avCT(0, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2605/))

      call avCT(0, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2606/))

      allocate(vertices(1)%branchCT(0:3))
      call avCT(1, 0, 28, 2, 0, VFaF0, (/3, 0/), (/nGC_2607, nGC_2609/))

      call avCT(1, 1, 28, 2, 0, VFaF0, (/1, 2/), (/nGC_2608, nGC_2610/))

      call avCT(1, 2, 29, 3, 0, VFaF0, (/3, 0/), (/nGC_2607, nGC_2609/))

      call avCT(1, 3, 29, 3, 0, VFaF0, (/1, 2/), (/nGC_2608, nGC_2610/))

      allocate(vertices(2706)%branchCT(0:0))
      call avCT(2706, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2611, nGC_2612/))

      allocate(vertices(3)%branchCT(0:1))
      call avCT(3, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2613/))

      call avCT(3, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2614/))

      allocate(vertices(4)%branchCT(0:0))
      call avCT(4, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2615/))

      allocate(vertices(5)%branchCT(0:1))
      call avCT(5, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2616/))

      call avCT(5, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2617/))

      allocate(vertices(6)%branchCT(0:1))
      call avCT(6, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_2618/))

      call avCT(6, 1, 8, 1, 0, VSS0, (/0, 1/), (/nGC_2619/))

      allocate(vertices(713)%branchCT(0:1))
      call avCT(713, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_2620/))

      call avCT(713, 1, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2621/))

      allocate(vertices(2086)%branchCT(0:1))
      call avCT(2086, 0, 17, 1, 0, FaVF1, (/0, 3/), (/nGC_2622/))

      call avCT(2086, 1, 17, 1, 0, FaVF1, (/2, 1/), (/nGC_2623/))

      allocate(vertices(1031)%branchCT(0:0))
      call avCT(1031, 0, 8, 1, 0, UUaS0, (/0, 3/), (/nGC_2624/))

      allocate(vertices(2707)%branchCT(0:0))
      call avCT(2707, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2625/))

      allocate(vertices(2)%branchCT(0:1))
      call avCT(2, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2626/))

      call avCT(2, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2627/))

      allocate(vertices(11)%branchCT(0:1))
      call avCT(11, 0, 18, 1, 0, FaFV0, (/0, 3/), (/nGC_2622/))

      call avCT(11, 1, 18, 1, 0, FaFV0, (/2, 1/), (/nGC_2623/))

      allocate(vertices(2708)%branchCT(0:0))
      call avCT(2708, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2628/))

      allocate(vertices(13)%branchCT(0:0))
      call avCT(13, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2629/))

      allocate(vertices(14)%branchCT(0:1))
      call avCT(14, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_2630/))

      call avCT(14, 1, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2631/))

      allocate(vertices(15)%branchCT(0:0))
      call avCT(15, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2632/))

      allocate(vertices(636)%branchCT(0:0))
      call avCT(636, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2633/))

      allocate(vertices(17)%branchCT(0:1))
      call avCT(17, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2613/))

      call avCT(17, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2614/))

      allocate(vertices(18)%branchCT(0:0))
      call avCT(18, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2629/))

      allocate(vertices(417)%branchCT(0:0))
      call avCT(417, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_2634/))

      allocate(vertices(2709)%branchCT(0:0))
      call avCT(2709, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2635/))

      allocate(vertices(19)%branchCT(0:0))
      call avCT(19, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_2636, nGC_2637/))

      allocate(vertices(2710)%branchCT(0:0))
      call avCT(2710, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2628/))

      allocate(vertices(2711)%branchCT(0:0))
      call avCT(2711, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2638/))

      allocate(vertices(21)%branchCT(0:1))
      call avCT(21, 0, 17, 1, 0, FaSF0, (/0, 3/), (/nGC_2639, nGC_2641/))

      call avCT(21, 1, 17, 1, 0, FaSF0, (/2, 1/), (/nGC_2640, nGC_2642/))

      allocate(vertices(22)%branchCT(0:1))
      call avCT(22, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2643/))

      call avCT(22, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2644/))

      allocate(vertices(2530)%branchCT(0:1))
      call avCT(2530, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2645/))

      call avCT(2530, 1, 8, 1, 0, SSS0, (/0, 1/), (/nGC_2646/))

      allocate(vertices(24)%branchCT(0:1))
      call avCT(24, 0, 21, 1, 0, VFFa0, (/0, 3/), (/nGC_2647, nGC_2649/))

      call avCT(24, 1, 21, 1, 0, VFFa0, (/2, 1/), (/nGC_2648, nGC_2650/))

      allocate(vertices(1727)%branchCT(0:0))
      call avCT(1727, 0, 8, 1, 0, FaFV0, (/0, 3/), (/nGC_2634/))

      allocate(vertices(26)%branchCT(0:1))
      call avCT(26, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_2651/))

      call avCT(26, 1, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2652/))

      allocate(vertices(27)%branchCT(0:1))
      call avCT(27, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2653/))

      call avCT(27, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2654/))

      allocate(vertices(28)%branchCT(0:0))
      call avCT(28, 0, 8, 1, 0, UUaV0, (/0, 3/), (/nGC_2655/))

      allocate(vertices(2398)%branchCT(0:1))
      call avCT(2398, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_2630/))

      call avCT(2398, 1, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2631/))

      allocate(vertices(29)%branchCT(0:1))
      call avCT(29, 0, 21, 1, 0, VFFa0, (/0, 3/), (/nGC_2656, nGC_2658/))

      call avCT(29, 1, 21, 1, 0, VFFa0, (/2, 1/), (/nGC_2657, nGC_2659/))

      allocate(vertices(848)%branchCT(0:1))
      call avCT(848, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_2660/))

      call avCT(848, 1, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2661/))

      allocate(vertices(2274)%branchCT(0:0))
      call avCT(2274, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2632/))

      allocate(vertices(30)%branchCT(0:1))
      call avCT(30, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2662/))

      call avCT(30, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2663/))

      allocate(vertices(31)%branchCT(0:0))
      call avCT(31, 0, 8, 1, 0, FSFa0, (/0, 3/), (/nGC_2664/))

      allocate(vertices(163)%branchCT(0:0))
      call avCT(163, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2633/))

      allocate(vertices(33)%branchCT(0:1))
      call avCT(33, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2626/))

      call avCT(33, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2627/))

      allocate(vertices(2712)%branchCT(0:0))
      call avCT(2712, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2665/))

      allocate(vertices(34)%branchCT(0:1))
      call avCT(34, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_2666/))

      call avCT(34, 1, 8, 1, 0, SSV0, (/0, 1/), (/nGC_2667/))

      allocate(vertices(2713)%branchCT(0:0))
      call avCT(2713, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2625/))

      allocate(vertices(2714)%branchCT(0:0))
      call avCT(2714, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2668/))

      allocate(vertices(2715)%branchCT(0:0))
      call avCT(2715, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2669/))

      allocate(vertices(35)%branchCT(0:1))
      call avCT(35, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2670/))

      call avCT(35, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2671/))

      allocate(vertices(194)%branchCT(0:2))
      call avCT(194, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_2672, nGC_2675/))

      call avCT(194, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_2673, nGC_2676/))

      call avCT(194, 2, 21, 1, 0, SFFa0, (/0, 1/), (/nGC_2674, nGC_2677/))

      allocate(vertices(37)%branchCT(0:0))
      call avCT(37, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2678/))

      allocate(vertices(38)%branchCT(0:0))
      call avCT(38, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2633/))

      allocate(vertices(2716)%branchCT(0:0))
      call avCT(2716, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_2679/))

      allocate(vertices(39)%branchCT(0:1))
      call avCT(39, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2653/))

      call avCT(39, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2654/))

      allocate(vertices(1218)%branchCT(0:1))
      call avCT(1218, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2653/))

      call avCT(1218, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2654/))

      allocate(vertices(2717)%branchCT(0:0))
      call avCT(2717, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2680/))

      allocate(vertices(2718)%branchCT(0:0))
      call avCT(2718, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2681/))

      allocate(vertices(41)%branchCT(0:0))
      call avCT(41, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_2682/))

      allocate(vertices(42)%branchCT(0:0))
      call avCT(42, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2683/))

      allocate(vertices(249)%branchCT(0:1))
      call avCT(249, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_2684/))

      call avCT(249, 1, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2685/))

      allocate(vertices(45)%branchCT(0:0))
      call avCT(45, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2686/))

      allocate(vertices(46)%branchCT(0:0))
      call avCT(46, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2687/))

      allocate(vertices(2719)%branchCT(0:0))
      call avCT(2719, 0, 8, 1, 0, FVFa1, (/0, 3/), (/nGC_2688/))

      allocate(vertices(2720)%branchCT(0:0))
      call avCT(2720, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2689/))

      allocate(vertices(48)%branchCT(0:0))
      call avCT(48, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2690/))

      allocate(vertices(49)%branchCT(0:0))
      call avCT(49, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2691/))

      allocate(vertices(1241)%branchCT(0:1))
      call avCT(1241, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2613/))

      call avCT(1241, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2614/))

      allocate(vertices(51)%branchCT(0:0))
      call avCT(51, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2632/))

      allocate(vertices(2721)%branchCT(0:0))
      call avCT(2721, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_2692/))

      allocate(vertices(2722)%branchCT(0:0))
      call avCT(2722, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2693/))

      allocate(vertices(53)%branchCT(0:1))
      call avCT(53, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2694/))

      call avCT(53, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2695/))

      allocate(vertices(310)%branchCT(0:0))
      call avCT(310, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_2696/))

      allocate(vertices(55)%branchCT(0:1))
      call avCT(55, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2616/))

      call avCT(55, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2617/))

      allocate(vertices(8)%branchCT(0:1))
      call avCT(8, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2697/))

      call avCT(8, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2698/))

      allocate(vertices(57)%branchCT(0:1))
      call avCT(57, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_2660/))

      call avCT(57, 1, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2661/))

      allocate(vertices(2723)%branchCT(0:0))
      call avCT(2723, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2625/))

      allocate(vertices(2724)%branchCT(0:0))
      call avCT(2724, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2699/))

      allocate(vertices(331)%branchCT(0:0))
      call avCT(331, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2700/))

      allocate(vertices(59)%branchCT(0:0))
      call avCT(59, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2615/))

      allocate(vertices(2725)%branchCT(0:0))
      call avCT(2725, 0, 8, 1, 0, UaUS0, (/0, 3/), (/nGC_2701/))

      allocate(vertices(60)%branchCT(0:1))
      call avCT(60, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2702, nGC_2704/))

      call avCT(60, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2703, nGC_2705/))

      allocate(vertices(2276)%branchCT(0:1))
      call avCT(2276, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_2684/))

      call avCT(2276, 1, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2685/))

      allocate(vertices(61)%branchCT(0:0))
      call avCT(61, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_2706, nGC_2707/))

      allocate(vertices(374)%branchCT(0:1))
      call avCT(374, 0, 8, 1, 0, SUUa0, (/0, 3/), (/nGC_2465/))

      call avCT(374, 1, 8, 1, 0, SUUa0, (/0, 1/), (/nGC_2708/))

      allocate(vertices(63)%branchCT(0:1))
      call avCT(63, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_2709/))

      call avCT(63, 1, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2710/))

      allocate(vertices(2726)%branchCT(0:0))
      call avCT(2726, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_2711/))

      allocate(vertices(2727)%branchCT(0:0))
      call avCT(2727, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2712/))

      allocate(vertices(64)%branchCT(0:1))
      call avCT(64, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_2713/))

      call avCT(64, 1, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2714/))

      allocate(vertices(65)%branchCT(0:1))
      call avCT(65, 0, 8, 1, 0, UUaS0, (/0, 3/), (/nGC_2472/))

      call avCT(65, 1, 8, 1, 0, UUaS0, (/0, 1/), (/nGC_2715/))

      allocate(vertices(2728)%branchCT(0:0))
      call avCT(2728, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2665/))

      allocate(vertices(66)%branchCT(0:3))
      call avCT(66, 0, 11, 2, 0, FFaV0, (/3, 0/), (/nGC_2607, nGC_2609/))

      call avCT(66, 1, 11, 2, 0, FFaV0, (/1, 2/), (/nGC_2608, nGC_2610/))

      call avCT(66, 2, 12, 3, 0, FFaV0, (/3, 0/), (/nGC_2607, nGC_2609/))

      call avCT(66, 3, 12, 3, 0, FFaV0, (/1, 2/), (/nGC_2608, nGC_2610/))

      allocate(vertices(2337)%branchCT(0:1))
      call avCT(2337, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2716/))

      call avCT(2337, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2717/))

      allocate(vertices(2729)%branchCT(0:0))
      call avCT(2729, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2625/))

      allocate(vertices(410)%branchCT(0:1))
      call avCT(410, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_2684/))

      call avCT(410, 1, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2685/))

      allocate(vertices(2730)%branchCT(0:0))
      call avCT(2730, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2718/))

      allocate(vertices(70)%branchCT(0:1))
      call avCT(70, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_2660/))

      call avCT(70, 1, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2661/))

      allocate(vertices(71)%branchCT(0:2))
      call avCT(71, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_2719, nGC_2722/))

      call avCT(71, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_2720, nGC_2723/))

      call avCT(71, 2, 18, 1, 0, FaFS1, (/0, 1/), (/nGC_2721, nGC_2724/))

      allocate(vertices(72)%branchCT(0:0))
      call avCT(72, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2725, nGC_2726, nGC_2726&
      /))

      allocate(vertices(73)%branchCT(0:0))
      call avCT(73, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2727/))

      allocate(vertices(74)%branchCT(0:1))
      call avCT(74, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_2660/))

      call avCT(74, 1, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2661/))

      allocate(vertices(2731)%branchCT(0:0))
      call avCT(2731, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_2728/))

      allocate(vertices(75)%branchCT(0:0))
      call avCT(75, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2700/))

      allocate(vertices(2732)%branchCT(0:0))
      call avCT(2732, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_2688/))

      allocate(vertices(2733)%branchCT(0:0))
      call avCT(2733, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2680/))

      allocate(vertices(78)%branchCT(0:2))
      call avCT(78, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_2729, nGC_2732/))

      call avCT(78, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_2730, nGC_2733/))

      call avCT(78, 2, 20, 1, 0, SFaF0, (/0, 1/), (/nGC_2731, nGC_2734/))

      allocate(vertices(2734)%branchCT(0:0))
      call avCT(2734, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2718/))

      allocate(vertices(79)%branchCT(0:2))
      call avCT(79, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_2722, nGC_2719/))

      call avCT(79, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_2723, nGC_2720/))

      call avCT(79, 2, 20, 1, 0, SFaF0, (/0, 1/), (/nGC_2724, nGC_2721/))

      allocate(vertices(2735)%branchCT(0:0))
      call avCT(2735, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2635/))

      allocate(vertices(2736)%branchCT(0:0))
      call avCT(2736, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2625/))

      allocate(vertices(80)%branchCT(0:1))
      call avCT(80, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2653/))

      call avCT(80, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2654/))

      allocate(vertices(81)%branchCT(0:1))
      call avCT(81, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_2735/))

      call avCT(81, 1, 8, 1, 0, SVS0, (/0, 1/), (/nGC_2736/))

      allocate(vertices(2737)%branchCT(0:0))
      call avCT(2737, 0, 13, 1, 0, VV0, (/0, 2/), (/nGC_2737, nGC_2738,        &
      nGC_2739/))

      allocate(vertices(83)%branchCT(0:1))
      call avCT(83, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2740/))

      call avCT(83, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2741/))

      allocate(vertices(84)%branchCT(0:0))
      call avCT(84, 0, 8, 1, 0, FaFS1, (/0, 3/), (/nGC_2742, nGC_2742/))

      allocate(vertices(2738)%branchCT(0:0))
      call avCT(2738, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2743, nGC_2744/))

      allocate(vertices(86)%branchCT(0:0))
      call avCT(86, 0, 8, 1, 0, FSFa1, (/0, 3/), (/nGC_2745, nGC_2745/))

      allocate(vertices(522)%branchCT(0:0))
      call avCT(522, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2746/))

      allocate(vertices(1739)%branchCT(0:0))
      call avCT(1739, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2747/))

      allocate(vertices(530)%branchCT(0:0))
      call avCT(530, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2748/))

      allocate(vertices(90)%branchCT(0:0))
      call avCT(90, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2749, nGC_2750, nGC_2749&
      /))

      allocate(vertices(2739)%branchCT(0:0))
      call avCT(2739, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2693/))

      allocate(vertices(91)%branchCT(0:1))
      call avCT(91, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2751/))

      call avCT(91, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2752/))

      allocate(vertices(2740)%branchCT(0:0))
      call avCT(2740, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_2728/))

      allocate(vertices(2741)%branchCT(0:0))
      call avCT(2741, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2628/))

      allocate(vertices(2202)%branchCT(0:1))
      call avCT(2202, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2626/))

      call avCT(2202, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2627/))

      allocate(vertices(95)%branchCT(0:1))
      call avCT(95, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2662/))

      call avCT(95, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2663/))

      allocate(vertices(96)%branchCT(0:1))
      call avCT(96, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2753, nGC_2755/))

      call avCT(96, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2754, nGC_2756/))

      allocate(vertices(2243)%branchCT(0:1))
      call avCT(2243, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2716/))

      call avCT(2243, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2717/))

      allocate(vertices(1204)%branchCT(0:0))
      call avCT(1204, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2757/))

      allocate(vertices(2742)%branchCT(0:0))
      call avCT(2742, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2693/))

      allocate(vertices(97)%branchCT(0:1))
      call avCT(97, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2758/))

      call avCT(97, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2759/))

      allocate(vertices(98)%branchCT(0:0))
      call avCT(98, 0, 8, 1, 0, VUaU0, (/0, 3/), (/nGC_2655/))

      allocate(vertices(99)%branchCT(0:1))
      call avCT(99, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2760/))

      call avCT(99, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2761/))

      allocate(vertices(100)%branchCT(0:0))
      call avCT(100, 0, 8, 1, 0, FFaV0, (/0, 3/), (/nGC_2762, nGC_2763/))

      allocate(vertices(101)%branchCT(0:1))
      call avCT(101, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2764/))

      call avCT(101, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2765/))

      allocate(vertices(2286)%branchCT(0:1))
      call avCT(2286, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2766/))

      call avCT(2286, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2767/))

      allocate(vertices(102)%branchCT(0:1))
      call avCT(102, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_2768, nGC_2768/))

      call avCT(102, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_2769, nGC_2769/))

      allocate(vertices(103)%branchCT(0:1))
      call avCT(103, 0, 18, 1, 0, FaFV1, (/0, 3/), (/nGC_2770, nGC_2772/))

      call avCT(103, 1, 18, 1, 0, FaFV1, (/2, 1/), (/nGC_2771, nGC_2773/))

      allocate(vertices(2743)%branchCT(0:0))
      call avCT(2743, 0, 8, 1, 0, VFFa1, (/0, 3/), (/nGC_2688/))

      allocate(vertices(2178)%branchCT(0:2))
      call avCT(2178, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2774, nGC_2777/))

      call avCT(2178, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2775, nGC_2778/))

      call avCT(2178, 2, 10, 1, 0, FFaS0, (/0, 1/), (/nGC_2776, nGC_2779/))

      allocate(vertices(2744)%branchCT(0:0))
      call avCT(2744, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2718/))

      allocate(vertices(104)%branchCT(0:1))
      call avCT(104, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2758/))

      call avCT(104, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2759/))

      allocate(vertices(105)%branchCT(0:0))
      call avCT(105, 0, 8, 1, 0, UaVU0, (/0, 3/), (/nGC_2655/))

      allocate(vertices(916)%branchCT(0:0))
      call avCT(916, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2700/))

      allocate(vertices(2745)%branchCT(0:0))
      call avCT(2745, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2699/))

      allocate(vertices(2205)%branchCT(0:0))
      call avCT(2205, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2747/))

      allocate(vertices(2746)%branchCT(0:0))
      call avCT(2746, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2665/))

      allocate(vertices(107)%branchCT(0:0))
      call avCT(107, 0, 8, 1, 0, UaUS0, (/0, 3/), (/nGC_2780/))

      allocate(vertices(108)%branchCT(0:0))
      call avCT(108, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2746/))

      allocate(vertices(109)%branchCT(0:2))
      call avCT(109, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_2722, nGC_2719/))

      call avCT(109, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_2723, nGC_2720/))

      call avCT(109, 2, 18, 1, 0, FaFS1, (/0, 1/), (/nGC_2724, nGC_2721/))

      allocate(vertices(670)%branchCT(0:1))
      call avCT(670, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2781/))

      call avCT(670, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(20)%branchCT(0:1))
      call avCT(20, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2670/))

      call avCT(20, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2671/))

      allocate(vertices(2747)%branchCT(0:0))
      call avCT(2747, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2638/))

      allocate(vertices(680)%branchCT(0:1))
      call avCT(680, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_2709/))

      call avCT(680, 1, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2710/))

      allocate(vertices(2748)%branchCT(0:0))
      call avCT(2748, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2638/))

      allocate(vertices(2749)%branchCT(0:0))
      call avCT(2749, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2638/))

      allocate(vertices(2750)%branchCT(0:0))
      call avCT(2750, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_2783/))

      allocate(vertices(115)%branchCT(0:1))
      call avCT(115, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2784/))

      call avCT(115, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(116)%branchCT(0:0))
      call avCT(116, 0, 8, 1, 0, UUaS0, (/0, 3/), (/nGC_2624/))

      allocate(vertices(117)%branchCT(0:0))
      call avCT(117, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2748/))

      allocate(vertices(118)%branchCT(0:1))
      call avCT(118, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_2786/))

      call avCT(118, 1, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2787/))

      allocate(vertices(119)%branchCT(0:1))
      call avCT(119, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_2788/))

      call avCT(119, 1, 8, 1, 0, VSV0, (/0, 1/), (/nGC_2789/))

      allocate(vertices(2751)%branchCT(0:0))
      call avCT(2751, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2665/))

      allocate(vertices(120)%branchCT(0:1))
      call avCT(120, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2697/))

      call avCT(120, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2698/))

      allocate(vertices(121)%branchCT(0:1))
      call avCT(121, 0, 19, 1, 0, FVFa0, (/0, 3/), (/nGC_2770, nGC_2772/))

      call avCT(121, 1, 19, 1, 0, FVFa0, (/2, 1/), (/nGC_2771, nGC_2773/))

      allocate(vertices(2752)%branchCT(0:0))
      call avCT(2752, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(122)%branchCT(0:1))
      call avCT(122, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2791/))

      call avCT(122, 1, 8, 1, 0, SSS0, (/0, 1/), (/nGC_2792/))

      allocate(vertices(737)%branchCT(0:1))
      call avCT(737, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_2630/))

      call avCT(737, 1, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2631/))

      allocate(vertices(124)%branchCT(0:1))
      call avCT(124, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2793/))

      call avCT(124, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(2753)%branchCT(0:0))
      call avCT(2753, 0, 8, 1, 0, SUUa0, (/0, 3/), (/nGC_2795/))

      allocate(vertices(1736)%branchCT(0:1))
      call avCT(1736, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2796/))

      call avCT(1736, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(2754)%branchCT(0:0))
      call avCT(2754, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_2798/))

      allocate(vertices(126)%branchCT(0:0))
      call avCT(126, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(127)%branchCT(0:0))
      call avCT(127, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_2800/))

      allocate(vertices(2755)%branchCT(0:0))
      call avCT(2755, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2668/))

      allocate(vertices(2208)%branchCT(0:1))
      call avCT(2208, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_2630/))

      call avCT(2208, 1, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2631/))

      allocate(vertices(130)%branchCT(0:1))
      call avCT(130, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2653/))

      call avCT(130, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2654/))

      allocate(vertices(131)%branchCT(0:0))
      call avCT(131, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_2801/))

      allocate(vertices(132)%branchCT(0:1))
      call avCT(132, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2697/))

      call avCT(132, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2698/))

      allocate(vertices(133)%branchCT(0:1))
      call avCT(133, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_2788/))

      call avCT(133, 1, 8, 1, 0, SVV0, (/0, 1/), (/nGC_2789/))

      allocate(vertices(1389)%branchCT(0:1))
      call avCT(1389, 0, 8, 1, 0, SFaF1, (/0, 3/), (/nGC_2802/))

      call avCT(1389, 1, 8, 1, 0, SFaF1, (/0, 1/), (/nGC_2803/))

      allocate(vertices(1746)%branchCT(0:0))
      call avCT(1746, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_2742, nGC_2742/))

      allocate(vertices(135)%branchCT(0:0))
      call avCT(135, 0, 8, 1, 0, UaSU0, (/0, 3/), (/nGC_2624/))

      allocate(vertices(1094)%branchCT(0:1))
      call avCT(1094, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_2684/))

      call avCT(1094, 1, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2685/))

      allocate(vertices(137)%branchCT(0:1))
      call avCT(137, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_2620/))

      call avCT(137, 1, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2621/))

      allocate(vertices(2756)%branchCT(0:0))
      call avCT(2756, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_2692/))

      allocate(vertices(867)%branchCT(0:1))
      call avCT(867, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2760/))

      call avCT(867, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2761/))

      allocate(vertices(139)%branchCT(0:0))
      call avCT(139, 0, 8, 1, 0, FaSF0, (/0, 3/), (/nGC_2804, nGC_2804/))

      allocate(vertices(1221)%branchCT(0:1))
      call avCT(1221, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_2641, nGC_2639/))

      call avCT(1221, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_2642, nGC_2640/))

      allocate(vertices(140)%branchCT(0:1))
      call avCT(140, 0, 18, 1, 0, FaFV1, (/0, 3/), (/nGC_2805, nGC_2807/))

      call avCT(140, 1, 18, 1, 0, FaFV1, (/2, 1/), (/nGC_2806, nGC_2808/))

      allocate(vertices(2757)%branchCT(0:0))
      call avCT(2757, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2625/))

      allocate(vertices(2758)%branchCT(0:0))
      call avCT(2758, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2681/))

      allocate(vertices(2759)%branchCT(0:0))
      call avCT(2759, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_2798/))

      allocate(vertices(869)%branchCT(0:1))
      call avCT(869, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_2684/))

      call avCT(869, 1, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2685/))

      allocate(vertices(142)%branchCT(0:0))
      call avCT(142, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2748/))

      allocate(vertices(143)%branchCT(0:1))
      call avCT(143, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2809/))

      call avCT(143, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2810/))

      allocate(vertices(2703)%branchCT(0:1))
      call avCT(2703, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2626/))

      call avCT(2703, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2627/))

      allocate(vertices(145)%branchCT(0:1))
      call avCT(145, 0, 8, 1, 0, SUUa0, (/0, 3/), (/nGC_2469/))

      call avCT(145, 1, 8, 1, 0, SUUa0, (/0, 1/), (/nGC_2811/))

      allocate(vertices(2482)%branchCT(0:0))
      call avCT(2482, 0, 8, 1, 0, FaVF0, (/0, 3/), (/nGC_2812, nGC_2813/))

      allocate(vertices(890)%branchCT(0:1))
      call avCT(890, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_2814/))

      call avCT(890, 1, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(147)%branchCT(0:3))
      call avCT(147, 0, 24, 2, 0, FaFV1, (/1, 2/), (/nGC_2817, nGC_2819/))

      call avCT(147, 1, 24, 2, 0, FaFV1, (/3, 0/), (/nGC_2816, nGC_2818/))

      call avCT(147, 2, 25, 3, 0, FaFV1, (/1, 2/), (/nGC_2817, nGC_2819/))

      call avCT(147, 3, 25, 3, 0, FaFV1, (/3, 0/), (/nGC_2816, nGC_2818/))

      allocate(vertices(2101)%branchCT(0:1))
      call avCT(2101, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_2709/))

      call avCT(2101, 1, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2710/))

      allocate(vertices(2760)%branchCT(0:0))
      call avCT(2760, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(2761)%branchCT(0:0))
      call avCT(2761, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2693/))

      allocate(vertices(2762)%branchCT(0:0))
      call avCT(2762, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2638/))

      allocate(vertices(2763)%branchCT(0:0))
      call avCT(2763, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2625/))

      allocate(vertices(148)%branchCT(0:1))
      call avCT(148, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2670/))

      call avCT(148, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2671/))

      allocate(vertices(1751)%branchCT(0:0))
      call avCT(1751, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2820/))

      allocate(vertices(150)%branchCT(0:1))
      call avCT(150, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2821/))

      call avCT(150, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2822/))

      allocate(vertices(2764)%branchCT(0:0))
      call avCT(2764, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(151)%branchCT(0:1))
      call avCT(151, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_2824/))

      call avCT(151, 1, 8, 1, 0, VSS0, (/0, 1/), (/nGC_2825/))

      allocate(vertices(152)%branchCT(0:1))
      call avCT(152, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2826/))

      call avCT(152, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(153)%branchCT(0:1))
      call avCT(153, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2758/))

      call avCT(153, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2759/))

      allocate(vertices(154)%branchCT(0:1))
      call avCT(154, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2828/))

      call avCT(154, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(155)%branchCT(0:0))
      call avCT(155, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2830/))

      allocate(vertices(870)%branchCT(0:1))
      call avCT(870, 0, 38, 4, 0, VUaU0, (/3, 0/), (/nGC_2831/))

      call avCT(870, 1, 39, 5, 0, VUaU0, (/3, 0/), (/nGC_2831/))

      allocate(vertices(985)%branchCT(0:1))
      call avCT(985, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2613/))

      call avCT(985, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2614/))

      allocate(vertices(2681)%branchCT(0:1))
      call avCT(2681, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2613/))

      call avCT(2681, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2614/))

      allocate(vertices(158)%branchCT(0:1))
      call avCT(158, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2793/))

      call avCT(158, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(2765)%branchCT(0:0))
      call avCT(2765, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2681/))

      allocate(vertices(2766)%branchCT(0:0))
      call avCT(2766, 0, 13, 1, 0, SV0, (/0, 2/), (/nGC_2832/))

      allocate(vertices(160)%branchCT(0:0))
      call avCT(160, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2633/))

      allocate(vertices(2767)%branchCT(0:0))
      call avCT(2767, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2680/))

      allocate(vertices(161)%branchCT(0:0))
      call avCT(161, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_2833/))

      allocate(vertices(2768)%branchCT(0:1))
      call avCT(2768, 0, 13, 1, 0, VS0, (/0, 0/), (/nGC_2834/))

      call avCT(2768, 1, 13, 1, 0, VS0, (/0, 2/), (/nGC_2835/))

      allocate(vertices(32)%branchCT(0:0))
      call avCT(32, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2633/))

      allocate(vertices(164)%branchCT(0:1))
      call avCT(164, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2643/))

      call avCT(164, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2644/))

      allocate(vertices(165)%branchCT(0:0))
      call avCT(165, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_2836/))

      allocate(vertices(215)%branchCT(0:1))
      call avCT(215, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2837/))

      call avCT(215, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(2769)%branchCT(0:0))
      call avCT(2769, 0, 13, 1, 0, VS0, (/0, 2/), (/nGC_2839/))

      allocate(vertices(166)%branchCT(0:1))
      call avCT(166, 0, 19, 1, 0, FSFa1, (/0, 3/), (/nGC_2840, nGC_2840/))

      call avCT(166, 1, 19, 1, 0, FSFa1, (/2, 1/), (/nGC_2841, nGC_2841/))

      allocate(vertices(871)%branchCT(0:3))
      call avCT(871, 0, 27, 3, 0, FVFa0, (/1, 2/), (/nGC_2843, nGC_2845/))

      call avCT(871, 1, 27, 3, 0, FVFa0, (/3, 0/), (/nGC_2842, nGC_2844/))

      call avCT(871, 2, 26, 2, 0, FVFa0, (/1, 2/), (/nGC_2843, nGC_2845/))

      call avCT(871, 3, 26, 2, 0, FVFa0, (/3, 0/), (/nGC_2842, nGC_2844/))

      allocate(vertices(168)%branchCT(0:1))
      call avCT(168, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2837/))

      call avCT(168, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(169)%branchCT(0:0))
      call avCT(169, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2846/))

      allocate(vertices(2770)%branchCT(0:0))
      call avCT(2770, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2669/))

      allocate(vertices(171)%branchCT(0:0))
      call avCT(171, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2678/))

      allocate(vertices(172)%branchCT(0:1))
      call avCT(172, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2847/))

      call avCT(172, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2848/))

      allocate(vertices(2771)%branchCT(0:0))
      call avCT(2771, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2668/))

      allocate(vertices(2772)%branchCT(0:0))
      call avCT(2772, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2628/))

      allocate(vertices(174)%branchCT(0:1))
      call avCT(174, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2716/))

      call avCT(174, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2717/))

      allocate(vertices(2773)%branchCT(0:0))
      call avCT(2773, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2681/))

      allocate(vertices(444)%branchCT(0:1))
      call avCT(444, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_2849/))

      call avCT(444, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_2850/))

      allocate(vertices(2774)%branchCT(0:0))
      call avCT(2774, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_2851/))

      allocate(vertices(1315)%branchCT(0:1))
      call avCT(1315, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2766/))

      call avCT(1315, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2767/))

      allocate(vertices(177)%branchCT(0:1))
      call avCT(177, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2613/))

      call avCT(177, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2614/))

      allocate(vertices(178)%branchCT(0:1))
      call avCT(178, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_2852, nGC_2852/))

      call avCT(178, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_2853, nGC_2853/))

      allocate(vertices(179)%branchCT(0:1))
      call avCT(179, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2781/))

      call avCT(179, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(1794)%branchCT(0:0))
      call avCT(1794, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2629/))

      allocate(vertices(181)%branchCT(0:1))
      call avCT(181, 0, 8, 1, 0, SUaU0, (/0, 3/), (/nGC_2472/))

      call avCT(181, 1, 8, 1, 0, SUaU0, (/0, 1/), (/nGC_2715/))

      allocate(vertices(182)%branchCT(0:0))
      call avCT(182, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_2854/))

      allocate(vertices(183)%branchCT(0:1))
      call avCT(183, 0, 8, 1, 0, FaSF0, (/0, 3/), (/nGC_2855, nGC_2857/))

      call avCT(183, 1, 8, 1, 0, FaSF0, (/0, 1/), (/nGC_2856, nGC_2858/))

      allocate(vertices(1764)%branchCT(0:0))
      call avCT(1764, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2700/))

      allocate(vertices(185)%branchCT(0:0))
      call avCT(185, 0, 8, 1, 0, VUUa0, (/0, 3/), (/nGC_2655/))

      allocate(vertices(186)%branchCT(0:0))
      call avCT(186, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2687/))

      allocate(vertices(187)%branchCT(0:1))
      call avCT(187, 0, 19, 1, 0, FSFa1, (/0, 3/), (/nGC_2859, nGC_2859/))

      call avCT(187, 1, 19, 1, 0, FSFa1, (/2, 1/), (/nGC_2860, nGC_2860/))

      allocate(vertices(188)%branchCT(0:1))
      call avCT(188, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_2861/))

      call avCT(188, 1, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2862/))

      allocate(vertices(189)%branchCT(0:0))
      call avCT(189, 0, 8, 1, 0, FSFa1, (/0, 3/), (/nGC_2863, nGC_2863/))

      allocate(vertices(2775)%branchCT(0:0))
      call avCT(2775, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2628/))

      allocate(vertices(2776)%branchCT(0:0))
      call avCT(2776, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2668/))

      allocate(vertices(190)%branchCT(0:0))
      call avCT(190, 0, 8, 1, 0, FaFS0, (/0, 3/), (/nGC_2864/))

      allocate(vertices(2777)%branchCT(0:0))
      call avCT(2777, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2680/))

      allocate(vertices(192)%branchCT(0:0))
      call avCT(192, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_2865/))

      allocate(vertices(2778)%branchCT(0:0))
      call avCT(2778, 0, 8, 1, 0, SUUa0, (/0, 3/), (/nGC_2795/))

      allocate(vertices(2779)%branchCT(0:0))
      call avCT(2779, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2866, nGC_2867/))

      allocate(vertices(2437)%branchCT(0:1))
      call avCT(2437, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2781/))

      call avCT(2437, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(36)%branchCT(0:1))
      call avCT(36, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_2868, nGC_2870/))

      call avCT(36, 1, 8, 1, 0, SFaF0, (/0, 1/), (/nGC_2869, nGC_2871/))

      allocate(vertices(876)%branchCT(0:1))
      call avCT(876, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2872/))

      call avCT(876, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(2780)%branchCT(0:0))
      call avCT(2780, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2680/))

      allocate(vertices(195)%branchCT(0:1))
      call avCT(195, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2616/))

      call avCT(195, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2617/))

      allocate(vertices(196)%branchCT(0:1))
      call avCT(196, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_2874, nGC_2876/))

      call avCT(196, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_2875, nGC_2877/))

      allocate(vertices(197)%branchCT(0:0))
      call avCT(197, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2748/))

      allocate(vertices(493)%branchCT(0:0))
      call avCT(493, 0, 8, 1, 0, FaFV1, (/0, 3/), (/nGC_2878, nGC_2879/))

      allocate(vertices(1770)%branchCT(0:0))
      call avCT(1770, 0, 8, 1, 0, FaFV1, (/0, 3/), (/nGC_2762, nGC_2763/))

      allocate(vertices(199)%branchCT(0:1))
      call avCT(199, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2821/))

      call avCT(199, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2822/))

      allocate(vertices(200)%branchCT(0:1))
      call avCT(200, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_2880, nGC_2882/))

      call avCT(200, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_2881, nGC_2883/))

      allocate(vertices(2781)%branchCT(0:0))
      call avCT(2781, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2689/))

      allocate(vertices(2782)%branchCT(0:0))
      call avCT(2782, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2638/))

      allocate(vertices(2783)%branchCT(0:0))
      call avCT(2783, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_2884/))

      allocate(vertices(202)%branchCT(0:1))
      call avCT(202, 0, 8, 1, 0, USUa0, (/0, 3/), (/nGC_2466/))

      call avCT(202, 1, 8, 1, 0, USUa0, (/0, 1/), (/nGC_2885/))

      allocate(vertices(203)%branchCT(0:0))
      call avCT(203, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2886/))

      allocate(vertices(2784)%branchCT(0:0))
      call avCT(2784, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2638/))

      allocate(vertices(205)%branchCT(0:1))
      call avCT(205, 0, 17, 1, 0, FaSF0, (/0, 3/), (/nGC_2887, nGC_2889/))

      call avCT(205, 1, 17, 1, 0, FaSF0, (/2, 1/), (/nGC_2888, nGC_2890/))

      allocate(vertices(206)%branchCT(0:1))
      call avCT(206, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2891/))

      call avCT(206, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(207)%branchCT(0:0))
      call avCT(207, 0, 8, 1, 0, FFaS1, (/0, 3/), (/nGC_2893/))

      allocate(vertices(2013)%branchCT(0:1))
      call avCT(2013, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_2709/))

      call avCT(2013, 1, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2710/))

      allocate(vertices(209)%branchCT(0:1))
      call avCT(209, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2613/))

      call avCT(209, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2614/))

      allocate(vertices(2785)%branchCT(0:0))
      call avCT(2785, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_2783/))

      allocate(vertices(2786)%branchCT(0:0))
      call avCT(2786, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2699/))

      allocate(vertices(210)%branchCT(0:1))
      call avCT(210, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2653/))

      call avCT(210, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2654/))

      allocate(vertices(2321)%branchCT(0:1))
      call avCT(2321, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_2620/))

      call avCT(2321, 1, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2621/))

      allocate(vertices(1330)%branchCT(0:1))
      call avCT(1330, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_2620/))

      call avCT(1330, 1, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2621/))

      allocate(vertices(2787)%branchCT(0:0))
      call avCT(2787, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2635/))

      allocate(vertices(213)%branchCT(0:0))
      call avCT(213, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_2894/))

      allocate(vertices(214)%branchCT(0:1))
      call avCT(214, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_2620/))

      call avCT(214, 1, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2621/))

      allocate(vertices(2788)%branchCT(0:0))
      call avCT(2788, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2625/))

      allocate(vertices(40)%branchCT(0:1))
      call avCT(40, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2662/))

      call avCT(40, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2663/))

      allocate(vertices(1009)%branchCT(0:1))
      call avCT(1009, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2662/))

      call avCT(1009, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2663/))

      allocate(vertices(216)%branchCT(0:0))
      call avCT(216, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2632/))

      allocate(vertices(1386)%branchCT(0:1))
      call avCT(1386, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2764/))

      call avCT(1386, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2765/))

      allocate(vertices(218)%branchCT(0:0))
      call avCT(218, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_2895, nGC_2895/))

      allocate(vertices(219)%branchCT(0:1))
      call avCT(219, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2670/))

      call avCT(219, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2671/))

      allocate(vertices(453)%branchCT(0:1))
      call avCT(453, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2653/))

      call avCT(453, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2654/))

      allocate(vertices(220)%branchCT(0:1))
      call avCT(220, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2613/))

      call avCT(220, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2614/))

      allocate(vertices(2789)%branchCT(0:0))
      call avCT(2789, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2625/))

      allocate(vertices(222)%branchCT(0:1))
      call avCT(222, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2896/))

      call avCT(222, 1, 8, 1, 0, SSS0, (/0, 1/), (/nGC_2897/))

      allocate(vertices(223)%branchCT(0:0))
      call avCT(223, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2898/))

      allocate(vertices(2790)%branchCT(0:0))
      call avCT(2790, 0, 8, 1, 0, UUaS0, (/0, 3/), (/nGC_2795/))

      allocate(vertices(880)%branchCT(0:0))
      call avCT(880, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2899/))

      allocate(vertices(2791)%branchCT(0:0))
      call avCT(2791, 0, 13, 1, 0, FaF0, (/0, 2/), (/nGC_2900/))

      allocate(vertices(225)%branchCT(0:1))
      call avCT(225, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2670/))

      call avCT(225, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2671/))

      allocate(vertices(226)%branchCT(0:2))
      call avCT(226, 0, 19, 1, 0, FSFa1, (/0, 3/), (/nGC_2722, nGC_2719/))

      call avCT(226, 1, 19, 1, 0, FSFa1, (/2, 1/), (/nGC_2723, nGC_2720/))

      call avCT(226, 2, 19, 1, 0, FSFa1, (/0, 1/), (/nGC_2724, nGC_2721/))

      allocate(vertices(455)%branchCT(0:0))
      call avCT(455, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2686/))

      allocate(vertices(228)%branchCT(0:1))
      call avCT(228, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2613/))

      call avCT(228, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2614/))

      allocate(vertices(229)%branchCT(0:1))
      call avCT(229, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_2901/))

      call avCT(229, 1, 8, 1, 0, VSS0, (/0, 1/), (/nGC_2902/))

      allocate(vertices(2792)%branchCT(0:0))
      call avCT(2792, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2625/))

      allocate(vertices(231)%branchCT(0:1))
      call avCT(231, 0, 17, 1, 0, FaSF0, (/0, 3/), (/nGC_2874, nGC_2876/))

      call avCT(231, 1, 17, 1, 0, FaSF0, (/2, 1/), (/nGC_2875, nGC_2877/))

      allocate(vertices(233)%branchCT(0:1))
      call avCT(233, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2828/))

      call avCT(233, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(234)%branchCT(0:1))
      call avCT(234, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2903/))

      call avCT(234, 1, 8, 1, 0, SSS0, (/0, 1/), (/nGC_2904/))

      allocate(vertices(235)%branchCT(0:0))
      call avCT(235, 0, 8, 1, 0, UVUa0, (/0, 3/), (/nGC_2905/))

      allocate(vertices(236)%branchCT(0:1))
      call avCT(236, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2793/))

      call avCT(236, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(237)%branchCT(0:2))
      call avCT(237, 0, 19, 1, 0, FSFa1, (/0, 3/), (/nGC_2719, nGC_2722/))

      call avCT(237, 1, 19, 1, 0, FSFa1, (/2, 1/), (/nGC_2720, nGC_2723/))

      call avCT(237, 2, 19, 1, 0, FSFa1, (/0, 1/), (/nGC_2721, nGC_2724/))

      allocate(vertices(2580)%branchCT(0:0))
      call avCT(2580, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2678/))

      allocate(vertices(238)%branchCT(0:0))
      call avCT(238, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2757/))

      allocate(vertices(239)%branchCT(0:1))
      call avCT(239, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2896/))

      call avCT(239, 1, 8, 1, 0, SSS0, (/0, 1/), (/nGC_2897/))

      allocate(vertices(2793)%branchCT(0:0))
      call avCT(2793, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2665/))

      allocate(vertices(240)%branchCT(0:1))
      call avCT(240, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_2824/))

      call avCT(240, 1, 8, 1, 0, SVS0, (/0, 1/), (/nGC_2825/))

      allocate(vertices(241)%branchCT(0:1))
      call avCT(241, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2906/))

      call avCT(241, 1, 8, 1, 0, SSS0, (/0, 1/), (/nGC_2907/))

      allocate(vertices(673)%branchCT(0:1))
      call avCT(673, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2626/))

      call avCT(673, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2627/))

      allocate(vertices(243)%branchCT(0:1))
      call avCT(243, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_2660/))

      call avCT(243, 1, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2661/))

      allocate(vertices(2794)%branchCT(0:0))
      call avCT(2794, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2625/))

      allocate(vertices(244)%branchCT(0:1))
      call avCT(244, 0, 17, 1, 0, FaVF0, (/0, 3/), (/nGC_2656, nGC_2658/))

      call avCT(244, 1, 17, 1, 0, FaVF0, (/2, 1/), (/nGC_2657, nGC_2659/))

      allocate(vertices(1534)%branchCT(0:1))
      call avCT(1534, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2626/))

      call avCT(1534, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2627/))

      allocate(vertices(2795)%branchCT(0:0))
      call avCT(2795, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_2908/))

      allocate(vertices(2796)%branchCT(0:0))
      call avCT(2796, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2689/))

      allocate(vertices(2797)%branchCT(0:0))
      call avCT(2797, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2638/))

      allocate(vertices(247)%branchCT(0:1))
      call avCT(247, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_2788/))

      call avCT(247, 1, 8, 1, 0, SVV0, (/0, 1/), (/nGC_2789/))

      allocate(vertices(2798)%branchCT(0:0))
      call avCT(2798, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2638/))

      allocate(vertices(248)%branchCT(0:0))
      call avCT(248, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2746/))

      allocate(vertices(43)%branchCT(0:1))
      call avCT(43, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_2630/))

      call avCT(43, 1, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2631/))

      allocate(vertices(2799)%branchCT(0:0))
      call avCT(2799, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2909/))

      allocate(vertices(250)%branchCT(0:1))
      call avCT(250, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2616/))

      call avCT(250, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2617/))

      allocate(vertices(251)%branchCT(0:1))
      call avCT(251, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_2641, nGC_2639/))

      call avCT(251, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_2642, nGC_2640/))

      allocate(vertices(2800)%branchCT(0:0))
      call avCT(2800, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2635/))

      allocate(vertices(2801)%branchCT(0:0))
      call avCT(2801, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_2688/))

      allocate(vertices(252)%branchCT(0:1))
      call avCT(252, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2910/))

      call avCT(252, 1, 8, 1, 0, SSS0, (/0, 1/), (/nGC_2911/))

      allocate(vertices(253)%branchCT(0:1))
      call avCT(253, 0, 18, 1, 0, FaFV1, (/0, 3/), (/nGC_2702, nGC_2704/))

      call avCT(253, 1, 18, 1, 0, FaFV1, (/2, 1/), (/nGC_2703, nGC_2705/))

      allocate(vertices(459)%branchCT(0:1))
      call avCT(459, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2764/))

      call avCT(459, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2765/))

      allocate(vertices(254)%branchCT(0:1))
      call avCT(254, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2912/))

      call avCT(254, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2913/))

      allocate(vertices(686)%branchCT(0:0))
      call avCT(686, 0, 8, 1, 0, UaVU0, (/0, 3/), (/nGC_2914/))

      allocate(vertices(256)%branchCT(0:1))
      call avCT(256, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2821/))

      call avCT(256, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2822/))

      allocate(vertices(1326)%branchCT(0:1))
      call avCT(1326, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_2651/))

      call avCT(1326, 1, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2652/))

      allocate(vertices(1327)%branchCT(0:0))
      call avCT(1327, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_2915/))

      allocate(vertices(2802)%branchCT(0:0))
      call avCT(2802, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2635/))

      allocate(vertices(260)%branchCT(0:1))
      call avCT(260, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2821/))

      call avCT(260, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2822/))

      allocate(vertices(261)%branchCT(0:2))
      call avCT(261, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2916, nGC_2919/))

      call avCT(261, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2917, nGC_2920/))

      call avCT(261, 2, 10, 1, 0, FFaS0, (/0, 1/), (/nGC_2918, nGC_2921/))

      allocate(vertices(262)%branchCT(0:1))
      call avCT(262, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2626/))

      call avCT(262, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2627/))

      allocate(vertices(1636)%branchCT(0:1))
      call avCT(1636, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_2814/))

      call avCT(1636, 1, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(265)%branchCT(0:1))
      call avCT(265, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_2901/))

      call avCT(265, 1, 8, 1, 0, SVS0, (/0, 1/), (/nGC_2902/))

      allocate(vertices(266)%branchCT(0:0))
      call avCT(266, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2746/))

      allocate(vertices(267)%branchCT(0:1))
      call avCT(267, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_2630/))

      call avCT(267, 1, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2631/))

      allocate(vertices(268)%branchCT(0:0))
      call avCT(268, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_2800/))

      allocate(vertices(2803)%branchCT(0:0))
      call avCT(2803, 0, 13, 1, 0, VV0, (/0, 2/), (/nGC_2922, nGC_2923,        &
      nGC_2924/))

      allocate(vertices(269)%branchCT(0:1))
      call avCT(269, 0, 8, 1, 0, SUUa0, (/0, 3/), (/nGC_2466/))

      call avCT(269, 1, 8, 1, 0, SUUa0, (/0, 1/), (/nGC_2885/))

      allocate(vertices(2804)%branchCT(0:0))
      call avCT(2804, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2689/))

      allocate(vertices(2805)%branchCT(0:0))
      call avCT(2805, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2925/))

      allocate(vertices(271)%branchCT(0:2))
      call avCT(271, 0, 19, 1, 0, FSFa1, (/0, 3/), (/nGC_2729, nGC_2732/))

      call avCT(271, 1, 19, 1, 0, FSFa1, (/2, 1/), (/nGC_2730, nGC_2733/))

      call avCT(271, 2, 19, 1, 0, FSFa1, (/0, 1/), (/nGC_2731, nGC_2734/))

      allocate(vertices(2806)%branchCT(0:0))
      call avCT(2806, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_2926/))

      allocate(vertices(1686)%branchCT(0:0))
      call avCT(1686, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2687/))

      allocate(vertices(1687)%branchCT(0:0))
      call avCT(1687, 0, 8, 1, 0, FSFa1, (/0, 3/), (/nGC_2804, nGC_2804/))

      allocate(vertices(2807)%branchCT(0:0))
      call avCT(2807, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_2927/))

      allocate(vertices(2808)%branchCT(0:0))
      call avCT(2808, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2928/))

      allocate(vertices(2809)%branchCT(0:0))
      call avCT(2809, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(2810)%branchCT(0:0))
      call avCT(2810, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2628/))

      allocate(vertices(2811)%branchCT(0:0))
      call avCT(2811, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2638/))

      allocate(vertices(277)%branchCT(0:2))
      call avCT(277, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_2719, nGC_2722/))

      call avCT(277, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_2720, nGC_2723/))

      call avCT(277, 2, 20, 1, 0, SFaF0, (/0, 1/), (/nGC_2721, nGC_2724/))

      allocate(vertices(1892)%branchCT(0:0))
      call avCT(1892, 0, 8, 1, 0, FSFa0, (/0, 3/), (/nGC_2893/))

      allocate(vertices(2812)%branchCT(0:0))
      call avCT(2812, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2929/))

      allocate(vertices(278)%branchCT(0:1))
      call avCT(278, 0, 21, 1, 0, VFFa0, (/0, 3/), (/nGC_2770, nGC_2772/))

      call avCT(278, 1, 21, 1, 0, VFFa0, (/2, 1/), (/nGC_2771, nGC_2773/))

      allocate(vertices(2813)%branchCT(0:0))
      call avCT(2813, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2628/))

      allocate(vertices(279)%branchCT(0:1))
      call avCT(279, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2662/))

      call avCT(279, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2663/))

      allocate(vertices(464)%branchCT(0:1))
      call avCT(464, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_2855, nGC_2857/))

      call avCT(464, 1, 8, 1, 0, SFFa0, (/0, 1/), (/nGC_2856, nGC_2858/))

      allocate(vertices(2814)%branchCT(0:0))
      call avCT(2814, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2693/))

      allocate(vertices(280)%branchCT(0:0))
      call avCT(280, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2846/))

      allocate(vertices(281)%branchCT(0:0))
      call avCT(281, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_2745, nGC_2745/))

      allocate(vertices(1754)%branchCT(0:1))
      call avCT(1754, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2891/))

      call avCT(1754, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(283)%branchCT(0:1))
      call avCT(283, 0, 19, 1, 0, FSFa1, (/0, 3/), (/nGC_2930, nGC_2930/))

      call avCT(283, 1, 19, 1, 0, FSFa1, (/2, 1/), (/nGC_2931, nGC_2931/))

      allocate(vertices(284)%branchCT(0:1))
      call avCT(284, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_2660/))

      call avCT(284, 1, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2661/))

      allocate(vertices(2593)%branchCT(0:1))
      call avCT(2593, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2751/))

      call avCT(2593, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2752/))

      allocate(vertices(1774)%branchCT(0:1))
      call avCT(1774, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_2660/))

      call avCT(1774, 1, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2661/))

      allocate(vertices(1778)%branchCT(0:0))
      call avCT(1778, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2898/))

      allocate(vertices(288)%branchCT(0:1))
      call avCT(288, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2847/))

      call avCT(288, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2848/))

      allocate(vertices(289)%branchCT(0:0))
      call avCT(289, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2632/))

      allocate(vertices(2815)%branchCT(0:0))
      call avCT(2815, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2625/))

      allocate(vertices(2816)%branchCT(0:1))
      call avCT(2816, 0, 14, 1, 0, FFa0, (/0, 2/), (/nGC_2932, nGC_2934,       &
      nGC_2934, nGC_2936/))

      call avCT(2816, 1, 14, 1, 0, FFa0, (/2, 0/), (/nGC_2933, nGC_2935,       &
      nGC_2935, nGC_2937/))

      allocate(vertices(2817)%branchCT(0:0))
      call avCT(2817, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2909/))

      allocate(vertices(2818)%branchCT(0:0))
      call avCT(2818, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2681/))

      allocate(vertices(293)%branchCT(0:1))
      call avCT(293, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_2684/))

      call avCT(293, 1, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2685/))

      allocate(vertices(2819)%branchCT(0:0))
      call avCT(2819, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(294)%branchCT(0:1))
      call avCT(294, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2670/))

      call avCT(294, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2671/))

      allocate(vertices(111)%branchCT(0:0))
      call avCT(111, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2746/))

      allocate(vertices(2820)%branchCT(0:0))
      call avCT(2820, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2625/))

      allocate(vertices(2821)%branchCT(0:0))
      call avCT(2821, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2938/))

      allocate(vertices(2822)%branchCT(0:0))
      call avCT(2822, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2665/))

      allocate(vertices(297)%branchCT(0:1))
      call avCT(297, 0, 21, 1, 0, VFFa0, (/0, 3/), (/nGC_2939, nGC_2941/))

      call avCT(297, 1, 21, 1, 0, VFFa0, (/2, 1/), (/nGC_2940, nGC_2942/))

      allocate(vertices(298)%branchCT(0:1))
      call avCT(298, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2694/))

      call avCT(298, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2695/))

      allocate(vertices(2823)%branchCT(0:0))
      call avCT(2823, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(299)%branchCT(0:1))
      call avCT(299, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2758/))

      call avCT(299, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2759/))

      allocate(vertices(2824)%branchCT(0:0))
      call avCT(2824, 0, 8, 1, 0, SUUa0, (/0, 3/), (/nGC_2943/))

      allocate(vertices(1379)%branchCT(0:1))
      call avCT(1379, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2891/))

      call avCT(1379, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(300)%branchCT(0:1))
      call avCT(300, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_2684/))

      call avCT(300, 1, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2685/))

      allocate(vertices(301)%branchCT(0:1))
      call avCT(301, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2891/))

      call avCT(301, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(302)%branchCT(0:1))
      call avCT(302, 0, 0, 4, 0, UaUV0, (/3, 0/), (/nGC_2831/))

      call avCT(302, 1, 1, 5, 0, UaUV0, (/3, 0/), (/nGC_2831/))

      allocate(vertices(303)%branchCT(0:1))
      call avCT(303, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2826/))

      call avCT(303, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(1898)%branchCT(0:1))
      call avCT(1898, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_2944, nGC_2944/))

      call avCT(1898, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_2945, nGC_2945/))

      allocate(vertices(896)%branchCT(0:1))
      call avCT(896, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_2946/))

      call avCT(896, 1, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2862/))

      allocate(vertices(2173)%branchCT(0:1))
      call avCT(2173, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2653/))

      call avCT(2173, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2654/))

      allocate(vertices(305)%branchCT(0:1))
      call avCT(305, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2947/))

      call avCT(305, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2948/))

      allocate(vertices(776)%branchCT(0:1))
      call avCT(776, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_2949/))

      call avCT(776, 1, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2950/))

      allocate(vertices(307)%branchCT(0:1))
      call avCT(307, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_2660/))

      call avCT(307, 1, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2661/))

      allocate(vertices(2825)%branchCT(0:0))
      call avCT(2825, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2718/))

      allocate(vertices(2826)%branchCT(0:0))
      call avCT(2826, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2635/))

      allocate(vertices(54)%branchCT(0:1))
      call avCT(54, 0, 8, 1, 0, UaSU0, (/0, 3/), (/nGC_2465/))

      call avCT(54, 1, 8, 1, 0, UaSU0, (/0, 1/), (/nGC_2708/))

      allocate(vertices(311)%branchCT(0:0))
      call avCT(311, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2951/))

      allocate(vertices(897)%branchCT(0:0))
      call avCT(897, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2700/))

      allocate(vertices(2827)%branchCT(0:0))
      call avCT(2827, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2669/))

      allocate(vertices(313)%branchCT(0:1))
      call avCT(313, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2952/))

      call avCT(313, 1, 8, 1, 0, SSS0, (/0, 1/), (/nGC_2953/))

      allocate(vertices(314)%branchCT(0:1))
      call avCT(314, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_2861/))

      call avCT(314, 1, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2862/))

      allocate(vertices(315)%branchCT(0:0))
      call avCT(315, 0, 8, 1, 0, FaSF1, (/0, 3/), (/nGC_2864/))

      allocate(vertices(2828)%branchCT(0:0))
      call avCT(2828, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2954/))

      allocate(vertices(316)%branchCT(0:1))
      call avCT(316, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2764/))

      call avCT(316, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2765/))

      allocate(vertices(317)%branchCT(0:0))
      call avCT(317, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2955/))

      allocate(vertices(2829)%branchCT(0:0))
      call avCT(2829, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2956/))

      allocate(vertices(318)%branchCT(0:1))
      call avCT(318, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_2709/))

      call avCT(318, 1, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2710/))

      allocate(vertices(319)%branchCT(0:1))
      call avCT(319, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2896/))

      call avCT(319, 1, 8, 1, 0, SSS0, (/0, 1/), (/nGC_2897/))

      allocate(vertices(320)%branchCT(0:1))
      call avCT(320, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_2684/))

      call avCT(320, 1, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2685/))

      allocate(vertices(321)%branchCT(0:1))
      call avCT(321, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_2630/))

      call avCT(321, 1, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2631/))

      allocate(vertices(1305)%branchCT(0:0))
      call avCT(1305, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_2957/))

      allocate(vertices(322)%branchCT(0:0))
      call avCT(322, 0, 8, 1, 0, FSFa2, (/0, 3/), (/nGC_2664/))

      allocate(vertices(323)%branchCT(0:1))
      call avCT(323, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2764/))

      call avCT(323, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2765/))

      allocate(vertices(2830)%branchCT(0:0))
      call avCT(2830, 0, 13, 1, 0, FFa1, (/0, 2/), (/nGC_2958/))

      allocate(vertices(2831)%branchCT(0:0))
      call avCT(2831, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_2959/))

      allocate(vertices(324)%branchCT(0:0))
      call avCT(324, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2960/))

      allocate(vertices(325)%branchCT(0:1))
      call avCT(325, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_2788/))

      call avCT(325, 1, 8, 1, 0, SVV0, (/0, 1/), (/nGC_2789/))

      allocate(vertices(326)%branchCT(0:1))
      call avCT(326, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2740/))

      call avCT(326, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2741/))

      allocate(vertices(327)%branchCT(0:0))
      call avCT(327, 0, 8, 1, 0, FaSF0, (/0, 3/), (/nGC_2863, nGC_2863/))

      allocate(vertices(328)%branchCT(0:1))
      call avCT(328, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2764/))

      call avCT(328, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2765/))

      allocate(vertices(2832)%branchCT(0:0))
      call avCT(2832, 0, 8, 1, 0, SUaU0, (/0, 3/), (/nGC_2961/))

      allocate(vertices(329)%branchCT(0:1))
      call avCT(329, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_2651/))

      call avCT(329, 1, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2652/))

      allocate(vertices(58)%branchCT(0:0))
      call avCT(58, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2700/))

      allocate(vertices(332)%branchCT(0:1))
      call avCT(332, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2962/))

      call avCT(332, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2963/))

      allocate(vertices(333)%branchCT(0:0))
      call avCT(333, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_2865/))

      allocate(vertices(2092)%branchCT(0:0))
      call avCT(2092, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2632/))

      allocate(vertices(2253)%branchCT(0:1))
      call avCT(2253, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_2946/))

      call avCT(2253, 1, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2862/))

      allocate(vertices(335)%branchCT(0:0))
      call avCT(335, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(336)%branchCT(0:0))
      call avCT(336, 0, 8, 1, 0, FaFV1, (/0, 3/), (/nGC_2964, nGC_2965/))

      allocate(vertices(337)%branchCT(0:1))
      call avCT(337, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2760/))

      call avCT(337, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2761/))

      allocate(vertices(338)%branchCT(0:1))
      call avCT(338, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2653/))

      call avCT(338, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2654/))

      allocate(vertices(339)%branchCT(0:1))
      call avCT(339, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_2788/))

      call avCT(339, 1, 8, 1, 0, VVS0, (/0, 1/), (/nGC_2789/))

      allocate(vertices(340)%branchCT(0:1))
      call avCT(340, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_2620/))

      call avCT(340, 1, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2621/))

      allocate(vertices(341)%branchCT(0:1))
      call avCT(341, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_2966/))

      call avCT(341, 1, 8, 1, 0, VSS0, (/0, 1/), (/nGC_2967/))

      allocate(vertices(2833)%branchCT(0:0))
      call avCT(2833, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2689/))

      allocate(vertices(2148)%branchCT(0:1))
      call avCT(2148, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2968/))

      call avCT(2148, 1, 8, 1, 0, SSS0, (/0, 1/), (/nGC_2969/))

      allocate(vertices(2834)%branchCT(0:0))
      call avCT(2834, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2928/))

      allocate(vertices(2155)%branchCT(0:1))
      call avCT(2155, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2605/))

      call avCT(2155, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2606/))

      allocate(vertices(905)%branchCT(0:1))
      call avCT(905, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_2970/))

      call avCT(905, 1, 8, 1, 0, SVS0, (/0, 1/), (/nGC_2971/))

      allocate(vertices(346)%branchCT(0:1))
      call avCT(346, 0, 8, 1, 0, SUUa0, (/0, 3/), (/nGC_2465/))

      call avCT(346, 1, 8, 1, 0, SUUa0, (/0, 1/), (/nGC_2708/))

      allocate(vertices(347)%branchCT(0:0))
      call avCT(347, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2687/))

      allocate(vertices(348)%branchCT(0:1))
      call avCT(348, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2605/))

      call avCT(348, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2606/))

      allocate(vertices(2835)%branchCT(0:0))
      call avCT(2835, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_2884/))

      allocate(vertices(349)%branchCT(0:1))
      call avCT(349, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2616/))

      call avCT(349, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2617/))

      allocate(vertices(350)%branchCT(0:1))
      call avCT(350, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2656, nGC_2658/))

      call avCT(350, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2657, nGC_2659/))

      allocate(vertices(2576)%branchCT(0:1))
      call avCT(2576, 0, 18, 1, 0, FaFV1, (/0, 3/), (/nGC_2656, nGC_2658/))

      call avCT(2576, 1, 18, 1, 0, FaFV1, (/2, 1/), (/nGC_2657, nGC_2659/))

      allocate(vertices(351)%branchCT(0:2))
      call avCT(351, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2729, nGC_2732/))

      call avCT(351, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2730, nGC_2733/))

      call avCT(351, 2, 10, 1, 0, FFaS0, (/0, 1/), (/nGC_2731, nGC_2734/))

      allocate(vertices(352)%branchCT(0:1))
      call avCT(352, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_2972/))

      call avCT(352, 1, 8, 1, 0, SVS0, (/0, 1/), (/nGC_2973/))

      allocate(vertices(353)%branchCT(0:0))
      call avCT(353, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2960/))

      allocate(vertices(354)%branchCT(0:1))
      call avCT(354, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2974/))

      call avCT(354, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2975/))

      allocate(vertices(355)%branchCT(0:2))
      call avCT(355, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_2675, nGC_2672/))

      call avCT(355, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_2676, nGC_2673/))

      call avCT(355, 2, 18, 1, 0, FaFS1, (/0, 1/), (/nGC_2677, nGC_2674/))

      allocate(vertices(2836)%branchCT(0:0))
      call avCT(2836, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_2688/))

      allocate(vertices(356)%branchCT(0:0))
      call avCT(356, 0, 8, 1, 0, UVUa0, (/0, 3/), (/nGC_2976/))

      allocate(vertices(357)%branchCT(0:0))
      call avCT(357, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2748/))

      allocate(vertices(358)%branchCT(0:0))
      call avCT(358, 0, 8, 1, 0, FVFa0, (/0, 3/), (/nGC_2812, nGC_2813/))

      allocate(vertices(359)%branchCT(0:1))
      call avCT(359, 0, 8, 1, 0, SUUa0, (/0, 3/), (/nGC_2472/))

      call avCT(359, 1, 8, 1, 0, SUUa0, (/0, 1/), (/nGC_2715/))

      allocate(vertices(360)%branchCT(0:1))
      call avCT(360, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2828/))

      call avCT(360, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(361)%branchCT(0:1))
      call avCT(361, 0, 17, 1, 0, FaSF0, (/0, 3/), (/nGC_2859, nGC_2859/))

      call avCT(361, 1, 17, 1, 0, FaSF0, (/2, 1/), (/nGC_2860, nGC_2860/))

      allocate(vertices(2837)%branchCT(0:0))
      call avCT(2837, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2977/))

      allocate(vertices(2838)%branchCT(0:0))
      call avCT(2838, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2718/))

      allocate(vertices(2839)%branchCT(0:0))
      call avCT(2839, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2978/))

      allocate(vertices(364)%branchCT(0:1))
      call avCT(364, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2758/))

      call avCT(364, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2759/))

      allocate(vertices(2572)%branchCT(0:1))
      call avCT(2572, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_2814/))

      call avCT(2572, 1, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(2840)%branchCT(0:0))
      call avCT(2840, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2956/))

      allocate(vertices(2283)%branchCT(0:2))
      call avCT(2283, 0, 19, 1, 0, FSFa1, (/0, 3/), (/nGC_2979, nGC_2982/))

      call avCT(2283, 1, 19, 1, 0, FSFa1, (/2, 1/), (/nGC_2980, nGC_2983/))

      call avCT(2283, 2, 19, 1, 0, FSFa1, (/0, 1/), (/nGC_2981, nGC_2984/))

      allocate(vertices(2841)%branchCT(0:0))
      call avCT(2841, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(367)%branchCT(0:1))
      call avCT(367, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_2684/))

      call avCT(367, 1, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2685/))

      allocate(vertices(2842)%branchCT(0:0))
      call avCT(2842, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_2711/))

      allocate(vertices(368)%branchCT(0:1))
      call avCT(368, 0, 8, 1, 0, USUa0, (/0, 3/), (/nGC_2472/))

      call avCT(368, 1, 8, 1, 0, USUa0, (/0, 1/), (/nGC_2715/))

      allocate(vertices(170)%branchCT(0:1))
      call avCT(170, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_2814/))

      call avCT(170, 1, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2815/))

    end subroutine fill_vertices_mdl4
end module vertices_info4
